#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x2eb3df7a, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xf38c1ed5, "_gpl");
SYMBOL_CRC(ahci_ops, 0x7816be60, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xcebf8482, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xbd5bc691, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x236f4fdd, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x1a7042b8, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x61ea2fdf, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xdf60e365, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x4744e706, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x71fbdaab, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x9883dd8d, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xd1392b14, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xf0132a61, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x1c00160e, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x980a5173, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xdd34fd81, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x9a526ae6, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x7a3ee052, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x7dbb77e2, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x16f8992f, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x6ea2450c, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x9e05b495, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x10d6eba4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x9bf38150, "ata_std_qc_defer" },
	{ 0x2cd898c5, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xb2d9427d, "ata_port_classify" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaf89c89, "sata_pmp_error_handler" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x53d8e4d0, "dmam_alloc_attrs" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x826bcb07, "ata_qc_complete_multiple" },
	{ 0x29c0d391, "ata_port_freeze" },
	{ 0x7c3d6425, "sata_lpm_ignore_phy_events" },
	{ 0x2f9fbb0e, "sata_async_notification" },
	{ 0xe9532011, "ata_ehi_clear_desc" },
	{ 0x336fa29d, "ata_ehi_push_desc" },
	{ 0x8e2f5993, "ata_port_abort" },
	{ 0xb7f5b61d, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x5ad091da, "ata_host_start" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x3fcda094, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4b1355d5, "ata_host_register" },
	{ 0xdb1a6b74, "ata_host_activate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe3fb955f, "ata_wait_after_reset" },
	{ 0xec4659bf, "ata_dummy_port_ops" },
	{ 0xb1574f6f, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0x1133c59d, "sata_link_hardreset" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x5de5c1f0, "sata_pmp_port_ops" },
	{ 0x4f7ef380, "dev_attr_sw_activity" },
	{ 0xf6bda844, "dev_attr_unload_heads" },
	{ 0x178d8c88, "dev_attr_ncq_prio_supported" },
	{ 0x6f4edb22, "dev_attr_ncq_prio_enable" },
	{ 0xd8f73057, "dev_attr_link_power_management_policy" },
	{ 0xb76d1cf1, "dev_attr_em_message_type" },
	{ 0x5db0aa8e, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x80078a62, "ata_link_next" },
	{ 0x1cc005be, "ata_wait_register" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x9302dd39, "ata_dev_set_feature" },
	{ 0x155e0cf1, "sata_link_scr_lpm" },
	{ 0x2b59b11f, "ata_msleep" },
	{ 0x4f791397, "_dev_err" },
	{ 0x57873cfb, "ata_std_postreset" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "E4696F00767B0CE1D8A98D6");

MODULE_INFO(suserelease, "SLE15-SP6");
