#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18e61129, "ata_dev_pair" },
	{ 0x16fdfe1b, "ata_timing_compute" },
	{ 0xf6e874f5, "ata_timing_merge" },
	{ 0x4f791397, "_dev_err" },
	{ 0xeb469e95, "ata_pci_remove_one" },
	{ 0xfc497da3, "ata_pci_device_suspend" },
	{ 0x297f9a6a, "ata_cable_ignore" },
	{ 0x827bfc68, "ata_bmdma_port_ops" },
	{ 0xa0cb6369, "ata_cable_unknown" },
	{ 0xe0a65420, "ata_cable_40wire" },
	{ 0x51bb17c3, "ata_bmdma32_port_ops" },
	{ 0x2aec615, "ata_scsi_queuecmd" },
	{ 0x73c2bb7e, "ata_scsi_ioctl" },
	{ 0xefe682a3, "ata_scsi_slave_alloc" },
	{ 0x1c8c5114, "ata_scsi_slave_config" },
	{ 0xf0fd782b, "ata_scsi_slave_destroy" },
	{ 0x472ed740, "ata_scsi_dma_need_drain" },
	{ 0x216ceee9, "ata_std_bios_param" },
	{ 0xdd2099f0, "ata_scsi_unlock_native_capacity" },
	{ 0x61f6990d, "ata_common_sdev_groups" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x73612425, "ata_pci_device_do_resume" },
	{ 0xece00492, "ata_host_resume" },
	{ 0xa829172f, "ata_pci_bmdma_clear_simplex" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x997141aa, "ata_pci_bmdma_init_one" },
	{ 0x263ae1a5, "ata_print_version" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x1e49003f, "pci_test_config_bits" },
	{ 0x8270b4fb, "ata_sff_prereset" },
	{ 0x3a15013b, "ata_pack_xfermask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b1c1e28, "ata_acpi_gtm_xfermask" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x76306a76, "ata_dev_next" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001022d00007401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007409sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007411sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007441sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007469sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001BCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000065sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000085sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000053sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000265sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000003ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000448sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000056Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000759sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000209Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00002092sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E322B3A61003D18F9B8D23C");

MODULE_INFO(suserelease, "SLE15-SP6");
