#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bcma_find_core_unit, 0x4c3e5e3c, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x64f587f7, "");
SYMBOL_CRC(__bcma_driver_register, 0xba90b3f0, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x136bf469, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xed230f19, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x0cc6c4b8, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x10fb9caa, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xa1d68362, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x11e75329, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x6dffd6d0, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x6710fc78, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xe636f079, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xe2646640, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x9796d8d4, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x8236f59b, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x594d7714, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xe47d3649, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x1e0821b3, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x0ed0eb46, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x05a18181, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x0ce68607, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xce7deacc, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x3817e9ad, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xb7808678, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xf1496131, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x1fcbf9d1, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83313941, "device_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x2275157, "gpiochip_get_data" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6059e10c, "device_add" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x1a92087c, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3208061, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xbea9c6db, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xed4ae77f, "pcie_set_readrq" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xa7973e26, "bus_register" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "09D4811241F40B0A5B45025");

MODULE_INFO(suserelease, "SLE15-SP6");
