#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d9cedc5, "blk_queue_write_cache" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb528cf1a, "xenbus_setup_ring" },
	{ 0xd3555091, "xenbus_alloc_evtchn" },
	{ 0xf7866b4f, "bind_evtchn_to_irqhandler_lateeoi" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0x754d539c, "strlen" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x6aff0640, "xenbus_switch_state" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xa798b022, "blk_mq_update_nr_hw_queues" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x5fa34fa9, "del_gendisk" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2ed4edd2, "put_disk" },
	{ 0xf0b852ba, "blk_mq_free_tag_set" },
	{ 0x9d22422b, "blk_queue_flag_set" },
	{ 0x3fe61700, "blk_queue_logical_block_size" },
	{ 0x123a46e1, "blk_queue_physical_block_size" },
	{ 0x1f074752, "blk_queue_max_hw_sectors" },
	{ 0x1f0f6eba, "blk_queue_segment_boundary" },
	{ 0xc7e65987, "blk_queue_max_segment_size" },
	{ 0x5f28c671, "blk_queue_max_segments" },
	{ 0x51eb3e8, "blk_queue_dma_alignment" },
	{ 0xe44c109, "blk_queue_max_discard_sectors" },
	{ 0xb044a5b1, "blk_queue_max_secure_erase_sectors" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x49e5156, "gnttab_try_end_foreign_access" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xef7fd560, "xenbus_unregister_driver" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x9f984513, "strrchr" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x28e64c64, "xen_has_pv_and_legacy_disk_devices" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0xe340ec3e, "blk_mq_start_stopped_hw_queues" },
	{ 0xe6aa8f8e, "blk_mark_disk_dead" },
	{ 0xc5a27ffd, "xenbus_frontend_closed" },
	{ 0x57539be3, "blk_mq_requeue_request" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb92548ba, "blk_mq_alloc_tag_set" },
	{ 0x602c21d0, "__blk_mq_alloc_disk" },
	{ 0x873966f5, "set_capacity" },
	{ 0x4e9202a8, "set_disk_ro" },
	{ 0x345e55fb, "device_add_disk" },
	{ 0xad2106a1, "set_capacity_and_notify" },
	{ 0xba08987f, "blk_mq_kick_requeue_list" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x69acdf38, "memcpy" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x33e964ca, "gnttab_foreach_grant_in_range" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x92101368, "blk_mq_complete_request" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0063bf1, "blk_mq_start_request" },
	{ 0x4f1538a4, "__blk_rq_map_sg" },
	{ 0xd27f215d, "gnttab_alloc_grant_references" },
	{ 0x76e85b92, "gnttab_request_free_callback" },
	{ 0xa750f495, "blk_mq_stop_hw_queue" },
	{ 0x93d1d424, "gnttab_free_grant_references" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0x31dca4d8, "gnttab_claim_grant_reference" },
	{ 0xf27d0a7b, "gnttab_grant_foreign_access_ref" },
	{ 0x4b931968, "xen_features" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x91277b30, "blkdev_compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xeb833c22, "xen_has_pv_disk_devices" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x92997ed8, "_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1325c970, "__xenbus_register_frontend" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xe4646f16, "blk_mq_end_request" },
	{ 0x7ef1947f, "blk_mq_stop_hw_queues" },
	{ 0x5417537b, "__free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4cac72d, "gnttab_end_foreign_access" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2b0fe000, "gnttab_cancel_free_callback" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0xeb913f8a, "xenbus_dev_fatal" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "632B2CBD1DC9AA3795C6A81");

MODULE_INFO(suserelease, "SLE15-SP6");
