#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde5cee58, "pci_save_state" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x7ae624e1, "pci_wake_from_d3" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa43d5fb3, "mhi_sync_power_up" },
	{ 0x85ec0959, "mhi_power_down" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0xb7418de, "mhi_pm_resume" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xd2cf03c6, "pci_assign_resource" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xc7351402, "mhi_register_controller" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0ac352c, "mhi_soc_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xf6e6f2d1, "mhi_pm_suspend" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x4f791397, "_dev_err" },
	{ 0xfc76d71, "pci_load_saved_state" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x73cbb205, "pci_store_saved_state" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x8245996, "mhi_unregister_controller" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xf99cefe8, "pci_pme_capable" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x8cb76e6a, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x229e3e50, "pci_try_reset_function" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x5749ef63, "mhi_prepare_for_power_up" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mhi");

MODULE_ALIAS("pci:v000017CBd00000304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000017CBsd0000010Cbc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000018D7sd00000200bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv00001C5Dsd00002000bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002010bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000003F0d00000A6Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0A40482499B5E1038A34A0C");

MODULE_INFO(suserelease, "SLE15-SP6");
