#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x5c439e02, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x247135aa, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xae71627d, "");
SYMBOL_CRC(ipmi_get_smi_info, 0x62a4b621, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0xaca90ebd, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0x11039730, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0x96a6e5e8, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x1f65170f, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x80aa4656, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x882168e, "driver_register" },
	{ 0x102b117c, "init_srcu_struct" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd23dd3aa, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x6153760a, "synchronize_srcu" },
	{ 0x81063da9, "module_put" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc417c063, "device_remove_file" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9144e9b3, "driver_find_device" },
	{ 0x405be82d, "put_device" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x38493aaa, "platform_device_register" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4f791397, "_dev_err" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0x2fa39998, "rt_spin_trylock" },
	{ 0x754d539c, "strlen" },
	{ 0x9166fada, "strncpy" },
	{ 0x4caf1528, "platform_bus_type" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x495a4ebe, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1e3bf7a6, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0x983c1964, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c6a15fa, "panic_notifier_list" },
	{ 0xb08c3c9e, "atomic_notifier_chain_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "14F6B8B64BEC13DD9D653B5");

MODULE_INFO(suserelease, "SLE15-SP6");
