#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(atmel_i2c_init_read_cmd, 0x80a11b1d, "");
SYMBOL_CRC(atmel_i2c_init_random_cmd, 0xf283e995, "");
SYMBOL_CRC(atmel_i2c_init_genkey_cmd, 0xc71ed50c, "");
SYMBOL_CRC(atmel_i2c_init_ecdh_cmd, 0xb6c854bb, "");
SYMBOL_CRC(atmel_i2c_send_receive, 0x4bc766a8, "");
SYMBOL_CRC(atmel_i2c_enqueue, 0xd8d87e07, "");
SYMBOL_CRC(atmel_i2c_flush_queue, 0xc80f14e8, "");
SYMBOL_CRC(atmel_i2c_probe, 0x7da15b17, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x66860cd1, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x816739fe, "i2c_acpi_find_bus_speed" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "crc16");


MODULE_INFO(srcversion, "11A2CB896B88D6900A80A50");

MODULE_INFO(suserelease, "SLE15-SP6");
