#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_fault, 0x9c5ff556, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x75b8d048, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x0a7c961d, "");
SYMBOL_CRC(drm_sched_stop, 0xdd62c0c9, "");
SYMBOL_CRC(drm_sched_start, 0x0b4a708b, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x3d4091ae, "");
SYMBOL_CRC(drm_sched_job_init, 0x37dd1867, "");
SYMBOL_CRC(drm_sched_job_arm, 0xe964f5fb, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x05b01970, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x84c8a4f0, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x68512f7b, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x645917b1, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xa570ea68, "");
SYMBOL_CRC(drm_sched_pick_best, 0x06741d67, "");
SYMBOL_CRC(drm_sched_init, 0xf9105cdb, "");
SYMBOL_CRC(drm_sched_fini, 0x9fba1b52, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xd7e35d70, "");
SYMBOL_CRC(to_drm_sched_fence, 0xf52e35d5, "");
SYMBOL_CRC(drm_sched_entity_init, 0x218b9336, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x4f4e4978, "");
SYMBOL_CRC(drm_sched_entity_error, 0x145b15b4, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x33499547, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x2f8bdc45, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x08a0c1da, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x32bb1295, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xefa133e8, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb769f81, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x5a6cfdfd, "dma_fence_add_callback" },
	{ 0xd3f9567, "dma_fence_set_deadline" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5d9d139, "kthread_park" },
	{ 0x4debb267, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xf159eb9f, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5ff658a2, "dma_resv_iter_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x692002f6, "dma_fence_remove_callback" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xb90ada27, "drm_dev_printk" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x77eb172b, "dma_fence_signal" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x326d7d4f, "dma_fence_init" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x39e59554, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xbd3a062d, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7902a47f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd4f1b21c, "dma_resv_iter_first" },
	{ 0x52c95287, "xa_find_after" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6005846FD92D9CBA915C21F");

MODULE_INFO(suserelease, "SLE15-SP6");
