#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xa4faf62a, "acpi_disable_gpe" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x1344d7e6, "acpi_enable_gpe" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8f359580, "ishtp_device_init" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0xa4e721b1, "ishtp_send_resume" },
	{ 0x57452f5d, "ishtp_send_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19a37cd4, "ishtp_bus_remove_all_clients" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x5366ed61, "pci_pme_active" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x4f791397, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7d62b221, "ishtp_recv" },
	{ 0x30e5a76c, "ishtp_reset_compl_handler" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x6eef8388, "ishtp_start" },
	{ 0x23f203b8, "ishtp_reset_handler" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x6bf824fe, "pci_reset_function" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xf99cefe8, "pci_pme_capable" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "intel-ishtp");

MODULE_ALIAS("pci:v00008086d000022D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D35sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A37Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A135sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A78sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007745sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "26A4BF65C27512A8B444381");

MODULE_INFO(suserelease, "SLE15-SP6");
