#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__vmbus_driver_register, 0x685c9389, "_gpl");
SYMBOL_CRC(vmbus_driver_unregister, 0x956b866f, "_gpl");
SYMBOL_CRC(vmbus_device_unregister, 0xb8ccffc2, "_gpl");
SYMBOL_CRC(vmbus_allocate_mmio, 0x057615c2, "_gpl");
SYMBOL_CRC(vmbus_free_mmio, 0x31e2e77f, "_gpl");
SYMBOL_CRC(vmbus_connection, 0x2f5ea1a4, "_gpl");
SYMBOL_CRC(vmbus_proto_version, 0x46a417ca, "_gpl");
SYMBOL_CRC(vmbus_set_event, 0x0dc72b81, "_gpl");
SYMBOL_CRC(vmbus_setevent, 0x7cda6f4f, "_gpl");
SYMBOL_CRC(vmbus_free_ring, 0xda263e9c, "_gpl");
SYMBOL_CRC(vmbus_alloc_ring, 0xb927a27d, "_gpl");
SYMBOL_CRC(vmbus_send_tl_connect_request, 0x4b2210b8, "_gpl");
SYMBOL_CRC(vmbus_send_modifychannel, 0xa428e485, "_gpl");
SYMBOL_CRC(vmbus_establish_gpadl, 0x32479c36, "_gpl");
SYMBOL_CRC(vmbus_connect_ring, 0x65eaa4e6, "_gpl");
SYMBOL_CRC(vmbus_open, 0xcb9fc45a, "_gpl");
SYMBOL_CRC(vmbus_teardown_gpadl, 0x6ac96879, "_gpl");
SYMBOL_CRC(vmbus_disconnect_ring, 0xe0425b15, "_gpl");
SYMBOL_CRC(vmbus_close, 0x96aa9034, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_getid, 0x4c46e87b, "");
SYMBOL_CRC(vmbus_sendpacket, 0xed2d9e11, "");
SYMBOL_CRC(vmbus_sendpacket_pagebuffer, 0xd4dd115e, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_mpb_desc, 0x47d5502c, "_gpl");
SYMBOL_CRC(vmbus_recvpacket, 0x99509c44, "");
SYMBOL_CRC(vmbus_recvpacket_raw, 0xd7cf1b49, "_gpl");
SYMBOL_CRC(vmbus_next_request_id, 0xdb06938e, "_gpl");
SYMBOL_CRC(__vmbus_request_addr_match, 0xd8275e0b, "_gpl");
SYMBOL_CRC(vmbus_request_addr_match, 0x23873158, "_gpl");
SYMBOL_CRC(vmbus_request_addr, 0x07faea92, "_gpl");
SYMBOL_CRC(vmbus_prep_negotiate_resp, 0x321055cb, "_gpl");
SYMBOL_CRC(vmbus_hvsock_device_unregister, 0x6d0286cf, "_gpl");
SYMBOL_CRC(vmbus_set_sc_create_callback, 0xfdcb53a5, "_gpl");
SYMBOL_CRC(vmbus_set_chn_rescind_callback, 0x42ed4e2e, "_gpl");
SYMBOL_CRC(hv_ringbuffer_get_debuginfo, 0xdeb64bd9, "_gpl");
SYMBOL_CRC(hv_ringbuffer_spinlock_busy, 0xb80a07b6, "_gpl");
SYMBOL_CRC(hv_pkt_iter_first, 0x7b5af5bc, "_gpl");
SYMBOL_CRC(__hv_pkt_iter_next, 0x261c5ff8, "_gpl");
SYMBOL_CRC(hv_pkt_iter_close, 0xeeea7c04, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x31128b8e, "hv_remove_kexec_handler" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0xbd3f445c, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x80ba0bb, "driver_attach" },
	{ 0x83313941, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2f7487f, "hv_is_hibernation_supported" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x17bb799f, "kset_unregister" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x16dfbf36, "add_interrupt_randomness" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xd1cd0215, "get_device" },
	{ 0x9bad141d, "hv_hypercall_pg" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb75041d1, "hv_stimer_legacy_init" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e9bd4a3, "hv_alloc_hyperv_page" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c6a15fa, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0xfab52fab, "hv_set_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd23dd3aa, "atomic_notifier_chain_register" },
	{ 0x405be82d, "put_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0xcaf0271f, "hv_get_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20899467, "hv_stimer0_isr" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x53bbe35, "device_get_dma_attr" },
	{ 0xfbd1f13b, "driver_set_override" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfddeb056, "efi" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x13b9e193, "acpi_dev_resource_interrupt" },
	{ 0x755218a0, "hv_setup_dma_ops" },
	{ 0x7bb045a7, "__request_percpu_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc25b8971, "hv_remove_crash_handler" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x65704d22, "hv_stimer_cleanup" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x27df3105, "hv_alloc_hyperv_zeroed_page" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5defcef1, "vmap" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0x7d0e1d95, "hv_setup_crash_handler" },
	{ 0xffeca003, "device_register" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xba01ec83, "hv_stimer_global_cleanup" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8b89f01c, "hv_ghcb_hypercall" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbc6bec66, "free_percpu_irq" },
	{ 0x1cd44f98, "hyperv_paravisor_present" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0xab1e0e93, "hv_setup_kexec_handler" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x4de0e743, "pv_ops" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2ffedb6b, "hv_free_hyperv_page" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb08c3c9e, "atomic_notifier_chain_unregister" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xcb8a461c, "hv_stimer_legacy_cleanup" },
	{ 0x335c570f, "enable_percpu_irq" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x4c8adfe1, "hv_root_partition" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4475dcaf, "hv_nested" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xa96e8b4e, "hv_setup_vmbus_handler" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa68cde60, "set_primary_fwnode" },
	{ 0x77358855, "iomem_resource" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf21e1f9b, "disable_percpu_irq" },
	{ 0x6be3a96b, "hv_remove_vmbus_handler" },
	{ 0xa7973e26, "bus_register" },
	{ 0x671b470e, "kset_create_and_add" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:VMBUS:*");
MODULE_ALIAS("acpi*:VMBus:*");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbus");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbusC*");

MODULE_INFO(srcversion, "BA88D0E896C8B0A2EC66D83");

MODULE_INFO(suserelease, "SLE15-SP6");
