#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x889538bc, "iio_triggered_buffer_cleanup" },
	{ 0x7217b862, "iio_trigger_unregister" },
	{ 0x76026181, "iio_buffer_enabled" },
	{ 0x818435f8, "i2c_smbus_read_word_data" },
	{ 0x18cf7507, "i2c_client_get_device_id" },
	{ 0x38e8b634, "devm_iio_device_alloc" },
	{ 0x45d783ea, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x9892bd1e, "iio_read_mount_matrix" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x7410502a, "iio_triggered_buffer_setup_ext" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x79083e4f, "__iio_device_register" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xdc1db885, "acpi_match_device" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf02f03f5, "iio_device_id" },
	{ 0xfbb7db17, "__devm_iio_trigger_alloc" },
	{ 0x180b0d22, "iio_trigger_register" },
	{ 0xd1cd0215, "get_device" },
	{ 0x36d2e47a, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa256c1e, "iio_show_mount_matrix" },
	{ 0x3f77c874, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0x665b41c0, "i2c_smbus_read_byte_data" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb8a9ce8e, "i2c_smbus_write_byte_data" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd739e6bc, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x60e38117, "iio_push_to_buffers" },
	{ 0x644c5729, "iio_trigger_notify_done" },
	{ 0x41a20922, "iio_push_event" },
	{ 0x6277ac47, "iio_get_time_ns" },
	{ 0x640093d0, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b9ba72e, "iio_device_unregister" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio");

MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:SMO8500:*");

MODULE_INFO(srcversion, "829C29F2F69C3C09A6A6D80");

MODULE_INFO(suserelease, "SLE15-SP6");
