#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_clt_get_permit, 0x809e7841, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x0b91b075, "");
SYMBOL_CRC(rtrs_clt_open, 0xcd39dc63, "");
SYMBOL_CRC(rtrs_clt_close, 0x5c0e3c9a, "");
SYMBOL_CRC(rtrs_clt_request, 0xdedb47b2, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x4a2414f5, "");
SYMBOL_CRC(rtrs_clt_query, 0xb08de1ac, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x411ab6a1, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x83313941, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa29617c3, "rdma_resolve_addr" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x83fecbaa, "rtrs_post_recv_empty" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf16fa58, "ib_dereg_mr_user" },
	{ 0x3916f602, "ib_process_cq_direct" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x416eea30, "rtrs_iu_post_rdma_write_imm" },
	{ 0x5703abfc, "rtrs_iu_post_send" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaae76507, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb4a1ec1, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9939cc22, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x87637f7c, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0xd3300063, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x51c4c853, "rdma_resolve_route" },
	{ 0x34069af3, "rtrs_iu_free" },
	{ 0x9b153c5c, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6059e10c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5c8068d6, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x609de057, "kobj_sysfs_ops" },
	{ 0x5976357f, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0xd5d5a82f, "rtrs_iu_post_recv" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0x2e103377, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0xb523a9b0, "sysfs_remove_file_self" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x2a795e6d, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x608b2648, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xfe870d2a, "rdma_connect_locked" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x380a3814, "rdma_set_reuseaddr" },
	{ 0x163b8017, "kobject_create_and_add" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcdaed88d, "ib_dma_virt_map_sg" },
	{ 0xa85b477f, "kobject_del" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c6f2b38, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc80e195a, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x433e02b3, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x13e2bdb1, "rtrs_cq_qp_create" },
	{ 0x76c8ceaf, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0xfcfec890, "rtrs_init_hb" },
	{ 0xe8110c4c, "rdma_consumer_reject_data" },
	{ 0x60ed0965, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0x9352c74, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x39ab3d78, "rtrs_iu_alloc" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");

MODULE_INFO(suserelease, "SLE15-SP6");
