#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vb2_buffer_in_use, 0xb5848f64, "");
SYMBOL_CRC(vb2_core_querybuf, 0x2c427112, "_gpl");
SYMBOL_CRC(vb2_verify_memory_type, 0x9f0a6f41, "");
SYMBOL_CRC(vb2_core_reqbufs, 0x8d1251e2, "_gpl");
SYMBOL_CRC(vb2_core_create_bufs, 0x6e18ee84, "_gpl");
SYMBOL_CRC(vb2_plane_vaddr, 0x96d5c525, "_gpl");
SYMBOL_CRC(vb2_plane_cookie, 0x6871876f, "_gpl");
SYMBOL_CRC(vb2_buffer_done, 0x6bac6b8c, "_gpl");
SYMBOL_CRC(vb2_discard_done, 0x657e042c, "_gpl");
SYMBOL_CRC(vb2_request_object_is_buffer, 0x19f79b27, "_gpl");
SYMBOL_CRC(vb2_request_buffer_cnt, 0x708a5f1e, "_gpl");
SYMBOL_CRC(vb2_core_prepare_buf, 0x7ae2c8f7, "_gpl");
SYMBOL_CRC(vb2_core_qbuf, 0x015adb1e, "_gpl");
SYMBOL_CRC(vb2_wait_for_all_buffers, 0x1cf6ba82, "_gpl");
SYMBOL_CRC(vb2_core_dqbuf, 0x623d0f2e, "_gpl");
SYMBOL_CRC(vb2_core_streamon, 0x4a557b1c, "_gpl");
SYMBOL_CRC(vb2_queue_error, 0x115a396c, "_gpl");
SYMBOL_CRC(vb2_core_streamoff, 0xcecf82f8, "_gpl");
SYMBOL_CRC(vb2_core_expbuf, 0x6412eb22, "_gpl");
SYMBOL_CRC(vb2_mmap, 0x072f3a6d, "_gpl");
SYMBOL_CRC(vb2_core_queue_init, 0x9c6172cb, "_gpl");
SYMBOL_CRC(vb2_core_queue_release, 0xbeeb6f38, "_gpl");
SYMBOL_CRC(vb2_core_poll, 0x546ea360, "_gpl");
SYMBOL_CRC(vb2_read, 0xe4db15ec, "_gpl");
SYMBOL_CRC(vb2_write, 0x016e3898, "_gpl");
SYMBOL_CRC(vb2_thread_start, 0x764d3922, "_gpl");
SYMBOL_CRC(vb2_thread_stop, 0x46000766, "_gpl");
SYMBOL_CRC(get_vaddr_frames, 0xe20dfe0f, "");
SYMBOL_CRC(put_vaddr_frames, 0x1b700d37, "");
SYMBOL_CRC(frame_vector_to_pages, 0xc5e5573a, "");
SYMBOL_CRC(frame_vector_to_pfns, 0xdffb744b, "");
SYMBOL_CRC(frame_vector_create, 0x065246b8, "");
SYMBOL_CRC(frame_vector_destroy, 0x1d5f9555, "");
SYMBOL_CRC(__tracepoint_vb2_buf_done, 0xb255181f, "_gpl");
SYMBOL_CRC(__traceiter_vb2_buf_done, 0xf75ca232, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_buf_done, 0x9e5a964f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_buf_done, 0x4ed3fb1b, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_buf_queue, 0x5bb41492, "_gpl");
SYMBOL_CRC(__traceiter_vb2_buf_queue, 0xf978c675, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_buf_queue, 0x30f34ae8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_buf_queue, 0x2b5551d5, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_dqbuf, 0x23728d00, "_gpl");
SYMBOL_CRC(__traceiter_vb2_dqbuf, 0xd3266eac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_dqbuf, 0x57fd9f3a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_dqbuf, 0xc7920841, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_qbuf, 0xa9153fb0, "_gpl");
SYMBOL_CRC(__traceiter_vb2_qbuf, 0xd2843395, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_qbuf, 0x97d59f33, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_qbuf, 0xc54c863e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ceddadd, "pin_user_pages_fast" },
	{ 0xbd37dd8d, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xede50a1e, "media_request_object_unbind" },
	{ 0x6e8a3fda, "unpin_user_pages" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x460fba6d, "media_request_object_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x96c61f92, "media_request_put" },
	{ 0xa3521253, "mem_section" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5b537871, "dma_buf_get" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x5f79cc83, "dma_buf_put" },
	{ 0x937ebf1e, "media_request_object_bind" },
	{ 0x4f816d41, "dma_buf_fd" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "FE36994597187273A734F5B");

MODULE_INFO(suserelease, "SLE15-SP6");
