#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_video_mux, 0xf4893a8f, "");
SYMBOL_CRC(cx88_querycap, 0x67b6eded, "");
SYMBOL_CRC(cx88_enum_input, 0x955a4977, "");
SYMBOL_CRC(cx88_set_freq, 0x2702c7ad, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17f8333d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb27e582e, "vb2_dma_sg_memops" },
	{ 0x2b8464a4, "cx88_reset" },
	{ 0xba2ae256, "v4l2_ctrl_poll" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0x93c760d8, "cx88_wakeup" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x7f8fbf59, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x78a6d64d, "v4l2_ctrl_add_handler" },
	{ 0xc5528d11, "v4l2_i2c_new_subdev_board" },
	{ 0x11f52695, "cx88_set_scale" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xd048b6fc, "vb2_ops_wait_finish" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x6a0eae9, "cx88_shutdown" },
	{ 0xbf2f40e4, "cx88_vdev_init" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f84c7e7, "vb2_ioctl_querybuf" },
	{ 0xbc79e079, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad06b39f, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x84d53a0, "cx88_core_irq" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xbeb3aa12, "cx88_core_get" },
	{ 0x3d9daeb0, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7832e54b, "cx88_ir_stop" },
	{ 0x680aa018, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0x21fb7c9, "cx88_set_tvnorm" },
	{ 0x3806d5f5, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x69e00918, "v4l2_ctrl_find" },
	{ 0xb04dcc39, "cx88_ir_start" },
	{ 0x663ecb4c, "__v4l2_ctrl_s_ctrl" },
	{ 0x6871876f, "vb2_plane_cookie" },
	{ 0xe1eebe25, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x44ec11dc, "cx88_risc_buffer" },
	{ 0x7623d359, "v4l2_fh_release" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4decfda2, "cx88_set_stereo" },
	{ 0x6bac6b8c, "vb2_buffer_done" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xc5cd7113, "i2c_new_client_device" },
	{ 0xad47478e, "vb2_ioctl_qbuf" },
	{ 0x31ed4036, "vb2_fop_mmap" },
	{ 0x88398556, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xbb5a62fe, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30bc818a, "vb2_fop_read" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xb52b76fd, "cx88_sram_channel_dump" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b42ab98, "cx88_sram_channel_setup" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9316001e, "__video_register_device" },
	{ 0x45ac8be, "vb2_ops_wait_prepare" },
	{ 0x95e8ee24, "vb2_ioctl_streamon" },
	{ 0x34d5d318, "vb2_fop_poll" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x2e051930, "v4l2_i2c_new_subdev" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x3ed4e5, "cx88_newstation" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9b1bd50e, "vb2_ioctl_reqbufs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F82C2C71A3FB5A6ED5D72C8");

MODULE_INFO(suserelease, "SLE15-SP6");
