#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xbc1eeec5, "ttpci_budget_init" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x80bba343, "dvb_register_frontend" },
	{ 0x43407451, "dvb_ca_en50221_init" },
	{ 0x6bd23fde, "ttpci_budget_init_hooks" },
	{ 0x26068cab, "saa7146_vv_init" },
	{ 0x18179b13, "saa7146_register_device" },
	{ 0xee5def54, "saa7146_set_hps_source_and_sync" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x1e5010e5, "param_ops_short" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7948c222, "budget_debug" },
	{ 0x23d1ff75, "ttpci_budget_irq10_handler" },
	{ 0x92997ed8, "_printk" },
	{ 0x12f271f5, "dvb_unregister_frontend" },
	{ 0x174287a7, "dvb_frontend_detach" },
	{ 0xf08d6c0e, "ttpci_budget_deinit" },
	{ 0x37a0cba, "kfree" },
	{ 0xb825672a, "saa7146_setgpio" },
	{ 0xf00c636f, "dvb_ca_en50221_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb59465e, "saa7146_unregister_device" },
	{ 0xf15ca15a, "saa7146_vv_release" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0x7dad2f12, "i2c_transfer" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x89648398, "ttpci_budget_set_video_port" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xad697633, "ttpci_budget_debiread" },
	{ 0xe0b18d5e, "dvb_frontend_reinitialise" },
	{ 0xe3bc57b5, "ttpci_budget_debiwrite" },
	{ 0x62e8641, "saa7146_register_extension" },
	{ 0xcaa8e01f, "saa7146_unregister_extension" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "budget-core,dvb-core,saa7146_vv,saa7146,videodev");

MODULE_ALIAS("pci:v00001131d00007146sv00001131sd00004F56bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001131sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001131sd00000011bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000011bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000014bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000015bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000019bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000001Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000001Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000001Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000001Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000002Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000002Cbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd0000003Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000020bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000021bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000022bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000028bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000023bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000030bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv00001894sd00000031bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv0000153Bsd00001154bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv0000153Bsd00001155bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv0000153Bsd00001156bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv0000153Bsd00001176bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv0000153Bsd00001157bc*sc*i*");

MODULE_INFO(srcversion, "1AA5682D2EC1DDE3AC31030");

MODULE_INFO(suserelease, "SLE15-SP6");
