#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x754d539c, "strlen" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xd228c316, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0x9c12c61f, "usb_ifnum_to_if" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xedf68171, "input_allocate_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x10b4f146, "input_register_device" },
	{ 0x5457e9f1, "rc_allocate_device" },
	{ 0xe30fd140, "rc_register_device" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x92cd261e, "usb_register_dev" },
	{ 0xefbea897, "input_set_abs_params" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4f791397, "_dev_err" },
	{ 0x1be99654, "input_free_device" },
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x8555e6b7, "rc_free_device" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x26b7e2c8, "rc_unregister_device" },
	{ 0xbe81fae1, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x244f3a1a, "rc_g_keycode_from_table" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x232ee7c3, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf9c842e9, "input_event" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xd638bd75, "rc_keyup" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x92997ed8, "_printk" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xa6257a2f, "complete" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A3DCA9B273EA8D0AB2ACB45");

MODULE_INFO(suserelease, "SLE15-SP6");
