#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_usbv2_probe, 0x61262b39, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x3f58f324, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x11bc5d16, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xa7958bac, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xb2663ec1, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xce1286b8, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x5ba4353e, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x61c1aba9, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xb9f94815, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48cea81a, "dvb_dmxdev_init" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x893a4878, "media_device_unregister" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x62fe70e2, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb67e5f92, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x2a51421a, "i2c_del_adapter" },
	{ 0x62728f1a, "media_device_cleanup" },
	{ 0xf34f0f21, "dvb_dmx_swfilter_204" },
	{ 0xacf60b87, "dvb_dmx_release" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe30fd140, "rc_register_device" },
	{ 0x1345a551, "dvb_net_init" },
	{ 0xb45248e8, "dvb_dmx_swfilter" },
	{ 0x46ccb723, "dvb_dmxdev_release" },
	{ 0x8555e6b7, "rc_free_device" },
	{ 0xd74bcc47, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x174287a7, "dvb_frontend_detach" },
	{ 0x82cfec96, "i2c_add_adapter" },
	{ 0xe6619660, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5457e9f1, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x12f271f5, "dvb_unregister_frontend" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7caefdc1, "__media_device_usb_init" },
	{ 0xd92ed471, "dvb_frontend_resume" },
	{ 0x80bba343, "dvb_register_frontend" },
	{ 0xbabf2074, "dvb_frontend_suspend" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xe998b1b0, "dvb_create_media_graph" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3592d171, "dvb_unregister_adapter" },
	{ 0x41eeade8, "dvb_dmx_init" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x26b7e2c8, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "SLE15-SP6");
