#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xba2ae256, "v4l2_ctrl_poll" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x3e155678, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc013aa9, "v4l2_fh_add" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x680aa018, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x2a51421a, "i2c_del_adapter" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f791397, "_dev_err" },
	{ 0x88316e4a, "usb_free_coherent" },
	{ 0x7623d359, "v4l2_fh_release" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0x9af644af, "v4l2_fh_init" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0xc5cd7113, "i2c_new_client_device" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x592dcda6, "v4l2_device_disconnect" },
	{ 0xcff41944, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x82cfec96, "i2c_add_adapter" },
	{ 0xdd64e639, "strscpy" },
	{ 0x98ec2bf7, "v4l2_ctrl_activate" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x9316001e, "__video_register_device" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x784092d7, "v4l2_ctrl_log_status" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x561fa0a2, "v4l2_ctrl_cluster" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");

MODULE_INFO(suserelease, "SLE15-SP6");
