#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x870ca828, "mptscsih_resume" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x92a7eff0, "mptscsih_remove" },
	{ 0xc65e6218, "mptscsih_is_phys_disk" },
	{ 0x3affb9f8, "mptscsih_qcmd" },
	{ 0x9a8deded, "scsi_done" },
	{ 0xc732f29d, "mptscsih_event_process" },
	{ 0x622096cf, "mpt_findImVolumes" },
	{ 0x3e70034f, "__scsi_iterate_devices" },
	{ 0xbfe1c6c1, "scsi_scan_target" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0xba1f06ef, "mptscsih_slave_configure" },
	{ 0x5060544e, "mptscsih_ioc_reset" },
	{ 0x9a13bd5c, "scsi_device_lookup_by_target" },
	{ 0x47da9878, "sdev_prefix_printk" },
	{ 0x597c114e, "mptscsih_slave_destroy" },
	{ 0xda84f679, "mptscsih_raid_id_to_num" },
	{ 0xb67552d1, "mpt_attach" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x5372a769, "mptscsih_IssueTaskMgmt" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x9bbb67d2, "mptscsih_suspend" },
	{ 0x760de23, "mptscsih_shutdown" },
	{ 0x6af718bf, "mptscsih_info" },
	{ 0xa8c9cfab, "mptscsih_abort" },
	{ 0x58709d9d, "mptscsih_dev_reset" },
	{ 0x2de066a4, "mptscsih_bus_reset" },
	{ 0xcf467887, "mptscsih_host_reset" },
	{ 0x75e237a3, "mptscsih_change_queue_depth" },
	{ 0x2dba4555, "mptscsih_bios_param" },
	{ 0xece2a34d, "mptscsih_show_info" },
	{ 0x2d255879, "mptscsih_host_attr_groups" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x5482c952, "spi_attach_transport" },
	{ 0xf02c5249, "mptscsih_io_done" },
	{ 0x2dfe71dd, "mpt_register" },
	{ 0x63148bea, "mptscsih_taskmgmt_complete" },
	{ 0xd4a9c3e8, "mptscsih_scandv_complete" },
	{ 0xdad1b766, "mpt_event_register" },
	{ 0x3535dff5, "mpt_reset_register" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x89eea3db, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x8ac135c7, "mpt_config" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x353f8047, "_dev_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7ac1c193, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8544b71, "mpt_put_msg_frame" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x3e06290c, "mpt_HardResetHandler" },
	{ 0xe9b02d48, "mpt_free_msg_frame" },
	{ 0x6e75d161, "spi_dv_device" },
	{ 0x24262175, "spi_display_xfer_agreement" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mptscsih,scsi_mod,mptbase,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "SLE15-SP6");
