#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x7c34fe0a, "_gpl");
SYMBOL_CRC(mei_reset, 0x90fef317, "_gpl");
SYMBOL_CRC(mei_start, 0x9a609a92, "_gpl");
SYMBOL_CRC(mei_restart, 0xf80de14e, "_gpl");
SYMBOL_CRC(mei_stop, 0xe0544148, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x26f86590, "_gpl");
SYMBOL_CRC(mei_device_init, 0xac240a8d, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0xf7e499b1, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xd0c75d8f, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x8b17eb76, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x3e9254b7, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0xb747c07b, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xf82b94b4, "_gpl");
SYMBOL_CRC(mei_register, 0x7e60bd33, "_gpl");
SYMBOL_CRC(mei_deregister, 0x93f5d5ae, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x4ae5e0d9, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0x77657f09, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x1dcc1aad, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x7ae7d325, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0x58dd028f, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xf1c11c30, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xf316dfd2, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0x5cd2b740, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x665645b4, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xbd37120e, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xe6db5f5a, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x15e4bb7f, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0xf5ce619a, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0xec4eaffe, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x41bae455, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xad157dce, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x014e1bcd, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x7b12073b, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x989005a8, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x6693dccf, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0xeab9d10d, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x4d3908f6, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xf7f1ba00, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x93f6c526, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x9710111d, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x8fb35c54, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x312d0526, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x5c6c5973, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x39996496, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0xedc18d43, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x62f59161, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0xd96de6f2, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x0badab0e, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53d8e4d0, "dmam_alloc_attrs" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xb4bcacbc, "kill_fasync" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x36d2e47a, "__module_get" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b9fd43, "debugfs_read_file_bool" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0xa0563045, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5911156e, "debugfs_write_file_bool" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x81063da9, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9efd899d, "compat_ptr_ioctl" },
	{ 0xc94b7610, "cdev_add" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x6059e10c, "device_add" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xcc4c04da, "fasync_helper" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x2e103377, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a795e6d, "device_del" },
	{ 0xb9ebc9bb, "dmam_free_coherent" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xe46b2c43, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x6050cce0, "nonseekable_open" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d73e908, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a1a514, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x3277b53f, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d6041dc, "class_find_device" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C3F6AB4194DB1276465D6E");

MODULE_INFO(suserelease, "SLE15-SP6");
