#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vmci_context_get_priv_flags, 0x5591b58e, "_gpl");
SYMBOL_CRC(vmci_is_context_owner, 0xc403cafe, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle_priv, 0xde3abc2e, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle, 0x046dd187, "_gpl");
SYMBOL_CRC(vmci_datagram_destroy_handle, 0x3a22fa8a, "_gpl");
SYMBOL_CRC(vmci_datagram_send, 0xea143610, "_gpl");
SYMBOL_CRC(vmci_doorbell_create, 0xb572e830, "_gpl");
SYMBOL_CRC(vmci_doorbell_destroy, 0x5e949e0a, "_gpl");
SYMBOL_CRC(vmci_doorbell_notify, 0xbcb85f62, "_gpl");
SYMBOL_CRC(vmci_get_context_id, 0x056837fb, "_gpl");
SYMBOL_CRC(vmci_register_vsock_callback, 0x787f0fe8, "_gpl");
SYMBOL_CRC(vmci_event_subscribe, 0x2449459d, "_gpl");
SYMBOL_CRC(vmci_event_unsubscribe, 0xe11895c1, "_gpl");
SYMBOL_CRC(vmci_send_datagram, 0x75fe065a, "_gpl");
SYMBOL_CRC(vmci_qpair_alloc, 0xe0cc9c92, "_gpl");
SYMBOL_CRC(vmci_qpair_detach, 0x612df9ae, "_gpl");
SYMBOL_CRC(vmci_qpair_get_produce_indexes, 0x1fd4782d, "_gpl");
SYMBOL_CRC(vmci_qpair_get_consume_indexes, 0xc04c7e84, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_free_space, 0x024d14bc, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_free_space, 0x676bd843, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_buf_ready, 0xea61eefe, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_buf_ready, 0x7c74d7a6, "_gpl");
SYMBOL_CRC(vmci_qpair_enqueue, 0xe67343c1, "_gpl");
SYMBOL_CRC(vmci_qpair_dequeue, 0x81d61eef, "_gpl");
SYMBOL_CRC(vmci_qpair_peek, 0x4ba5c46b, "_gpl");
SYMBOL_CRC(vmci_qpair_enquev, 0x65c6584a, "_gpl");
SYMBOL_CRC(vmci_qpair_dequev, 0x61291409, "_gpl");
SYMBOL_CRC(vmci_qpair_peekv, 0x6ba1e879, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x39884ff6, "get_user_pages_fast" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabcc2e7, "__put_cred" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9efd899d, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe61d584b, "pci_iomap_range" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x5defcef1, "vmap" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x88398556, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1da8e3b, "set_page_dirty_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015ADd00000740sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4ADFACADE733A5F32639497");

MODULE_INFO(suserelease, "SLE15-SP6");
