#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11dd4970, "sdhci_end_tuning" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0x5f57d341, "sdhci_set_bus_width" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0x3603f24e, "sdhci_send_tuning" },
	{ 0xacc2f23d, "sdhci_cqe_irq" },
	{ 0xb295a2dc, "sdhci_start_signal_voltage_switch" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x7f2922ba, "mmc_gpiod_request_cd" },
	{ 0xd22f82a, "cqhci_init" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xc2c09d6c, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x540e8d0a, "__sdhci_read_caps" },
	{ 0xfc2df39e, "sdhci_set_uhs_signaling" },
	{ 0xbb7543f8, "cqhci_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xef57896, "sdhci_reset" },
	{ 0xf15d8012, "sdhci_calc_clk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae7ea15, "sdhci_enable_clk" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x9e9e24c5, "mmc_gpio_set_cd_wake" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6768ec40, "acpi_device_fix_up_power_extended" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0xb232584f, "mmc_gpio_get_cd" },
	{ 0xc5f42877, "sdhci_suspend_host" },
	{ 0x2e622998, "device_wakeup_disable" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0x982a1e14, "sdhci_runtime_resume_host" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3c2c5467, "sdhci_runtime_suspend_host" },
	{ 0x2a378399, "device_wakeup_enable" },
	{ 0x88af5893, "sdhci_setup_host" },
	{ 0x689c59d, "sdhci_set_ios" },
	{ 0xabc2e428, "sdhci_dumpregs" },
	{ 0xefa17fd4, "sdhci_cqe_disable" },
	{ 0xcf0a5918, "__sdhci_add_host" },
	{ 0xd62275f2, "sdhci_reset_tuning" },
	{ 0xb26bfa45, "sdhci_abort_tuning" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x1e36e33f, "sdhci_set_clock" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc66026f2, "sdhci_start_tuning" },
	{ 0x9b28e8f4, "sdhci_execute_tuning" },
	{ 0x230e5549, "cqhci_deactivate" },
	{ 0xa88f437a, "sdhci_free_host" },
	{ 0xfa53f818, "sdhci_add_host" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xe8ba66a0, "debugfs_create_x32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc2781831, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0xaf5e0a8d, "sdhci_cleanup_host" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x61534030, "sdhci_resume_host" },
	{ 0xe2a62416, "sdhci_alloc_host" },
	{ 0x3cac7b54, "mmc_send_tuning" },
	{ 0x21e7fc1c, "sdhci_cqe_enable" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x508c11b6, "sdhci_get_cd_nogpio" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x8326f200, "sdhci_set_power" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x2174e3d7, "sdhci_remove_host" },
	{ 0xfd16223f, "sdhci_enable_v4_mode" },
	{ 0x1644d681, "cqhci_resume" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core,cqhci");

MODULE_ALIAS("pci:v00001180d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d00000843sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000550sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000551sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002381sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002382sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002391sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d000095D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000084Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000880Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv00001093sd00007884bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F16sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002294sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002295sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002296sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001190sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DF5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A375sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B48sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016E6d00000670sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016C3d0000C202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d0000E763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d*sv*sd*bc08sc05i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc08sc05i*");

MODULE_INFO(srcversion, "BAEB6CE468381CDB25E3B2A");

MODULE_INFO(suserelease, "SLE15-SP6");
