#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ubi_do_get_device_info, 0x6611e5fe, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x1ff744bc, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x3bf809ff, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x7b2e03ab, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x62189875, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xa0e628d8, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x4e8b4c45, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xa4e95050, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xc3e40a0d, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x0c7b5040, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x3fdffd34, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x75310b86, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x3b93a4e2, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x53b0dee9, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa3368c7d, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x282701ef, "cdev_device_del" },
	{ 0x83313941, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xd1cd0215, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xac3219f8, "get_mtd_device_nm" },
	{ 0xafea3586, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbc6bc628, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8343c56a, "get_mtd_device" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9f7a4f3, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xcd2ba9b, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9efd899d, "compat_ptr_ioctl" },
	{ 0xc94b7610, "cdev_add" },
	{ 0xac01ac36, "mtd_block_markbad" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc5fa565f, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x36b4f263, "put_mtd_device" },
	{ 0x2e103377, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc8ccfbb0, "mtd_read" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0xffeca003, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0xb1a5fbd, "kern_path" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xcece8928, "mtd_erase" },
	{ 0x75431171, "down_write_trylock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69d3d223, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xb2674700, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb713b301, "mtd_get_device_size" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbde18153, "seq_open" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x5f719309, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "C53B981702A9F34B844BD85");

MODULE_INFO(suserelease, "SLE15-SP6");
