#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(felix_switch_ops, 0xd00bf57f, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xe2ae14c7, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xa7987558, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac32802a, "ocelot_vlan_prepare" },
	{ 0xab2704ec, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x19e50eae, "ocelot_set_ageing_time" },
	{ 0xfbc06e8e, "__ocelot_rmw_ix" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x5f5ee7fe, "ocelot_hwstamp_set" },
	{ 0x2543ac6f, "ocelot_port_policer_del" },
	{ 0x3dad41a6, "ocelot_port_lag_change" },
	{ 0x70421f21, "consume_skb" },
	{ 0x87fb0a69, "ocelot_port_policer_add" },
	{ 0xc40c76f5, "ocelot_port_mdb_add" },
	{ 0xb4f89d2b, "ocelot_vlan_add" },
	{ 0xe83a7d3b, "ocelot_sb_tc_pool_bind_get" },
	{ 0x8e1c0e12, "ocelot_port_bridge_flags" },
	{ 0x1dd42e6a, "ocelot_devlink_sb_unregister" },
	{ 0x6c89cb50, "ocelot_port_bridge_leave" },
	{ 0x242f5981, "ocelot_port_set_maxlen" },
	{ 0x47193309, "ocelot_get_max_mtu" },
	{ 0x96a29780, "ocelot_vcap_filter_replace" },
	{ 0x1ecdf5ba, "regmap_fields_update_bits_base" },
	{ 0x4c1ce198, "ocelot_sb_occ_snapshot" },
	{ 0xa859bfd2, "ocelot_get_ts_info" },
	{ 0xd64612c6, "ocelot_sb_occ_max_clear" },
	{ 0x10d6a945, "ocelot_port_get_mm" },
	{ 0xa250e1ad, "ocelot_ptp_gettime64" },
	{ 0x2ef0da8b, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fadcdfe, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x96dd9f, "ocelot_port_add_dscp_prio" },
	{ 0xc1f7ffae, "ocelot_drain_cpu_queue" },
	{ 0x291386bc, "ocelot_port_mirror_del" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x11de349c, "__ocelot_read_ix" },
	{ 0x740a1489, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1e3a7bf2, "dsa_port_from_netdev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa1835e35, "ocelot_get_sset_count" },
	{ 0x67490f57, "ocelot_migrate_mdbs" },
	{ 0x44d3146d, "ocelot_hwstamp_get" },
	{ 0x3ed4a826, "ocelot_port_txtstamp_request" },
	{ 0xfa9cac07, "ocelot_port_bridge_join" },
	{ 0x74a3a066, "ocelot_fdb_add" },
	{ 0x4c2d744b, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xbffb7fbe, "ocelot_xtr_poll_frame" },
	{ 0x99cd7d7e, "ocelot_port_get_default_prio" },
	{ 0xd66bb2c4, "ptp_classify_raw" },
	{ 0x1de3de03, "ocelot_port_set_default_prio" },
	{ 0x3b384b3e, "dsa_tag_8021q_register" },
	{ 0xcda3cca3, "ocelot_port_get_mm_stats" },
	{ 0x6641f88a, "ocelot_deinit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x7775d568, "ocelot_vlan_del" },
	{ 0xbe93de8e, "ocelot_bond_get_id" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x57cb1409, "ocelot_get_ethtool_stats" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x1d80c60e, "ocelot_cls_flower_destroy" },
	{ 0x3c4eba5a, "ocelot_port_vlan_filtering" },
	{ 0xc1c27952, "ocelot_port_get_rmon_stats" },
	{ 0x4fe72d14, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x22a84f8e, "ocelot_lag_fdb_add" },
	{ 0xc8c587b0, "ocelot_bridge_stp_state_set" },
	{ 0x68a18d0f, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x53e250a8, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xbc718626, "ocelot_fdb_del" },
	{ 0x7b514d33, "ocelot_phylink_mac_link_down" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x729288b7, "ocelot_port_lag_join" },
	{ 0xb571678a, "ocelot_port_get_eth_phy_stats" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe334cdcb, "ocelot_port_lag_leave" },
	{ 0x5ae99d68, "ocelot_mrp_add_ring_role" },
	{ 0xc28c6624, "ocelot_port_set_mm" },
	{ 0x65ce0083, "ocelot_deinit_timestamp" },
	{ 0xd7330aa1, "ocelot_cls_flower_replace" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x7402b758, "ocelot_port_get_stats64" },
	{ 0x564d944f, "ocelot_port_get_dscp_prio" },
	{ 0x10972af1, "ocelot_port_mdb_del" },
	{ 0x1c5a7e7c, "ocelot_port_get_eth_mac_stats" },
	{ 0x5b6250a, "ocelot_mact_flush" },
	{ 0xb0d689ba, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd92370c3, "ocelot_port_pre_bridge_flags" },
	{ 0x219d7764, "ocelot_port_del_dscp_prio" },
	{ 0xb1934b55, "ocelot_mrp_del_ring_role" },
	{ 0x5f0ad108, "ocelot_sb_tc_pool_bind_set" },
	{ 0x4a209928, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8ae5dc7b, "dsa_mdb_present_in_other_db" },
	{ 0xf8755d1a, "ocelot_sb_port_pool_get" },
	{ 0x4fae62c0, "ocelot_vcap_filter_add" },
	{ 0x94668d7a, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x72e621b5, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x10809312, "ocelot_port_inject_frame" },
	{ 0x15b52b61, "ocelot_mrp_add" },
	{ 0x2681c9d1, "ocelot_sb_occ_port_pool_get" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xb28277fe, "ocelot_sb_pool_set" },
	{ 0xa41bd41b, "ocelot_lag_fdb_del" },
	{ 0x424eaa5, "ocelot_vcap_filter_del" },
	{ 0x5ac6fd89, "ocelot_cls_flower_stats" },
	{ 0x5b369de6, "ocelot_sb_pool_get" },
	{ 0xa35f7498, "ocelot_phylink_mac_link_up" },
	{ 0xad305ae2, "ocelot_deinit_port" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cd2246, "ocelot_can_inject" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x72ad0f5c, "ocelot_port_mirror_add" },
	{ 0x574b65f7, "ocelot_fdb_dump" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "BECEE98C025219439A1D389");

MODULE_INFO(suserelease, "SLE15-SP6");
