#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(stmmac_bus_clks_config, 0x158d4da6, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x3ebd35e3, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x53a26c66, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xf82fe71d, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x6f4f9462, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xdbf8fe66, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96f5d344, "mdiobus_alloc_size" },
	{ 0x79c13cdd, "__tracepoint_xdp_exception" },
	{ 0x8118265b, "xsk_tx_completed" },
	{ 0x639c1e4a, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x11670c58, "xp_alloc" },
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x475ce827, "bpf_prog_put" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5cc49dc8, "xp_dma_map" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xabe460aa, "skb_put" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4c30a1b, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0x70421f21, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x79683ccd, "bpf_warn_invalid_xdp_action" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0xa0adb1cd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xe9409a90, "xdp_features_set_redirect_target" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x329838d8, "hrtimer_init" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0xd80e13fe, "get_device_system_crosststamp" },
	{ 0xa621da0, "ptp_clock_index" },
	{ 0x1090fc72, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x450174e0, "page_pool_destroy" },
	{ 0x57dcd9f4, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x3ad01691, "flow_rule_match_ipv4_addrs" },
	{ 0xb79a1d9e, "xdp_rxq_info_unreg_mem_model" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x17589130, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x62461379, "pinctrl_pm_select_default_state" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xd6365b46, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd95674e, "pm_wakeup_dev_event" },
	{ 0xa0b69a41, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x40fff054, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96fc4d93, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xc9c73921, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xc93048ba, "netdev_pick_tx" },
	{ 0x337a757f, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa083ce2e, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfd25907e, "xdp_rxq_info_is_reg" },
	{ 0x799184bf, "devm_alloc_etherdev_mqs" },
	{ 0xc948c553, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x196e66dc, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x93bfdbc5, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x4f791397, "_dev_err" },
	{ 0x464c390, "xpcs_destroy" },
	{ 0x3f135c38, "pinctrl_pm_select_sleep_state" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xaa714cf, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x42757895, "ptp_clock_register" },
	{ 0x2fb09ae0, "xp_dma_sync_for_cpu_slow" },
	{ 0xf4b680ad, "xsk_tx_peek_desc" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x906522c5, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xbe0e4782, "xsk_clear_rx_need_wakeup" },
	{ 0x743818d1, "xpcs_get_interfaces" },
	{ 0xbbd5453f, "mdio_device_create" },
	{ 0x34f7f392, "xsk_uses_need_wakeup" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x23c65374, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd6d1cfbc, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x67b736ee, "__SCK__tp_func_xdp_exception" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xbdf30f15, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x77572e15, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x4bf86372, "flow_rule_match_ports" },
	{ 0xd42fedb7, "phylink_fwnode_phy_connect" },
	{ 0xd84f69e7, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5e440702, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xfe28ab7e, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb936236, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x84bc448a, "ptp_clock_unregister" },
	{ 0xea13c865, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x1a0ed805, "xpcs_get_an_mode" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e268664, "xdp_return_frame_rx_napi" },
	{ 0x9529c21c, "netdev_alert" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x56c7bf33, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x8965c6fb, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x5bbd1b0a, "xsk_set_tx_need_wakeup" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ef8cfd4, "xp_set_rxq_info" },
	{ 0x22735e8c, "flow_rule_match_vlan" },
	{ 0x363d9f16, "xdp_rxq_info_unreg" },
	{ 0xb16c1145, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd976c88a, "__xdp_rxq_info_reg" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x914cb7ad, "mdiobus_get_phy" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xfded4be, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8073d9bf, "hrtimer_cancel" },
	{ 0xb33751cf, "xp_free" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x9307c753, "xpcs_create" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3905ac13, "xdp_master_redirect" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xdd75771b, "eth_header_parse_protocol" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x9c69a85f, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeadbe06, "ethtool_op_get_ts_info" },
	{ 0x1d939156, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xf9a095ce, "page_pool_put_unrefed_page" },
	{ 0x81a70ec0, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libphy,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "E701D7350ACE6D00BC0EAB4");

MODULE_INFO(suserelease, "SLE15-SP6");
