#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0x61c8f530, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xcc6a878d, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xa6286fed, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x3144edb5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfb39ba40, "call_netdevice_notifiers" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x65a3a4e4, "netdev_is_rx_handler_busy" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xa4d082ae, "netdev_rx_handler_register" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x4ba12c5f, "netdev_upper_dev_link" },
	{ 0xb64d2a4f, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfcb9bf0f, "dev_uc_sync" },
	{ 0xf63c05c2, "dev_mc_sync" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x76aaa493, "__dev_forward_skb" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x70421f21, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0xf1b1a702, "dev_forward_skb" },
	{ 0xbf16df3c, "netpoll_send_skb" },
	{ 0x9a7336d0, "__netif_rx" },
	{ 0x30e96d1c, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x398ddae8, "netdev_core_stats_inc" },
	{ 0xb140b962, "passthru_features_check" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x231a8cfd, "ndo_dflt_fdb_dump" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x6e9a9385, "eth_header_parse" },
	{ 0x9f4cb120, "eth_header_cache" },
	{ 0xc99e004, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x257ec672, "ether_setup" },
	{ 0xbf328441, "__ethtool_get_link_ksettings" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb24662f1, "dev_mc_del" },
	{ 0x57995946, "dev_uc_del" },
	{ 0xb5182261, "dev_mc_add_excl" },
	{ 0x9509fc61, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xcb8f040f, "__netpoll_free" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xc25bf643, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d3c8f67, "vlan_vid_del" },
	{ 0xeee2ebf5, "vlan_vid_add" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x5fa77e9f, "dev_uc_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19f77a01, "dev_set_allmulti" },
	{ 0xdf65fc63, "dev_set_promiscuity" },
	{ 0x97dad507, "dev_uc_unsync" },
	{ 0xc23a2c13, "dev_mc_unsync" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x34e76cce, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x2c401a6d, "dev_set_mac_address" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0xafc6557d, "netif_inherit_tso_max" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0x25706147, "netif_stacked_transfer_operstate" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "SLE15-SP6");
