#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(phy_print_status, 0xc1fa3a53, "");
SYMBOL_CRC(phy_get_rate_matching, 0x8adc3eab, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x5dbe08c3, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x24b91a27, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xaa60f16a, "");
SYMBOL_CRC(phy_mii_ioctl, 0xbb12f82a, "");
SYMBOL_CRC(phy_do_ioctl, 0xf2c85991, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x8fc04fef, "");
SYMBOL_CRC(phy_queue_state_machine, 0x7864fa30, "");
SYMBOL_CRC(phy_trigger_machine, 0x85103d20, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x4aa3e1c8, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x73637098, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x1f66597f, "");
SYMBOL_CRC(phy_start_cable_test, 0x5822f231, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xca518993, "");
SYMBOL_CRC(phy_config_aneg, 0xb1e6baa7, "");
SYMBOL_CRC(phy_start_aneg, 0x6734e34e, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0xb45f3304, "");
SYMBOL_CRC(phy_speed_down, 0xf9708015, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x31b8f6cf, "_gpl");
SYMBOL_CRC(phy_start_machine, 0xf6d0d400, "_gpl");
SYMBOL_CRC(phy_error, 0x18a1fc13, "");
SYMBOL_CRC(phy_request_interrupt, 0x5ea3f0c3, "");
SYMBOL_CRC(phy_free_interrupt, 0xa03d93b7, "");
SYMBOL_CRC(phy_stop, 0x0d346554, "");
SYMBOL_CRC(phy_start, 0xdd1ef913, "");
SYMBOL_CRC(phy_mac_interrupt, 0xfc1c129d, "");
SYMBOL_CRC(phy_init_eee, 0x337a757f, "");
SYMBOL_CRC(phy_get_eee_err, 0xb9cacd6f, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x00636cf8, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xd60080a3, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x723b90bf, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x497096e8, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x093f6d4c, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x2672fb23, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x4abcf04f, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xd86a7fa4, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0xb1cdb8b4, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x1b562be1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x831555a1, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0xc6ba8ffc, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x8442e1b9, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xfd3fd7fa, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x8ad4c98b, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x574ed902, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x17f2b3e5, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xa25c7344, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x94dcfab0, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x38161155, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xb422102f, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x549a4525, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xfe79bbab, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x218d2954, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xd8b0a058, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x74fe699e, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xb04c97db, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x41873df6, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xb6a1cf6b, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x530fd1eb, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x037caf18, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x73fe5604, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x120a5be2, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xb6710a58, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x9139b9e6, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x0d3fb7d4, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xc95c5919, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x13645710, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x5fbffbee, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xdfd7602b, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x244b40ac, "");
SYMBOL_CRC(phy_read_mmd, 0xf859c862, "");
SYMBOL_CRC(__phy_write_mmd, 0x49916611, "");
SYMBOL_CRC(phy_write_mmd, 0x51f2d6b1, "");
SYMBOL_CRC(phy_modify_changed, 0x1cef2a7e, "_gpl");
SYMBOL_CRC(__phy_modify, 0x45e355c4, "_gpl");
SYMBOL_CRC(phy_modify, 0xcbc668e5, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xd17beb5d, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x86b1a3bc, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xf88a39d8, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xeed48b2e, "_gpl");
SYMBOL_CRC(phy_save_page, 0xd3a16e7d, "_gpl");
SYMBOL_CRC(phy_select_page, 0xa874da5c, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xac538db8, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x88738d61, "");
SYMBOL_CRC(phy_write_paged, 0xc2afc6e8, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xbb0a3e46, "");
SYMBOL_CRC(phy_modify_paged, 0x97206a8b, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0xce14d1e3, "");
SYMBOL_CRC(phy_register_fixup, 0x3dcba9d3, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xe450c531, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xb0430215, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xc73a36eb, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x52c58cb2, "");
SYMBOL_CRC(get_phy_device, 0xc7953eec, "");
SYMBOL_CRC(phy_device_register, 0x65cecb7e, "");
SYMBOL_CRC(phy_device_remove, 0x0c5e6309, "");
SYMBOL_CRC(phy_get_c45_ids, 0x231bf81f, "");
SYMBOL_CRC(phy_find_first, 0x39b29b74, "");
SYMBOL_CRC(phy_connect_direct, 0x7e48a84d, "");
SYMBOL_CRC(phy_connect, 0x477615df, "");
SYMBOL_CRC(phy_disconnect, 0xc893822a, "");
SYMBOL_CRC(phy_init_hw, 0x2ef5b0af, "");
SYMBOL_CRC(phy_attached_info, 0x1090fc72, "");
SYMBOL_CRC(phy_attached_info_irq, 0x26f68c06, "");
SYMBOL_CRC(phy_attached_print, 0x473b6b2a, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x78da7287, "");
SYMBOL_CRC(phy_attach_direct, 0x87bc73f9, "");
SYMBOL_CRC(phy_attach, 0x7cd71d8a, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xf34a415f, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x723d1b2a, "_gpl");
SYMBOL_CRC(phy_package_join, 0xeb46d06d, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x27cafbb8, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x68d3f8f0, "_gpl");
SYMBOL_CRC(phy_detach, 0x41ab73b5, "");
SYMBOL_CRC(phy_suspend, 0x3e5b3bd3, "");
SYMBOL_CRC(__phy_resume, 0x00f4e33d, "");
SYMBOL_CRC(phy_resume, 0x8b37d10b, "");
SYMBOL_CRC(phy_loopback, 0x65af8ca6, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xbbfcd7c8, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x5e464de7, "");
SYMBOL_CRC(genphy_setup_forced, 0xe4faa66f, "");
SYMBOL_CRC(genphy_read_master_slave, 0x171d0293, "");
SYMBOL_CRC(genphy_restart_aneg, 0xb668709b, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xe358dd11, "");
SYMBOL_CRC(__genphy_config_aneg, 0xd5a0637c, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xdce938b0, "");
SYMBOL_CRC(genphy_aneg_done, 0xf78f9ff7, "");
SYMBOL_CRC(genphy_update_link, 0x967d3d9c, "");
SYMBOL_CRC(genphy_read_lpa, 0x87a2bcf8, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x9d33c327, "");
SYMBOL_CRC(genphy_read_status, 0x93703918, "");
SYMBOL_CRC(genphy_c37_read_status, 0xad3c970a, "");
SYMBOL_CRC(genphy_soft_reset, 0xe994f39b, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xe2def056, "");
SYMBOL_CRC(genphy_read_abilities, 0xd2380f71, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x1366f284, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x52dcbd69, "");
SYMBOL_CRC(genphy_suspend, 0xea88e8a0, "");
SYMBOL_CRC(genphy_resume, 0xe3d44068, "");
SYMBOL_CRC(genphy_loopback, 0x3584b415, "");
SYMBOL_CRC(phy_remove_link_mode, 0xdb1197fa, "");
SYMBOL_CRC(phy_advertise_supported, 0xf757c841, "");
SYMBOL_CRC(phy_support_sym_pause, 0xd6ca3343, "");
SYMBOL_CRC(phy_support_asym_pause, 0xc913ced0, "");
SYMBOL_CRC(phy_set_sym_pause, 0xd36d5d3b, "");
SYMBOL_CRC(phy_set_asym_pause, 0x8d43a792, "");
SYMBOL_CRC(phy_validate_pause, 0x42111b61, "");
SYMBOL_CRC(phy_get_pause, 0xade49305, "");
SYMBOL_CRC(phy_get_internal_delay, 0x1909a24e, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x95ee14bf, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x80af9b8f, "");
SYMBOL_CRC(device_phy_find_device, 0xb252636c, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0xbdf30f15, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x112d3338, "");
SYMBOL_CRC(phy_drivers_register, 0x7e88abb2, "");
SYMBOL_CRC(phy_driver_unregister, 0xaaa8c8ee, "");
SYMBOL_CRC(phy_drivers_unregister, 0x5ae0af77, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xd1c20cb8, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x2d30e56b, "");
SYMBOL_CRC(mdiobus_get_phy, 0x914cb7ad, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x8ccaa99f, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x96f5d344, "");
SYMBOL_CRC(mdio_find_bus, 0x2481236c, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x6bc26519, "");
SYMBOL_CRC(__mdiobus_register, 0x0fded4be, "");
SYMBOL_CRC(mdiobus_unregister, 0x56c7bf33, "");
SYMBOL_CRC(mdiobus_free, 0xd6d1cfbc, "");
SYMBOL_CRC(__mdiobus_read, 0x203602a2, "");
SYMBOL_CRC(__mdiobus_write, 0xb789a04b, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xa9d062c1, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x8eb63d6f, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x0bd016c3, "");
SYMBOL_CRC(mdiobus_read_nested, 0x8a6c4dd0, "");
SYMBOL_CRC(mdiobus_read, 0x9e92c8a1, "");
SYMBOL_CRC(mdiobus_c45_read, 0x1625d231, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x57eaca8f, "");
SYMBOL_CRC(mdiobus_write_nested, 0xda6cbce5, "");
SYMBOL_CRC(mdiobus_write, 0x4e1887fb, "");
SYMBOL_CRC(mdiobus_c45_write, 0x717ab9f5, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x3dc4503e, "");
SYMBOL_CRC(mdiobus_modify, 0xfdc145f8, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0xe0ccf100, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x93866f7e, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xdfe95e4b, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xef678386, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x9c69a85f, "");
SYMBOL_CRC(mdio_device_create, 0xbbd5453f, "");
SYMBOL_CRC(mdio_device_register, 0xcd78025d, "");
SYMBOL_CRC(mdio_device_remove, 0xe0ea7ccc, "");
SYMBOL_CRC(mdio_device_reset, 0xd9beca2b, "");
SYMBOL_CRC(mdio_driver_register, 0x0cd7d477, "");
SYMBOL_CRC(mdio_driver_unregister, 0x2a297fec, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x9371da56, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x15e51493, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x8aed64ae, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadff6c95, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x9583c92f, "gpiod_put" },
	{ 0xba42b839, "sysfs_create_file_ns" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x35a416c3, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe7113ebd, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xd92df95b, "gpiod_set_value_cansleep" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x33c718fd, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5985bbd, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd95674e, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0x557ef40d, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x81063da9, "module_put" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x8839a8a4, "bus_find_device" },
	{ 0x6059e10c, "device_add" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xb8dd3f32, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xaed7f3e3, "is_acpi_data_node" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb015730d, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x2e103377, "class_unregister" },
	{ 0x7e62d227, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffeca003, "device_register" },
	{ 0x2a795e6d, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3d93c951, "device_bind_driver" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x64f3533d, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9529c21c, "netdev_alert" },
	{ 0x1346304f, "ethnl_cable_test_alloc" },
	{ 0x2728049d, "fwnode_find_reference" },
	{ 0xa76a8c73, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb64d2a4f, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbd07c304, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xa0cd89c7, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfe34f08b, "led_trigger_register" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x47633b99, "gpiod_get_optional" },
	{ 0x3ac1518, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x9679127f, "sysfs_create_link_nowarn" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x76e99ac8, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xe2636d3c, "led_trigger_event" },
	{ 0x3277b53f, "device_release_driver" },
	{ 0xdfb767ab, "ethnl_cable_test_free" },
	{ 0xc9561a81, "gpiod_set_consumer_name" },
	{ 0xfce2a59, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa7973e26, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x1d6041dc, "class_find_device" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5FF2E27AE8C0D2EFBB3548C");

MODULE_INFO(suserelease, "SLE15-SP6");
