#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2afc6e8, "phy_write_paged" },
	{ 0x9e92c8a1, "mdiobus_read" },
	{ 0xcbc668e5, "phy_modify" },
	{ 0xe994f39b, "genphy_soft_reset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x73c5e633, "ethnl_cable_test_fault_length" },
	{ 0x9421c8a, "ethnl_cable_test_pulse" },
	{ 0x2d07c20a, "ethnl_cable_test_step" },
	{ 0x1cef2a7e, "phy_modify_changed" },
	{ 0x45e355c4, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x3e411ace, "sfp_select_interface" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbb0a3e46, "phy_modify_paged_changed" },
	{ 0xd3a16e7d, "phy_save_page" },
	{ 0x85103d20, "phy_trigger_machine" },
	{ 0x18a1fc13, "phy_error" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9f0576ff, "devm_hwmon_device_register_with_info" },
	{ 0x5ae0af77, "phy_drivers_unregister" },
	{ 0x4e1887fb, "mdiobus_write" },
	{ 0xb6710a58, "genphy_c45_ethtool_get_eee" },
	{ 0xb1e6baa7, "phy_config_aneg" },
	{ 0xc6786632, "ethnl_cable_test_result" },
	{ 0x76143b7c, "ethnl_cable_test_amplitude" },
	{ 0xd5a0637c, "__genphy_config_aneg" },
	{ 0xd2380f71, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x78da7287, "phy_sfp_probe" },
	{ 0x9d33c327, "genphy_read_status_fixed" },
	{ 0x967d3d9c, "genphy_update_link" },
	{ 0x87a2bcf8, "genphy_read_lpa" },
	{ 0x13645710, "phy_resolve_aneg_pause" },
	{ 0xea88e8a0, "genphy_suspend" },
	{ 0xe3d44068, "genphy_resume" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe358dd11, "genphy_check_and_restart_aneg" },
	{ 0xe4faa66f, "genphy_setup_forced" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e88abb2, "phy_drivers_register" },
	{ 0x88738d61, "phy_read_paged" },
	{ 0x97206a8b, "phy_modify_paged" },
	{ 0x203602a2, "__mdiobus_read" },
	{ 0xa874da5c, "phy_select_page" },
	{ 0xb789a04b, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xac538db8, "phy_restore_page" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "A34A5C7054A031590BAEE22");

MODULE_INFO(suserelease, "SLE15-SP6");
