#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd54a94fb, "usbnet_write_cmd_async" },
	{ 0x1971fdd5, "eth_platform_get_mac_address" },
	{ 0xe0a707b4, "mii_nway_restart" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2499e2c1, "usbnet_get_endpoints" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0x98ef93d1, "usbnet_resume" },
	{ 0xf0cd8e4f, "mii_ethtool_gset" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0xc59d0d41, "usbnet_probe" },
	{ 0xb7344bb2, "usbnet_open" },
	{ 0x9db356bd, "usbnet_stop" },
	{ 0xbef0114e, "usbnet_start_xmit" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x41efd9fe, "usbnet_tx_timeout" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0x49d5e14f, "usbnet_get_msglevel" },
	{ 0x1fe62e83, "usbnet_set_msglevel" },
	{ 0xb49e9407, "usbnet_nway_reset" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0xeadbe06, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29157a8e, "skb_push" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xabe460aa, "skb_put" },
	{ 0xd6b9bb76, "usbnet_skb_return" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x985f487, "usbnet_read_cmd" },
	{ 0x8f94bd7a, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x947edac5, "usbnet_write_cmd" },
	{ 0x3b50760f, "usbnet_write_cmd_nopm" },
	{ 0xc1e0d005, "mii_ethtool_set_link_ksettings" },
	{ 0xb628d9f5, "mii_ethtool_get_link_ksettings" },
	{ 0x95df97b, "generic_mii_ioctl" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x6694c4f8, "usbnet_disconnect" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xf59469a9, "usbnet_update_max_qlen" },
	{ 0x2ddb6da2, "usbnet_suspend" },
	{ 0x56429630, "usbnet_link_change" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x383c1de5, "netdev_err" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "SLE15-SP6");
