#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x947edac5, "usbnet_write_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x383c1de5, "netdev_err" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x56429630, "usbnet_link_change" },
	{ 0x2499e2c1, "usbnet_get_endpoints" },
	{ 0x92997ed8, "_printk" },
	{ 0xe0a707b4, "mii_nway_restart" },
	{ 0xc59d0d41, "usbnet_probe" },
	{ 0x6694c4f8, "usbnet_disconnect" },
	{ 0x2ddb6da2, "usbnet_suspend" },
	{ 0x98ef93d1, "usbnet_resume" },
	{ 0xb7344bb2, "usbnet_open" },
	{ 0x9db356bd, "usbnet_stop" },
	{ 0xbef0114e, "usbnet_start_xmit" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0xed64a2a9, "usbnet_change_mtu" },
	{ 0x41efd9fe, "usbnet_tx_timeout" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0x49d5e14f, "usbnet_get_msglevel" },
	{ 0x1fe62e83, "usbnet_set_msglevel" },
	{ 0xb49e9407, "usbnet_nway_reset" },
	{ 0xca9e479a, "usbnet_get_link_ksettings_mii" },
	{ 0x1063a984, "usbnet_set_link_ksettings_mii" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xfb578fc5, "memset" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x4f791397, "_dev_err" },
	{ 0x95fe0277, "mii_check_media" },
	{ 0xf0cd8e4f, "mii_ethtool_gset" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x13e22d9a, "mii_link_ok" },
	{ 0x978fc6e8, "usbnet_get_drvinfo" },
	{ 0x95df97b, "generic_mii_ioctl" },
	{ 0x985f487, "usbnet_read_cmd" },
	{ 0xd54a94fb, "usbnet_write_cmd_async" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,mii");

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3427d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "81EDAE61E825248A1C1D81B");

MODULE_INFO(suserelease, "SLE15-SP6");
