#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x42b35944, "usb_autopm_put_interface" },
	{ 0x40f7a6c6, "usb_autopm_get_interface" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xabe460aa, "skb_put" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xcf11ccb8, "usb_reset_configuration" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0x3e155678, "usb_alloc_coherent" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x4f791397, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x88316e4a, "usb_free_coherent" },
	{ 0x749206ac, "free_netdev" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DF07F3D005C47DF60180606");

MODULE_INFO(suserelease, "SLE15-SP6");
