#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usbnet_get_endpoints, 0x2499e2c1, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xa77c3e19, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xe60f741e, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x48c400d4, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xd6b9bb76, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xf59469a9, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xed64a2a9, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x24a111b9, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x34324efd, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x5d78d79e, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xc5dd3cf0, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x5cbca4ca, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x9db356bd, "_gpl");
SYMBOL_CRC(usbnet_open, 0xb7344bb2, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xca9e479a, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x6fe64844, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x1063a984, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x8a5573e5, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xb49e9407, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x978fc6e8, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x49d5e14f, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x1fe62e83, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x7aafe207, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x41efd9fe, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xbef0114e, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x6694c4f8, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xc59d0d41, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x2ddb6da2, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x98ef93d1, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x41e83e2e, "");
SYMBOL_CRC(usbnet_manage_power, 0x0c024828, "");
SYMBOL_CRC(usbnet_link_change, 0x56429630, "");
SYMBOL_CRC(usbnet_read_cmd, 0x0985f487, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x947edac5, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x8f94bd7a, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x3b50760f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xd54a94fb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c6604c2, "usb_set_interface" },
	{ 0x9d030107, "usb_string" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xb628d9f5, "mii_ethtool_get_link_ksettings" },
	{ 0xc1e0d005, "mii_ethtool_set_link_ksettings" },
	{ 0xe0a707b4, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37a0cba, "kfree" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x70421f21, "consume_skb" },
	{ 0x32ae3a17, "usb_get_from_anchor" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x749206ac, "free_netdev" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x40f7a6c6, "usb_autopm_get_interface" },
	{ 0x42b35944, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa00f1338, "usb_get_urb" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0x13e22d9a, "mii_link_ok" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x82aa6d11, "usb_autopm_put_interface_async" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x62a4f571, "usb_check_bulk_endpoints" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xabe460aa, "skb_put" },
	{ 0xc44044a, "usb_autopm_get_interface_async" },
	{ 0x50a187, "usb_anchor_urb" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a6ee742, "usb_autopm_get_interface_no_resume" },
	{ 0x76ee1098, "usb_clear_halt" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0xeadbe06, "ethtool_op_get_ts_info" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "A37914932D6054365CB7F5E");

MODULE_INFO(suserelease, "SLE15-SP6");
