#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77572e15, "page_pool_create" },
	{ 0x450174e0, "page_pool_destroy" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xfd25907e, "xdp_rxq_info_is_reg" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9409a90, "xdp_features_set_redirect_target" },
	{ 0x475ce827, "bpf_prog_put" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc9c73921, "xdp_features_clear_redirect_target" },
	{ 0xa0adb1cd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x586ae66e, "rtnl_link_get_net" },
	{ 0x9fc74e94, "rtnl_create_link" },
	{ 0xafc6557d, "netif_inherit_tso_max" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x31e77d8c, "rtnl_configure_link" },
	{ 0xa01a78e7, "__put_net" },
	{ 0x749206ac, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb16c1145, "page_pool_alloc_pages" },
	{ 0xd0a61d7, "napi_build_skb" },
	{ 0x661093bb, "skb_copy_header" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0xabe460aa, "skb_put" },
	{ 0x17c1c11a, "skb_headers_offset_update" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0x70421f21, "consume_skb" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x79683ccd, "bpf_warn_invalid_xdp_action" },
	{ 0x79c13cdd, "__tracepoint_xdp_exception" },
	{ 0x3905ac13, "xdp_master_redirect" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf9a095ce, "page_pool_put_unrefed_page" },
	{ 0x57dcd9f4, "xdp_do_redirect" },
	{ 0x45b959d7, "xdp_return_buff" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe7072014, "bpf_redirect_info" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb140b962, "passthru_features_check" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0xeadbe06, "ethtool_op_get_ts_info" },
	{ 0xc17e8f04, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0x67b736ee, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0x1fe4a855, "xdp_set_features_flag" },
	{ 0x257ec672, "ether_setup" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xaa714cf, "xdp_return_frame" },
	{ 0xd976c88a, "__xdp_rxq_info_reg" },
	{ 0xd6365b46, "xdp_rxq_info_reg_mem_model" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x363d9f16, "xdp_rxq_info_unreg" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xf81cf5d1, "page_pool_get_stats" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0x830d564e, "__xdp_build_skb_from_frame" },
	{ 0x76aaa493, "__dev_forward_skb" },
	{ 0x9a7336d0, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x57c06c9b, "sock_wfree" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x3e158b05, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "150D359D7D360D2C87372B6");

MODULE_INFO(suserelease, "SLE15-SP6");
