#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xddb4e15b, "libipw_wx_set_encode" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb2c65c75, "libipw_freq_to_channel" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xabe460aa, "skb_put" },
	{ 0x1d6375a3, "libipw_rx" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xf952e070, "libipw_rx_mgt" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x29157a8e, "skb_push" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0x701ffed7, "wiphy_unregister" },
	{ 0x5c6c7fd, "libipw_networks_age" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd8b9c913, "libipw_set_geo" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x88398556, "pci_set_master" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0xb3d3ddf1, "pci_ioremap_bar" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x7b87ce0b, "wiphy_register" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x359f9edf, "libipw_xmit" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0x7d3ba570, "cfg80211_wext_giwname" },
	{ 0x146f355e, "iw_handler_set_spy" },
	{ 0x2023cb7f, "iw_handler_get_spy" },
	{ 0x84fb9490, "iw_handler_set_thrspy" },
	{ 0x482179fb, "iw_handler_get_thrspy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34cbd0bd, "driver_remove_file" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0x96848186, "scnprintf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x37a0cba, "kfree" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x70421f21, "consume_skb" },
	{ 0x18e7dbbf, "alloc_libipw" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xad5290f9, "free_libipw" },
	{ 0x1bda8a11, "libipw_get_geo" },
	{ 0xb36a019a, "libipw_is_valid_channel" },
	{ 0x349cba85, "strchr" },
	{ 0x9166fada, "strncpy" },
	{ 0x754d539c, "strlen" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4d1bc626, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb29e4dbb, "libipw_channel_to_index" },
	{ 0x23448a9, "libipw_wx_get_encodeext" },
	{ 0x59ac0727, "libipw_wx_set_encodeext" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf828a883, "libipw_wx_get_encode" },
	{ 0x7923e92c, "libipw_wx_get_scan" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x9957b8bd, "wireless_send_event" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xa27db1a1, "driver_create_file" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xf9a993, "libipw_txb_free" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libipw,cfg80211");

MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002701bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002702bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002711bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002712bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002721bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002722bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002731bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002732bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002741bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv0000103Csd00002741bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002742bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002751bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002752bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002753bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002754bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002761bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001043sv00008086sd00002762bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004224sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3CE2293909587FC5DBB9CE2");

MODULE_INFO(suserelease, "SLE15-SP6");
