#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libipw_networks_age, 0x05c6c7fd, "");
SYMBOL_CRC(alloc_libipw, 0x18e7dbbf, "");
SYMBOL_CRC(free_libipw, 0xad5290f9, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x359f9edf, "");
SYMBOL_CRC(libipw_txb_free, 0x00f9a993, "");
SYMBOL_CRC(libipw_rx_any, 0xbccf18c8, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xf952e070, "");
SYMBOL_CRC(libipw_rx, 0x1d6375a3, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x59ac0727, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x023448a9, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x7923e92c, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xddb4e15b, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xf828a883, "");
SYMBOL_CRC(libipw_get_channel, 0x9db4335c, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x7e10b016, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xb36a019a, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xb2c65c75, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x646f10a4, "");
SYMBOL_CRC(libipw_channel_to_index, 0xb29e4dbb, "");
SYMBOL_CRC(libipw_set_geo, 0xd8b9c913, "");
SYMBOL_CRC(libipw_get_geo, 0x1bda8a11, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xabe460aa, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x47681e08, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xca100241, "seq_lseek" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24744be0, "wiphy_new_nm" },
	{ 0xefc2b248, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb4334f80, "lib80211_get_crypto_ops" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x29157a8e, "skb_push" },
	{ 0x749206ac, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x31067773, "wireless_spy_update" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x6d4f4796, "lib80211_crypt_info_free" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5e149d6a, "lib80211_crypt_delayed_deinit" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xddcafc2d, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "02AC85B00C54D0F051BC19B");

MODULE_INFO(suserelease, "SLE15-SP6");
