#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x1981a79b, "thermal_zone_device_unregister" },
	{ 0x7dc59071, "ieee80211_stop_tx_ba_session" },
	{ 0x6b0c9d58, "ieee80211_gtk_rekey_notify" },
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0xeafdb207, "regulatory_set_wiphy_regd_sync" },
	{ 0x1cf75d45, "ieee80211_get_tkip_p1k_iv" },
	{ 0xef319f00, "thermal_zone_device_priv" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x49ec463e, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xe7d09c0e, "ieee80211_report_wowlan_wakeup" },
	{ 0xdd50c312, "iwl_uefi_get_sgom_table" },
	{ 0xd1d09ceb, "iwl_set_soc_latency" },
	{ 0xa79bb31e, "iwl_acpi_get_guid_lock_status" },
	{ 0x7abad5ac, "iwl_bios_get_pwr_limit" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0xf2dda6b4, "_ieee80211_beacon_update_cntdwn" },
	{ 0xc76f9fd4, "ieee80211_sched_scan_stopped" },
	{ 0x7ce5f01e, "iwl_configure_rxq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4c1091b, "cfg80211_bss_iter" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc43a54b2, "iwl_notification_wait_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe9d9a22e, "ieee80211_unreserve_tid" },
	{ 0xc07b4a20, "iwl_sar_fill_profile" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x62d378eb, "iwl_fill_ppag_table" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x294ca8ba, "iwl_dbg_tlv_del_timers" },
	{ 0x776221bf, "iwl_send_phy_db_data" },
	{ 0x3f867235, "ieee80211_update_mu_groups" },
	{ 0xdea2a342, "debugfs_create_symlink" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x998d9c29, "iwl_notification_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x70556936, "iwl_fw_runtime_suspend" },
	{ 0xb77a076b, "iwl_fw_lookup_notif_ver" },
	{ 0x96848186, "scnprintf" },
	{ 0xd7ded357, "ieee80211_get_tkip_p2k" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x9326189f, "iwl_fw_disable_dbg_asserts" },
	{ 0xb8fa33df, "for_each_thermal_trip" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0xc5ac7d1c, "thermal_zone_device_update" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0xa621da0, "ptp_clock_index" },
	{ 0x4260daed, "debugfs_create_blob" },
	{ 0x59b7452d, "iwl_fw_runtime_init" },
	{ 0x73307ad, "iwl_fw_dbg_collect_trig" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30730d2, "ieee80211_beacon_loss" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x58ad4048, "iwl_fw_dbg_collect_desc" },
	{ 0xdb08b9a4, "thermal_cooling_device_register" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x4814a342, "ieee80211_sta_eosp" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8bb5a898, "ieee80211_rate_control_unregister" },
	{ 0x151ae7be, "__ieee80211_get_radio_led_name" },
	{ 0x78971d7e, "iwl_he_is_sgi" },
	{ 0x5c52e109, "iwl_opmode_deregister" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xc3052149, "iwl_bios_get_tas_table" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd1cd0215, "get_device" },
	{ 0x4655d067, "iwl_abort_notification_waits" },
	{ 0xaef6be6d, "iwl_get_nvm" },
	{ 0x35033c81, "iwl_phy_db_free" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4576bba8, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x84bb50e1, "iwl_rs_pretty_ant" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf0ab0d39, "iwl_init_paging" },
	{ 0x7d83defd, "_ieee80211_gtk_rekey_add" },
	{ 0x252af43f, "thermal_zone_device_enable" },
	{ 0x2a6b60e1, "ieee80211_tx_status_skb" },
	{ 0x86d71eee, "__iwl_warn" },
	{ 0x7d1490a6, "cfg80211_pmsr_report" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xff1b6af1, "ieee80211_iter_keys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xd95674e, "pm_wakeup_dev_event" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xd2662269, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa44e5e54, "ieee80211_sta_set_buffered" },
	{ 0xd7c885aa, "ieee80211_sta_uapsd_trigger" },
	{ 0xf2ebccfc, "iwl_fw_dbg_clear_monitor_buf" },
	{ 0xa0b69a41, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb121b1b9, "iwl_bios_get_ewrd_table" },
	{ 0x359f8ee7, "__iwl_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0xea451077, "iwl_fw_lookup_cmd_ver" },
	{ 0xa77e3d30, "iwl_pnvm_load" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x24691eca, "iwl_fw_dbg_error_collect" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x7ce31c3e, "iwlwifi_mod_params" },
	{ 0x9c0ce468, "iwl_read_external_nvm" },
	{ 0x70b65e25, "cfg80211_pmsr_complete" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x1fe52d8e, "_iwl_dbg_tlv_time_point" },
	{ 0x81063da9, "module_put" },
	{ 0x41b7fe2, "ieee80211_get_channel_khz" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea792270, "ieee80211_remove_key" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0x9d90511f, "iwl_write_prph_delay" },
	{ 0xe5431dcd, "ieee80211_rx_ba_timer_expired" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x22f72c08, "iwl_trans_pcie_remove" },
	{ 0x7c55f97b, "iwl_is_tas_approved" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x8f60a590, "iwl_fw_dbg_collect" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x86cb33e6, "ieee80211_reserve_tid" },
	{ 0x42757895, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9563982f, "iwl_bios_get_mcc" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3f88eeea, "ieee80211_find_sta_by_ifaddr" },
	{ 0x62f9cf62, "ieee80211_sta_block_awake" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xea1b26fc, "iwl_nvm_fixups" },
	{ 0x60fd0baf, "iwl_bios_get_eckv" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x652032cb, "mac_pton" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x8f18596e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xb322a923, "iwl_write32" },
	{ 0x48f4b347, "ieee80211_beacon_set_cntdwn" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc9078dca, "ieee80211_sta_pspoll" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x49e0135d, "iwl_new_rate_from_v1" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x44f63426, "iwl_fwrt_dump_error_logs" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0xac8d83b0, "ieee80211_rate_control_register" },
	{ 0xf1a469c7, "wiphy_work_queue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x90d7f4a0, "iwl_parse_nvm_mcc_info" },
	{ 0x548a6f9f, "iwl_bios_get_wgds_table" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5b2beac, "ieee80211_iter_keys_rcu" },
	{ 0xa19301bb, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd004ea88, "ieee80211_key_mic_failure" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0x8992d4d4, "ieee80211_channel_switch_disconnect" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0xb37b318c, "iwl_rs_pretty_bw" },
	{ 0x7ed3a0b9, "iwl_free_fw_paging" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x35710961, "iwl_init_notification_wait" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0x9e3679d4, "iwl_sar_geo_support" },
	{ 0xca7f7012, "cfg80211_bss_flush" },
	{ 0x94cdd96c, "ieee80211_tx_dequeue" },
	{ 0x871cf279, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x51b50bf8, "iwl_acpi_get_phy_filters" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xff416828, "iwl_uefi_get_step_table" },
	{ 0x932e430, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd1498a33, "iwl_reinit_cab" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x33199e86, "__iwl_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x84bc448a, "ptp_clock_unregister" },
	{ 0xc9b57ea9, "iwl_get_shared_mem_conf" },
	{ 0x955a5f07, "iwl_bios_get_wrds_table" },
	{ 0xf9ace216, "iwl_read_prph" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9aa678f8, "ieee80211_send_eosp_nullfunc" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0x2d8240bf, "iwl_trans_send_cmd" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x391eda45, "ieee80211_get_tkip_rx_p1k" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x111936f7, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xf68f983f, "iwl_uefi_get_uats_table" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d1bc626, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x173df029, "iwl_wait_notification" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x4a473ff1, "ieee80211_vif_to_wdev" },
	{ 0xf7262ac5, "ieee80211_mark_rx_ba_filtered_frames" },
	{ 0xd24108d4, "rfkill_soft_blocked" },
	{ 0x83035aa2, "iwl_fw_dbg_stop_restart_recording" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeb019018, "ieee80211_sched_scan_results" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x24a64738, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x693eba8e, "_ieee80211_chswitch_done" },
	{ 0x7c3ac925, "ieee80211_get_vht_max_nss" },
	{ 0x16ad7c5f, "ieee80211_tkip_add_iv" },
	{ 0x37956b72, "rs_pretty_print_rate" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb7d5ffb1, "iwl_rate_mcs" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x9137c98c, "ieee80211_resume_disconnect" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x874c77de, "iwl_fw_rate_idx_to_plcp" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcf28a369, "ieee80211_set_active_links_async" },
	{ 0x9b9dbee6, "iwl_opmode_register" },
	{ 0x44feb88, "iwl_sar_geo_fill_table" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc7d98641, "iwl_set_bits_mask_prph" },
	{ 0xce0c6460, "iwl_phy_db_set_section" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xe8e43a52, "ieee80211_tdls_oper_request" },
	{ 0x354b63ac, "iwl_bios_get_ppag_table" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2e0fb015, "ieee80211_cqm_rssi_notify" },
	{ 0x2a1fea55, "iwl_fw_dbg_read_d3_debug_data" },
	{ 0xe8c77e, "iwl_fw_dbg_stop_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc4c40cd, "iwl_force_nmi" },
	{ 0x86a4c6fb, "iwl_is_ppag_approved" },
	{ 0xfacdb0c0, "ieee80211_request_smps" },
	{ 0x58717847, "thermal_cooling_device_unregister" },
	{ 0x2710c362, "iwl_dump_desc_assert" },
	{ 0xf1d166b6, "cfg80211_get_iftype_ext_capa" },
	{ 0xfdbadebd, "iwl_cmd_groups_verify_sorted" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5f427f4e, "iwl_fw_start_dbg_conf" },
	{ 0x81188c30, "match_string" },
	{ 0xd5ece939, "iwl_fw_runtime_resume" },
	{ 0x2d303c24, "iwl_bios_get_dsm" },
	{ 0x76c81b48, "iwl_drv_get_fwname_pre" },
	{ 0xf9b61cc0, "ieee80211_set_active_links" },
	{ 0xab88bdc4, "iwl_get_lari_config_bitmap" },
	{ 0x140dd535, "ieee80211_sta_ps_transition" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xcd12eb64, "regulatory_set_wiphy_regd" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x68820492, "iwl_remove_notification" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0xe3945af3, "ieee80211_sta_recalc_aggregates" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe16c9ca8, "__skb_gso_segment" },
	{ 0xd65f939d, "iwl_parse_nvm_data" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf9d6d487, "ieee80211_disconnect" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xae4e00ea, "ieee80211_iterate_active_interfaces_mtx" },
	{ 0x57603060, "__iwl_err" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0x9e1c1431, "ieee80211_key_replay" },
	{ 0x691e4771, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0xee127fc4, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbe2563f4, "iwl_phy_db_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,iwlwifi,rfkill");


MODULE_INFO(srcversion, "0E20495A99311CBE0228EBB");

MODULE_INFO(suserelease, "SLE15-SP6");
