#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70421f21, "consume_skb" },
	{ 0x94493b18, "orinoco_process_xmit_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0xde40c1ca, "alloc_orinocodev" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xfc9712de, "orinoco_init" },
	{ 0xdf2222d3, "orinoco_if_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb366ca77, "orinoco_if_del" },
	{ 0x701ffed7, "wiphy_unregister" },
	{ 0x97da42e0, "free_orinocodev" },
	{ 0xa1aa9a92, "orinoco_open" },
	{ 0x4936fb82, "orinoco_stop" },
	{ 0x39ee0501, "orinoco_set_multicast_list" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x32fcb86a, "orinoco_change_mtu" },
	{ 0x921a85c9, "orinoco_tx_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe3563bea, "__orinoco_ev_info" },
	{ 0x7e025c9, "__orinoco_ev_rx" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "orinoco,usbcore,cfg80211");

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DBB96B4E0FE3747A1B8B1B6");

MODULE_INFO(suserelease, "SLE15-SP6");
