#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mwifiex_queue_main_work, 0x6fdec4ff, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x6c8c6ddf, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x2ab4f945, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x0e9a1f9f, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0xb6805703, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x9d8a07de, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xc3d15749, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0xa55e2ebd, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x77f34b3f, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x7e7f3117, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x71279eeb, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x56344520, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x3a760f3b, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0xfc1667ea, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0xed779549, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x0fcc36f1, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xd1effe6c, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x318e5f84, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xc106ca91, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x85d518aa, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xa3a454e4, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x6b0642b6, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0xca0c805a, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x456ca754, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f4c1b57, "cfg80211_sched_scan_results" },
	{ 0x881df0af, "skb_complete_wifi_ack" },
	{ 0x725fd086, "cfg80211_mgmt_tx_status_ext" },
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe29844b6, "cfg80211_chandef_dfs_required" },
	{ 0x63181160, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf84f5909, "cfg80211_sched_scan_stopped" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe2edb7bf, "cfg80211_remain_on_channel_expired" },
	{ 0x1e5f0d15, "cfg80211_cac_event" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x8f19736f, "cfg80211_register_netdevice" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc5580573, "ieee80211_amsdu_to_8023s" },
	{ 0xba811365, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ebac868, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x737f150d, "cfg80211_new_sta" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xe183ac32, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0x24744be0, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x96de4626, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x12db57b1, "cfg80211_classify8021d" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x7b87ce0b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x7847b0eb, "cfg80211_put_bss" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0xbd1f8ce0, "cfg80211_ch_switch_notify" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x41b7fe2, "ieee80211_get_channel_khz" },
	{ 0x806d8974, "__cfg80211_radar_event" },
	{ 0x8b25130c, "cfg80211_tdls_oper_request" },
	{ 0x2e622998, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x4f791397, "_dev_err" },
	{ 0x2688b70f, "cfg80211_ibss_joined" },
	{ 0x1ae0cd9a, "request_firmware_nowait" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa35deb59, "wiphy_apply_custom_regulatory" },
	{ 0xc3dfccb2, "cfg80211_michael_mic_failure" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x906522c5, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4c9e1d2b, "cfg80211_del_sta_sinfo" },
	{ 0x701ffed7, "wiphy_unregister" },
	{ 0x749206ac, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc57a0e9e, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeb9d6f63, "netif_tx_stop_all_queues" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46871d30, "cfg80211_sched_scan_stopped_locked" },
	{ 0x2a223e74, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd8634721, "idr_for_each" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xf61bac5a, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x1d97bab8, "cfg80211_rx_mgmt_ext" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x50a97d9f, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35a9f5ea, "cfg80211_inform_bss_data" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5ebcbd19, "cfg80211_connect_done" },
	{ 0xddcafc2d, "wiphy_free" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf0a59231, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "333851C41964510CB3A533A");

MODULE_INFO(suserelease, "SLE15-SP6");
