#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_read_rx_gain, 0x2eb883a9, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x59520659, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xadc98890, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x38307b16, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x745f7919, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x75fe3393, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x8b487f6d, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x076b553b, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xa83e33cf, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x802ed0ad, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x5d894265, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xf492ab85, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x796ad56f, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xb74c2bf3, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x579a5b49, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x7d3c6468, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xd2f16222, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xea218272, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x84d73c48, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x82c99007, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0x6f40c6d7, "mt76x02_phy_adjust_vga_gain" },
	{ 0x99e97dfb, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58ad5df1, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e56210d, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5f2023d6, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x97fc7cd, "mt76_eeprom_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xa85be604, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3abc184a, "mt76_mcu_send_and_get_msg" },
	{ 0x3ae833cc, "mt76_eeprom_override" },
	{ 0x9e4e3a41, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb491269a, "mt76_get_sar_power" },
	{ 0xe38961c8, "mt76x02_eeprom_copy" },
	{ 0x1606e14b, "mt76x02_mcu_calibrate" },
	{ 0xbef9ecc8, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x83902873, "mt76_get_min_avg_rssi" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");

MODULE_INFO(suserelease, "SLE15-SP6");
