#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pm_ops, 0x2b0e12c4, "");
SYMBOL_CRC(rtw_pci_probe, 0x6de3573d, "");
SYMBOL_CRC(rtw_pci_remove, 0x3e9fada8, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x636d87dc, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x594886d1, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x893f3f2c, "rtw_tx_queue_mapping" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xabe460aa, "skb_put" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x6b49964e, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1616cbc5, "rtw_chip_info_setup" },
	{ 0x3dbb4805, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcc88ad83, "rtw_unregister_hw" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x8e888aa5, "rtw_tx_fill_tx_desc" },
	{ 0x29157a8e, "skb_push" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xa5858026, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x93b0a320, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffed9b5c, "ieee80211_stop_queue" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xa30cebde, "rtw_rx_stats" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x2899e4e5, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4a454dc4, "rtw_register_hw" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x45c108b5, "rtw_core_deinit" },
	{ 0x7be34b03, "rtw_ops" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x8c2f89db, "rtw_power_mode_change" },
	{ 0x97b9bb80, "rtw_tx_write_data_h2c_get" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2a6e8ffb, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "65FCDF20B241A1AAAB2D49E");

MODULE_INFO(suserelease, "SLE15-SP6");
