#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ndlc_open, 0xb5a92162, "");
SYMBOL_CRC(ndlc_close, 0x68f4c662, "");
SYMBOL_CRC(ndlc_send, 0x691bf8fc, "");
SYMBOL_CRC(ndlc_recv, 0x7b7f7f25, "");
SYMBOL_CRC(ndlc_probe, 0x33571c85, "");
SYMBOL_CRC(ndlc_remove, 0xa7b3d8f3, "");
SYMBOL_CRC(st_nci_probe, 0xf00c855b, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xc950da92, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xaca9ec87, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x807f28dc, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x4d670e93, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x740737e5, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x89dc4a0b, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x5c582b54, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0xcb4ec0d2, "");
SYMBOL_CRC(st_nci_se_init, 0x0ca70ec4, "");
SYMBOL_CRC(st_nci_se_deinit, 0x80bef8c1, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x66e4bf77, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f7f2613, "nci_free_device" },
	{ 0x91dda3cf, "nci_allocate_device" },
	{ 0xd0d966f7, "nci_register_device" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x1e7bbd0e, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1acb92f7, "nfc_add_se" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x177c614f, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xeb6cec5e, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8eee516b, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xde84344f, "nfc_se_transaction" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x5701d0b8, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x29157a8e, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe186dfdc, "nci_prop_cmd" },
	{ 0xcc52f4ff, "nci_core_conn_create" },
	{ 0x3e54812c, "nci_nfcc_loopback" },
	{ 0x6ffd494f, "nci_unregister_device" },
	{ 0x9b216ab1, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30bb4510, "nci_hci_send_event" },
	{ 0xa9cd25fb, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xae288f14, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c65f362, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaca16ccb, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b8e8afe, "nci_recv_frame" },
	{ 0x59ccf170, "nci_hci_dev_session_init" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x92e48d9f, "nci_hci_set_param" },
	{ 0xf8cdd99a, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "SLE15-SP6");
