#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x80f39c15, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0xca847746, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x0e113ac2, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x82c11913, "ntb_msi_peer_trigger" },
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xa7973e26, "bus_register" },
	{ 0x1dd6939f, "__ntb_register_client" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0x3653078d, "ntbm_msi_request_threaded_irq" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x4f791397, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x43444a03, "ntb_unregister_client" },
	{ 0xd7c7fa72, "dma_sync_wait" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x62211b81, "dma_unmap_resource" },
	{ 0xb81610ee, "dma_release_channel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xedeac091, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0x1a520747, "ntb_msi_setup_mws" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xffeca003, "device_register" },
	{ 0xecf6f722, "__dma_request_channel" },
	{ 0x78962d25, "dma_map_resource" },
	{ 0xdca88a9b, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd1ef83ab, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf9a482f9, "msleep" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6f7528fd, "ntb_msi_init" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x43a5bdf6, "ntb_set_ctx" },
	{ 0xa24b54b8, "ntb_link_event" },
	{ 0xdb5c8de3, "ntb_default_peer_port_count" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x925b2eb6, "param_ops_byte" },
	{ 0x495a4ebe, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x83313941, "device_unregister" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x405be82d, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1cd0215, "get_device" },
	{ 0x882168e, "driver_register" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "4F6372134B4061881FD31D5");

MODULE_INFO(suserelease, "SLE15-SP6");
