#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xf646bc79, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x5b4f11cc, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xf730c87e, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xb2ada9d2, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x262fe95e, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xb955ecca, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x78bac333, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xaca75394, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x96d32e5c, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xafedbcc8, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xbf89c74d, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x8ddb61a8, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xa9c65054, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xf88bdccc, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x3fd30ca8, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x6edb8d6e, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x3ff1b2a6, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x2b8ab132, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x43f5ba0a, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xb2516599, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x3960d4d7, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xe13fe405, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x9e695129, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0x6dbb6ce9, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xaa14f5de, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xeeb21e09, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xe5be08e5, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xe249e667, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x662fdea4, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x47bb2a28, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xf37d160b, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xde023293, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x858f23d5, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x18177ed9, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xfdd9dc08, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xc8ccdc5d, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xbc600e28, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0bc4cd4a, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x2781289f, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x2ff062c6, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x984c2c27, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xf9eedbca, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x75ed849f, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x856d8425, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x29b046f7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xd11fd4b2, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x03f67317, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x48d9fd16, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x45ee2fc8, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xdc548f97, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xab32d9c9, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x4b0166d3, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x0b90dd71, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x22952c12, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x4546a414, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x2d651875, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x652d162d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x4ba5f3a2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xe3279b03, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xffe253e2, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x3f683364, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xd85dde29, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x74b23de2, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x1e20eeef, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x01e4a4d8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad2106a1, "set_capacity_and_notify" },
	{ 0xb03190b7, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4e9202a8, "set_disk_ro" },
	{ 0xd4ea6b8, "__blk_alloc_disk" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x3b50a2e6, "blk_integrity_register" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14309206, "bio_integrity_map_user" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x96702f5f, "device_remove_file_self" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x495a4ebe, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3fe61700, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x7021bc05, "ext_pi_type3_crc64" },
	{ 0xeb406d47, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xb96fdf5a, "disk_update_readahead" },
	{ 0xc2c09d6c, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x345e55fb, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x10711a9d, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x282701ef, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x13a7c851, "class_destroy" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8a6941b7, "should_fail" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x992957a4, "blk_mq_unquiesce_queue" },
	{ 0xb3d4a020, "t10_pi_type1_crc" },
	{ 0x51eb3e8, "blk_queue_dma_alignment" },
	{ 0x99f10419, "blk_mq_quiesce_queue" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x3204bb78, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5c5a1a2, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3d9cedc5, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x40a41c89, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x6153760a, "synchronize_srcu" },
	{ 0x925b2eb6, "param_ops_byte" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xd1cd0215, "get_device" },
	{ 0xe4646f16, "blk_mq_end_request" },
	{ 0x602c21d0, "__blk_mq_alloc_disk" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78e5a8f3, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbfc9174, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb92548ba, "blk_mq_alloc_tag_set" },
	{ 0xd31c40e3, "blk_rq_is_poll" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1889e0b, "mempool_create" },
	{ 0x2ed4edd2, "put_disk" },
	{ 0x7200346b, "crypto_alloc_kpp" },
	{ 0xd9f7a4f3, "cdev_device_add" },
	{ 0x85afc109, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x123a46e1, "blk_queue_physical_block_size" },
	{ 0x5e744d8c, "blk_execute_rq" },
	{ 0x405be82d, "put_device" },
	{ 0x8699b2aa, "blk_mq_unquiesce_tagset" },
	{ 0xb0c62774, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0x9d22422b, "blk_queue_flag_set" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8cc18953, "blk_mq_free_request" },
	{ 0x6a363b74, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xdee58eaf, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x94f22cdb, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9efd899d, "compat_ptr_ioctl" },
	{ 0xfe1c012b, "t10_pi_type3_crc" },
	{ 0xfc58405b, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x259062c9, "blk_mq_quiesce_tagset" },
	{ 0x354c9537, "kobject_uevent_env" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x102b117c, "init_srcu_struct" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x2384a034, "__SCK__tp_func_block_bio_remap" },
	{ 0x4f791397, "_dev_err" },
	{ 0x7d19c9eb, "blk_revalidate_disk_zones" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6059e10c, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x73f95970, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x5de5c077, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0xc5e9922c, "hwmon_device_register_with_info" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x873966f5, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf41ada7a, "submit_bio_noacct" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0xca08818d, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xc505b5fd, "blk_sync_queue" },
	{ 0x3781eb1e, "bdev_start_io_acct" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x3c65943, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc6f0dd1d, "blk_mq_alloc_request_hctx" },
	{ 0xe38b9585, "blk_mq_alloc_request" },
	{ 0x983c1964, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0xf0b852ba, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5fa34fa9, "del_gendisk" },
	{ 0xe44c109, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1e3bf7a6, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x53f1e164, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x3f11c462, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xf74e0572, "blk_put_queue" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x2a795e6d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x57452ea, "blk_mq_wait_quiesce_done" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5f28c671, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x66689df, "io_uring_cmd_do_in_task_lazy" },
	{ 0x839e3d51, "blk_mq_init_queue" },
	{ 0x78ed87d, "debugfs_create_x16" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xf315ee7c, "io_uring_cmd_done" },
	{ 0xebb3c41, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfa18ad08, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x39e59554, "xa_erase" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc57927ce, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x92101368, "blk_mq_complete_request" },
	{ 0x89b6c185, "blk_queue_chunk_sectors" },
	{ 0x728cf06b, "blk_queue_max_write_zeroes_sectors" },
	{ 0x41f7d5c5, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xe9fc9aa3, "blk_mq_destroy_queue" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xd2415067, "blk_freeze_queue_start" },
	{ 0xc2781831, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc6a53ee0, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40cb4363, "__tracepoint_block_bio_complete" },
	{ 0x7902a47f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee1304df, "blk_queue_io_min" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0x70557730, "hwmon_device_unregister" },
	{ 0x130c0576, "__tracepoint_block_bio_remap" },
	{ 0x99a468c5, "blk_mq_unfreeze_queue" },
	{ 0x52c30fc, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x91277b30, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc380eec, "blk_rq_map_user_iov" },
	{ 0x8cae8dd3, "setup_fault_attr" },
	{ 0x52c95287, "xa_find_after" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x1f074752, "blk_queue_max_hw_sectors" },
	{ 0xe6aa8f8e, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x5e0ec743, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0xedd9d7d4, "blk_mq_freeze_queue_wait" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x79963e31, "nvme_auth_gen_privkey" },
	{ 0x2b0b9c59, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x6e394c9b, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x57539be3, "blk_mq_requeue_request" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x560539ee, "bdev_end_io_acct" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xdd4f9f4a, "blk_steal_bios" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "D138FF77E4CF3754DBBCCB4");

MODULE_INFO(suserelease, "SLE15-SP6");
