#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0xb371686c, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x1672e126, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x2d30c870, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xb4b7e282, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xbe1d9b77, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x3f62fd1f, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xc544151e, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x51588041, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xa0d9fbab, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x6500300d, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x3b5af0ad, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x4aad606c, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x5d9ab28d, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x711a9e9a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ff242fe, "try_module_get" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13a7c851, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x81063da9, "module_put" },
	{ 0xaee73518, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x7487980, "device_create" },
	{ 0xca08818d, "class_create" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x43f5ba0a, "__nvme_submit_sync_cmd" },
	{ 0xf646bc79, "nvme_try_sched_reset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xd0d2a74, "misc_register" },
	{ 0xd85dde29, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x4a1a514, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xbf89c74d, "nvme_wait_reset" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x52ce608c, "up_read" },
	{ 0x4e488b5, "nvme_tls_key_lookup" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3f683364, "nvme_auth_negotiate" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "71B64E791BBD6D66560048C");

MODULE_INFO(suserelease, "SLE15-SP6");
