#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8ccdc5d, "nvme_remove_admin_tag_set" },
	{ 0x984c2c27, "nvme_uninit_ctrl" },
	{ 0xb2ada9d2, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x96d32e5c, "nvme_cancel_admin_tagset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x711a9e9a, "nvmf_free_options" },
	{ 0x219e1dcd, "blk_mq_complete_request_remote" },
	{ 0x3ff1b2a6, "nvme_setup_cmd" },
	{ 0x2ff062c6, "nvme_start_ctrl" },
	{ 0xfdd9dc08, "nvme_alloc_admin_tag_set" },
	{ 0xc544151e, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x1672e126, "nvmf_reg_read32" },
	{ 0xf730c87e, "nvme_delete_ctrl" },
	{ 0x662fdea4, "nvme_disable_ctrl" },
	{ 0xffe253e2, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb371686c, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3a8ccbb, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xbc4cd4a, "nvme_remove_io_tag_set" },
	{ 0x6edb8d6e, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe3279b03, "nvme_mpath_start_request" },
	{ 0x6500300d, "nvmf_unregister_transport" },
	{ 0x405be82d, "put_device" },
	{ 0xbda65204, "nvmet_unregister_transport" },
	{ 0xafedbcc8, "nvme_change_ctrl_state" },
	{ 0xaca75394, "nvme_cancel_tagset" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xf9eedbca, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xbc600e28, "nvme_alloc_io_tag_set" },
	{ 0x6497f5b1, "nvmet_req_init" },
	{ 0xf88bdccc, "nvme_fail_nonready_command" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xa22eb4b4, "nvmet_register_transport" },
	{ 0x4f1538a4, "__blk_rq_map_sg" },
	{ 0x2d30c870, "nvmf_reg_read64" },
	{ 0x3f62fd1f, "nvmf_connect_admin_queue" },
	{ 0x47bb2a28, "nvme_enable_ctrl" },
	{ 0xab32d9c9, "nvme_unquiesce_admin_queue" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14f4368f, "blk_mq_hctx_set_fq_lock_class" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x45ee2fc8, "nvme_unquiesce_io_queues" },
	{ 0xa798b022, "blk_mq_update_nr_hw_queues" },
	{ 0xb4b7e282, "nvmf_reg_write32" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x71a2bddf, "nvmet_sq_init" },
	{ 0x18177ed9, "nvme_complete_async_event" },
	{ 0xe249e667, "nvme_set_queue_count" },
	{ 0xa0d9fbab, "nvmf_register_transport" },
	{ 0xd0063bf1, "blk_mq_start_request" },
	{ 0x48d9fd16, "nvme_quiesce_io_queues" },
	{ 0x2781289f, "nvme_stop_ctrl" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xf37d160b, "nvme_init_ctrl_finish" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xdc548f97, "nvme_quiesce_admin_queue" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fd30ca8, "__nvme_check_ready" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvmet");


MODULE_INFO(srcversion, "E745DCADF010674CBEF6851");

MODULE_INFO(suserelease, "SLE15-SP6");
