#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xceb9bbe8, "dpll_device_register" },
	{ 0xfe851a9, "dpll_pin_get" },
	{ 0x3bd9ecf7, "dpll_pin_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4b3209, "device_find_any_child" },
	{ 0x8285893a, "devlink_flash_update_status_notify" },
	{ 0xbd6841d4, "crc16" },
	{ 0x69d3d223, "mtd_write" },
	{ 0xcece8928, "mtd_erase" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x247e230b, "i2c_verify_adapter" },
	{ 0xbea9c6db, "platform_device_register_full" },
	{ 0x922ad859, "__clk_hw_register_fixed_rate" },
	{ 0x38ebe9c, "devm_clk_hw_register_clkdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf93d8b3e, "sysfs_create_groups" },
	{ 0xca100241, "seq_lseek" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x26e27832, "i2c_verify_client" },
	{ 0x90a62f52, "nvmem_device_find" },
	{ 0x3866e217, "nvmem_device_write" },
	{ 0x8349a895, "nvmem_device_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc697b0f7, "nvmem_device_read" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x754d539c, "strlen" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x7380dffa, "argv_split" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xe0b13336, "argv_free" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4f791397, "_dev_err" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5e440702, "ptp_clock_event" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3bb3a33, "pci_free_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0xa9b4da44, "sysfs_remove_groups" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcefcd99a, "serial8250_unregister_port" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0xb7c98463, "clk_hw_unregister_fixed_rate" },
	{ 0x84bc448a, "ptp_clock_unregister" },
	{ 0x83313941, "device_unregister" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x2c8faea0, "priv_to_devlink" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe21c9e2f, "dpll_pin_unregister" },
	{ 0xcf58c90b, "dpll_pin_put" },
	{ 0xdad19fee, "dpll_device_unregister" },
	{ 0x64d85044, "dpll_device_put" },
	{ 0x3bd71d87, "devlink_unregister" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x104bd337, "devlink_free" },
	{ 0xca50d29, "devlink_priv" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xa07e5554, "device_find_child_by_name" },
	{ 0x405be82d, "put_device" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xa5f3b365, "class_register" },
	{ 0xd9cafeb4, "i2c_bus_type" },
	{ 0xa51949c4, "bus_register_notifier" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xc51001f7, "bus_unregister_notifier" },
	{ 0x2e103377, "class_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe914e41e, "strcpy" },
	{ 0x225e06b8, "dpll_device_change_ntf" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6007df6, "devm_ioremap_resource" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3af44a91, "pci_request_irq" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x4fa4ea31, "serial8250_register_8250_port" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa621da0, "ptp_clock_index" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x64dd55cd, "devlink_alloc_ns" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6059e10c, "device_add" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x88398556, "pci_set_master" },
	{ 0x42757895, "ptp_clock_register" },
	{ 0xf85a1437, "pps_lookup_dev" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xed197185, "devlink_register" },
	{ 0x543b0dab, "pci_get_dsn" },
	{ 0x1934978a, "dpll_device_get" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "crc16,mtd");

MODULE_ALIAS("pci:v00001D9Bd00000400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018D4d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001AD7d0000A000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EDA86699FA1CF015E52C8BD");

MODULE_INFO(suserelease, "SLE15-SP6");
