#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x4293664a, "cxgbi_conn_pdu_ready" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0xfb6e9376, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d3eeda8, "cxgb3_queue_tid_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x7e7d9cd9, "cxgbi_sock_closed" },
	{ 0xb35e3a91, "cxgbi_sock_free_cpl_skbs" },
	{ 0xbb71dc4, "cxgbi_sock_purge_wr_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f89ecce, "cxgb3_free_atid" },
	{ 0xab206292, "cxgb3_remove_tid" },
	{ 0x2a88f36a, "t3_l2e_free" },
	{ 0x89956feb, "cxgb3_insert_tid" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb0fcd353, "cxgbi_sock_established" },
	{ 0x700cb62d, "cxgbi_conn_tx_open" },
	{ 0x7019812b, "t3_l2t_get" },
	{ 0x38bc561f, "cxgb3_alloc_atid" },
	{ 0x5f58a226, "ip6_mtu" },
	{ 0x15219da0, "cxgbi_sock_select_mss" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0x81ee6d12, "cxgbi_create_session" },
	{ 0xfca2f60c, "cxgbi_destroy_session" },
	{ 0x2bb1405c, "cxgbi_create_conn" },
	{ 0x3820fb4, "iscsi_conn_unbind" },
	{ 0x270a1ccc, "cxgbi_bind_conn" },
	{ 0x708fb7a4, "iscsi_conn_start" },
	{ 0xaeddfe26, "iscsi_conn_stop" },
	{ 0xde039539, "iscsi_tcp_conn_teardown" },
	{ 0x5d132226, "cxgbi_set_conn_param" },
	{ 0x924a9d89, "cxgbi_get_ep_param" },
	{ 0xa62a084e, "iscsi_conn_get_param" },
	{ 0xe3761974, "iscsi_session_get_param" },
	{ 0x5ecb8071, "cxgbi_get_host_param" },
	{ 0xa2104172, "cxgbi_set_host_param" },
	{ 0x754ef2e8, "iscsi_conn_send_pdu" },
	{ 0x66a0d233, "cxgbi_get_conn_stats" },
	{ 0xb6f92dd, "iscsi_tcp_task_init" },
	{ 0x8b6d60df, "iscsi_tcp_task_xmit" },
	{ 0x9c41daaa, "cxgbi_cleanup_task" },
	{ 0x27cbcd93, "cxgbi_conn_alloc_pdu" },
	{ 0x8b00fb99, "cxgbi_conn_xmit_pdu" },
	{ 0x14308579, "cxgbi_conn_init_pdu" },
	{ 0x9656c540, "cxgbi_parse_pdu_itt" },
	{ 0x2aee1167, "iscsi_session_recovery_timedout" },
	{ 0x238c9ba7, "cxgbi_ep_connect" },
	{ 0xeab9cdcd, "cxgbi_ep_poll" },
	{ 0x73493efb, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xd967abba, "iscsi_queuecommand" },
	{ 0x6d5f1c26, "iscsi_eh_abort" },
	{ 0xefd63ac2, "iscsi_eh_device_reset" },
	{ 0xee3d8679, "iscsi_eh_recover_target" },
	{ 0xcd026ad1, "iscsi_target_alloc" },
	{ 0xad5d6ff4, "scsi_change_queue_depth" },
	{ 0xa2777e13, "iscsi_eh_cmd_timed_out" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59ec94d5, "cxgbi_sock_rcv_wr_ack" },
	{ 0x710bf651, "__kfree_skb" },
	{ 0x92997ed8, "_printk" },
	{ 0xee9f4c00, "cxgbi_device_find_by_lldev" },
	{ 0xd21fc6a5, "cxgbi_device_unregister" },
	{ 0x9def75b0, "cxgb3_ofld_send" },
	{ 0x70f6256e, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x5b10fbd7, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x96fa3e1f, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x7bf7fbb0, "cxgbi_sock_rcv_peer_close" },
	{ 0xf4151025, "cxgbi_iscsi_init" },
	{ 0x60179df3, "cxgb3_register_client" },
	{ 0xbf69c89, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x4138f5ac, "cxgbi_iscsi_cleanup" },
	{ 0x740680e8, "cxgbi_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0xf16e9fb6, "cxgbi_ddp_ppm_setup" },
	{ 0x4930f4d1, "cxgbi_device_portmap_create" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x14b06b2, "cxgbi_hbas_add" },
	{ 0xebcb8ec1, "t3_l2t_send_slow" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6e97f6b8, "cxgbi_sock_skb_entail" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libcxgbi,cxgb3,libiscsi,libiscsi_tcp,scsi_mod,libcxgb");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");

MODULE_INFO(suserelease, "SLE15-SP6");
