#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fcoe_ctlr_init, 0xee206f6e, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x12fbcdf2, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x27db6f02, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xe1fd6f9f, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xd025ee15, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x89dc2dd7, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x1da65b43, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xa482141c, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x7d0a2421, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x657e01c5, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x94e9500a, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x8e04d60b, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x21467404, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x3ac0f4a1, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x9affe896, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x166e2a34, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x1b4b0526, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x79cbb044, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x5afc4f83, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x6926bf2e, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xed836f91, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xa5ef44fa, "");
SYMBOL_CRC(fcoe_transport_detach, 0x3b0cb21e, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x8b8f883a, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xc96a2978, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x0df38b61, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x89a2d9db, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc39cd88c, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf1e9588, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xabe460aa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x70421f21, "consume_skb" },
	{ 0x61c13416, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x83313941, "device_unregister" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x52f159f0, "fc_rport_logoff" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91266276, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x607332fb, "fc_rport_login" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5a631418, "fc_linkdown" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7dac6c56, "fc_lport_reset" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x51cca317, "fc_lport_set_local_id" },
	{ 0x58b785b7, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf328441, "__ethtool_get_link_ksettings" },
	{ 0xffeca003, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe7093984, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa0bf9edb, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x141e3b2f, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xd27f31e6, "fc_fcp_init" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a97be68, "dev_get_by_name" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x5b5d4b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd7c02e75, "fc_rport_create" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x88a6ece2, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x64e81778, "fc_linkup" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "13A7103856008F1BFBA633C");

MODULE_INFO(suserelease, "SLE15-SP6");
