#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x403ed768, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xbd9ddcb5, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xbed77c2a, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xa950ab5d, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x429ab376, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x29cd43b6, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xcf913e46, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x0020d1dd, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x8815bc3d, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x0b6f92dd, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x8b6d60df, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xbe3c7803, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xde039539, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xfbb2e183, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x840b9886, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x1f0e2d61, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x3857845b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x11059955, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8a3d813f, "crypto_ahash_digest" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4f6df42e, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x38874045, "iscsi_put_task" },
	{ 0x97cd057f, "iscsi_conn_failure" },
	{ 0x54132e87, "iscsi_conn_setup" },
	{ 0xced086f8, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xee20e5e5, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x56de8ba6, "iscsi_complete_pdu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69353374, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f1e327d, "skb_prepare_seq_read" },
	{ 0x762e0049, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe0ea697a, "skb_abort_seq_read" },
	{ 0xc63cab97, "iscsi_verify_itt" },
	{ 0xcd531635, "iscsi_itt_to_ctask" },
	{ 0x9f29110d, "iscsi_update_cmdsn" },
	{ 0xa6a9eca5, "iscsi_get_task" },
	{ 0x811b4ae7, "__iscsi_complete_pdu" },
	{ 0x74c0ef94, "iscsi_requeue_task" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x4390d397, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLE15-SP6");
