#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfd86778, "iscsi_boot_destroy_kset" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x31afd557, "iscsi_host_for_each_session" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x54132e87, "iscsi_conn_setup" },
	{ 0xabe460aa, "skb_put" },
	{ 0x2aee1167, "iscsi_session_recovery_timedout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x530d546, "iscsi_put_endpoint" },
	{ 0xcd026ad1, "iscsi_target_alloc" },
	{ 0xc26ae47e, "__uio_register_device" },
	{ 0x811b4ae7, "__iscsi_complete_pdu" },
	{ 0x2a1f5798, "iscsi_conn_bind" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x80b1daf5, "iscsi_host_get_param" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x48e04b90, "iscsi_session_setup" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xf2cda0e9, "iscsi_boot_create_initiator" },
	{ 0x93f68c50, "set_user_nice" },
	{ 0x2fed913f, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65f3df9, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d5f1c26, "iscsi_eh_abort" },
	{ 0xd0c1d4dd, "iscsi_create_endpoint" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa2777e13, "iscsi_eh_cmd_timed_out" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x97cd057f, "iscsi_conn_failure" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f264472, "qed_put_iscsi_ops" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xefd63ac2, "iscsi_eh_device_reset" },
	{ 0xfc62a5c2, "iscsi_register_transport" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x68246fc9, "scsi_host_get" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xc6cbbc89, "capable" },
	{ 0x65ea7962, "iscsi_set_param" },
	{ 0x876e011a, "iscsi_boot_create_host_kset" },
	{ 0x7dfc8ed2, "qed_get_iscsi_ops" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc5521286, "uio_event_notify" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x33001951, "scsi_host_put" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3cdea08, "iscsi_destroy_endpoint" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xa62a084e, "iscsi_conn_get_param" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xae3ad14a, "iscsi_host_free" },
	{ 0xced086f8, "iscsi_conn_teardown" },
	{ 0xe3761974, "iscsi_session_get_param" },
	{ 0x754ef2e8, "iscsi_conn_send_pdu" },
	{ 0x848b9eee, "iscsi_boot_create_ethernet" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x708fb7a4, "iscsi_conn_start" },
	{ 0x3820fb4, "iscsi_conn_unbind" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x74da47ac, "kthread_bind" },
	{ 0xcd531635, "iscsi_itt_to_ctask" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50d92593, "iscsi_lookup_endpoint" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x746f3c1b, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xa5f9576f, "iscsi_host_add" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x96aa1626, "iscsi_session_teardown" },
	{ 0xb22da433, "iscsi_unregister_transport" },
	{ 0xee3d8679, "iscsi_eh_recover_target" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x51dfc99b, "pci_dev_get" },
	{ 0xbec4a8e4, "uio_unregister_device" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xaeddfe26, "iscsi_conn_stop" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd967abba, "iscsi_queuecommand" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x2260645d, "__iscsi_put_task" },
	{ 0x754d539c, "strlen" },
	{ 0x353f8047, "_dev_printk" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xe6f0dbb8, "iscsi_boot_create_target" },
	{ 0x90fe29a7, "iscsi_host_remove" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xdadd7eea, "sysfs_remove_bin_file" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0xad5d6ff4, "scsi_change_queue_depth" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7c07fe6c, "iscsi_is_session_online" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x5070fa84, "iscsi_offload_mesg" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "iscsi_boot_sysfs,scsi_transport_iscsi,libiscsi,uio,scsi_mod,qed");

MODULE_ALIAS("pci:v00001077d0000165Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008084sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "39AB3192E4E077E13B71975");

MODULE_INFO(suserelease, "SLE15-SP6");
