#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedc03953, "iounmap" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xdd2ac749, "scmd_printk" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x88398556, "pci_set_master" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0xb3d3ddf1, "pci_ioremap_bar" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb578fc5, "memset" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x9a8deded, "scsi_done" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0xd0b439d5, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe6b578a3, "blk_queue_rq_timeout" },
	{ 0x78cfe86d, "scsi_build_sense" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x65f3df9, "scsi_dma_unmap" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");

MODULE_ALIAS("pci:v0000105Ad00008350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad0000C350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad0000E350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00007250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008650sv0000105Asd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008650sv00001033sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008870sv0000105Asd00008870bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008870sv0000105Asd00004300bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004311bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004312bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004321bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004322bc*sc*i*");

MODULE_INFO(srcversion, "0E63062F5C7523697BF0A48");

MODULE_INFO(suserelease, "SLE15-SP6");
