#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xabe460aa, "skb_put" },
	{ 0x63181160, "cfg80211_scan_done" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xe183ac32, "cfg80211_disconnected" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0x24744be0, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x76ee1098, "usb_clear_halt" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0x28483ddb, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7b87ce0b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0x7847b0eb, "cfg80211_put_bss" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x1372a116, "cfg80211_roamed" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x41b7fe2, "ieee80211_get_channel_khz" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x29157a8e, "skb_push" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x701ffed7, "wiphy_unregister" },
	{ 0x749206ac, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xeb246a46, "usb_get_status" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdd816ce2, "usb_init_urb" },
	{ 0x35a9f5ea, "cfg80211_inform_bss_data" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7f44fd35, "netdev_notice" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x5ebcbd19, "cfg80211_connect_done" },
	{ 0xddcafc2d, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,usbcore");

MODULE_ALIAS("usb:v04BBp0922d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v09AAp3642d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0408d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1915p2236d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2212d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2213d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DEp7A01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v8086p1111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep006Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0967p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v413Cp8100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B3Bp1601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B3Bp1602d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F1p3009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F3p0020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2821p3300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v50C2p4013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C02p14EAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v124Ap168Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v083Ap3503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p6106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v124Ap4017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB2p0302d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v9016p182Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0543p0F01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Cp1022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0033d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "25EC92527E85C07F0EDDCAB");

MODULE_INFO(suserelease, "SLE15-SP6");
