#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tb_ring_enqueue, 0xb9869bf4, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x64388c18, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x7f3875f5, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xcbef48c4, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x87776d26, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x4b7e5255, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xb79a3838, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xf4d65c20, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x830c470b, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0xe61dbaef, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0xb9d0e094, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xbf02f5db, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0x7e6285e5, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0xe144f8ef, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x214a7c75, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4a6f3f08, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x4b78cfd4, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x3ee50154, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x9699db6e, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x682e4cc9, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xc4a69547, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x32a41f3b, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x53f51bdb, "_gpl");
SYMBOL_CRC(tb_service_type, 0x80b91477, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x6ee6fe42, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xd0cac426, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xdaa0264b, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xe294d993, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0xe2cf1891, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xeab915c0, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x10a53513, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xdf85773e, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x5eac7012, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x0fa7045b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xb3af8a98, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xaa7733d4, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0xbb51750a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xcdfd64a8, "pci_find_ext_capability" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd441004d, "ida_destroy" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83313941, "device_unregister" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c62549c, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xab8b6bad, "acpi_find_child_by_adr" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0xd95674e, "pm_wakeup_dev_event" },
	{ 0x32937242, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x766569f7, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xae287862, "device_for_each_child_reverse" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fbf5796, "bus_for_each_dev" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x354c9537, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x2a378399, "device_wakeup_enable" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0x8839a8a4, "bus_find_device" },
	{ 0x6059e10c, "device_add" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc5b82019, "device_property_read_u8_array" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ff355d7, "pci_device_is_present" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x215ae26f, "crypto_shash_digest" },
	{ 0x983c1964, "ida_free" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x14125909, "device_find_child" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xffeca003, "device_register" },
	{ 0x2a795e6d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x32ba901a, "unregister_acpi_bus_type" },
	{ 0x97e3fb4, "acpi_get_first_physical_node" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe87c1ef, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2728049d, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc681933, "acpi_fetch_acpi_dev" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0xf6206287, "device_iommu_capable" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa1bad00b, "pci_walk_bus" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x18c235b4, "nvmem_register" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x8ffbeba4, "component_add" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xfce2a59, "device_link_add" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "92D4EE5F8FFB62EAD6324D7");

MODULE_INFO(suserelease, "SLE15-SP6");
