#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x1a92087c, "gpiochip_add_data_with_key" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x4f791397, "_dev_err" },
	{ 0x994a492c, "spi_setup" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0x76ec432, "__devm_regmap_init_spi" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x62f17b44, "spi_get_device_id" },
	{ 0x18cf7507, "i2c_client_get_device_id" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x431b6a04, "nbcon_device_try_acquire" },
	{ 0xd48354ff, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x66b9ffeb, "uart_handle_cts_change" },
	{ 0x95e73e7d, "uart_handle_dcd_change" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x7261b58, "uart_get_baud_rate" },
	{ 0x9a6b4b10, "uart_update_timeout" },
	{ 0x785942f4, "regmap_noinc_write" },
	{ 0xf31e780d, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7a57fc31, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4ecc7188, "uart_insert_char" },
	{ 0x617f1869, "tty_flip_buffer_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x114c4528, "uart_try_toggle_sysrq" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x9d543a05, "do_SAK" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89d0a6ae, "uart_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0x78aa5ddd, "__spi_register_driver" },
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0xdc1e81aa, "uart_unregister_driver" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xc9413c4a, "kthread_cancel_delayed_work_sync" },
	{ 0xf740e52f, "uart_remove_one_port" },
	{ 0x4707f037, "kthread_flush_worker" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3208061, "gpiochip_remove" },
	{ 0x957be848, "regmap_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0xf00c57ae, "kthread_queue_work" },
	{ 0x92485e7d, "kthread_queue_delayed_work" },
	{ 0x2275157, "gpiochip_get_data" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xf954dd93, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x55dd88d9, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xafac6c52, "sched_set_fifo" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf258de81, "uart_add_one_port" },
	{ 0xed084bcb, "regcache_cache_bypass" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi,regmap-i2c");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "80AB4A1E6F874742574FD41");

MODULE_INFO(suserelease, "SLE15-SP6");
