#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_dump_regs, 0x1fed26c2, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x4517d8b0, "");
SYMBOL_CRC(ufshcd_hold, 0x3cdd476a, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x276e5a9b, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xe6f6524b, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xa45b2e4a, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xbb8dad35, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xa39a213a, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x43bac0a4, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xb54d6570, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x53ddf982, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x425d8e0b, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x53e3d4a2, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x3ccfa3d2, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x84e09c8f, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xd7936a4d, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x211a5b46, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xdc07017a, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x666fefda, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x2d49e4e0, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xb30acb16, "");
SYMBOL_CRC(ufshcd_system_resume, 0x9f7fddba, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x13056348, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x9a35fb5a, "");
SYMBOL_CRC(ufshcd_shutdown, 0x7719473c, "");
SYMBOL_CRC(ufshcd_remove, 0xfd6dfb99, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xe5a88aab, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x84323499, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xb6ffb96d, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x170f69af, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x1ea3d181, "");
SYMBOL_CRC(ufshcd_init, 0x834d5cf7, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x2e2b2056, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x8f5fbf2a, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x249bf6fc, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xac0a0f55, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0xcca220d3, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x9bb34d7f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xa300cae4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0b439d5, "scsi_dma_map" },
	{ 0xc8d4943a, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d39d2cb, "regulator_enable" },
	{ 0xfd385210, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x72141b27, "bsg_setup_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x9c16db58, "scsi_autopm_put_device" },
	{ 0x2e842e38, "scsi_device_get" },
	{ 0x35db5db2, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9e902e26, "bsg_remove_queue" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xdc54de44, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53d8e4d0, "dmam_alloc_attrs" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x96d4111c, "blk_rq_append_bio" },
	{ 0xbe44f0d2, "param_get_bool" },
	{ 0xe7113ebd, "bpf_trace_run6" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x8f028f9b, "blk_pm_runtime_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0xc0bc3ceb, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa9b4da44, "sysfs_remove_groups" },
	{ 0x3b3bc40, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0x8a6941b7, "should_fail" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xf93d8b3e, "sysfs_create_groups" },
	{ 0x630ee035, "dev_pm_opp_add" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65f3df9, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x3e70034f, "__scsi_iterate_devices" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd1cd0215, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb92548ba, "blk_mq_alloc_tag_set" },
	{ 0x24e562c1, "scsi_device_set_state" },
	{ 0xd5f653a, "devfreq_add_device" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1889e0b, "mempool_create" },
	{ 0x9e4d1c09, "scsi_register_driver" },
	{ 0xa8e42cd5, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x98675b54, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0x8cc18953, "blk_mq_free_request" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x666e1119, "devm_regulator_get" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0397823, "scsi_device_put" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0x978f9445, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x4850ff4e, "blk_queue_update_dma_alignment" },
	{ 0xbeea169b, "devfreq_remove_device" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19f2f049, "mempool_resize" },
	{ 0x6059e10c, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5de5c077, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xc5e9922c, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6626afca, "down" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x235dd3b6, "dev_pm_opp_remove" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x47da9878, "sdev_prefix_printk" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x5792f848, "strlcpy" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x86f13a98, "device_link_remove" },
	{ 0x3357954a, "param_set_bool" },
	{ 0xe38b9585, "blk_mq_alloc_request" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xad59225b, "blk_queue_update_dma_pad" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf0b852ba, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf74e0572, "blk_put_queue" },
	{ 0x2a795e6d, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb9ebc9bb, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xeca6492c, "regulator_count_voltages" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x839e3d51, "blk_mq_init_queue" },
	{ 0x28cdb9a6, "blk_mq_unique_tag" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x26628952, "bpf_trace_run10" },
	{ 0x446d7e1b, "scsi_device_quiesce" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x349f7fbe, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x31b18b81, "scsi_print_command" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x7a1f5fe9, "param_set_uint_minmax" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x6e4908f6, "devfreq_suspend_device" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9fc9aa3, "blk_mq_destroy_queue" },
	{ 0x874d3c37, "scsi_execute_cmd" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc6a53ee0, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xe2cdf336, "devm_blk_crypto_profile_init" },
	{ 0x70557730, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x52c30fc, "blk_mq_tagset_busy_iter" },
	{ 0x9a8deded, "scsi_done" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0xd9cb2188, "regulator_disable" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x8cae8dd3, "setup_fault_attr" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0xb0bf00a2, "scsi_remove_device" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x5ff30312, "__scsi_add_device" },
	{ 0x3da48ec9, "devfreq_resume_device" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xfce2a59, "device_link_add" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xad5d6ff4, "scsi_change_queue_depth" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xc417c063, "device_remove_file" },
	{ 0x45c54c3b, "fs_bio_set" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "5C747DB485AAC673F70C613");

MODULE_INFO(suserelease, "SLE15-SP6");
