#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0xccfa819f, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xe85d322e, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0xddadfbc0, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x27add553, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x92374e6f, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0x738ce200, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x1150a4d5, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x9087faf2, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0xea27f7e8, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0x62390382, "_gpl");
SYMBOL_CRC(usb_add_function, 0xaf97ea27, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xa633a14f, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0xa0fe5145, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x8b3046fe, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x7acbc98e, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0xec2997ab, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x8e824eaf, "_gpl");
SYMBOL_CRC(usb_add_config, 0xcba45a20, "_gpl");
SYMBOL_CRC(usb_string_id, 0x0778c9a8, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x490d21ac, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x27c927a7, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0xeac31955, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0xaf2756fb, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0xe75e1263, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0x9836345a, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0xff4d6cfa, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x762dc6a0, "_gpl");
SYMBOL_CRC(usb_get_function, 0xb05cb9f6, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x4a32fa45, "_gpl");
SYMBOL_CRC(usb_put_function, 0x7135ed9a, "_gpl");
SYMBOL_CRC(usb_function_register, 0xfbd99138, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x7094ea16, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x49798d4a, "");
SYMBOL_CRC(unregister_gadget_item, 0x322f7108, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x15ab8f10, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xf0b663ec, "config_group_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x51fda6b5, "usb_gadget_check_config" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xf7847d8b, "usb_gadget_ep_match_desc" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4037c8d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xafef2ca2, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb31f5133, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb58722d, "usb_gadget_vbus_draw" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x30926fb8, "config_item_set_name" },
	{ 0x81063da9, "module_put" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0x4f791397, "_dev_err" },
	{ 0x8f527eb0, "configfs_register_subsystem" },
	{ 0xb3044b6e, "init_uts_ns" },
	{ 0xe84a2a5e, "config_group_init_type_name" },
	{ 0xff8c6a9c, "usb_gadget_activate" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x52fef17d, "usb_gadget_clear_selfpowered" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x8a8fb83, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa4a9f386, "usb_gadget_unregister_driver" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xda209d59, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb631770b, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x6b201b65, "usb_gadget_register_driver_owner" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd31a5f73, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xc417c063, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "5C9AFCA9840A8B4679F3492");

MODULE_INFO(suserelease, "SLE15-SP6");
