#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xhci_run, 0x4fd0b653, "_gpl");
SYMBOL_CRC(xhci_stop, 0x8b773c5c, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0xdc2373b3, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xbcf92b14, "_gpl");
SYMBOL_CRC(xhci_resume, 0xd6178854, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x9c111d5b, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x12c2a820, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xe62e32a8, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0xa44c7a05, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x4f702c42, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0xf9c78985, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xaa5ba45b, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x0ff9f5eb, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x5efa8f15, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_find_slot_id_by_port, 0xb3633fa4, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x5e95170c, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x5c885ff1, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xf246700d, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xfd320753, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0xc1df84ac, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0xfe67572f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8a09f478, "param_ops_ullong" },
	{ 0xea7117c1, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x52bd91a3, "usb_asmedia_modifyflowcontrol" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x7f567295, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x385a27cb, "usb_hcd_resume_root_hub" },
	{ 0xc70b6c28, "usb_hcd_unlink_urb_from_ep" },
	{ 0x6af00246, "usb_hcd_start_port_resume" },
	{ 0x532e499a, "usb_amd_pt_check_port" },
	{ 0xb8b74c9d, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe7e9000a, "usb_wakeup_notification" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xb78ac3d4, "usb_hcd_map_urb_for_dma" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1d984e55, "debugfs_create_regset32" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x797a6d75, "platform_device_add_resources" },
	{ 0x4c134f95, "usb_hcd_check_unlink_urb" },
	{ 0x3334c824, "iommu_get_domain_for_dev" },
	{ 0x80eb6d57, "radix_tree_delete" },
	{ 0x32dc8bff, "device_create_managed_software_node" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0xc42da307, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xcfcc397d, "platform_device_add" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x1d496955, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x1528de56, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x8c347298, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xa409a73f, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x49eaebb6, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xc7975de0, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xa1f298d8, "usb_hcd_giveback_urb" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb4cccb0f, "usb_hcd_poll_rh_status" },
	{ 0xfa54df5e, "usb_acpi_set_power_state" },
	{ 0x3cb57324, "usb_disable_xhci_ports" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x409c0aac, "usb_debug_root" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x8cf89211, "usb_hcd_unmap_urb_for_dma" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x663d8356, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "E2EB10601990790C76BD1A9");

MODULE_INFO(suserelease, "SLE15-SP6");
