#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vdpa_set_status, 0xc4806051, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xb9a664d9, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x98b56fb3, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x7dcef374, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xb465f5c7, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x9a2c455d, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x7d0d3509, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x5f32d4ea, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xa6939d40, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x3365b5b0, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x88b8077e, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x32d7870d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83313941, "device_unregister" },
	{ 0x882168e, "driver_register" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x1fbf5796, "bus_for_each_dev" },
	{ 0xeffc7b5d, "down_read" },
	{ 0x52ce608c, "up_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0xd441004d, "ida_destroy" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xda90c80e, "netlink_capable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa7973e26, "bus_register" },
	{ 0x321eef85, "genl_register_family" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb72508a, "netlink_unicast" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x983c1964, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfbd1f13b, "driver_set_override" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x8839a8a4, "bus_find_device" },
	{ 0x6059e10c, "device_add" },
	{ 0x405be82d, "put_device" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");

MODULE_INFO(suserelease, "SLE15-SP6");
