#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_pci_core_enable, 0x0b2a86ed, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xd266c908, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x0ec18574, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xe093f9db, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x287f40fc, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xa0bcf96e, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x0e524242, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x5c3090e0, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xf306a883, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x2d8b3f02, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x2610199c, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x0a8b7baa, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xaa1ad731, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x48d41664, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xf4008267, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x2d86657f, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x6129023e, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x202d2278, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x9d9e8b41, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x13110126, "request_resource" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x7574535d, "pci_read_vpd" },
	{ 0xc51001f7, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4951a7b, "pci_request_selected_regions" },
	{ 0x2f9b01bb, "pci_release_selected_regions" },
	{ 0xfcb55e1d, "pci_user_write_config_byte" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x36cbf0dd, "pci_bus_max_busnr" },
	{ 0x739f9eba, "pci_check_and_mask_intx" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xdfa15e5b, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0xd9e3af80, "iommu_group_get" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x613074a7, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc32b370d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x87f5ae0b, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xedb7d7b4, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fd29e8, "pci_user_read_config_dword" },
	{ 0xd50b0678, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xacb834e7, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2862ce99, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xd1b6c5eb, "pci_probe_reset_slot" },
	{ 0xbb9970f7, "zap_vma_ptes" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0x1ec01eee, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x8a771f15, "__tracepoint_mmap_lock_released" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xe0d01ef4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7670e0d0, "pci_user_write_config_word" },
	{ 0xa51949c4, "bus_register_notifier" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x67722a6e, "vfio_file_is_group" },
	{ 0x56ae9c97, "pci_msix_can_alloc_dyn" },
	{ 0x935d2ef4, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0xe1c751e6, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x2dc7109a, "pci_write_vpd" },
	{ 0x36b39658, "vfio_virqfd_enable" },
	{ 0x27ba5d5e, "vga_client_register" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb3b51755, "aperture_remove_conflicting_pci_devices" },
	{ 0x60739f68, "vfio_unregister_group_dev" },
	{ 0x22630a60, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x73cbb205, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xcffd1072, "pcie_get_mps" },
	{ 0xe824a5e4, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x75431171, "down_write_trylock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x2ee971b2, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xdb166f47, "pci_dev_driver" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x39e59554, "xa_erase" },
	{ 0x50bf7bb, "__mmap_lock_do_trace_start_locking" },
	{ 0x446f23c7, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0x22cede27, "pci_reset_bus" },
	{ 0x80e9d1f8, "mmput" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xd7840d47, "vfio_register_group_dev" },
	{ 0x5834b73d, "vfio_assign_device_set" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x400f52c9, "pci_user_read_config_byte" },
	{ 0x229e3e50, "pci_try_reset_function" },
	{ 0xbd3a062d, "xa_find" },
	{ 0xd1e721e2, "__tracepoint_mmap_lock_start_locking" },
	{ 0xa79677a9, "pci_get_class" },
	{ 0x89967377, "pci_user_write_config_dword" },
	{ 0x667af8fc, "pcie_capability_read_dword" },
	{ 0x234ed595, "__mmap_lock_do_trace_released" },
	{ 0xc68f1fae, "pci_load_and_free_saved_state" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x412026d9, "vfio_device_set_open_count" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xee07ad11, "pci_match_id" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x39dabb94, "pci_check_and_unmask_intx" },
	{ 0xed4ae77f, "pcie_set_readrq" },
	{ 0xa1bad00b, "pci_walk_bus" },
	{ 0xe2619216, "pci_msix_alloc_irq_at" },
	{ 0x52c95287, "xa_find_after" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x1531a82a, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x1b3c677b, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x97769249, "vga_set_legacy_decoding" },
	{ 0xca93dfeb, "pci_dev_unlock" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0x25ee20e6, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "3183BC4D9B07D2A8AF3F23B");

MODULE_INFO(suserelease, "SLE15-SP6");
