#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xa1c688b7, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x668365d3, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x0e5747fc, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x8e7cebbb, "_gpl");
SYMBOL_CRC(vhost_vq_flush, 0x0ba19b7d, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xaa716cea, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x46c3e969, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x3347b435, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x4d8ff6f9, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xef47bfb2, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x378fb1c5, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x7a2536de, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xd5439b70, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0xf6830edd, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x41f6869f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xee9c6868, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x939db2a7, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x3ca94e42, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xc31abb4c, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xf104b7dc, "");
SYMBOL_CRC(vhost_chr_poll, 0xc6d1190e, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x8c8570dc, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x2305e037, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xe1f9ea61, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x264550a4, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xf7d79ace, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xa8e89395, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xf62e707e, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x93685174, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xc478577e, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x2cc3d1ca, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x15b0188a, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x126d3a7d, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x4414699f, "_gpl");
SYMBOL_CRC(vhost_signal, 0x349aef19, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xa034d40f, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xa0532724, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x5e554a7d, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xc22e15ac, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xbaab6c53, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x0c6c4802, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xac389cef, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xb017a926, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x0aba3db4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x39e59554, "xa_erase" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x9ceddadd, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x91b06728, "unpin_user_pages_dirty_lock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x1e3ef76d, "eventfd_fget" },
	{ 0xa572006f, "fput" },
	{ 0x80e9d1f8, "mmput" },
	{ 0xb3399ca1, "__mmdrop" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4745ccc3, "iov_iter_init" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdbe3dbe0, "vhost_task_create" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbc7cc255, "get_task_mm" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A6CD037682135ACEC716EDC");

MODULE_INFO(suserelease, "SLE15-SP6");
