#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x61588bda, "generic_fillattr" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0x70a76893, "clear_nlink" },
	{ 0xa30a3e48, "vfs_fileattr_get" },
	{ 0x5a949327, "d_instantiate" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xc8241d89, "clear_inode" },
	{ 0x205e7dc2, "notify_change" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1a9e067e, "grab_cache_page_write_begin" },
	{ 0xa3368c7d, "vfs_getattr" },
	{ 0x659073b, "vfs_rename" },
	{ 0x6dc280ba, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x49348b55, "iterate_dir" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x7b9edcb0, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfddb210, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x586d55c6, "__vfs_getxattr" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x62be5989, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0x94d58ac8, "fsstack_copy_attr_all" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x5979fbdc, "vfs_unlink" },
	{ 0xafea3586, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc46f74bb, "vfs_mkdir" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0xe2f2b10a, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3cc72816, "inode_newsize_ok" },
	{ 0xb95814c6, "d_drop" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e73892a, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x35720880, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8a1c883, "key_type_encrypted" },
	{ 0x2547bc97, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xd8378e06, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0xae68a0e2, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaee73518, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xebde5524, "vfs_get_link" },
	{ 0x49608959, "migrate_disable" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x6d4ce75, "up_write" },
	{ 0x55729afb, "generic_file_read_iter" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x9bbcf518, "lock_rename" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xab33d18a, "__vfs_setxattr_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x215ae26f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x377872db, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc1bd23e2, "sget" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xd976f401, "block_dirty_folio" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xb1a5fbd, "kern_path" },
	{ 0x4890c87d, "vfs_set_acl" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x49cb4d48, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x5b17f5b1, "key_validate" },
	{ 0x5ebaa62, "unlock_rename" },
	{ 0xe307d1f3, "vfs_rmdir" },
	{ 0x163b8017, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0x49cdc0c9, "truncate_setsize" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xafd5e0ad, "vfs_symlink" },
	{ 0xa87dcfd4, "super_setup_bdi" },
	{ 0xa60b43a0, "igrab" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xaed6ed6c, "d_instantiate_new" },
	{ 0xfa85fb4a, "d_add" },
	{ 0x152a9a22, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x13466377, "vfs_mknod" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0xed213ab9, "dentry_open" },
	{ 0xb705ff56, "request_key_tag" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x5ae0e319, "vfs_fileattr_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xbe046d77, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xec13dd6e, "deactivate_locked_super" },
	{ 0x575dfbcf, "touch_atime" },
	{ 0x44a97e31, "lookup_one_len_unlocked" },
	{ 0x67df8594, "vfs_llseek" },
	{ 0x7448382d, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xae98d16d, "filemap_splice_read" },
	{ 0x27b8f00a, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xeff39b29, "key_type_user" },
	{ 0x1d2a361d, "kill_anon_super" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x7408ae8c, "iget5_locked" },
	{ 0x5a884855, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6ba0bf8c, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x6cbc2df2, "inode_permission" },
	{ 0xd13694d1, "mntget" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0xbbcb08fa, "__mark_inode_dirty" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0xaab9cbaf, "vfs_get_acl" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x32517cdc, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x802a7aa9, "fsstack_copy_inode_size" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0xa5e79314, "kernel_write" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x2f7377bb, "vfs_create" },
	{ 0x179ba1d9, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4AA075A0BDC29B59995AE65");

MODULE_INFO(suserelease, "SLE15-SP6");
