#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x103d9ae7, "generic_block_bmap" },
	{ 0xeb9eef52, "match_uint" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0xada42f4a, "d_make_root" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0xe13da377, "sync_filesystem" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3723fb33, "load_nls" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x5417537b, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6426bd3a, "cdrom_read_tocentry" },
	{ 0x6bc2046, "__brelse" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd06477ff, "generic_ro_fops" },
	{ 0xa07a37f0, "memchr" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb85ddc1d, "__bh_read_batch" },
	{ 0x27f2346d, "__wait_on_buffer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x5fb45bc5, "cdrom_multisession" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x205c85d9, "__bread_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x22bfc020, "mpage_read_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x991f1b68, "from_kgid_munged" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe0d59a70, "__getblk_gfp" },
	{ 0x999e8297, "vfree" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0x554f965b, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb3680ffa, "mount_bdev" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x495d5d95, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x44e9a829, "match_token" },
	{ 0xc91e40f, "__folio_put" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x7408ae8c, "iget5_locked" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0x1e52122b, "unload_nls" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x76a69817, "sb_min_blocksize" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "D04D73D8223209A38DDD1B2");

MODULE_INFO(suserelease, "SLE15-SP6");
