#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0xe618f1d1, "");
SYMBOL_CRC(jbd2_journal_start, 0xed2b6ae9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xb916cf0c, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x8451dead, "");
SYMBOL_CRC(jbd2__journal_restart, 0x5975309e, "");
SYMBOL_CRC(jbd2_journal_restart, 0xc8ad6adb, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xf20cc92c, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xfbd6539c, "");
SYMBOL_CRC(jbd2_journal_extend, 0xe181634c, "");
SYMBOL_CRC(jbd2_journal_stop, 0xa6aba175, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x729b7471, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xb58195ba, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x6648d18c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xafaef9b5, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x3017bfa1, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x6a0067ab, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xeb80a626, "");
SYMBOL_CRC(jbd2_journal_forget, 0xc4b04043, "");
SYMBOL_CRC(jbd2_journal_flush, 0x6db244ba, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x19a40c5e, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x30a1bd2f, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x8260636d, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x5d9aaa14, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xaf2bcf2a, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x56f881e2, "");
SYMBOL_CRC(jbd2_journal_load, 0xaeb37b78, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xaabc5d9a, "");
SYMBOL_CRC(jbd2_journal_abort, 0xb99c319f, "");
SYMBOL_CRC(jbd2_journal_errno, 0xc8b4ebc7, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xd7b10d8e, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xc64c5a6d, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x36919638, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xc9903ab1, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xfb5e7f49, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xe160253b, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xbdc9352e, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x18a70ce5, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xc36fa8d3, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xb3dd6e0b, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xcd63d1d3, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x4a11e70d, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xbe6ce5a0, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xd920a706, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x76d72970, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x54ed7a3f, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xfd8805d9, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x619848ac, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x609ab1c5, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x448ac179, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x55f09b60, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x962652de, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x3e2b89d5, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x5df500ce, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x6a7b0f99, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x3e1f50ea, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xad47ca9b, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x41779cbf, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x9d5dbd60, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xb76fd50b, "bh_uptodate_or_lock" },
	{ 0xb617b46a, "blk_start_plug" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf9eba2, "folio_unlock" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xe7113ebd, "bpf_trace_run6" },
	{ 0xdb032b06, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xaac9d54b, "__find_get_block" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x746a62e1, "filemap_fdatawrite_range" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x56b3905c, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9643da3f, "write_dirty_buffer" },
	{ 0x8a4500ea, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf9ed6acc, "blockdev_superblock" },
	{ 0x350c478, "proc_create_data" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x56ec0996, "bpf_trace_run8" },
	{ 0xe9275fb8, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x8ef0286, "alloc_buffer_head" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb99bf705, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x26c6fdac, "try_to_free_buffers" },
	{ 0x722d75ca, "sync_blockdev" },
	{ 0x2faa74bb, "free_buffer_head" },
	{ 0xbb029c7e, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x96f5a300, "blk_finish_plug" },
	{ 0x8625ba66, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x19f113c5, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6bc2046, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb85ddc1d, "__bh_read_batch" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0x27f2346d, "__wait_on_buffer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0xb25a43ab, "__bh_read" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x37475b86, "blkdev_issue_zeroout" },
	{ 0x90d92bf8, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8fce10f8, "set_bh_page" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x186ae4a9, "unlock_buffer" },
	{ 0xe0d59a70, "__getblk_gfp" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x61829f87, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x37b34da3, "__lock_buffer" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x5fee93f2, "truncate_inode_pages_range" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x664b7ad5, "end_buffer_write_sync" },
	{ 0xbde18153, "seq_open" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x6ba0bf8c, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xc91dd282, "blkdev_issue_discard" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "58EA3A0EA4BC8A2DC8403F1");

MODULE_INFO(suserelease, "SLE15-SP6");
