#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfd12db57, "pnfs_register_layoutdriver" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xeddf3b95, "pnfs_ld_read_done" },
	{ 0xb617b46a, "blk_start_plug" },
	{ 0x69d231ea, "pnfs_set_lo_fail" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf4624f53, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x96aeb6d1, "nfs_pageio_reset_read_mds" },
	{ 0xbd3f445c, "vmalloc_to_page" },
	{ 0xde86347e, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x99b07c9a, "pnfs_generic_pg_init_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x1ff312fc, "pnfs_generic_pg_writepages" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x6e7aca8c, "page_cache_next_miss" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xd24fed2f, "pnfs_generic_pg_readpages" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c3e94f0, "rpc_put_sb_net" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x9d1fe6b0, "nfs_dreq_bytes_left_offset" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x78015c49, "blkdev_put" },
	{ 0x65b8e09b, "rpc_destroy_pipe_data" },
	{ 0x5417537b, "__free_pages" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x96f5a300, "blk_finish_plug" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x68fb3d0c, "rpc_pipe_generic_upcall" },
	{ 0x81063da9, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0xf3817f4e, "nfs4_put_deviceid_node" },
	{ 0x3ec3e34, "blkdev_get_by_dev" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f31d42, "rpc_d_lookup_sb" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x36c9a926, "nfs_pageio_reset_write_mds" },
	{ 0x3ed84b38, "blkdev_get_by_path" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf0dcc427, "nfs4_find_get_deviceid" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x434ed86, "rpc_queue_upcall" },
	{ 0x2a7b9969, "xdr_init_decode_pages" },
	{ 0xfb578fc5, "memset" },
	{ 0xbe3b04ee, "pnfs_generic_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1cfd126d, "pnfs_generic_pg_cleanup" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x8ebd454f, "rpc_get_sb_net" },
	{ 0xece784c2, "rb_first" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4ad18138, "pnfs_generic_pg_test" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x341d4fad, "rpc_mkpipe_dentry" },
	{ 0xe7b07afd, "rpc_mkpipe_data" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x437babf8, "nfs4_mark_deviceid_unavailable" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc91e40f, "__folio_put" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xf8ce16a1, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe046d77, "dput" },
	{ 0xe984e3c8, "pnfs_error_mark_layout_for_return" },
	{ 0x54f3fff, "pnfs_ld_write_done" },
	{ 0x8c87ef14, "rpc_unlink" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x45c54c3b, "fs_bio_set" },
	{ 0x51b28321, "pnfs_generic_pg_init_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ea76ac4, "pnfs_unregister_layoutdriver" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "CA2D7F98B464570AF761410");

MODULE_INFO(suserelease, "SLE15-SP6");
