#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3fddbbb3, "iget_locked" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf9da2b01, "fs_param_is_string" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87c0c295, "xas_find" },
	{ 0xe13da377, "sync_filesystem" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc565aa05, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xb7a26dda, "fs_param_is_enum" },
	{ 0xa4a1d078, "logfc" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x64cc1e7c, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0x49608959, "migrate_disable" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0xd06477ff, "generic_ro_fops" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x9dfe8681, "bio_kmalloc" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb3641043, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x543b48b, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x922f771f, "bio_free_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xa7adb799, "bio_uninit" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x518e573, "get_tree_bdev" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x48e60699, "__fs_parse" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xdd6caa74, "submit_bio_wait" },
	{ 0x76a69817, "sb_min_blocksize" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "265F7EDEEDF38C730C31687");

MODULE_INFO(suserelease, "SLE15-SP6");
