#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x321b86a0, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xe914e41e, "strcpy" },
	{ 0x649004b0, "crypto_comp_decompress" },
	{ 0x14c99e08, "inode_init_owner" },
	{ 0x61588bda, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0x66ad08b9, "filemap_migrate_folio" },
	{ 0x3fddbbb3, "iget_locked" },
	{ 0x70a76893, "clear_nlink" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x5a949327, "d_instantiate" },
	{ 0xc8241d89, "clear_inode" },
	{ 0x585c813f, "verify_pkcs7_signature" },
	{ 0x3378caad, "generic_set_encrypted_ci_d_ops" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1a9e067e, "grab_cache_page_write_begin" },
	{ 0xc38f6287, "crypto_alloc_base" },
	{ 0x18f99b8d, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf9eba2, "folio_unlock" },
	{ 0xfba4cb7e, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0x6dc280ba, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9ebf5918, "filemap_map_pages" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0xe61ad7cc, "__fscrypt_prepare_setattr" },
	{ 0x1dcdf741, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x950bc9af, "fscrypt_ioctl_get_key_status" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x1556d69b, "fscrypt_decrypt_block_inplace" },
	{ 0xe13da377, "sync_filesystem" },
	{ 0x53b0dee9, "ubi_is_mapped" },
	{ 0x329838d8, "hrtimer_init" },
	{ 0x8a4500ea, "register_shrinker" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x93c5f591, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2fc45bf0, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x69a51b0, "finish_open" },
	{ 0x2ea85aa9, "iput" },
	{ 0x17bb799f, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xb71eed54, "iter_file_splice_write" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x62be5989, "generic_file_write_iter" },
	{ 0x62189875, "ubi_open_volume_path" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x37e11626, "d_tmpfile" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x834a7976, "fscrypt_ioctl_get_policy_ex" },
	{ 0xf8a949fe, "crypto_comp_compress" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x79ca80dc, "clear_page_dirty_for_io" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1ff744bc, "ubi_get_volume_info" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc89bd03e, "fscrypt_setup_filename" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1dea0199, "fscrypt_set_context" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x35720880, "fs_kobj" },
	{ 0xbd01a1f3, "wait_for_stable_page" },
	{ 0x2547bc97, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x93998833, "fscrypt_file_open" },
	{ 0xbb029c7e, "unregister_shrinker" },
	{ 0x5a82c255, "ilookup" },
	{ 0x1ab3a24d, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa0e628d8, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0xae68a0e2, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x75310b86, "ubi_leb_unmap" },
	{ 0xaee73518, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x84256458, "fscrypt_ioctl_get_nonce" },
	{ 0x6d4ce75, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x55729afb, "generic_file_read_iter" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0xfaf51741, "key_type_logon" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5c8068d6, "__wake_up_locked" },
	{ 0x4e8b4c45, "ubi_leb_read" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xff0c7272, "__fscrypt_prepare_rename" },
	{ 0xba5003ec, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x84521bd, "fscrypt_ioctl_set_policy" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xd980ddfa, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0x2f379841, "from_kgid" },
	{ 0x959d1310, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4d3cb972, "__fscrypt_encrypt_symlink" },
	{ 0xd24c641d, "__fscrypt_prepare_link" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc3e40a0d, "ubi_leb_write" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0xc1bd23e2, "sget" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0xc7b5040, "ubi_leb_change" },
	{ 0xdb8623e3, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x5f402faa, "fscrypt_put_encryption_info" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7b2e03ab, "ubi_open_volume_nm" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0x3b93a4e2, "ubi_leb_map" },
	{ 0xfb578fc5, "memset" },
	{ 0xd84f69e7, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x543b48b, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4fba9d3a, "fscrypt_drop_inode" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x7e4a3825, "end_page_writeback" },
	{ 0x75431171, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x49cdc0c9, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6050cce0, "nonseekable_open" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe9d5c0be, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x70398674, "__fscrypt_prepare_readdir" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x9cf9d19a, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xa85b477f, "kobject_del" },
	{ 0x41d87b02, "set_page_writeback" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0xb705ff56, "request_key_tag" },
	{ 0xd6a25572, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x3c04fc57, "fscrypt_fname_disk_to_usr" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xc91e40f, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x13b2e9fc, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x32771fb6, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x3bf809ff, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xec13dd6e, "deactivate_locked_super" },
	{ 0x575dfbcf, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x7448382d, "__folio_lock" },
	{ 0x8073d9bf, "hrtimer_cancel" },
	{ 0x69da5972, "filemap_dirty_folio" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0x442b2f8d, "is_bad_inode" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x4f017765, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xae98d16d, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x1d2a361d, "kill_anon_super" },
	{ 0xe8733e95, "writeback_inodes_sb_nr" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xc715cccb, "hrtimer_active" },
	{ 0xaecdfcc0, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x717825b8, "fscrypt_prepare_new_inode" },
	{ 0x97c67bce, "param_get_int" },
	{ 0x49276aca, "fscrypt_get_symlink" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0x2bc2ab0e, "filemap_fault" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc2d45bdf, "__set_page_dirty_nobuffers" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xbbcb08fa, "__mark_inode_dirty" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x32517cdc, "set_anon_super" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x3d956606, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1c6d6967, "fscrypt_has_permitted_context" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x36a1a26e, "fscrypt_symlink_getattr" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xe2924e41, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ubi,crc16");


MODULE_INFO(srcversion, "01E27B23A21A810BDEB0876");

MODULE_INFO(suserelease, "SLE15-SP6");
