#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb76fd50b, "bh_uptodate_or_lock" },
	{ 0x14c99e08, "inode_init_owner" },
	{ 0x50e009ca, "filemap_fdatawrite" },
	{ 0x61588bda, "generic_fillattr" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0xba5bddec, "vfs_fsync_range" },
	{ 0xf812cff6, "memscan" },
	{ 0x3fddbbb3, "iget_locked" },
	{ 0x70a76893, "clear_nlink" },
	{ 0x103d9ae7, "generic_block_bmap" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x5a949327, "d_instantiate" },
	{ 0xc8241d89, "clear_inode" },
	{ 0x1a9e067e, "grab_cache_page_write_begin" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xbd2211b8, "discard_new_inode" },
	{ 0xaf9eba2, "folio_unlock" },
	{ 0xeb9eef52, "match_uint" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0x9ebf5918, "filemap_map_pages" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0xdb032b06, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xfe30f83, "__block_write_begin" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x44e38f72, "inode_query_iversion" },
	{ 0x2cb23214, "__blockdev_direct_IO" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0xba65fdf1, "block_truncate_page" },
	{ 0xe13da377, "sync_filesystem" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x93c5f591, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2fc45bf0, "ihold" },
	{ 0xc565aa05, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xee284328, "generic_file_fsync" },
	{ 0xdfddb210, "read_cache_page" },
	{ 0x69a51b0, "finish_open" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xb71eed54, "iter_file_splice_write" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x37e11626, "d_tmpfile" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e73892a, "block_invalidate_folio" },
	{ 0xd329483b, "generic_write_end" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3723fb33, "load_nls" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x9a5414b7, "inode_sub_bytes" },
	{ 0xbd01a1f3, "wait_for_stable_page" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x7171121c, "overflowgid" },
	{ 0xc4f57b0a, "invalidate_inode_buffers" },
	{ 0x300b92f1, "block_commit_write" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0x65b19fd, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x6bc2046, "__brelse" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x55729afb, "generic_file_read_iter" },
	{ 0x5464a56b, "inode_maybe_inc_iversion" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0xdb2c97d9, "truncate_pagecache" },
	{ 0xa3d0b706, "sync_dirty_buffer" },
	{ 0x7c2d1d58, "insert_inode_locked" },
	{ 0xb85ddc1d, "__bh_read_batch" },
	{ 0x43c169d1, "setattr_copy" },
	{ 0x83ed2bd5, "write_cache_pages" },
	{ 0xa1c207f1, "file_update_time" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2f379841, "from_kgid" },
	{ 0xb25a43ab, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x5fb45bc5, "cdrom_multisession" },
	{ 0x62486a27, "mpage_writepages" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x205c85d9, "__bread_gfp" },
	{ 0xd976f401, "block_dirty_folio" },
	{ 0x7bec90d9, "inode_add_bytes" },
	{ 0x22bfc020, "mpage_read_folio" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xa080878e, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x49cdc0c9, "truncate_setsize" },
	{ 0xa2eacddb, "set_page_dirty" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x186ae4a9, "unlock_buffer" },
	{ 0xe0d59a70, "__getblk_gfp" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xaed6ed6c, "d_instantiate_new" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb3680ffa, "mount_bdev" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x495d5d95, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x575dfbcf, "touch_atime" },
	{ 0xbea81f13, "__percpu_down_read" },
	{ 0x37b34da3, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x7531f27e, "generic_file_open" },
	{ 0x7448382d, "__folio_lock" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0x442b2f8d, "is_bad_inode" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x3508f372, "rcuwait_wake_up" },
	{ 0xeb80a6f1, "block_write_begin" },
	{ 0xae98d16d, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x31a594a2, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xf732b6c, "generic_write_checks" },
	{ 0x6cbc2df2, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0x2bc2ab0e, "filemap_fault" },
	{ 0xbbcb08fa, "__mark_inode_dirty" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x1e52122b, "unload_nls" },
	{ 0x52ce608c, "up_read" },
	{ 0xc90d8f6d, "mark_buffer_dirty_inode" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cdrom,crc-itu-t");


MODULE_INFO(srcversion, "8855AA8949ED0AE21771A06");

MODULE_INFO(suserelease, "SLE15-SP6");
