#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_br_ops, 0x4846e0e9, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xd9e4f845, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xe744ad52, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xbe0cfee5, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xf7e85290, "_gpl");
SYMBOL_CRC(br_forward, 0x5a27110e, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x58b6ee37, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xccdd6bae, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x3c8ea153, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xdd704390, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x286a911f, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xd4a67168, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x5e76b82f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x21509095, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x037ecbe9, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x1454272f, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x8f5c37c9, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xe8f8a98a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x663e9478, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xb0ef34d8, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xe5837e68, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x2986d73d, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x210a879f, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x5f810431, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x1a2e3d7d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f19a429, "netdev_lower_get_next" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x22db6b49, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x9c486853, "__nlmsg_put" },
	{ 0xca8690e6, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3d43810f, "ipv6_mc_check_mld" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf291c78d, "call_switchdev_notifiers" },
	{ 0xba42b839, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcb8f040f, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x57995946, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbf16df3c, "netpoll_send_skb" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2fed913f, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92b4408d, "switchdev_port_obj_act_is_deferred" },
	{ 0x9c04bc7c, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf65fc63, "dev_set_promiscuity" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9fab776, "netdev_state_change" },
	{ 0x17e66e7b, "__dev_get_by_name" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x8a8d8728, "brioctl_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x35aab7de, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0xb140b962, "passthru_features_check" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x34e76cce, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8324f101, "__SCK__tp_func_br_mdb_full" },
	{ 0x8e9e0d3e, "rtnl_af_register" },
	{ 0xd2417bbe, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x20a8e6af, "rtnl_set_sk_err" },
	{ 0x4f1a8748, "skb_vlan_pop" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xc46dfc5b, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0xcd9a8db1, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xd9c74a6a, "dev_get_port_parent_id" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x601bb5c2, "ipv6_stub" },
	{ 0xaeef55b4, "inet_confirm_addr" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0xebdb0933, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92f4dc0a, "__SCK__tp_func_br_fdb_add" },
	{ 0x54c0a358, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x316b1e7b, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x297e593b, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x29157a8e, "skb_push" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x546b51e, "br_fdb_test_addr_hook" },
	{ 0x231a8cfd, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd27bf6f4, "llc_mac_hdr_init" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x749206ac, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3cbac67c, "__SCK__tp_func_fdb_delete" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0xb5928320, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaee1e7b4, "ns_capable" },
	{ 0xbf1bb947, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x6ee6edb4, "arp_create" },
	{ 0xbf328441, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb8f40db4, "stp_proto_register" },
	{ 0x6440f566, "rtnl_register_module" },
	{ 0x53d9d1c2, "__tracepoint_br_fdb_update" },
	{ 0xc74e802, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfda2c3e4, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x15b4c044, "ip_mc_check_igmp" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb7d6f534, "switchdev_port_obj_del" },
	{ 0xb86c0278, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x163b8017, "kobject_create_and_add" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x617817dd, "nf_hook_slow" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5548bb3f, "__ip_mc_inc_group" },
	{ 0x3da8825c, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4de0e743, "pv_ops" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x2d9603a2, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8730434d, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc25bf643, "__netpoll_setup" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeee2ebf5, "vlan_vid_add" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x296b8bfe, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xa85b477f, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x3de958ee, "__SCK__tp_func_br_fdb_update" },
	{ 0xfb39ba40, "call_netdevice_notifiers" },
	{ 0x218a490b, "is_skb_forwardable" },
	{ 0x4d3c8f67, "vlan_vid_del" },
	{ 0x19f77a01, "dev_set_allmulti" },
	{ 0x233b427d, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88bff22a, "netdev_master_upper_dev_get" },
	{ 0x24b1e724, "ipv6_dev_mc_inc" },
	{ 0x19b1015e, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb7134481, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0xc4aece93, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x2a59284b, "arp_tbl" },
	{ 0x5e1a0e82, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa4d082ae, "netdev_rx_handler_register" },
	{ 0x5fa77e9f, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0x62fd3a0b, "dev_disable_lro" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd3d5d133, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb6d9602, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7f44fd35, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xd609df5a, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xab87488b, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x8a0cc243, "skb_ext_add" },
	{ 0xdadd7eea, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3d8974c5, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xed18869f, "neigh_lookup" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe2924e41, "kobject_put" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "A635FE7BD4CA15E9AB82E58");

MODULE_INFO(suserelease, "SLE15-SP6");
