#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0xf1270392, "");
SYMBOL_CRC(ceph_compare_options, 0x013095ff, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x13a78944, "");
SYMBOL_CRC(ceph_parse_param, 0x040cd0a7, "");
SYMBOL_CRC(ceph_print_client_options, 0xc2426ded, "");
SYMBOL_CRC(ceph_client_addr, 0x71014ec2, "");
SYMBOL_CRC(ceph_client_gid, 0x7a6c35f9, "");
SYMBOL_CRC(ceph_create_client, 0xca374712, "");
SYMBOL_CRC(ceph_destroy_client, 0xf69c2d1e, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xa63f53bb, "");
SYMBOL_CRC(__ceph_open_session, 0xa209d7c0, "");
SYMBOL_CRC(ceph_open_session, 0xc5b36c1c, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x79d0a685, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xd7ff47a9, "");
SYMBOL_CRC(ceph_con_open, 0x27feefda, "");
SYMBOL_CRC(ceph_con_init, 0xfa8d74aa, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x09a73407, "");
SYMBOL_CRC(ceph_con_keepalive, 0x1a909210, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x5ae21de9, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x8731dcbd, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x273b7b6e, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x757d856a, "");
SYMBOL_CRC(ceph_msg_new2, 0x01c6fb59, "");
SYMBOL_CRC(ceph_msg_new, 0x6fada0a5, "");
SYMBOL_CRC(ceph_msg_get, 0x7e3bed4e, "");
SYMBOL_CRC(ceph_msg_put, 0x9708ecc8, "");
SYMBOL_CRC(ceph_msg_dump, 0x1141768b, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0x33a5d2b8, "");
SYMBOL_CRC(ceph_monc_got_map, 0xe35bff87, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x5e6f3b6e, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x064e8f10, "");
SYMBOL_CRC(ceph_monc_open_session, 0xcae22d8f, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x92f91f4d, "");
SYMBOL_CRC(ceph_monc_get_version, 0xbb44eb26, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x1aa265ad, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x269ea494, "");
SYMBOL_CRC(ceph_monc_init, 0x2ed3027d, "");
SYMBOL_CRC(ceph_monc_stop, 0x57be5da5, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x7b8f7d24, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x1fd0d8df, "");
SYMBOL_CRC(ceph_cls_unlock, 0x87efbe40, "");
SYMBOL_CRC(ceph_cls_break_lock, 0xeb15910f, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xca5872fa, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x94d0bfb5, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xed270e40, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xbd68c6b3, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x38f2cd63, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x68f7e7ca, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x22d61628, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x53bf1179, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xbaefca76, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0xf7fed29b, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0xb285dcf2, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0xdf2fce61, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x0e9d5dea, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x4824796b, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x29ece5a7, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xb8861570, "");
SYMBOL_CRC(ceph_osdc_put_request, 0xd480dbaa, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x4f3e8582, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x6a4f4e0e, "");
SYMBOL_CRC(osd_req_op_init, 0x9656338d, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xee86faff, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xf548425b, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x54dd4ebc, "");
SYMBOL_CRC(osd_req_op_cls_init, 0xfcdf3387, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x3786d287, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xbf52d8d2, "");
SYMBOL_CRC(ceph_osdc_new_request, 0xe3822f36, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xe5e3e108, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x0003043c, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x7f1c2fbf, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x9cdfb5b7, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x5ca41a2d, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x8114f42e, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0xd7afd51f, "");
SYMBOL_CRC(ceph_osdc_sync, 0x2594f60e, "");
SYMBOL_CRC(ceph_osdc_watch, 0x2e9d4083, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x9365f1a3, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x604a19df, "");
SYMBOL_CRC(ceph_osdc_notify, 0xad3f3826, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x1984ca04, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xc8c838e2, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x7dc90441, "");
SYMBOL_CRC(ceph_osdc_call, 0x5cd6bb88, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x0b2d1ec2, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x4b13bf05, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0xca0416da, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x96e15f46, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0x58351840, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x93783344, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x811733d7, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x8862d593, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x12db634e, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0xae66e077, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x9f45c8fe, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x53d1bc00, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x1ff0816b, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x7fc4a49d, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x2133ca62, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x45020afc, "");
SYMBOL_CRC(ceph_release_page_vector, 0x1131349a, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x3fdf5ed4, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x82da6d5b, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x14dccd86, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x8574cd6b, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x7920d522, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x652a6187, "tcp_sock_set_cork" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf9da2b01, "fs_param_is_string" },
	{ 0xbd3f445c, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xf2e60b0, "unregister_key_type" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x4f8d4d2f, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb7a26dda, "fs_param_is_enum" },
	{ 0xa4a1d078, "logfc" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0x8b1ab89f, "__tracepoint_sk_data_ready" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0xae59fea7, "register_key_type" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x93739feb, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1889e0b, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x60a07060, "filemap_alloc_folio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x35a26bc7, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xaee73518, "key_put" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x6d4ce75, "up_write" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xe52a31b3, "__SCK__tp_func_sk_data_ready" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb375927f, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x99fdb7ad, "sock_sendmsg" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x236c67ad, "tcp_stream_memory_free" },
	{ 0xe5f5a7ce, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x92637741, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6f53b8f3, "crypto_alloc_sync_skcipher" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xa01a78e7, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4f4ad154, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xb705ff56, "request_key_tag" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x94099555, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc6a53ee0, "mempool_destroy" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xd37a10be, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1da8e3b, "set_page_dirty_lock" },
	{ 0x51abdc1b, "sock_release" },
	{ 0xad7ef3dc, "iov_iter_discard" },
	{ 0x6b6db48c, "downgrade_write" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x21c48c7b, "tcp_sock_set_nodelay" },
	{ 0x48e60699, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x1ac3a751, "kernel_sendmsg" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "4BE27FDBE64B2C4B2F80F96");

MODULE_INFO(suserelease, "SLE15-SP6");
