#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x247d84c4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x28a76183, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x2301fe00, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xea575718, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xc589aa45, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xd942f060, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x45f0609f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x7bad41f4, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x5ceeed46, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xb01a8b39, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xdf7ea0c2, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xba1decca, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x10729c33, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x95b5b67b, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x815a17c2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xb1769969, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xf0ae78ea, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xddf86979, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x101d4b2d, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x3b8419a0, "_gpl");
SYMBOL_CRC(__l2tp_session_set_header_len, 0x5a2a0a13, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x85e98b88, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x4f4ad154, "sock_create_kern" },
	{ 0x40b1b655, "kernel_bind" },
	{ 0x92637741, "kernel_connect" },
	{ 0xb4eb62be, "udp_sock_create6" },
	{ 0xf15439e0, "kernel_sock_shutdown" },
	{ 0x51abdc1b, "sock_release" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0x18078970, "ip_icmp_error" },
	{ 0xd5729ee9, "ipv6_icmp_error" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51905f4, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x617e718, "idr_get_next_ul" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0xb5a59b60, "sockfd_lookup" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xa954e45b, "release_sock" },
	{ 0xbeddd570, "idr_replace" },
	{ 0xa572006f, "fput" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0xaa513c0d, "udp_set_csum" },
	{ 0x801c18f4, "ip_queue_xmit" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xda123abf, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3e13f382, "udp6_set_csum" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "931A58A432DB4A9559BC00A");

MODULE_INFO(suserelease, "SLE15-SP6");
