#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0x6ea83153, "sock_i_uid" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x786b652c, "proc_dointvec_jiffies" },
	{ 0x478b2d89, "llc_build_and_send_ui_pkt" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb767b225, "llc_sap_close" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x12241e3b, "llc_sap_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c2cdb22, "put_cmsg" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0xb7a351e, "dev_getfirstbyhwtype" },
	{ 0x54dc7aa7, "sock_register" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdc02365d, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x98aea629, "llc_add_pack" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x4655dea7, "llc_sap_find" },
	{ 0x38b92846, "llc_remove_pack" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x29157a8e, "skb_push" },
	{ 0xd27bf6f4, "llc_mac_hdr_init" },
	{ 0x52d7b2fd, "llc_sap_list" },
	{ 0xaee1e7b4, "ns_capable" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xa8f08146, "llc_set_station_handler" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0x54fbc09e, "sock_efree" },
	{ 0x6750c558, "sk_wait_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75a924fa, "sock_rfree" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x2b759fbd, "dev_getbyhwaddr_rcu" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x5acefa67, "proc_create_seq_private" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xa954e45b, "release_sock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "llc");


MODULE_INFO(srcversion, "96EB6E990F9199871D369DA");

MODULE_INFO(suserelease, "SLE15-SP6");
