#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ieee802154_alloc_hw, 0xa5e82c94, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x2bf0923a, "");
SYMBOL_CRC(ieee802154_free_hw, 0xf82af25e, "");
SYMBOL_CRC(ieee802154_register_hw, 0xaf2d1ee5, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x0d9f5c50, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xe5869c4d, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x25323f43, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xd2c1cbbd, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x97c7423d, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x8776fafe, "nl802154_beaconing_done" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70421f21, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x329838d8, "hrtimer_init" },
	{ 0x66571b51, "dev_alloc_name" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x43954d4b, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3251228, "wpan_phy_unregister" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0xf800ac3e, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7694e15a, "nl802154_scan_started" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaf5aecef, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x34556ce0, "ieee802154_hdr_peek" },
	{ 0x1d148b8d, "wpan_phy_free" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x749206ac, "free_netdev" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xd84f69e7, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35590dca, "ieee802154_hdr_pull" },
	{ 0xbf81d27f, "nl802154_scan_event" },
	{ 0x6f53b8f3, "crypto_alloc_sync_skcipher" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6bb20632, "ieee802154_beacon_push" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5a1db696, "wpan_phy_new" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8073d9bf, "hrtimer_cancel" },
	{ 0xd5af6699, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "589197BD7007FCA534BDE4A");

MODULE_INFO(suserelease, "SLE15-SP6");
