#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_conntrack_locks, 0xd4d19996, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xe3513fa1, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x3b89f00f, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xc04576eb, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xfa7fa287, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xe3644cf9, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xb985fcc1, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x9a1721d4, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xe5ec1e86, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x4a00c6d7, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xdd503089, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x5716394c, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xc601e3ce, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x1fad5c20, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x556244c8, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x6332de65, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xc4273d93, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x50aadd2c, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xf9b1e0e4, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x6a95f89d, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xf12f7f10, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x398be76c, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xb8d5064e, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x8d1092bd, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x944997f2, "_gpl");
SYMBOL_CRC(print_tuple, 0xbfbe3585, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x8e85c62f, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x25fc8f23, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xff87fcaf, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xd35f341e, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xa518fc47, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x2cbfa0ff, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xe3e09d29, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x0ce6c17b, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x13122d93, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xa8f90c0a, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xba53d057, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x7b934b46, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x2db26363, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xa665468e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x235c6bbb, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xce6a0e62, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xdb92d8d7, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xf4d96741, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xcc78b03c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xfe3263af, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xa8f2360c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xa7e91f2c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xa4c1b83f, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x23c4474d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xdb573140, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xbe78c1a2, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xbf9b930e, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x6d061f5c, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x9f018f31, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x34552bc4, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xd29b0fc5, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x451a5d9e, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xb244e67b, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x4bfc2c0b, "_gpl");
SYMBOL_CRC(nf_confirm, 0x36d5e780, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xcac537c5, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x18cc18da, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x61765b7b, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xa24f7d5a, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xb797e0e1, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x324ac1a3, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xc25b9f57, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x6bd946db, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xc31c23fa, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x1c4867ef, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x078b4615, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x3a926dd0, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x31acd964, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x816feff3, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xd8d97459, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x25feee0c, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x5e2e370d, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xed39a5d3, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x5568fbaa, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xfbb800c5, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x1385731d, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x204a2b84, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x51d45d4a, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x2f287df0, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x1037a932, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x8f860f74, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x2a1ed9c2, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x3da1e639, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xaea64ecc, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3988ddef, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf9dbd64, "nf_defrag_ipv4_disable" },
	{ 0x665927e6, "nf_ip6_checksum" },
	{ 0x9b136ea4, "proc_dou8vec_minmax" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x786b652c, "proc_dointvec_jiffies" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfc4f821c, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x87cd16ab, "nfct_btf_struct_access" },
	{ 0x720ef68a, "param_set_uint" },
	{ 0x8c1e8270, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d14ef4b, "nf_ct_frag6_gather" },
	{ 0x29785490, "get_net_ns_by_id" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xcd01f0e7, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6fa44909, "nf_unregister_sockopt" },
	{ 0x98675b54, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xd7a81d1e, "nf_defrag_ipv6_disable" },
	{ 0x33699cde, "ipv6_skip_exthdr" },
	{ 0x11e2f707, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x81063da9, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa75f16f9, "nf_checksum" },
	{ 0xd1fcfd6f, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x9c2c2fa8, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0xb375927f, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8ec746fb, "nf_checksum_partial" },
	{ 0x3fef0ed0, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3cfe3f4b, "nf_unregister_net_hooks" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x7fde982, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3bf83132, "nf_log_packet" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x3bd7defc, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfe5fa5e1, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x6c6a7f22, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xa01a78e7, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfc6fff90, "__skb_checksum" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcff18d0a, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xd1af6293, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x711b7ed3, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x8c0c3df7, "proc_dointvec" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x2fce771a, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x55c67fa1, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa333cb27, "pskb_trim_rcsum_slow" },
	{ 0x52ce608c, "up_read" },
	{ 0x5bda79bd, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "31696D53C9936610F4FA30B");

MODULE_INFO(suserelease, "SLE15-SP6");
