#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pn_sock_hash, 0xb374aca5, "");
SYMBOL_CRC(pn_sock_unhash, 0x85423363, "");
SYMBOL_CRC(phonet_stream_ops, 0xdaca1e77, "");
SYMBOL_CRC(pn_sock_get_port, 0x19f45325, "");
SYMBOL_CRC(phonet_header_ops, 0x6b9ca5b4, "");
SYMBOL_CRC(pn_skb_send, 0x475b9510, "");
SYMBOL_CRC(phonet_proto_register, 0x7c265a98, "");
SYMBOL_CRC(phonet_proto_unregister, 0xa8f7f176, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x63a78f59, "skb_free_datagram" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x6ea83153, "sock_i_uid" },
	{ 0x9c486853, "__nlmsg_put" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70421f21, "consume_skb" },
	{ 0x6f2a278d, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xd95d9bec, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x54dd28ae, "sock_no_connect" },
	{ 0x33eaec17, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54dc7aa7, "sock_register" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xda90c80e, "netlink_capable" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x20a8e6af, "rtnl_set_sk_err" },
	{ 0xdc02365d, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0xe4c559bd, "__sk_receive_skb" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f954439, "dev_remove_pack" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x6440f566, "rtnl_register_module" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xc1f47f32, "sock_common_recvmsg" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xacf494a1, "sk_common_release" },
	{ 0x6d3000d6, "seq_pad" },
	{ 0x40467491, "sock_i_ino" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x61829f87, "prepare_to_wait_exclusive" },
	{ 0x5eb8ebbf, "skb_recv_datagram" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x19b1015e, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa954e45b, "release_sock" },
	{ 0x8ba09c84, "proc_dointvec_minmax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFD86489EA5B2B61125B163");

MODULE_INFO(suserelease, "SLE15-SP6");
