#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xeb824ea2, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x04f1695c, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x03d3df4c, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xe0d4495d, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x0b585b43, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x0109a725, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xa41f955e, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x940b1aeb, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xb63a56ed, "");
SYMBOL_CRC(key_type_rxrpc, 0x9a139496, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x61376819, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xacf10a2b, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x06ec9204, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x21a06766, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x071a2501, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x76e70a8a, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x7ca15dd2, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x15463301, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xb11a772d, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b23ada, "key_alloc" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x51905f4, "idr_find" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0xe7113ebd, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1de4f596, "add_wait_queue_exclusive" },
	{ 0x93f68c50, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x59692f0c, "udpv6_sendmsg" },
	{ 0xf2e60b0, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7352c325, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x507d30a2, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xae59fea7, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c2cdb22, "put_cmsg" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd5729ee9, "ipv6_icmp_error" },
	{ 0x54dc7aa7, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xfd4a7f69, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xdc02365d, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb67f54bb, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xae06deaf, "__sock_recv_timestamp" },
	{ 0xaee73518, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xdf770144, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x68e35256, "sock_enable_timestamps" },
	{ 0xc80dc6cb, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f58a226, "ip6_mtu" },
	{ 0x6626afca, "down" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x1514ca2c, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xf15439e0, "kernel_sock_shutdown" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x1e6f629d, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6f5f64a2, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x735ab4ee, "__sock_recv_wifi_status" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1c8b35cd, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x5b17f5b1, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6f53b8f3, "crypto_alloc_sync_skcipher" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0x2754d64e, "proc_remove" },
	{ 0xb4eb62be, "udp_sock_create6" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x43b56891, "keyring_search" },
	{ 0x69da0845, "ip_sock_set_recverr" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x61829f87, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb705ff56, "request_key_tag" },
	{ 0x94099555, "generic_key_instantiate" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x43a10365, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe5149324, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x51abdc1b, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xfb6ba863, "sock_no_ioctl" },
	{ 0xeadc9d42, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfd111363, "bpf_trace_run7" },
	{ 0x18078970, "ip_icmp_error" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x1ac3a751, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x66106782, "skb_to_sgvec" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xafcaeb7f, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xa954e45b, "release_sock" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58d627de, "proc_create_net_single_write" },
	{ 0x179ba1d9, "crypto_alloc_skcipher" },
	{ 0x8ba09c84, "proc_dointvec_minmax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "527C709C6A9474D9F991AAD");

MODULE_INFO(suserelease, "SLE15-SP6");
