#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_toe_register_device, 0xee7bd24d, "");
SYMBOL_CRC(tls_toe_unregister_device, 0x5496c6ec, "");
SYMBOL_CRC(tls_device_sk_destruct, 0x16971e18, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x03e89c17, "_gpl");
SYMBOL_CRC(tls_get_record, 0x2b2dfafb, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xd25a8b14, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xf96f8635, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51061b74, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2717b2f8, "tcp_bpf_sendmsg_redir" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ef9b172, "tcp_read_sock" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3d22ae47, "sk_page_frag_refill" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6e4b52c4, "tcp_sendmsg_locked" },
	{ 0x70421f21, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xad0fbe07, "sk_psock_msg_verdict" },
	{ 0xe7113ebd, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4f8d4d2f, "iov_iter_get_pages2" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xe24696ad, "clean_acked_data_enable" },
	{ 0x63936fb6, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0x8b1ab89f, "__tracepoint_sk_data_ready" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x11839f99, "sk_stream_error" },
	{ 0x1527859f, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3605c327, "sk_msg_memcopy_from_iter" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x8c2cdb22, "put_cmsg" },
	{ 0x227a34d1, "__sk_flush_backlog" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x13182bb4, "sk_psock_tls_strp_read" },
	{ 0xb6047591, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x8d0c0a5d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa70069ac, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xce7b9705, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x6d4ce75, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xe52a31b3, "__SCK__tp_func_sk_data_ready" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa902232e, "skb_store_bits" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xf196ffad, "__sk_mem_reclaim" },
	{ 0xd6900a7d, "sk_stream_wait_memory" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6951bbfc, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x74d10c5e, "sk_msg_return_zero" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x236c67ad, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x54fbc09e, "sock_efree" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0x44c21e91, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x58b466b0, "clean_acked_data_disable" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x83b11c7f, "sk_msg_free_partial" },
	{ 0xeffc7b5d, "down_read" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xa5e97d7e, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf9ff5cf, "tcp_register_ulp" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xae09bce, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xed6bac6e, "skb_page_frag_refill" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x965c2901, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x42179c30, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x661093bb, "skb_copy_header" },
	{ 0x87eb419c, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe149b28e, "netdev_sk_get_lowest_dev" },
	{ 0xf108d0be, "sk_msg_alloc" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xe9938437, "_copy_from_iter_nocache" },
	{ 0x34a492c, "tcp_rate_check_app_limited" },
	{ 0x9bbc95c9, "tcp_poll" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x23699af9, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x66106782, "skb_to_sgvec" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa1486a9f, "tcp_read_done" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9C347944D16176B44A62FB7");

MODULE_INFO(suserelease, "SLE15-SP6");
