#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x97a9962, "netlink_broadcast_filtered" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x1a04d9d2, "__fib6_flush_trees" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x9f423594, "xfrm_state_lookup_byaddr" },
	{ 0x3813213e, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xa48c0d0e, "xfrm_audit_state_delete" },
	{ 0xf62a0a14, "__xfrm_state_destroy" },
	{ 0xee210f84, "xfrm_state_delete" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65cbf575, "km_state_expired" },
	{ 0xe9935b02, "__xfrm_state_delete" },
	{ 0x8304ff0, "xfrm_policy_destroy" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x5d3edb47, "xfrm_dev_policy_add" },
	{ 0x5e28903a, "xfrm_state_alloc" },
	{ 0xdde40b6b, "xfrm_state_free" },
	{ 0x16379faf, "km_query" },
	{ 0x681cf83b, "xfrm_policy_insert" },
	{ 0xa3ee4b17, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xbf6fa7b6, "xfrm_find_acq_byseq" },
	{ 0x47d2ae98, "xfrm_alloc_spi" },
	{ 0xe676daaa, "xfrm_find_acq" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x94d5b59e, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x6ecb7e99, "xfrm_init_replay" },
	{ 0xa7181554, "xfrm_dev_state_add" },
	{ 0x9da577b6, "xfrm_state_update" },
	{ 0x242280aa, "xfrm_audit_state_add" },
	{ 0x18ec2f29, "xfrm_state_add" },
	{ 0xfd4b4f0f, "xfrm_dev_state_delete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf3ba34e4, "xfrm_policy_byid" },
	{ 0xc1a24fd0, "km_policy_expired" },
	{ 0x4f99bb89, "xfrm_policy_bysel_ctx" },
	{ 0x9e4ccee4, "xfrm_policy_delete" },
	{ 0x8d1c65e6, "xfrm_audit_policy_delete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xb57138a0, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4e7e528c, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xfcba5e02, "netlink_kernel_release" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x557efafb, "netlink_rcv_skb" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x9c486853, "__nlmsg_put" },
	{ 0xb72508a, "netlink_unicast" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x7992c6e7, "xfrm_spd_getinfo" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x9ec12ba1, "xfrm_policy_hash_rebuild" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe1ea45aa, "xfrm_sad_getinfo" },
	{ 0x83bee71b, "xfrm_state_flush" },
	{ 0x4880b0d4, "km_state_notify" },
	{ 0x4bc755c7, "xfrm_policy_walk_done" },
	{ 0x4002ac1b, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x37c7e3bc, "xfrm_state_walk_done" },
	{ 0x5d875954, "__netlink_kernel_create" },
	{ 0x16578e0e, "xfrm_unregister_km" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x624dc457, "xfrm_migrate" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c11e5a2, "xfrm_policy_flush" },
	{ 0x4197d453, "km_policy_notify" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x6aa3d684, "netlink_net_capable" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2ef2c26e, "xfrm_get_translator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x27740aac, "xfrm_put_translator" },
	{ 0xc03ee57e, "__netlink_dump_start" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x290a2f6a, "xfrm_state_walk" },
	{ 0x1b920e8c, "xfrm_policy_alloc" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "AF9B1783FCEABDF1FA0B402");

MODULE_INFO(suserelease, "SLE15-SP6");
