#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80dad1db, "fw_send_response" },
	{ 0x591f4b22, "cmp_connection_reserve" },
	{ 0xb90b1cf3, "snd_rawmidi_receive" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x30674cc8, "amdtp_am824_set_parameters" },
	{ 0x68cd8b78, "snd_rawmidi_transmit" },
	{ 0x3003acb, "snd_fw_transaction" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa591b968, "cmp_connection_check_used" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0xf72667a8, "amdtp_am824_midi_trigger" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53ca18e8, "amdtp_rate_table" },
	{ 0x3caa65cc, "cmp_connection_release" },
	{ 0xf99f4415, "amdtp_am824_init" },
	{ 0x534f06da, "snd_card_register" },
	{ 0xd47b5164, "snd_card_free" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x15ef437a, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0x61985cc3, "cmp_connection_init" },
	{ 0x6e17a1ff, "snd_pcm_hw_constraint_minmax" },
	{ 0xb7657bb5, "cmp_connection_break" },
	{ 0xd72b86ed, "fcp_bus_reset" },
	{ 0x6d980cbb, "amdtp_domain_stream_pcm_pointer" },
	{ 0x60de3b9c, "amdtp_stream_pcm_abort" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x58122242, "fw_core_remove_address_handler" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xeabb1d97, "amdtp_domain_init" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0x6ed052ac, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76196a1e, "fw_core_add_address_handler" },
	{ 0xf30f3c79, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb369262b, "snd_pcm_hw_rule_add" },
	{ 0x3b8e8757, "amdtp_domain_stop" },
	{ 0x745fee22, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x94098ff8, "snd_interval_list" },
	{ 0x4f791397, "_dev_err" },
	{ 0x568d982a, "snd_hwdep_new" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x31dbb1f1, "amdtp_stream_destroy" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0x4fee00a1, "amdtp_domain_add_stream" },
	{ 0x1cf609e1, "cmp_connection_establish" },
	{ 0x19bc9f79, "amdtp_stream_get_max_payload" },
	{ 0xbb426a78, "avc_general_get_plug_info" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xe9990243, "fcp_avc_transaction" },
	{ 0xce771f03, "cmp_connection_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x29b8b6ef, "snd_rawmidi_new" },
	{ 0xdd64e639, "strscpy" },
	{ 0x35e97fa2, "snd_rawmidi_set_ops" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xe80e5087, "fw_csr_iterator_init" },
	{ 0x7b11e4e1, "fw_bus_type" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe59dc928, "snd_info_create_card_entry" },
	{ 0x38d4acf1, "avc_general_set_sig_fmt" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x57b3b1d3, "fw_send_request" },
	{ 0x754d539c, "strlen" },
	{ 0x4fc4cd84, "amdtp_domain_stream_pcm_ack" },
	{ 0x5016483b, "amdtp_domain_destroy" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x5f8a5700, "amdtp_domain_start" },
	{ 0xe3fde125, "fw_csr_iterator_next" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-firewire-lib,snd-rawmidi,snd,snd-pcm,snd-hwdep");

MODULE_ALIAS("ieee1394:ven00001292mo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven0000D04Bmo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001564mo0000FC22sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00000460sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo0000200Fsp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo*sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven0000022Emo00800007sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001260mo00001000sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001260mo00002000sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven000003DBmo0001DDDDsp0000A02Dver00010001*");

MODULE_INFO(srcversion, "8014819A80B7694C7F5EDD7");

MODULE_INFO(suserelease, "SLE15-SP6");
