#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_emu10k1_memblk_map, 0xc9c5e3a6, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x28c105ef, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x506b2a2c, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0xaba9607f, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xf4defd9d, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x109f05ef, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xd74f195c, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x6ec2c161, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x721e977c, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xb90b1cf3, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc4b38f79, "snd_dma_alloc_dir_pages" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x68cd8b78, "snd_rawmidi_transmit" },
	{ 0x43aa4bab, "snd_ac97_write_cache" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x268c616c, "snd_ac97_resume" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2ca08a66, "snd_seq_device_new" },
	{ 0x534f06da, "snd_card_register" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x4be9d446, "snd_devm_alloc_dir_pages" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x6e17a1ff, "snd_pcm_hw_constraint_minmax" },
	{ 0x2e186863, "snd_timer_interrupt" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4848f01d, "snd_card_rw_proc_new" },
	{ 0xe503b59e, "snd_ac97_update_bits" },
	{ 0x3ce230a4, "snd_ac97_mixer" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x9c876e41, "snd_sgbuf_get_addr" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x600e41f7, "snd_ctl_remove" },
	{ 0x31a4a85b, "snd_ac97_bus" },
	{ 0x7f28f16e, "snd_ctl_find_id" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xd3a74b56, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe95e3eff, "snd_ctl_remove_id" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3334c824, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xd57f4196, "snd_ac97_suspend" },
	{ 0x5548ec09, "snd_pcm_lib_malloc_pages" },
	{ 0xb94f7bda, "__snd_util_mem_alloc" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46d151d7, "snd_util_memhdr_new" },
	{ 0x6d4ce75, "up_write" },
	{ 0x9916cb15, "snd_pcm_lib_free_pages" },
	{ 0x568d982a, "snd_hwdep_new" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x5379f7f6, "snd_ctl_notify" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x85495537, "snd_pcm_set_managed_buffer" },
	{ 0x48c4c171, "snd_timer_new" },
	{ 0xc87b63b0, "snd_ctl_rename" },
	{ 0xea55e930, "snd_pcm_hw_constraint_list" },
	{ 0xb9700959, "snd_ac97_update" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x29b8b6ef, "snd_rawmidi_new" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xd81d6729, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x147f7e91, "__snd_util_mem_free" },
	{ 0x35e97fa2, "snd_rawmidi_set_ops" },
	{ 0xccdd7f29, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x476580ee, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x1a0e1f30, "snd_util_memhdr_free" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe59dc928, "snd_info_create_card_entry" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x8740c0bf, "snd_device_free" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0x46b68d05, "__snd_util_memblk_new" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x1e8c5507, "snd_pcm_hw_rule_noresample" },
	{ 0xaccd91e2, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "62DEFFC51F51A904CF9690C");

MODULE_INFO(suserelease, "SLE15-SP6");
