#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79d6a56a, "snd_hda_shutup_pins" },
	{ 0xb5b33ab, "snd_hda_get_connections" },
	{ 0x18883588, "snd_hda_gen_build_controls" },
	{ 0x36090fd9, "snd_hda_mixer_amp_volume_info" },
	{ 0xa34a9d88, "snd_hdac_regmap_read_raw" },
	{ 0x1d1677aa, "snd_hda_gen_spec_init" },
	{ 0x8b213db6, "snd_hda_mixer_amp_switch_info" },
	{ 0x663a5b82, "hda_codec_driver_unregister" },
	{ 0xeddf6797, "snd_hda_codec_get_pincfg" },
	{ 0x6f59c1af, "snd_hdac_codec_write" },
	{ 0x4d734351, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x92087873, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3747e0bc, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x8a2f195c, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x366b6e4f, "snd_hda_get_bool_hint" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0xe964785, "snd_hda_override_amp_caps" },
	{ 0xb794af38, "__hda_codec_driver_register" },
	{ 0xa2a9e8ab, "snd_hda_parse_pin_defcfg" },
	{ 0x5f535456, "snd_hda_gen_init" },
	{ 0x7da3efab, "snd_hda_mixer_amp_switch_get" },
	{ 0xb93b12f1, "snd_hda_codec_set_name" },
	{ 0xc08bddc4, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x557049d, "snd_hda_mixer_amp_switch_put" },
	{ 0x9ed86892, "snd_hda_codec_set_pincfg" },
	{ 0xeaea6079, "snd_hda_jack_unsol_event" },
	{ 0x66734feb, "snd_hda_check_amp_list_power" },
	{ 0xc7b41163, "snd_hda_override_conn_list" },
	{ 0xd226f148, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2b768412, "snd_hda_mixer_amp_tlv" },
	{ 0xd42811c, "snd_hda_pick_fixup" },
	{ 0x90ba1e2, "snd_hda_add_verbs" },
	{ 0xf38c2dcf, "snd_hda_apply_fixup" },
	{ 0x8777ab81, "snd_hda_gen_parse_auto_config" },
	{ 0xc8bb3c0f, "snd_hda_enum_helper_info" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5a509aad, "snd_hdac_codec_read" },
	{ 0xb87f36f2, "snd_hda_mixer_amp_volume_put" },
	{ 0xd34cb2a3, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76941735, "snd_hdac_regmap_sync" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "81DDA03377ECDC4DE54E7EF");

MODULE_INFO(suserelease, "SLE15-SP6");
