#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_hda_common_probe, 0x4fce70fe, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x22f5b97b, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xc81ac57c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b49e4a5, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xc8855972, "firmware_request_nowarn" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5e9e0e2c, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xee9c5b49, "cs_dsp_stop" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xd92df95b, "gpiod_set_value_cansleep" },
	{ 0xe41bc79d, "hda_cs_dsp_control_remove" },
	{ 0x8c62549c, "component_del" },
	{ 0x47f4bd52, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x71f5023a, "sound_debugfs_root" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45edd4cf, "cs_dsp_init_debugfs" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x600e41f7, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xa64c4f6d, "cs35l56_init_cs_dsp" },
	{ 0x4f791397, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb7f7da4, "cs_dsp_halo_init" },
	{ 0x78874b21, "cs_dsp_power_down" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x85a28dee, "hda_cs_dsp_add_controls" },
	{ 0xd180ceb8, "cs35l56_runtime_suspend_common" },
	{ 0xd296f515, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96c64966, "cs35l56_mbox_send" },
	{ 0x302173d0, "cs35l56_hw_init" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x845f8328, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x23e29351, "cs_dsp_power_up" },
	{ 0xab3770e9, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2f76c3f, "cs35l56_wait_for_firmware_boot" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xff0180b, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x30565a11, "cs35l56_is_fw_reload_needed" },
	{ 0x957be848, "regmap_read" },
	{ 0xdfdeaa52, "cs_dsp_run" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb6581e76, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x94d58d7e, "cs35l56_runtime_resume_common" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x73b7f1d0, "regmap_multi_reg_write" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x8ffbeba4, "component_add" },
	{ 0xa68cde60, "set_primary_fwnode" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x957a2652, "devm_gpiod_get_index_optional" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xc4f683c1, "cs35l56_firmware_shutdown" },
	{ 0x7d594fe2, "pm_runtime_force_suspend" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l56-shared,snd,cs_dsp,snd-hda-cs-dsp-ctls,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F6F2398F7360415E2F5AE8D");

MODULE_INFO(suserelease, "SLE15-SP6");
