#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc4b38f79, "snd_dma_alloc_dir_pages" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x534f06da, "snd_card_register" },
	{ 0xd47b5164, "snd_card_free" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x4848f01d, "snd_card_rw_proc_new" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x6ed052ac, "snd_pcm_set_sync" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3a74b56, "snd_dma_free_pages" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x745fee22, "snd_card_new" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9ea81777, "snd_ctl_boolean_stereo_info" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9f528aad, "snd_device_new" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd81d6729, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x67593a5a, "snd_pcm_hw_constraint_step" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd");

MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B001bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B101bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B201bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B301bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B021bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B121bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B221bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B321bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B401bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B501bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B601bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B701bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B421bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B521bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B621bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B721bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BA01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BA21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BD01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BD21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BC01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BC21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BB01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BB21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BF01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BF21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D001bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D101bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D021bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D121bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D201bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D301bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D221bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D321bc*sc*i*");

MODULE_INFO(srcversion, "7CCD44861072A47DBC81217");

MODULE_INFO(suserelease, "SLE15-SP6");
