#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x3232a5ac, "snd_ac97_pcm_close" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x268c616c, "snd_ac97_resume" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe3e90f0d, "snd_pcm_add_chmap_ctls" },
	{ 0x534f06da, "snd_card_register" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x4be9d446, "snd_devm_alloc_dir_pages" },
	{ 0x7c14e853, "snd_ac97_pcm_open" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa61b2e2, "snd_card_free_on_error" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x341ef5ac, "snd_ac97_set_rate" },
	{ 0x4848f01d, "snd_card_rw_proc_new" },
	{ 0xe503b59e, "snd_ac97_update_bits" },
	{ 0x3ce230a4, "snd_ac97_mixer" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x31a4a85b, "snd_ac97_bus" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xac9f537f, "snd_ac97_pcm_double_rate_rules" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xd2d611de, "snd_ac97_update_power" },
	{ 0xd57f4196, "snd_ac97_suspend" },
	{ 0x802a7c9f, "param_ops_bint" },
	{ 0x4f791397, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0xea55e930, "snd_pcm_hw_constraint_list" },
	{ 0xb19b445, "ioread8" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36350d83, "snd_ac97_get_short_name" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f3f349, "snd_card_disconnect" },
	{ 0x194fb537, "snd_ac97_pcm_assign" },
	{ 0xd81d6729, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x476580ee, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe900d48b, "snd_pci_quirk_lookup" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x6110c286, "pcim_iomap" },
	{ 0x19cb41d2, "snd_pcm_hw_constraint_msbits" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xafc740c8, "snd_ac97_tune_hardware" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-ac97-codec,snd-pcm,snd");

MODULE_ALIAS("pci:v00008086d00002415sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002425sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000266Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002698sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000003Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000006Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000008Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000026Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000746Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B9d00005455sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0022EFBDB431A3ACE1453BF");

MODULE_INFO(suserelease, "SLE15-SP6");
