#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_trident_start_voice, 0x2ebad5db, "");
SYMBOL_CRC(snd_trident_stop_voice, 0x21aa7ff2, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xf8cc43aa, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0xfad7b2b5, "");
SYMBOL_CRC(snd_trident_free_voice, 0x3f3aa8c9, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x268c616c, "snd_ac97_resume" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0x534f06da, "snd_card_register" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x4be9d446, "snd_devm_alloc_dir_pages" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x6e17a1ff, "snd_pcm_hw_constraint_minmax" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x4848f01d, "snd_card_rw_proc_new" },
	{ 0x3ce230a4, "snd_ac97_mixer" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x9c876e41, "snd_sgbuf_get_addr" },
	{ 0x31a4a85b, "snd_ac97_bus" },
	{ 0x6ed052ac, "snd_pcm_set_sync" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd57f4196, "snd_ac97_suspend" },
	{ 0x614c7976, "__snd_printk" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46d151d7, "snd_util_memhdr_new" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5379f7f6, "snd_ctl_notify" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0x85495537, "snd_pcm_set_managed_buffer" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x147f7e91, "__snd_util_mem_free" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x476580ee, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x1a0e1f30, "snd_util_memhdr_free" },
	{ 0x48a9293e, "snd_mpu401_uart_new" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0x46b68d05, "__snd_util_memblk_new" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd447d26c, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-ac97-codec,snd-pcm,snd-util-mem,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");

MODULE_INFO(suserelease, "SLE15-SP6");
