#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt5640_dmic_enable, 0x34666834, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x562cc010, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x6039161c, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0xba724b38, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x0f6dc2b3, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x637c8931, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17d5e5b6, "snd_soc_dapm_put_enum_double" },
	{ 0xdd663097, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf343cb89, "device_property_present" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x248e4b60, "snd_soc_jack_report" },
	{ 0x2ef56ac3, "snd_soc_component_read" },
	{ 0x5fbdd695, "gpiod_set_raw_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x6966f255, "gpiod_to_irq" },
	{ 0xbfd4d92b, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2703a7d0, "snd_soc_put_enum_double" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd09a5256, "gpiod_get_value" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x18215f92, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a22b9cd, "snd_soc_component_write" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x82f70687, "snd_soc_get_enum_double" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0xba3132e, "snd_soc_info_volsw" },
	{ 0xd26200ad, "devm_gpio_request_one" },
	{ 0x4f791397, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x366a610, "snd_soc_dapm_put_volsw" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xbbf58de4, "snd_soc_dapm_force_bias_level" },
	{ 0x59da49c6, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf8e33e52, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xd36b7d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x575ee0fc, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x29efff41, "snd_soc_get_volsw" },
	{ 0x957be848, "regmap_read" },
	{ 0x3b99344a, "snd_soc_put_volsw" },
	{ 0xc04a60c9, "snd_soc_component_update_bits" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb111695a, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x612a3a62, "gpio_to_desc" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xa2df90b1, "snd_soc_dapm_get_volsw" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0x2b587f1d, "regmap_register_patch" },
	{ 0x53345c9c, "snd_soc_dapm_get_enum_double" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,regmap-i2c,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "E2E1E1C82987C6E6B2D404D");

MODULE_INFO(suserelease, "SLE15-SP6");
