#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt5670_jack_suspend, 0xd8921c99, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0xe0992804, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xda961d3d, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x1168d2b4, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17d5e5b6, "snd_soc_dapm_put_enum_double" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xd22799ee, "snd_soc_jack_free_gpios" },
	{ 0x2ef56ac3, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xf73e8d9c, "snd_soc_jack_add_gpios" },
	{ 0x7204d65a, "snd_soc_dapm_disable_pin" },
	{ 0x2f4eb185, "snd_soc_dapm_force_enable_pin" },
	{ 0x2703a7d0, "snd_soc_put_enum_double" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a22b9cd, "snd_soc_component_write" },
	{ 0x839ca65a, "snd_soc_dapm_sync" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x82f70687, "snd_soc_get_enum_double" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0xba3132e, "snd_soc_info_volsw" },
	{ 0x4f791397, "_dev_err" },
	{ 0x366a610, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xd36b7d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce6a4793, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x575ee0fc, "snd_soc_info_enum_double" },
	{ 0x29efff41, "snd_soc_get_volsw" },
	{ 0x957be848, "regmap_read" },
	{ 0x3b99344a, "snd_soc_put_volsw" },
	{ 0xc04a60c9, "snd_soc_component_update_bits" },
	{ 0xb111695a, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xa2df90b1, "snd_soc_dapm_get_volsw" },
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0x2b587f1d, "regmap_register_patch" },
	{ 0x53345c9c, "snd_soc_dapm_get_enum_double" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,regmap-i2c,snd-pcm");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "89BB0CC3F640FEC914D3BB0");

MODULE_INFO(suserelease, "SLE15-SP6");
