#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt5682_supply_names, 0x0d18594a, "_gpl");
SYMBOL_CRC(rt5682_apply_patch_list, 0xb4cc27e3, "_gpl");
SYMBOL_CRC(rt5682_reg, 0xb897de56, "_gpl");
SYMBOL_CRC(rt5682_volatile_register, 0xedd3e781, "_gpl");
SYMBOL_CRC(rt5682_readable_register, 0x5ee62230, "_gpl");
SYMBOL_CRC(rt5682_reset, 0xd2a110ba, "_gpl");
SYMBOL_CRC(rt5682_sel_asrc_clk_src, 0x920e3b5e, "_gpl");
SYMBOL_CRC(rt5682_jack_detect_handler, 0x59d3d967, "_gpl");
SYMBOL_CRC(rt5682_register_dai_clks, 0x9daf452c, "_gpl");
SYMBOL_CRC(rt5682_aif1_dai_ops, 0x8f95c520, "_gpl");
SYMBOL_CRC(rt5682_aif2_dai_ops, 0x64a27e23, "_gpl");
SYMBOL_CRC(rt5682_soc_component_dev, 0x252aa1a9, "_gpl");
SYMBOL_CRC(rt5682_parse_dt, 0xb2a2e607, "_gpl");
SYMBOL_CRC(rt5682_calibrate, 0x4cd266b3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17d5e5b6, "snd_soc_dapm_put_enum_double" },
	{ 0xf343cb89, "device_property_present" },
	{ 0x38ebe9c, "devm_clk_hw_register_clkdev" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x248e4b60, "snd_soc_jack_report" },
	{ 0x2ef56ac3, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xbfd4d92b, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7204d65a, "snd_soc_dapm_disable_pin" },
	{ 0x115535d5, "devm_clk_hw_register" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3cf140f8, "clk_hw_get_name" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x18215f92, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a22b9cd, "snd_soc_component_write" },
	{ 0x839ca65a, "snd_soc_dapm_sync" },
	{ 0x2d73ffc7, "__clk_get_hw" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xba3132e, "snd_soc_info_volsw" },
	{ 0x4f791397, "_dev_err" },
	{ 0x366a610, "snd_soc_dapm_put_volsw" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9ac7ef13, "device_property_read_string_array" },
	{ 0x59da49c6, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x6bcad8cd, "snd_soc_dapm_get_pin_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x575ee0fc, "snd_soc_info_enum_double" },
	{ 0x29efff41, "snd_soc_get_volsw" },
	{ 0x957be848, "regmap_read" },
	{ 0x3b99344a, "snd_soc_put_volsw" },
	{ 0xc04a60c9, "snd_soc_component_update_bits" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x71a23d3, "clk_hw_get_parent" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0x73b7f1d0, "regmap_multi_reg_write" },
	{ 0xa2df90b1, "snd_soc_dapm_get_volsw" },
	{ 0x53345c9c, "snd_soc_dapm_get_enum_double" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");


MODULE_INFO(srcversion, "7C15A13EE2FCD47395975EF");

MODULE_INFO(suserelease, "SLE15-SP6");
