#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd33411e4, "snd_soc_dai_set_tdm_slot" },
	{ 0x3d03ce2d, "sof_rt1015_dai_link" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x95426d87, "rt5682s_sel_asrc_clk_src" },
	{ 0x7204d65a, "snd_soc_dapm_disable_pin" },
	{ 0x27d5cd66, "hdac_hdmi_jack_init" },
	{ 0x3a0452eb, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf5b7f0f6, "max_98357a_dai_link" },
	{ 0x6f49fa09, "max_98360a_dai_link" },
	{ 0xf103d5d9, "snd_soc_dai_set_sysclk" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x839ca65a, "snd_soc_dapm_sync" },
	{ 0xdc8d114e, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x592e727, "snd_soc_component_set_jack" },
	{ 0x57989c97, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf9ea2930, "rt5645_sel_asrc_clk_src" },
	{ 0xf3fae2be, "snd_soc_dapm_get_pin_switch" },
	{ 0xe780dc47, "max_98373_components" },
	{ 0x4f791397, "_dev_err" },
	{ 0x243138a4, "max_98373_spk_codec_init" },
	{ 0xe7a81573, "max_98390_dai_link" },
	{ 0x3f2d9fab, "asoc_dummy_dlc" },
	{ 0x65b44b99, "max_98373_set_codec_conf" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88ecb3cd, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xd36b7d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb79906c5, "snd_jack_set_key" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0xb7bbea44, "snd_soc_card_jack_new_pins" },
	{ 0xfc9c5872, "sof_rt1015p_codec_conf" },
	{ 0xe707d8d7, "snd_soc_dai_set_pll" },
	{ 0xb111695a, "snd_soc_dapm_new_controls" },
	{ 0x920e3b5e, "rt5682_sel_asrc_clk_src" },
	{ 0x166ebbd2, "snd_soc_dapm_put_pin_switch" },
	{ 0x24fa36b6, "sof_dai_get_mclk" },
	{ 0x6825f1ce, "sof_rt1011_codec_conf" },
	{ 0x36823312, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe77a3c42, "snd_soc_pm_ops" },
	{ 0x2574eb6d, "hda_dsp_hdmi_build_controls" },
	{ 0x6415ab2c, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x41f06ef7, "sof_rt1015p_dai_link" },
	{ 0xe83b2bf1, "sof_rt1019p_dai_link" },
	{ 0xa68a00b6, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0x67667d25, "devm_snd_soc_register_card" },
	{ 0xb7ada36, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-intel-sof-realtek-common,snd-soc-rt5682s,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");

MODULE_INFO(srcversion, "1B08B1866B405F5317A4222");

MODULE_INFO(suserelease, "SLE15-SP6");
