#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(skl_dsp_set_dma_control, 0x9701b29b, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x93844d08, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xe0dd7967, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x39ba0378, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x8a6e1a45, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x68806f9c, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x96f0fba8, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x688db890, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x29756b94, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x1cd07b5e, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0xb4a92e08, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x584f1907, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x12c6eb40, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x98d92181, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xde109c51, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xbd65f67b, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x0252c2bc, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x2a611bbb, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x105e6266, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xcf777582, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xd3024547, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x01c3abfc, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0xb3953b45, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0xe9d2ad2f, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x598a6c8d, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xe2611b58, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xc67c59d4, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x8c760476, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xbb72988c, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0x2bc6699c, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x22982c84, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x50d00175, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0xbe74279f, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0xf14b8e3f, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0xeed70196, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea7117c1, "platform_device_put" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0x8b10cb1d, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa418181e, "sst_dsp_register_poll" },
	{ 0xc4b38f79, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x1aa48de6, "snd_hdac_bus_send_cmd" },
	{ 0xba42b839, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x561c79a, "snd_hdac_stream_set_spib" },
	{ 0x492af1dd, "snd_hdac_bus_enter_link_reset" },
	{ 0xfd2fa53e, "sst_ipc_tx_message_wait" },
	{ 0x1e97f834, "intel_nhlt_get_dmic_geo" },
	{ 0x4b95df6a, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9460d512, "snd_hdac_ext_stream_start" },
	{ 0x351c9c0b, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d18d1a8, "snd_hdac_ext_stream_free_all" },
	{ 0xbbe03a9b, "snd_hdac_bus_update_rirb" },
	{ 0x159c5710, "sst_dsp_shim_write_unlocked" },
	{ 0x6e20fbc2, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6e17a1ff, "snd_pcm_hw_constraint_minmax" },
	{ 0x165f6928, "snd_hdac_codec_modalias" },
	{ 0xe367b800, "snd_hdac_bus_stop_chip" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0xe7e11da3, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x10cc977a, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xbf414873, "snd_intel_dsp_driver_probe" },
	{ 0x1e6c9040, "snd_hdac_stream_set_lpib" },
	{ 0x9c876e41, "snd_sgbuf_get_addr" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4655014a, "snd_sgbuf_get_chunk_size" },
	{ 0xb3d3ddf1, "pci_ioremap_bar" },
	{ 0xde7ef4ed, "snd_hdac_ext_bus_device_remove" },
	{ 0xcc946ac6, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x6ed052ac, "snd_pcm_set_sync" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcfe63f0a, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84815dbc, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7a902f62, "snd_hdac_stream_timecounter_init" },
	{ 0x38a2c152, "snd_hdac_ext_link_free_all" },
	{ 0x660e5740, "sst_ipc_tx_message_nowait" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xd3a74b56, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x8beeb05a, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0692032, "snd_hdac_dsp_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5f6d403f, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0xf2026c82, "snd_hdac_ext_bus_exit" },
	{ 0xe0d01ef4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x557ef40d, "sysfs_remove_file_ns" },
	{ 0xbaa0de53, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x2f3e8666, "snd_hdac_ext_stream_clear" },
	{ 0xec60a064, "snd_hdac_device_register" },
	{ 0xb242b0d8, "snd_hdac_stream_spbcap_enable" },
	{ 0x110e012c, "sst_ipc_tx_message_nopm" },
	{ 0xe296aadb, "snd_hdac_i915_init" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x9d7711a5, "snd_hdac_bus_init_chip" },
	{ 0x9bdf520a, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x71a57e4a, "intel_nhlt_get_endpoint_blob" },
	{ 0x9df1833c, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x1eedf9b3, "sst_dsp_shim_read_unlocked" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xd80c2187, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0x69390a40, "sst_ipc_fini" },
	{ 0x47a8b77c, "snd_hdac_ext_stream_assign" },
	{ 0x1ef8923b, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4c16c99f, "snd_hdac_ext_stream_init_all" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x8560e78c, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xa10014da, "sst_dsp_shim_update_bits_forced" },
	{ 0xcfcc397d, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x1d496955, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xa79e3aba, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x21c9618a, "snd_soc_tplg_component_load" },
	{ 0x47e26b95, "sst_dsp_shim_read" },
	{ 0x4a4d9969, "snd_hdac_ext_stream_setup" },
	{ 0xfb18d64b, "snd_hdac_bus_stop_cmd_io" },
	{ 0x193e116f, "snd_hdac_stream_sync" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x251686c7, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8cb0e175, "sst_dsp_mailbox_init" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x4a3ec2f7, "sst_ipc_tx_msg_reply_complete" },
	{ 0xe4407440, "snd_soc_tplg_component_remove" },
	{ 0x2588f600, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xd81d6729, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x59e58478, "sst_dsp_shim_update_bits" },
	{ 0x49b4cf40, "snd_hdac_acomp_exit" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xdc4077d5, "snd_hdac_bus_parse_capabilities" },
	{ 0xbea9c6db, "platform_device_register_full" },
	{ 0x4f38c29, "sst_dsp_outbox_write" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x47c9dac9, "snd_hdac_stream_setup" },
	{ 0x80c366b7, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x8ff1c28, "snd_hdac_stream_set_params" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0x742e005d, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8c79329a, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xfdba034b, "snd_hdac_bus_handle_stream_irq" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x60d801a8, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x19264436, "snd_soc_acpi_intel_skl_machines" },
	{ 0x17cf35d1, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x3dd6f7d1, "snd_soc_set_runtime_hwparams" },
	{ 0x1d8d2487, "snd_hdac_get_stream" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x3d8f874e, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xee07ad11, "pci_match_id" },
	{ 0x41131934, "snd_hdac_stream_sync_trigger" },
	{ 0x590b6fdc, "snd_hdac_ext_bus_link_put" },
	{ 0xa1e668f4, "snd_hda_codec_device_init" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xa03b797, "snd_hdac_set_codec_wakeup" },
	{ 0xcb33a4c4, "snd_hdac_stream_reset" },
	{ 0xd015df91, "sst_dsp_shim_write" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0xdfc986d4, "snd_hdac_bus_alloc_stream_pages" },
	{ 0xa2f19acd, "snd_soc_tplg_widget_bind_event" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xbbe7988d, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xff74a59, "intel_nhlt_init" },
	{ 0xc152a531, "snd_hdac_stop_streams_and_chip" },
	{ 0x468e70a4, "snd_hdac_dsp_cleanup" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xfac9bc83, "snd_hdac_ext_stream_reset" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xd60bd3fc, "snd_hdac_stop_streams" },
	{ 0x8c438ccc, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x813591ce, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xac3bc9, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4a8435fc, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc919dc67, "snd_soc_acpi_intel_hda_machines" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-hdac-hda,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "SLE15-SP6");
