#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hda_bus_ml_init, 0xfe662e36, "");
SYMBOL_CRC(hda_bus_ml_free, 0xf3453e72, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xc5c442a5, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x410025f7, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x94121ed5, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x0ccb2681, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x9699c5f8, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xea5bcac1, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x783af8f8, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0xae3fe8ec, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x45b9f48d, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xac1bea3b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0xf6faf605, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x063b5d18, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x8d4b4265, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x7d2b1eb4, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x98c48b08, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x3a44808d, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x4fff5d9a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x85be5476, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x71e9b714, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x805f776b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xe4ee6386, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x300128ed, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x70d332af, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x622cfd08, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x1b7d2f32, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xac6f1dda, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xbaa51ca4, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x62d69d0d, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x6772bf48, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xd1ea037f, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x3649f237, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xe7e11da3, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79e59953, "snd_hdac_ext_bus_link_power_down" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x590b6fdc, "snd_hdac_ext_bus_link_put" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "SLE15-SP6");
