#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_usbmidi_disconnect, 0xd9d2bb03, "");
SYMBOL_CRC(snd_usbmidi_input_stop, 0x63343b1d, "");
SYMBOL_CRC(snd_usbmidi_input_start, 0x16756dc0, "");
SYMBOL_CRC(snd_usbmidi_suspend, 0xbed43a41, "");
SYMBOL_CRC(snd_usbmidi_resume, 0xb2af19e1, "");
SYMBOL_CRC(__snd_usbmidi_create, 0x6d688a67, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xb90b1cf3, "snd_rawmidi_receive" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x68cd8b78, "snd_rawmidi_transmit" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x3e155678, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x5a6ee742, "usb_autopm_get_interface_no_resume" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xffdfca46, "snd_rawmidi_transmit_ack" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x7c034f1b, "usb_urb_ep_type_check" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x88316e4a, "usb_free_coherent" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x85d9d5b0, "snd_rawmidi_transmit_peek" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x5379f7f6, "snd_ctl_notify" },
	{ 0x4c6604c2, "usb_set_interface" },
	{ 0x9d030107, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x29b8b6ef, "snd_rawmidi_new" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x35e97fa2, "snd_rawmidi_set_ops" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x1296f66c, "snd_rawmidi_proceed" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd");


MODULE_INFO(srcversion, "A7B68F091E6F0043B942769");

MODULE_INFO(suserelease, "SLE15-SP6");
