#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x5e283e17, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xcc49929d, "_gpl");
SYMBOL_CRC(af_alg_release, 0x6defe3e6, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x6d420ff9, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x3f50d9a2, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x5792d834, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xc4a7ab90, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x0a61ed4e, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xfb2a0093, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x459e95c2, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xe275f3ee, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xb18613a4, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xc4006462, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xa6053d19, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x6d4ce75, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xba5a392e, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7c626488, "extract_iter_to_sg" },
	{ 0x81063da9, "module_put" },
	{ 0xeffc7b5d, "down_read" },
	{ 0x52ce608c, "up_read" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xa954e45b, "release_sock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x839e106b, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdc02365d, "proto_register" },
	{ 0x54dc7aa7, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x601136e6, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x422312b5, "__wake_up_sync_key" },
	{ 0x1514ca2c, "sock_wake_async" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x69acdf38, "memcpy" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x5417537b, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65d462ed, "sock_kzfree_s" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xaee73518, "key_put" },
	{ 0x54dd28ae, "sock_no_connect" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xe5149324, "sock_no_getname" },
	{ 0xfb6ba863, "sock_no_ioctl" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0xd03b043, "sock_no_sendmsg" },
	{ 0xc841f792, "sock_no_recvmsg" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "SLE15-SP6");
