#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x21cd536a, "crypto_put_default_null_skcipher" },
	{ 0x37a0cba, "kfree" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0xb1923464, "crypto_get_default_null_skcipher" },
	{ 0xcc49929d, "af_alg_unregister_type" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xa954e45b, "release_sock" },
	{ 0xc4006462, "af_alg_alloc_areq" },
	{ 0xa6053d19, "af_alg_get_rsgl" },
	{ 0xe275f3ee, "af_alg_free_resources" },
	{ 0xa61ed4e, "af_alg_wmem_wakeup" },
	{ 0x27e92408, "af_alg_async_cb" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xfb2a0093, "af_alg_wait_for_data" },
	{ 0x5792d834, "af_alg_count_tsgl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6defe3e6, "af_alg_release" },
	{ 0x1b36cd96, "sock_no_bind" },
	{ 0x54dd28ae, "sock_no_connect" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0xe5149324, "sock_no_getname" },
	{ 0xb18613a4, "af_alg_poll" },
	{ 0xfb6ba863, "sock_no_ioctl" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e283e17, "af_alg_register_type" },
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x459e95c2, "af_alg_sendmsg" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xc4a7ab90, "af_alg_pull_tsgl" },
	{ 0x65d462ed, "sock_kzfree_s" },
	{ 0x601136e6, "sock_kfree_s" },
	{ 0x6d420ff9, "af_alg_release_parent" },
	{ 0xba5a392e, "sock_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "af_alg");


MODULE_INFO(srcversion, "CD1A7D641CBF0EF4C72A1E2");

MODULE_INFO(suserelease, "SLE15-SP6");
