#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x986827b2, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x2e45a313, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xe1fed57d, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x237f82f1, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x682197db, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x3ce5d75d, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x359dcedd, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x7ff8efb9, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x5fbbf064, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xcbb511a5, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x41385835, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xe4f92e53, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x57efe07e, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x303252d2, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x25fd7f19, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xf00c57ae, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f791397, "_dev_err" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf46f60d3, "kthread_create_worker" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xafac6c52, "sched_set_fifo" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xc880a036, "kthread_destroy_worker" },
	{ 0x8856d244, "crypto_enqueue_request" },
	{ 0xe6720015, "crypto_dequeue_request" },
	{ 0xaf63443, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
