#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x0734d89c, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xf74e7bdf, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xed289399, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xce0cf970, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0xc2ed09c2, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7a6e1422, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xaa3f7c4a, "crypto_register_aead" },
	{ 0x2c4a708c, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a75bdc, "crypto_register_aeads" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85a8b74e, "crypto_unregister_aeads" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x3ab160c3, "cryptd_skcipher_child" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0x460073d3, "cryptd_alloc_skcipher" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x4cf4d138, "crypto_register_skcipher" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xe85b2c97, "cryptd_aead_queued" },
	{ 0xd0240c98, "crypto_unregister_skcipher" },
	{ 0x14996727, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfef741be, "cryptd_skcipher_queued" },
	{ 0x8ba03174, "cryptd_free_aead" },
	{ 0x83f19afd, "crypto_unregister_skciphers" },
	{ 0x3d6fa37, "cryptd_free_skcipher" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x179ba1d9, "crypto_alloc_skcipher" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "AA924B3ED56BBDE545A3CD0");

MODULE_INFO(suserelease, "SLE15-SP6");
