#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_platform_ops, 0xe44c2f18, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x19288c36, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xd1beb5fc, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x4f2cd8ad, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x010abefe, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xc99c8734, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xd31d9e8e, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x26fe2ab6, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x7dd2fe3d, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x66076098, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xc86560ad, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x1c5ebef8, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xca41a89b, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x2315108b, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xb39f50f2, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xf899d5e5, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xe8f5ae26, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x277c9dde, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x182f311b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37a1c5dc, "phy_set_mode_ext" },
	{ 0x311a972b, "phy_power_on" },
	{ 0x3135b9a, "phy_init" },
	{ 0x699e4199, "phy_power_off" },
	{ 0x1978b832, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xd9cb2188, "regulator_disable" },
	{ 0x96d9232e, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xd5ab38f1, "ata_host_suspend" },
	{ 0x4f791397, "_dev_err" },
	{ 0xece00492, "ata_host_resume" },
	{ 0xdf60e365, "ahci_reset_controller" },
	{ 0x71fbdaab, "ahci_init_controller" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0x6d39d2cb, "regulator_enable" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x767dc963, "platform_get_irq" },
	{ 0xbd5bc691, "ahci_save_initial_config" },
	{ 0x9e05b495, "ahci_set_em_messages" },
	{ 0x87ae74d5, "ata_host_alloc_pinfo" },
	{ 0xec4659bf, "ata_dummy_port_ops" },
	{ 0xbc03a2a0, "platform_get_resource" },
	{ 0x3fcda094, "ata_port_desc" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6ea2450c, "ahci_print_info" },
	{ 0x10d6eba4, "ahci_host_activate" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x4744e706, "ahci_reset_em" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbbf4ece5, "devres_open_group" },
	{ 0xb8dd3f32, "__devres_alloc_node" },
	{ 0x33c718fd, "devres_add" },
	{ 0xdc5ec697, "platform_get_resource_byname" },
	{ 0xed7c79ca, "devm_platform_ioremap_resource_byname" },
	{ 0x7a9e2db, "devm_clk_bulk_get_all" },
	{ 0x666e1119, "devm_regulator_get" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed18612, "devm_of_phy_get" },
	{ 0xeeff51b7, "regulator_get" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xd4af71a0, "devres_remove_group" },
	{ 0x2ceacfd, "devres_release_group" },
	{ 0xb7ddabf8, "devm_platform_ioremap_resource" },
	{ 0xe0ada2c4, "devm_reset_control_array_get" },
	{ 0xf954dd93, "devm_clk_get_optional" },
	{ 0x7816be60, "ahci_ops" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "5BF15F90DA51A7755BC60C0");

MODULE_INFO(suserelease, "SLE15-SP6");
