#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(remove_iaa_compression_mode, 0xafa66abb, "_gpl");
SYMBOL_CRC(add_iaa_compression_mode, 0x9318f4db, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x649004b0, "crypto_comp_decompress" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0xc38f6287, "crypto_alloc_base" },
	{ 0x34cbd0bd, "driver_remove_file" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa52bbd0e, "idxd_submit_desc" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e008bd9, "idxd_wq_quiesce" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c3efbee, "idxd_free_desc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa27db1a1, "driver_create_file" },
	{ 0x81063da9, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe92a8488, "idxd_drv_disable_wq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf3518173, "__idxd_driver_register" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x4f791397, "_dev_err" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3eccbe2c, "__find_nth_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x891dbb8f, "sgl_free_order" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x497cca69, "crypto_unregister_acomp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xddc784b7, "idxd_drv_enable_wq" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x9c530c35, "crypto_register_acomp" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc2cb862e, "sgl_alloc_order" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x9335b4cb, "idxd_driver_unregister" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xfd26c3a5, "idxd_alloc_desc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "idxd,idxd_bus");


MODULE_INFO(srcversion, "B376173E5D46205FE455265");

MODULE_INFO(suserelease, "SLE15-SP6");
