#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssd130x_variants, 0x423ba637, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xacbf6c75, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x4b2df3bc, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xf2cde3d1, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x4f791397, "_dev_err" },
	{ 0x356babb1, "drm_mode_duplicate" },
	{ 0x1c8b36a3, "drm_mode_probed_add" },
	{ 0x6e1216d1, "drm_set_preferred_mode" },
	{ 0xdf289116, "drm_crtc_helper_atomic_check" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e3b4055, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9d17eab8, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x411b754a, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xaa1bad36, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xfef178ad, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x59e62c64, "drm_gem_fb_begin_cpu_access" },
	{ 0xa7a5c3d4, "drm_fb_xrgb8888_to_gray8" },
	{ 0x94ea0565, "drm_gem_fb_end_cpu_access" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xedd60023, "drm_fb_xrgb8888_to_mono" },
	{ 0xb8a2b493, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x7ee4b921, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x8c00ef28, "drm_dev_unplug" },
	{ 0x7b1c6ab, "drm_atomic_helper_shutdown" },
	{ 0xd92df95b, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6d39d2cb, "regulator_enable" },
	{ 0xfe64b014, "pwm_get" },
	{ 0x2b46e545, "pwm_apply_state" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xd9cb2188, "regulator_disable" },
	{ 0x3392666b, "pwm_put" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x36a29cdc, "drm_atomic_helper_check_plane_state" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa9ec6679, "__drm_atomic_helper_crtc_reset" },
	{ 0xb217a77e, "__drm_gem_reset_shadow_plane" },
	{ 0x7eab7fe7, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xcefa1ecf, "drm_gem_shmem_dumb_create" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0x6574b31b, "drm_read" },
	{ 0x6d122b62, "drm_poll" },
	{ 0xe0d91685, "drm_ioctl" },
	{ 0x68a5fa6b, "drm_compat_ioctl" },
	{ 0xb65de54e, "drm_gem_mmap" },
	{ 0xc1e8137a, "drm_open" },
	{ 0xc0083c4e, "drm_release" },
	{ 0xb1bbc82d, "drm_gem_fb_create_with_dirty" },
	{ 0x80dfa09, "drm_atomic_helper_check" },
	{ 0x9c5876ef, "drm_atomic_helper_commit" },
	{ 0x9062814e, "drm_atomic_helper_connector_reset" },
	{ 0x8ce82730, "drm_helper_probe_single_connector_modes" },
	{ 0x7d98d3af, "drm_connector_cleanup" },
	{ 0x36cd4a64, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa89d4522, "drm_atomic_helper_connector_destroy_state" },
	{ 0x51b014e5, "drm_encoder_cleanup" },
	{ 0x94ddbae3, "drm_crtc_cleanup" },
	{ 0x1e4eea5f, "drm_atomic_helper_set_config" },
	{ 0x63ef3e4a, "drm_atomic_helper_page_flip" },
	{ 0x70ca18eb, "drm_atomic_helper_update_plane" },
	{ 0x3c710f66, "drm_atomic_helper_disable_plane" },
	{ 0x513a14e4, "drm_plane_cleanup" },
	{ 0x1f1d4b6, "drm_gem_begin_shadow_fb_access" },
	{ 0xf884328d, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd5aa5343, "__devm_drm_dev_alloc" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xc5b82019, "device_property_read_u8_array" },
	{ 0xf343cb89, "device_property_present" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x666e1119, "devm_regulator_get" },
	{ 0xce373ecf, "devm_backlight_device_register" },
	{ 0x94673334, "drmm_mode_config_init" },
	{ 0x2d27f984, "drm_universal_plane_init" },
	{ 0xa7752dde, "drm_plane_enable_fb_damage_clips" },
	{ 0x71e49c, "drm_crtc_init_with_planes" },
	{ 0xac2b3fe9, "drm_encoder_init" },
	{ 0x1940ea3, "drm_connector_init" },
	{ 0xf6a6c029, "drm_connector_attach_encoder" },
	{ 0x44101f15, "drm_mode_config_reset" },
	{ 0x3605b656, "drm_dev_register" },
	{ 0xdebc4877, "drm_fbdev_generic_setup" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "972757DED1D7EC51636F718");

MODULE_INFO(suserelease, "SLE15-SP6");
