#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x72373b98, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0xb349cd64, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x424e5217, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xd97bbf4c, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x651ce1f6, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x4427d960, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x470e05b9, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x44dd093e, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x30dcbef1, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x09933708, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x99754079, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xafc56385, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x8069a1ee, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0xe2338a1d, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x70f18ad8, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x5b8cb590, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x3fcff724, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x37174086, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x922440a0, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x11e6164d, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xa0958203, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x9e11e960, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x63ee1630, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xbc870216, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x0125b329, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc51001f7, "bus_unregister_notifier" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x76eb45a, "i2c_client_type" },
	{ 0x83313941, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xa51949c4, "bus_register_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a51421a, "i2c_del_adapter" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6059e10c, "device_add" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xc5cd7113, "i2c_new_client_device" },
	{ 0xd9cafeb4, "i2c_bus_type" },
	{ 0xffeca003, "device_register" },
	{ 0x2a795e6d, "device_del" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x82cfec96, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x52ce608c, "up_read" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EAFB0ECDEDD2BE800DD39DC");

MODULE_INFO(suserelease, "SLE15-SP6");
