#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xec1ba614, "");
SYMBOL_CRC(flow_resources_alloc, 0xdd5e67a0, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xa0b89a64, "");
SYMBOL_CRC(flow_resources_add, 0xd0bbebe7, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x8f415a67, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x8bac1408, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x72b31234, "");
SYMBOL_CRC(uverbs_idr_class, 0x32aeaf36, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xb751dc9c, "");
SYMBOL_CRC(uverbs_fd_class, 0xe638cd2d, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xa54c36bb, "");
SYMBOL_CRC(_uverbs_alloc, 0xcc2253ad, "");
SYMBOL_CRC(uverbs_get_flags64, 0x69f0dbae, "");
SYMBOL_CRC(uverbs_get_flags32, 0xe0a1d8a6, "");
SYMBOL_CRC(uverbs_copy_to, 0xaf128fbd, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x1aca46d0, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x91be58e6, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x9913121a, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xc6a76f22, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x671518b9, "");
SYMBOL_CRC(ib_umem_get, 0x4a17ff16, "");
SYMBOL_CRC(ib_umem_release, 0x2e309778, "");
SYMBOL_CRC(ib_umem_copy_from, 0x6a0b59f7, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xc468275c, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x6fbc0252, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x06463016, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xd95e70af, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xdf7005c7, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x6abfa650, "");
SYMBOL_CRC(ib_umem_odp_get, 0xc80e6e62, "");
SYMBOL_CRC(ib_umem_odp_release, 0x25d73c7b, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x5bb95e8f, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xb4c27940, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ceddadd, "pin_user_pages_fast" },
	{ 0x6d7cc5a1, "mmu_interval_notifier_remove" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe5ca2456, "anon_inode_getfile" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xd0191d3, "ib_unregister_client" },
	{ 0xd99da040, "show_class_attr_string" },
	{ 0x91b06728, "unpin_user_pages_dirty_lock" },
	{ 0x7f567295, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xc7286c7a, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5baaeabf, "mmu_interval_read_begin" },
	{ 0x1bdc6e0a, "ib_create_qp_user" },
	{ 0xa84e0be8, "dma_resv_wait_timeout" },
	{ 0x282701ef, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xa64b5a57, "get_pid_task" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xb4bcacbc, "kill_fasync" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xc32b370d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x87f5ae0b, "fget" },
	{ 0xc4df1fbe, "__put_task_struct" },
	{ 0xbeac15e2, "ib_query_srq" },
	{ 0x9850f100, "ww_mutex_unlock" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x895be59, "__dynamic_ibdev_dbg" },
	{ 0x5c35ea00, "ib_rdmacg_try_charge" },
	{ 0xb8e973c3, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1eb07a54, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c06e9c0, "unpin_user_page_range_dirty_lock" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x817f577e, "dma_buf_unpin" },
	{ 0xbb9970f7, "zap_vma_ptes" },
	{ 0xf16fa58, "ib_dereg_mr_user" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x1ec01eee, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x6153760a, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x45ffc6b, "rdma_dev_access_netns" },
	{ 0xd1cd0215, "get_device" },
	{ 0xc756d62f, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8a771f15, "__tracepoint_mmap_lock_released" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0x2b554bbd, "dma_buf_dynamic_attach" },
	{ 0xd3715d19, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5ac09ee4, "radix_tree_iter_delete" },
	{ 0xc984cc6e, "ib_destroy_srq_user" },
	{ 0x5ba9a684, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x509ed1a, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9f7a4f3, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x1e4648d4, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x405be82d, "put_device" },
	{ 0x6fe6dc5f, "radix_tree_lookup_slot" },
	{ 0x642c6f10, "ib_modify_qp_with_udata" },
	{ 0x2672f1e1, "ib_register_event_handler" },
	{ 0x87ea4db4, "ib_detach_mcast" },
	{ 0xc9a3390b, "dma_buf_map_attachment" },
	{ 0x5417537b, "__free_pages" },
	{ 0xaa8642ab, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0x4814f6b2, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9efd899d, "compat_ptr_ioctl" },
	{ 0xce45a855, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xe755479f, "__task_pid_nr_ns" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x102b117c, "init_srcu_struct" },
	{ 0xa572006f, "fput" },
	{ 0x5f8e3b70, "ib_set_client_data" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x7414fbef, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd145d29a, "radix_tree_next_chunk" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x1d9f09e0, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5b537871, "dma_buf_get" },
	{ 0xbf8f62ae, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb1d5bb8b, "ww_mutex_lock" },
	{ 0xcc4c04da, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa7107c7a, "ib_qp_usecnt_inc" },
	{ 0x5f79cc83, "dma_buf_put" },
	{ 0x983c1964, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2e103377, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1e3bf7a6, "cleanup_srcu_struct" },
	{ 0x98603210, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe1d3aba1, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x7c6b62da, "rdma_create_user_ah" },
	{ 0x6de8f1ea, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x23fda923, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7a66f7c1, "ib_destroy_cq_user" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb3399ca1, "__mmdrop" },
	{ 0xde14c50b, "rdma_restrack_del" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe4adc6cb, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2eacddb, "set_page_dirty" },
	{ 0x39e59554, "xa_erase" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x50bf7bb, "__mmap_lock_do_trace_start_locking" },
	{ 0xf1a6352d, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa60b43a0, "igrab" },
	{ 0xcdaed88d, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x80e9d1f8, "mmput" },
	{ 0x460ca6d2, "dma_map_sgtable" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd1e721e2, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x234ed595, "__mmap_lock_do_trace_released" },
	{ 0x61e94a3e, "ib_alloc_xrcd_user" },
	{ 0x7902a47f, "xa_store" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0xd62b55e9, "rdma_set_cq_moderation" },
	{ 0x52345367, "ib_dealloc_xrcd_user" },
	{ 0x16e5c412, "dma_buf_detach" },
	{ 0x92f776c7, "stream_open" },
	{ 0x7828d0b7, "mmu_interval_notifier_insert" },
	{ 0x9a3e27e9, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x10adf073, "ib_open_qp" },
	{ 0x33603e86, "ib_dealloc_pd_user" },
	{ 0xdfb4bc26, "rdma_get_gid_attr" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0xe33650d3, "rdma_port_get_link_layer" },
	{ 0x52c95287, "xa_find_after" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xce1ea6f7, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x4dd99a32, "rdma_query_gid_table" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x4d584aea, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x994b5154, "rdma_restrack_put" },
	{ 0x3b39e48, "ib_attach_mcast" },
	{ 0xa09ba901, "rdma_umap_priv_init" },
	{ 0x52ce608c, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x19401ae5, "ib_destroy_wq_user" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x59b46b77, "put_pid" },
	{ 0xa5f3b365, "class_register" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x3c6ad436, "rdma_user_mmap_entry_put" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "BC548F5378E62AA1D578BEB");

MODULE_INFO(suserelease, "SLE15-SP6");
