#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x411ab6a1, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xe8110c4c, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x807eb39e, "");
SYMBOL_CRC(rdma_res_to_id, 0x2dbe3d74, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x87637f7c, "");
SYMBOL_CRC(rdma_create_user_id, 0x42b83698, "");
SYMBOL_CRC(rdma_create_qp, 0x1ca9b2ee, "");
SYMBOL_CRC(rdma_destroy_qp, 0xfe4cfd1a, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xb5410414, "");
SYMBOL_CRC(rdma_destroy_id, 0x6c6f2b38, "");
SYMBOL_CRC(rdma_get_service_id, 0xfaa9c345, "");
SYMBOL_CRC(rdma_read_gids, 0x6582dbeb, "");
SYMBOL_CRC(rdma_set_service_type, 0xa23619c2, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xeec4d80d, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x4de186aa, "");
SYMBOL_CRC(rdma_set_ib_path, 0x04af86a9, "");
SYMBOL_CRC(rdma_resolve_route, 0x51c4c853, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x380a3814, "");
SYMBOL_CRC(rdma_set_afonly, 0xb9c1931e, "");
SYMBOL_CRC(rdma_listen, 0xa2bd8a71, "");
SYMBOL_CRC(rdma_resolve_addr, 0xa29617c3, "");
SYMBOL_CRC(rdma_bind_addr, 0x942b6184, "");
SYMBOL_CRC(rdma_connect_locked, 0xfe870d2a, "");
SYMBOL_CRC(rdma_connect, 0xb4097601, "");
SYMBOL_CRC(rdma_connect_ece, 0xfff92e84, "");
SYMBOL_CRC(rdma_accept, 0xc6c04950, "");
SYMBOL_CRC(rdma_accept_ece, 0x9dffd8e3, "");
SYMBOL_CRC(rdma_lock_handler, 0x56e7b284, "");
SYMBOL_CRC(rdma_unlock_handler, 0xbeff0db9, "");
SYMBOL_CRC(rdma_notify, 0x0910a62a, "");
SYMBOL_CRC(rdma_reject, 0xd7aedce5, "");
SYMBOL_CRC(rdma_disconnect, 0xaae76507, "");
SYMBOL_CRC(rdma_join_multicast, 0xffb2d64f, "");
SYMBOL_CRC(rdma_leave_multicast, 0xc148572f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5202e556, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe5effdec, "iw_create_cm_id" },
	{ 0xcdfa5bd8, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0191d3, "ib_unregister_client" },
	{ 0xc766ca8a, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa2c8fae9, "ib_send_cm_sidr_rep" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0xf0b663ec, "config_group_init" },
	{ 0xdb0c09b8, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xd038c053, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xa9d4061b, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1261b6b1, "rdma_query_gid" },
	{ 0xeee7a073, "rt6_lookup" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5916c6e, "rdma_translate_ip" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x45ffc6b, "rdma_dev_access_netns" },
	{ 0x29960786, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x387f5695, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4037c8d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x90baaedd, "ip_mc_inc_group" },
	{ 0x5ba9a684, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xd70eea6a, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7d84b81, "iw_cm_connect" },
	{ 0x1e4648d4, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d33292e, "rdma_addr_cancel" },
	{ 0xda3eb824, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe8f6aad, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x4814f6b2, "ib_register_client" },
	{ 0x73440a77, "ib_sa_path_rec_get" },
	{ 0xc64065ec, "ib_create_cm_id" },
	{ 0xcd9a8db1, "__ip_mc_dec_group" },
	{ 0x384e6fb2, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xdc4d6e1a, "ib_init_ah_from_mcmember" },
	{ 0xee25a812, "rdma_destroy_ah_attr" },
	{ 0x5f8e3b70, "ib_set_client_data" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x32b2eb2b, "ib_get_cached_pkey" },
	{ 0x8f527eb0, "configfs_register_subsystem" },
	{ 0xa7f9f6b9, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x1d9f09e0, "rdma_put_gid_attr" },
	{ 0xe84a2a5e, "config_group_init_type_name" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0xb733624b, "iw_destroy_cm_id" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa010a3e, "ib_send_cm_rep" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5a3e3783, "iw_cm_disconnect" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x98603210, "ib_destroy_qp_user" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0xe462b97, "ib_cm_init_qp_attr" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x53904e97, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe1d3aba1, "rdma_restrack_set_name" },
	{ 0xd69931f5, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x9a488d5e, "ib_get_cached_port_state" },
	{ 0xcdc409d7, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xde14c50b, "rdma_restrack_del" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xdde99ac0, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x39e59554, "xa_erase" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0xa01a78e7, "__put_net" },
	{ 0x9df33309, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdb7d1638, "iw_cm_accept" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb631770b, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd452069f, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xcc48d701, "iw_cm_init_qp_attr" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xe2e2825, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x24fdf1dc, "ib_send_cm_dreq" },
	{ 0x762288c4, "ib_send_cm_req" },
	{ 0x20b185b9, "ib_create_qp_kernel" },
	{ 0x74ac1e63, "ib_sa_join_multicast" },
	{ 0xcda69e2c, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdfb4bc26, "rdma_get_gid_attr" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xce1ea6f7, "rdma_restrack_new" },
	{ 0x1ac6b592, "__fib_lookup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb3fa91dc, "iw_cm_listen" },
	{ 0xfc698e6b, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x906a3851, "rdma_copy_src_l2_addr" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x7eb3c8a2, "rdma_resolve_ip" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "6A6E5E91D6E998BC95BCF3C");

MODULE_INFO(suserelease, "SLE15-SP6");
