#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ceddadd, "pin_user_pages_fast" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe385842, "ib_rvt_state_ops" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0xd5833db0, "rvt_ruc_loopback" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5a949327, "d_instantiate" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x91b06728, "unpin_user_pages_dirty_lock" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xdbd019c4, "ib_wq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe24abd1b, "simple_dir_inode_operations" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xe68e250a, "dca_remove_requester" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0xa17b22c6, "lookup_one_len" },
	{ 0xbd3f445c, "vmalloc_to_page" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0xe365a481, "param_get_string" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x6644920a, "mult_to_ib_rate" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x83313941, "device_unregister" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc32b370d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x52074537, "__xa_erase" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xe186396e, "simple_fill_super" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd50b0678, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xa25497d6, "rvt_error_qp" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1ec01eee, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xb42fb07c, "rvt_stop_rc_timers" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x8a771f15, "__tracepoint_mmap_lock_released" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x97fa4378, "class_is_registered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xea94eb3, "rvt_unregister_device" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x44e68de3, "rdma_create_ah" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xad16441b, "pin_user_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5635a60a, "vmalloc_user" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2376b072, "rvt_send_complete" },
	{ 0xf3bb3a33, "pci_free_irq" },
	{ 0xd8bd07ff, "rvt_get_credit" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xbaac48a8, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0x8411dec6, "rvt_rkey_ok" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x980a3bb9, "pcie_set_mps" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x347e4756, "ib_port_sysfs_get_ibdev_kobj" },
	{ 0xc94b7610, "cdev_add" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x63c283e3, "ib_post_send_mad" },
	{ 0x886c003b, "ib_create_send_mad" },
	{ 0xd326a52f, "rvt_add_retry_timer_ext" },
	{ 0x9149e3c6, "ib_dispatch_event" },
	{ 0xe755479f, "__task_pid_nr_ns" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xee25a812, "rdma_destroy_ah_attr" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3af44a91, "pci_request_irq" },
	{ 0x6d4ce75, "up_write" },
	{ 0x80c6ef96, "dca_add_requester" },
	{ 0xa07a37f0, "memchr" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3044b6e, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7487980, "device_create" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x33067d51, "rvt_qp_iter_next" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2e103377, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x390ad85c, "rvt_qp_iter_init" },
	{ 0x1a33ab9, "dca_unregister_notify" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0x758a031b, "kill_litter_super" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xac34ecec, "dca_register_notify" },
	{ 0x2736a751, "rvt_cq_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xa07884ba, "rvt_dealloc_device" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x839e106b, "unpin_user_page" },
	{ 0x57efcd5f, "dca3_get_tag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x745931b, "rvt_mcast_find" },
	{ 0x88398556, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcffd1072, "pcie_get_mps" },
	{ 0xdd7d65e0, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x6de8f1ea, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x19344027, "ib_free_send_mad" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x50bf7bb, "__mmap_lock_do_trace_start_locking" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c11c935, "rvt_get_rwqe" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x14994553, "pcie_get_readrq" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfd0dac06, "driver_for_each_device" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xe2a05897, "inode_set_ctime_current" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0xd1e721e2, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x316a53c1, "rvt_rc_error" },
	{ 0x13b2e9fc, "kobject_set_name" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x234ed595, "__mmap_lock_do_trace_released" },
	{ 0xbe046d77, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2f3279cb, "rvt_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5876dd6d, "rvt_init_port" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa9785b49, "cpu_core_map" },
	{ 0x44a97e31, "lookup_one_len_unlocked" },
	{ 0x9f5f4d71, "simple_recursive_removal" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xed4ae77f, "pcie_set_readrq" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb8c43ef6, "rvt_copy_sge" },
	{ 0xdd7f7fb4, "rvt_restart_sge" },
	{ 0xbde18153, "seq_open" },
	{ 0x52c95287, "xa_find_after" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc36dfd17, "rvt_comm_est" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x8309c1de, "get_tree_single" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xd38b861a, "rvt_alloc_device" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d46f86f, "rvt_compute_aeth" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0x2798cd7b, "ib_set_device_ops" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x8ce646e3, "rvt_add_rnr_timer" },
	{ 0xec763ed0, "cdev_alloc" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rdmavt,ib_core,dca");

MODULE_ALIAS("pci:v00001FC1d00000010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00007220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00007322sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "20D6BA8CB558C0A45F6D27D");

MODULE_INFO(suserelease, "SLE15-SP6");
