#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf343cb89, "device_property_present" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x462a489a, "devm_regulator_bulk_get" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xe9b67b58, "regulator_bulk_enable" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xedf68171, "input_allocate_device" },
	{ 0x33547744, "input_set_capability" },
	{ 0xefbea897, "input_set_abs_params" },
	{ 0x39286451, "input_mt_init_slots" },
	{ 0x10b4f146, "input_register_device" },
	{ 0x5e61f515, "input_alloc_absinfo" },
	{ 0x1be99654, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0x4f791397, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x96848186, "scnprintf" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x894c3970, "regulator_bulk_disable" },
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xe9b50385, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7dad2f12, "i2c_transfer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfc37a9ce, "irq_get_irq_data" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66860cd1, "i2c_transfer_buffer_flags" },
	{ 0x90b757e2, "input_mt_report_pointer_emulation" },
	{ 0xf9c842e9, "input_event" },
	{ 0xb10fe7cb, "input_mt_report_slot_state" },
	{ 0xa6257a2f, "complete" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xad8e09b8, "input_device_enabled" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1ae0cd9a, "request_firmware_nowait" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "D91E67ABCEA1AFD8D8F7537");

MODULE_INFO(suserelease, "SLE15-SP6");
