#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_cache_policy_register, 0xffe9c467, "_gpl");
SYMBOL_CRC(dm_cache_policy_unregister, 0xdcc7930e, "_gpl");
SYMBOL_CRC(dm_cache_policy_create, 0x50b3c64c, "_gpl");
SYMBOL_CRC(dm_cache_policy_destroy, 0xf9f3e74b, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_name, 0x37ef59a5, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_version, 0x23ddc5ab, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_hint_size, 0x4becb830, "_gpl");
SYMBOL_CRC(btracker_create, 0x481a0b15, "_gpl");
SYMBOL_CRC(btracker_destroy, 0x5adc2807, "_gpl");
SYMBOL_CRC(btracker_nr_writebacks_queued, 0x65eea825, "_gpl");
SYMBOL_CRC(btracker_nr_demotions_queued, 0x1c852cab, "_gpl");
SYMBOL_CRC(btracker_queue, 0x87bee547, "_gpl");
SYMBOL_CRC(btracker_issue, 0xa2365f44, "_gpl");
SYMBOL_CRC(btracker_complete, 0xa7eadcb5, "_gpl");
SYMBOL_CRC(btracker_promotion_already_present, 0x0efbca4c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb03190b7, "bio_associate_blkg" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x68f34c27, "dm_array_cursor_next" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb940af6a, "dm_array_info_init" },
	{ 0x1e3f728d, "dm_block_data" },
	{ 0xf4c42ffb, "dm_per_bio_data" },
	{ 0x2ff60349, "dm_put_device" },
	{ 0xee48af36, "dm_submit_bio_remap" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x95a52abd, "dm_bm_is_read_only" },
	{ 0xd538b5bf, "dm_block_manager_create" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xa99029b9, "dm_bitset_cursor_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x41d6a148, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x5475ba9e, "dm_block_location" },
	{ 0xace9b57b, "dm_bio_prison_destroy_v2" },
	{ 0x54f69d, "dm_tm_pre_commit" },
	{ 0xd99e003d, "dm_bio_prison_create_v2" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ad0f55b, "dm_bm_flush" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7b6b3af5, "dm_bm_read_lock" },
	{ 0xe07a2542, "dm_bitset_new" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdf3a4e7d, "dm_tm_create_with_sm" },
	{ 0xe0e68183, "dm_array_resize" },
	{ 0x67c6c5b9, "dm_array_cursor_get_value" },
	{ 0xa916b694, "strnlen" },
	{ 0xc56a209c, "dm_bio_prison_alloc_cell_v2" },
	{ 0xd251167, "dm_array_cursor_begin" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x81063da9, "module_put" },
	{ 0x30c37cc0, "dm_bm_write_lock_zero" },
	{ 0x5b04d3fe, "dm_bitset_clear_bit" },
	{ 0x836693c5, "dm_disk_bitset_init" },
	{ 0x7052127f, "bioset_exit" },
	{ 0xd017c9c7, "dm_array_new" },
	{ 0x7ade1071, "dm_tm_destroy" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0x418204e4, "dm_array_set_value" },
	{ 0x9e798e22, "dm_bm_set_read_only" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb38e541b, "dm_suspended" },
	{ 0x8742388e, "dm_bio_prison_free_cell_v2" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x94daa188, "dm_bitset_cursor_next" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5375ca71, "dm_bm_write_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x1d0d53f7, "dm_array_empty" },
	{ 0x5a921311, "strncmp" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc2d42638, "bio_chain" },
	{ 0x9bffd93f, "dm_unregister_target" },
	{ 0x6c019b7b, "dm_cell_put_v2" },
	{ 0x46c56110, "dm_bitset_empty" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x72289260, "dm_block_manager_destroy" },
	{ 0x3896f8d8, "dm_array_walk" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7ed9022, "dm_bitset_del" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x4f477261, "dm_bm_checksum" },
	{ 0x415a68b7, "dm_set_target_max_io_len" },
	{ 0x2f40da68, "dm_bm_set_read_write" },
	{ 0xfb578fc5, "memset" },
	{ 0xad191e59, "bio_alloc_clone" },
	{ 0x37156d62, "dm_table_event" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x38d53eec, "dm_array_del" },
	{ 0x2842d760, "dm_bitset_resize" },
	{ 0x32bf4f4b, "dm_bitset_cursor_get_value" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd8d6c494, "dm_cell_lock_v2" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xedf5036f, "dm_bitset_flush" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd163cade, "dm_tm_commit" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x51005cef, "dm_bitset_cursor_skip" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6bfa88c8, "dm_bitset_cursor_begin" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb913138e, "dm_kcopyd_copy" },
	{ 0xbe08597e, "dm_table_device_name" },
	{ 0x47f10e53, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5181393, "bioset_init" },
	{ 0x2e6ca985, "dm_cell_get_v2" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x3960dd98, "dm_cell_quiesce_v2" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7612cd9c, "dm_bm_block_size" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40720a25, "dm_bitset_set_bit" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x922741ed, "dm_cell_unlock_v2" },
	{ 0x8e057e61, "dm_array_cursor_end" },
	{ 0x7fe7b661, "dm_get_device" },
	{ 0x31627eec, "dm_cell_lock_promote_v2" },
	{ 0x754d539c, "strlen" },
	{ 0x52ce608c, "up_read" },
	{ 0x48e323be, "dm_bm_unlock" },
	{ 0xf8242c57, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x6fac2256, "dm_array_get_value" },
	{ 0x612e1dfe, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x2bc1a8d9, "dm_tm_open_with_sm" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dm-persistent-data,dm-mod,dm-bio-prison");


MODULE_INFO(srcversion, "1DAA07CB38555BE9C575274");

MODULE_INFO(suserelease, "SLE15-SP6");
