#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0x6847d6b3, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x9317bbb4, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x24cbbbdd, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x7aa4918e, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x02394347, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xf4c42ffb, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x2026fb4f, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xf8242c57, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0x73817445, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0xcb1685f1, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x41b92f28, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x415a68b7, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xeb9e665b, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xee48af36, "_gpl");
SYMBOL_CRC(dm_get_md, 0x139d29cc, "_gpl");
SYMBOL_CRC(dm_hold, 0x90c3a573, "_gpl");
SYMBOL_CRC(dm_device_name, 0x58fd2362, "_gpl");
SYMBOL_CRC(dm_put, 0xb39eee0c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x38455abc, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xacfa4836, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xc06f048f, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x787aaf07, "_gpl");
SYMBOL_CRC(dm_disk, 0x92e06576, "_gpl");
SYMBOL_CRC(dm_suspended, 0xb38e541b, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x5f88550d, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x67936a3a, "_gpl");
SYMBOL_CRC(dm_get_device, 0x7fe7b661, "");
SYMBOL_CRC(dm_put_device, 0x2ff60349, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x9935f036, "_gpl");
SYMBOL_CRC(dm_table_event, 0x37156d62, "");
SYMBOL_CRC(dm_table_get_size, 0xf1702c40, "");
SYMBOL_CRC(dm_table_get_mode, 0x1522406f, "");
SYMBOL_CRC(dm_table_get_md, 0xeafe502b, "");
SYMBOL_CRC(dm_table_device_name, 0xbe08597e, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x86e04a69, "");
SYMBOL_CRC(dm_register_target, 0x47f10e53, "");
SYMBOL_CRC(dm_unregister_target, 0x9bffd93f, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xb7669604, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x46bc8fa4, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xb913138e, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x3c3b6ab2, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x68ba60f5, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb03190b7, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x4e9202a8, "set_disk_ro" },
	{ 0xd4ea6b8, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3b50a2e6, "blk_integrity_register" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xb617b46a, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x51905f4, "idr_find" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x495a4ebe, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeb406d47, "bio_split_to_limits" },
	{ 0xbd3f445c, "vmalloc_to_page" },
	{ 0xb96fdf5a, "disk_update_readahead" },
	{ 0x345e55fb, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xf003d08e, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x8e41b3a4, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cae2b1e, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xab5c73af, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbeddd570, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x973ece04, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x41d6a148, "mempool_init" },
	{ 0x185c010, "blk_rq_prep_clone" },
	{ 0x992957a4, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x99f10419, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f50d43e, "blk_crypto_profile_init" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf2f59255, "freeze_bdev" },
	{ 0x3d9cedc5, "blk_queue_write_cache" },
	{ 0xba08987f, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x9acd8805, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x6153760a, "synchronize_srcu" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xe4646f16, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x946d2190, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78e5a8f3, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbfc9174, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xb92548ba, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x3c37e765, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x2ed4edd2, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa8e42cd5, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa776624b, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64ffd769, "bdev_nr_zones" },
	{ 0x1487d443, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d22422b, "blk_queue_flag_set" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0xdb6974e9, "__SCK__tp_func_block_split" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0x78015c49, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x96f5a300, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x1e9f9a0e, "blk_crypto_has_capabilities" },
	{ 0xce184480, "dax_add_host" },
	{ 0x4ddbbd5e, "blk_queue_flag_clear" },
	{ 0x81063da9, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf9470bd7, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7052127f, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x354c9537, "kobject_uevent_env" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0x847f0b87, "blk_crypto_intersect_capabilities" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x102b117c, "init_srcu_struct" },
	{ 0x2384a034, "__SCK__tp_func_block_bio_remap" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x4c735e7e, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x3ec3e34, "blkdev_get_by_dev" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x88d3591b, "thaw_bdev" },
	{ 0x873966f5, "set_capacity" },
	{ 0xf41ada7a, "submit_bio_noacct" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0xfea9c6d8, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x3781eb1e, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x4101c01a, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc2d42638, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5c570e1e, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0xe192afc6, "zero_fill_bio_iter" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0xf0b852ba, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5fa34fa9, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1e3bf7a6, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3aa0bcaf, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb3641043, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xad191e59, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd0d2a74, "misc_register" },
	{ 0xb93d2869, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc9e3fa34, "blk_insert_cloned_request" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4dd90ab, "audit_log_start" },
	{ 0x6050cce0, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x92101368, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa7adb799, "bio_uninit" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xb5181393, "bioset_init" },
	{ 0x3e257486, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x130c0576, "__tracepoint_block_bio_remap" },
	{ 0x59e463b6, "__tracepoint_block_rq_remap" },
	{ 0x28dc5a2a, "bd_link_disk_holder" },
	{ 0xd0063bf1, "blk_mq_start_request" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x64bec859, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe6aa8f8e, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xcd256060, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x52ce608c, "up_read" },
	{ 0x57539be3, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1f8acb8f, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x560539ee, "bdev_end_io_acct" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x612e1dfe, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x12e879d9, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF233E7571ED88A45D6B6F1");

MODULE_INFO(suserelease, "SLE15-SP6");
