#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(md_cluster_ops, 0x68c230ff, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(_md_handle_reqeust, 0xdc0da754, "");
SYMBOL_CRC(md_handle_request, 0x62605cb6, "");
SYMBOL_CRC(mddev_suspend, 0x4831224f, "_gpl");
SYMBOL_CRC(mddev_resume, 0x9a215ce4, "_gpl");
SYMBOL_CRC(md_flush_request, 0xf248c6ae, "");
SYMBOL_CRC(mddev_init, 0x3902de69, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x0510d372, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x059683ef, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xe7358c00, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x564030d5, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x5d4dfca3, "_gpl");
SYMBOL_CRC(sync_page_io, 0x06935b68, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x864ca23a, "");
SYMBOL_CRC(md_integrity_register, 0x400d5a41, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x47a00a03, "");
SYMBOL_CRC(md_update_sb, 0xdf28666c, "");
SYMBOL_CRC(md_rdev_init, 0x1cbe1274, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xa71f5547, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xf2d3a483, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x3d9bea39, "_gpl");
SYMBOL_CRC(md_run, 0x5a4f4b77, "_gpl");
SYMBOL_CRC(md_start, 0x36c86497, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x78e2d21b, "_gpl");
SYMBOL_CRC(md_stop, 0xe9d7b364, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xe9fdfe79, "");
SYMBOL_CRC(md_wakeup_thread, 0x4b9638a0, "");
SYMBOL_CRC(md_register_thread, 0x53086337, "");
SYMBOL_CRC(md_unregister_thread, 0xa3b31bd6, "");
SYMBOL_CRC(md_error, 0x41e766c8, "");
SYMBOL_CRC(register_md_personality, 0xcf960189, "");
SYMBOL_CRC(unregister_md_personality, 0x5be9bf4d, "");
SYMBOL_CRC(register_md_cluster_operations, 0xbb0620cc, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x4fa3e6c0, "");
SYMBOL_CRC(md_write_start, 0xdc9cc4af, "");
SYMBOL_CRC(md_write_inc, 0x9b4af311, "");
SYMBOL_CRC(md_write_end, 0xf13bed8c, "");
SYMBOL_CRC(md_submit_discard_bio, 0x5721ae3f, "_gpl");
SYMBOL_CRC(md_account_bio, 0x05911485, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x153c1a61, "_gpl");
SYMBOL_CRC(md_allow_write, 0x14751865, "_gpl");
SYMBOL_CRC(md_do_sync, 0x927ccf9c, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xd6b4d835, "");
SYMBOL_CRC(md_reap_sync_thread, 0xf34c57dd, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x2907f04e, "");
SYMBOL_CRC(md_finish_reshape, 0x92b3f61c, "");
SYMBOL_CRC(rdev_set_badblocks, 0x870e8507, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x628a83e0, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x901a6cfc, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xa6f93bf6, "");
SYMBOL_CRC(md_bitmap_unplug, 0x70c4b3da, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x36faaeb0, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xe1104192, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x7d5ec8ef, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xe95b0345, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x3768f81e, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x70bcd9a3, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x25481146, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x36fe81fd, "");
SYMBOL_CRC(md_bitmap_free, 0xf7fc9412, "");
SYMBOL_CRC(md_bitmap_load, 0xd30a0165, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x404f7987, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x02790f52, "_gpl");
SYMBOL_CRC(md_bitmap_get_stats, 0x13839ba5, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x398e691e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad2106a1, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x4e9202a8, "set_disk_ro" },
	{ 0xd4ea6b8, "__blk_alloc_disk" },
	{ 0x3b50a2e6, "blk_integrity_register" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xee62041a, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x3e9730f7, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb617b46a, "blk_start_plug" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2d3a887, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x47681e08, "proc_create" },
	{ 0xeb406d47, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x345e55fb, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x36da11b7, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x87f5ae0b, "fget" },
	{ 0xaa5f234d, "sysfs_unbreak_active_protection" },
	{ 0x70938bef, "invalidate_mapping_pages" },
	{ 0x5606db39, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1824436, "badblocks_exit" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x3d9cedc5, "blk_queue_write_cache" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x40b1e514, "ack_all_badblocks" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x8a6dcdd, "kernfs_notify" },
	{ 0xe9275fb8, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7f346416, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xc31b2b46, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c37e765, "bioset_integrity_create" },
	{ 0xf1889e0b, "mempool_create" },
	{ 0x2ed4edd2, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf1fb04ca, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb90e7a0f, "unregister_sysctl_table" },
	{ 0x2e67892c, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x722d75ca, "sync_blockdev" },
	{ 0x2faa74bb, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d22422b, "blk_queue_flag_set" },
	{ 0x78015c49, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96f5a300, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x81063da9, "module_put" },
	{ 0x4ddbbd5e, "blk_queue_flag_clear" },
	{ 0x50da4626, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7052127f, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x1cdacdb1, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2384a034, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xa572006f, "fput" },
	{ 0x3fe440b5, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x3ec3e34, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf41ada7a, "submit_bio_noacct" },
	{ 0xfea9c6d8, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xc505b5fd, "blk_sync_queue" },
	{ 0xd77c6ee7, "seq_file_path" },
	{ 0xa085e8d2, "kernfs_find_and_get_ns" },
	{ 0xb375927f, "seq_putc" },
	{ 0xc2d42638, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xa559b5b, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5fa34fa9, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3aa0bcaf, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb3641043, "bio_init" },
	{ 0xad191e59, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x51ca2668, "invalidate_bdev" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa85b477f, "kobject_del" },
	{ 0x152a9a22, "vfs_fsync" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xb5181393, "bioset_init" },
	{ 0x536ac506, "file_path" },
	{ 0x4dec8664, "kernfs_put" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2937cfe5, "sysfs_break_active_protection" },
	{ 0xc91e40f, "__folio_put" },
	{ 0xc6a53ee0, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x6e3e0a85, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x130c0576, "__tracepoint_block_bio_remap" },
	{ 0x28dc5a2a, "bd_link_disk_holder" },
	{ 0x8c0c3df7, "proc_dointvec" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbde18153, "seq_open" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfa4d24c7, "badblocks_clear" },
	{ 0x6ba0bf8c, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa725d747, "badblocks_store" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xdd6caa74, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x6e3ed840, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1622D6782F42F92ACCF9DAB");

MODULE_INFO(suserelease, "SLE15-SP6");
