#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(raid5_set_cache_size, 0xc6a94cab, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xf3d55b8e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x4e9202a8, "set_disk_ro" },
	{ 0xcf960189, "register_md_personality" },
	{ 0x3e9730f7, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb617b46a, "blk_start_plug" },
	{ 0x398e691e, "md_bitmap_resize" },
	{ 0x7f567295, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x564030d5, "md_find_rdev_rcu" },
	{ 0x9a215ce4, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe95b0345, "md_bitmap_start_sync" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x25481146, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x41e766c8, "md_error" },
	{ 0x2f9f128, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x41d6a148, "mempool_init" },
	{ 0x8a4500ea, "register_shrinker" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0xe1104192, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x92b3f61c, "md_finish_reshape" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3d291496, "async_gen_syndrome" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0xa3b31bd6, "md_unregister_thread" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x6935b68, "sync_page_io" },
	{ 0x70bcd9a3, "md_bitmap_close_sync" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x153c1a61, "md_free_cloned_bio" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x5d9d139, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x8a6dcdd, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b9638a0, "md_wakeup_thread" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9fdfe79, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x14751865, "md_allow_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x628a83e0, "rdev_clear_badblocks" },
	{ 0x6fe6dc5f, "radix_tree_lookup_slot" },
	{ 0x2976e416, "async_tx_quiesce" },
	{ 0xdc9cc4af, "md_write_start" },
	{ 0x9d22422b, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0xbb029c7e, "unregister_shrinker" },
	{ 0x4606729a, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9a60061, "async_xor" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x620fb201, "async_xor_offs" },
	{ 0x96f5a300, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x4ddbbd5e, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0x7052127f, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4fa3e6c0, "md_done_sync" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0x80eb6d57, "radix_tree_delete" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x2907f04e, "md_wait_for_blocked_rdev" },
	{ 0x2384a034, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2e8d9260, "async_memcpy" },
	{ 0xf41ada7a, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x59683ef, "mddev_unlock" },
	{ 0x7095372e, "__tracepoint_block_unplug" },
	{ 0xc2d42638, "bio_chain" },
	{ 0xa559b5b, "__blk_trace_note_message" },
	{ 0x37475b86, "blkdev_issue_zeroout" },
	{ 0xe4817dc1, "disk_stack_limits" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x4b5bbba, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9b54b37b, "async_raid6_2data_recov" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0x46599378, "__SCK__tp_func_block_unplug" },
	{ 0x3768f81e, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdf28666c, "md_update_sb" },
	{ 0xe44c109, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xee16fa10, "_atomic_dec_and_lock_irqsave" },
	{ 0xf248c6ae, "md_flush_request" },
	{ 0xb3641043, "bio_init" },
	{ 0x53086337, "md_register_thread" },
	{ 0xad191e59, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x5f28c671, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5911485, "md_account_bio" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b4af311, "md_write_inc" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5be9bf4d, "unregister_md_personality" },
	{ 0x728cf06b, "blk_queue_max_write_zeroes_sectors" },
	{ 0x70c4b3da, "md_bitmap_unplug" },
	{ 0xa7adb799, "bio_uninit" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xb5181393, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x67940d09, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xf13bed8c, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xee1304df, "blk_queue_io_min" },
	{ 0xd6b4d835, "md_check_recovery" },
	{ 0x7d5ec8ef, "md_bitmap_endwrite" },
	{ 0x130c0576, "__tracepoint_block_bio_remap" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0x4831224f, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9a303640, "badblocks_check" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x1f074752, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x870e8507, "rdev_set_badblocks" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x6e394c9b, "blk_queue_io_opt" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8d016852, "async_raid6_datap_recov" },
	{ 0xdd6caa74, "submit_bio_wait" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x612e1dfe, "mempool_exit" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xff7db68a, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc91dd282, "blkdev_issue_discard" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "md-mod,async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "FD2AE101A5690970CD4CE0A");

MODULE_INFO(suserelease, "SLE15-SP6");
