#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_generic_open, 0x522547a0, "");
SYMBOL_CRC(dvb_generic_release, 0xa2f3b6a8, "");
SYMBOL_CRC(dvb_generic_ioctl, 0x9f04ae57, "");
SYMBOL_CRC(dvb_register_device, 0x1a733e8c, "");
SYMBOL_CRC(dvb_remove_device, 0x67d386e8, "");
SYMBOL_CRC(dvb_device_get, 0xb2791701, "");
SYMBOL_CRC(dvb_unregister_device, 0x6b6ef633, "");
SYMBOL_CRC(dvb_create_media_graph, 0xe998b1b0, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0xb67e5f92, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x3592d171, "");
SYMBOL_CRC(dvb_module_probe, 0xa0818ccc, "_gpl");
SYMBOL_CRC(dvb_module_release, 0x085b6b37, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x48cea81a, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x46ccb723, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x4106c67f, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0xb45248e8, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0xf34f0f21, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xd74bcc47, "");
SYMBOL_CRC(dvb_dmx_init, 0x41eeade8, "");
SYMBOL_CRC(dvb_dmx_release, 0xacf60b87, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x43534420, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0x441b264d, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x6ea54a80, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x43407451, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0xf00c636f, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0xe0b18d5e, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0xbabf2074, "");
SYMBOL_CRC(dvb_frontend_resume, 0xd92ed471, "");
SYMBOL_CRC(dvb_register_frontend, 0x80bba343, "");
SYMBOL_CRC(dvb_unregister_frontend, 0x12f271f5, "");
SYMBOL_CRC(dvb_frontend_detach, 0x174287a7, "");
SYMBOL_CRC(dvb_net_release, 0xe6619660, "");
SYMBOL_CRC(dvb_net_init, 0x1345a551, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0x034df109, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0x50ee1c32, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0x7340ba12, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0x514d7644, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0x4f1f4e9e, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x24136454, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x6565c277, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0x1de8366d, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0xe82fac42, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xef850045, "");
SYMBOL_CRC(intlog2, 0x5f2b1d95, "");
SYMBOL_CRC(intlog10, 0x08733236, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc308de48, "media_devnode_remove" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd2df4d55, "eth_header" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xabe460aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x70421f21, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x13a7c851, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f4f6df2, "media_create_intf_link" },
	{ 0x5621cfd7, "media_create_pad_links" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x9a6a0cb9, "media_create_pad_link" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6e9a9385, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0x4874bbdd, "media_device_register_entity" },
	{ 0xc94b7610, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x1127c815, "i2c_unregister_device" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7487980, "device_create" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xca08818d, "class_create" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x749206ac, "free_netdev" },
	{ 0xba3942a8, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xc5cd7113, "i2c_new_client_device" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xe02f15ca, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4a1a514, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0x2ad0a477, "media_devnode_create" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xddec715c, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "4694B5D60FAFF2C656B9252");

MODULE_INFO(suserelease, "SLE15-SP6");
