#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18cf7507, "i2c_client_get_device_id" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0x5f6c810b, "__regmap_init_i2c" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5b909aa, "vb2_vmalloc_memops" },
	{ 0x17f8333d, "vb2_queue_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa45fc263, "devm_nvmem_register" },
	{ 0x9316001e, "__video_register_device" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x9b1bd50e, "vb2_ioctl_reqbufs" },
	{ 0x6f84c7e7, "vb2_ioctl_querybuf" },
	{ 0xad47478e, "vb2_ioctl_qbuf" },
	{ 0xe1eebe25, "vb2_ioctl_dqbuf" },
	{ 0x5622358, "vb2_ioctl_create_bufs" },
	{ 0xf56a1b1f, "vb2_ioctl_prepare_buf" },
	{ 0x95e8ee24, "vb2_ioctl_streamon" },
	{ 0x7f8fbf59, "vb2_ioctl_streamoff" },
	{ 0x45ac8be, "vb2_ops_wait_prepare" },
	{ 0xd048b6fc, "vb2_ops_wait_finish" },
	{ 0x30bc818a, "vb2_fop_read" },
	{ 0x34d5d318, "vb2_fop_poll" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0x31ed4036, "vb2_fop_mmap" },
	{ 0xad06b39f, "v4l2_fh_open" },
	{ 0x3806d5f5, "vb2_fop_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3799d51a, "regmap_bulk_read" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0x5ee0e88f, "regmap_get_device" },
	{ 0x9f0576ff, "devm_hwmon_device_register_with_info" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x6a2f288c, "regmap_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x6bac6b8c, "vb2_buffer_done" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x96d5c525, "vb2_plane_vaddr" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c,videodev,videobuf2-vmalloc,videobuf2-v4l2,videobuf2-common");

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "A606230C7F79A172E750259");

MODULE_INFO(suserelease, "SLE15-SP6");
