#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(media_device_register_entity, 0x4874bbdd, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xddec715c, "_gpl");
SYMBOL_CRC(media_device_init, 0x1d27d425, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x62728f1a, "_gpl");
SYMBOL_CRC(__media_device_register, 0x62fe70e2, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x1d1fe380, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xb2ff296e, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x893a4878, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x12c8517b, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x7caefdc1, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x17ef7324, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xba3942a8, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x1f3b0077, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x5566e25a, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xb8291828, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xeadb55d3, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x258d13ca, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x2c1914a8, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x50980151, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xc850881d, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x59b722af, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xc8ed7394, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xa224bdf7, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x5345ba77, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xe02f15ca, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x9a6a0cb9, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x5621cfd7, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xca315148, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xb0247a68, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x33ce568c, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x2b08c6ce, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x04823387, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x617a4cdd, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xe3fbda5b, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x881d90f1, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xe2294b47, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x2e92f118, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xe80b2dbe, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x2ad0a477, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xc308de48, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x1f4f6df2, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xc6810f7d, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x04508ec7, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xd196eb92, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xea82de71, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x5a2b3636, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x169eaf1b, "_gpl");
SYMBOL_CRC(media_request_put, 0x96c61f92, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x77bfdd3d, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x64e1ab3e, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x460fba6d, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xbd37dd8d, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x937ebf1e, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xede50a1e, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x7ee490d5, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x323d9261, "_gpl");
SYMBOL_CRC(media_device_delete, 0x8b2eeaaa, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe5ca2456, "anon_inode_getfile" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x282701ef, "cdev_device_del" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb8e973c3, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9f7a4f3, "cdev_device_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xff39c318, "fwnode_graph_parse_endpoint" },
	{ 0x81063da9, "module_put" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0xa572006f, "fput" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x983c1964, "ida_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4caf1528, "platform_bus_type" },
	{ 0x13b2e9fc, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xc417c063, "device_remove_file" },
	{ 0xa7973e26, "bus_register" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F278A82577C102DCCFBD6");

MODULE_INFO(suserelease, "SLE15-SP6");
