#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx18_ext_init, 0xc6024f36, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xa4f7047a, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x0fb0a023, "");
SYMBOL_CRC(cx18_claim_stream, 0x501807eb, "");
SYMBOL_CRC(cx18_release_stream, 0x3d8af83c, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17f8333d, "vb2_queue_init" },
	{ 0x47c4e060, "v4l2_fh_exit" },
	{ 0x48cea81a, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xfaf2fab4, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb7aab401, "vb2_queue_release" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x7f8fbf59, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4493e9a8, "i2c_bit_add_bus" },
	{ 0x6da4045, "v4l2_fh_del" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc013aa9, "v4l2_fh_add" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xd048b6fc, "vb2_ops_wait_finish" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x6f84c7e7, "vb2_ioctl_querybuf" },
	{ 0x30bc80e6, "v4l2_subdev_init" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x605ee3c3, "vb2_video_unregister_device" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb67e5f92, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xf0569fd7, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xc17971e2, "v4l2_ctrl_handler_log_status" },
	{ 0x680aa018, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0x552cd4b3, "i2c_new_scanned_device" },
	{ 0x472417a9, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a51421a, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x663ecb4c, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe1eebe25, "vb2_ioctl_dqbuf" },
	{ 0xacf60b87, "dvb_dmx_release" },
	{ 0x5622358, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xfc072c5b, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf56a1b1f, "vb2_ioctl_prepare_buf" },
	{ 0x8a8dc12b, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x6bac6b8c, "vb2_buffer_done" },
	{ 0x96d5c525, "vb2_plane_vaddr" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0x9af644af, "v4l2_fh_init" },
	{ 0x7233fcf9, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1345a551, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb45248e8, "dvb_dmx_swfilter" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x46ccb723, "dvb_dmxdev_release" },
	{ 0xad47478e, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x31ed4036, "vb2_fop_mmap" },
	{ 0x1e5010e5, "param_ops_short" },
	{ 0xa5b909aa, "vb2_vmalloc_memops" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x30bc818a, "vb2_fop_read" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x174287a7, "dvb_frontend_detach" },
	{ 0xfce7378b, "param_ops_string" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6619660, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9316001e, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12f271f5, "dvb_unregister_frontend" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x45ac8be, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x95e8ee24, "vb2_ioctl_streamon" },
	{ 0x34d5d318, "vb2_fop_poll" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0x8886e530, "v4l2_ctrl_g_ctrl" },
	{ 0xa7ae17d8, "cx2341x_handler_init" },
	{ 0x3b16303c, "cx2341x_handler_set_50hz" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x80bba343, "dvb_register_frontend" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6937f76d, "v4l2_subdev_call_wrappers" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x2e051930, "v4l2_i2c_new_subdev" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x3592d171, "dvb_unregister_adapter" },
	{ 0x41eeade8, "dvb_dmx_init" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x95cb7d09, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b1bd50e, "vb2_ioctl_reqbufs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,dvb-core,cx2341x,i2c-algo-bit,tveeprom,videobuf2-common,videobuf2-vmalloc");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F56DCCFAC3CD63982A3DD2B");

MODULE_INFO(suserelease, "SLE15-SP6");
