#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xafab951a, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xef87c45c, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x180f8395, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x27fcd207, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x66fc3841, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x23d42ba7, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x465c9e49, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17f8333d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb27e582e, "vb2_dma_sg_memops" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x7f8fbf59, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xd048b6fc, "vb2_ops_wait_finish" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f84c7e7, "vb2_ioctl_querybuf" },
	{ 0xad06b39f, "v4l2_fh_open" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0x680aa018, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0x3806d5f5, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a51421a, "i2c_del_adapter" },
	{ 0x6871876f, "vb2_plane_cookie" },
	{ 0xe1eebe25, "vb2_ioctl_dqbuf" },
	{ 0x5622358, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf56a1b1f, "vb2_ioctl_prepare_buf" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x6bac6b8c, "vb2_buffer_done" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xad47478e, "vb2_ioctl_qbuf" },
	{ 0x31ed4036, "vb2_fop_mmap" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30bc818a, "vb2_fop_read" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x82cfec96, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x9316001e, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x45ac8be, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x95e8ee24, "vb2_ioctl_streamon" },
	{ 0x34d5d318, "vb2_fop_poll" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x95cb7d09, "video_device_release_empty" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x9b1bd50e, "vb2_ioctl_reqbufs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "77EC1E165D4713381B62A04");

MODULE_INFO(suserelease, "SLE15-SP6");
