#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(go7007_read_interrupt, 0x9eab2818, "");
SYMBOL_CRC(go7007_read_addr, 0xf120a4ad, "");
SYMBOL_CRC(go7007_boot_encoder, 0x806bd124, "");
SYMBOL_CRC(go7007_register_encoder, 0xc53b5929, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x7af56934, "");
SYMBOL_CRC(go7007_alloc, 0x0d427b43, "");
SYMBOL_CRC(go7007_update_board, 0xf4fa0cb6, "");
SYMBOL_CRC(go7007_snd_init, 0xaf7acdca, "");
SYMBOL_CRC(go7007_snd_remove, 0x25bc3629, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17f8333d, "vb2_queue_init" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa1e22cda, "v4l2_device_put" },
	{ 0x7f8fbf59, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0x534f06da, "snd_card_register" },
	{ 0xc5528d11, "v4l2_i2c_new_subdev_board" },
	{ 0xd47b5164, "snd_card_free" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xd048b6fc, "vb2_ops_wait_finish" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f84c7e7, "vb2_ioctl_querybuf" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xad06b39f, "v4l2_fh_open" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0x3806d5f5, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x2a51421a, "i2c_del_adapter" },
	{ 0x745fee22, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ea9210d, "__v4l2_ctrl_grab" },
	{ 0xe1eebe25, "vb2_ioctl_dqbuf" },
	{ 0x4f791397, "_dev_err" },
	{ 0x589b11d1, "v4l2_ctrl_new_custom" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb75f74fd, "snd_card_free_when_closed" },
	{ 0x6bac6b8c, "vb2_buffer_done" },
	{ 0x96d5c525, "vb2_plane_vaddr" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6c9abd9f, "v4l2_event_subscribe" },
	{ 0xad47478e, "vb2_ioctl_qbuf" },
	{ 0x31ed4036, "vb2_fop_mmap" },
	{ 0x9f528aad, "snd_device_new" },
	{ 0xa5b909aa, "vb2_vmalloc_memops" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0xcff41944, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x30bc818a, "vb2_fop_read" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x82cfec96, "i2c_add_adapter" },
	{ 0x4f3f349, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x9316001e, "__video_register_device" },
	{ 0x45ac8be, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x95e8ee24, "vb2_ioctl_streamon" },
	{ 0x34d5d318, "vb2_fop_poll" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0x8886e530, "v4l2_ctrl_g_ctrl" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x6937f76d, "v4l2_subdev_call_wrappers" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0x784092d7, "v4l2_ctrl_log_status" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xab303689, "v4l2_event_queue" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x95cb7d09, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x9b1bd50e, "vb2_ioctl_reqbufs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5401F8E2FDFB2DC1E3EDFAA");

MODULE_INFO(suserelease, "SLE15-SP6");
