#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x9be9c042, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x132b527c, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x1d954d38, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x6fffdc87, "");
SYMBOL_CRC(mpt_halt_firmware, 0xe56cea6f, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x8ccbff3e, "");
SYMBOL_CRC(mpt_attach, 0xb67552d1, "");
SYMBOL_CRC(mpt_detach, 0x01b45aa8, "");
SYMBOL_CRC(mpt_resume, 0x7c4e0365, "");
SYMBOL_CRC(mpt_suspend, 0xf9b96ec6, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x2dfe71dd, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xdad1b766, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x3535dff5, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x7a2039ef, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x7ac1c193, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x08544b71, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x690765ca, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xe9b02d48, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xecaf6571, "");
SYMBOL_CRC(mpt_verify_adapter, 0xfe5dc1d9, "");
SYMBOL_CRC(mpt_GetIocState, 0x58a8a047, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x13a6ead3, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x3e06290c, "");
SYMBOL_CRC(mpt_config, 0x8ac135c7, "");
SYMBOL_CRC(mpt_findImVolumes, 0x622096cf, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xa9cef1b7, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x509701fb, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xd5d3bc35, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x811a6b80, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5792f848, "strlcpy" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92997ed8, "_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xa86f4cf, "proc_create_single_data" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xb8ffe2f2, "pci_stop_and_remove_bus_device_locked" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xe5afc9a4, "pci_select_bars" },
	{ 0xf4cf78c1, "pci_enable_device_mem" },
	{ 0xb4951a7b, "pci_request_selected_regions" },
	{ 0xa427dfa4, "dma_get_required_mask" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2f9b01bb, "pci_release_selected_regions" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x9cf9d19a, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0x8b27b7f2, "pci_choose_state" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0x288c264f, "pci_set_power_state" },
	{ 0xb375927f, "seq_putc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x88398556, "pci_set_master" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7647d4c7, "pci_get_slot" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x35858657, "pci_enable_wake" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x97c67bce, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "49188D2294F61ABCE9750C6");

MODULE_INFO(suserelease, "SLE15-SP6");
