#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92a7eff0, "mptscsih_remove" },
	{ 0xa973758b, "fc_remote_port_delete" },
	{ 0x8ac135c7, "mpt_config" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x74e18730, "scsi_is_fc_rport" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x9a8deded, "scsi_done" },
	{ 0x3affb9f8, "mptscsih_qcmd" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5060544e, "mptscsih_ioc_reset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc732f29d, "mptscsih_event_process" },
	{ 0xb67552d1, "mpt_attach" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2de066a4, "mptscsih_bus_reset" },
	{ 0x58709d9d, "mptscsih_dev_reset" },
	{ 0xa8c9cfab, "mptscsih_abort" },
	{ 0x2a86db62, "fc_remote_port_add" },
	{ 0x6a3d0f34, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0x9bbb67d2, "mptscsih_suspend" },
	{ 0x870ca828, "mptscsih_resume" },
	{ 0x760de23, "mptscsih_shutdown" },
	{ 0x6af718bf, "mptscsih_info" },
	{ 0xcf467887, "mptscsih_host_reset" },
	{ 0xba1f06ef, "mptscsih_slave_configure" },
	{ 0x597c114e, "mptscsih_slave_destroy" },
	{ 0x75e237a3, "mptscsih_change_queue_depth" },
	{ 0x2dba4555, "mptscsih_bios_param" },
	{ 0xece2a34d, "mptscsih_show_info" },
	{ 0x92aa08f1, "fc_eh_timed_out" },
	{ 0x2d255879, "mptscsih_host_attr_groups" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xf2f5192b, "fc_attach_transport" },
	{ 0xf02c5249, "mptscsih_io_done" },
	{ 0x2dfe71dd, "mpt_register" },
	{ 0x63148bea, "mptscsih_taskmgmt_complete" },
	{ 0xd4a9c3e8, "mptscsih_scandv_complete" },
	{ 0xdad1b766, "mpt_event_register" },
	{ 0x3535dff5, "mpt_reset_register" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x60ee3575, "fc_release_transport" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x21e5461, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mptscsih,scsi_transport_fc,mptbase,scsi_mod");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C722A4064FFAAF5F824D402");

MODULE_INFO(suserelease, "SLE15-SP6");
