#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(madera_name_from_type, 0xebe384cb, "_gpl");
SYMBOL_CRC(madera_pm_ops, 0xbe33b75d, "_gpl");
SYMBOL_CRC(madera_of_match, 0x0f379262, "_gpl");
SYMBOL_CRC(madera_dev_init, 0x18c7e539, "_gpl");
SYMBOL_CRC(madera_dev_exit, 0x5e82face, "_gpl");
SYMBOL_CRC(cs47l15_patch, 0x856a2e38, "_gpl");
SYMBOL_CRC(cs47l15_16bit_spi_regmap, 0xc9a281c3, "_gpl");
SYMBOL_CRC(cs47l15_16bit_i2c_regmap, 0x8a9a408f, "_gpl");
SYMBOL_CRC(cs47l15_32bit_spi_regmap, 0xc9af5d83, "_gpl");
SYMBOL_CRC(cs47l15_32bit_i2c_regmap, 0x8a979ccf, "_gpl");
SYMBOL_CRC(cs47l35_patch, 0x7e177eeb, "_gpl");
SYMBOL_CRC(cs47l35_16bit_spi_regmap, 0x036cf74f, "_gpl");
SYMBOL_CRC(cs47l35_16bit_i2c_regmap, 0x40543603, "_gpl");
SYMBOL_CRC(cs47l35_32bit_spi_regmap, 0x03612b0f, "_gpl");
SYMBOL_CRC(cs47l35_32bit_i2c_regmap, 0x4059ea43, "_gpl");
SYMBOL_CRC(cs47l85_patch, 0x4e7b4abf, "_gpl");
SYMBOL_CRC(cs47l85_16bit_spi_regmap, 0x311e6c37, "_gpl");
SYMBOL_CRC(cs47l85_16bit_i2c_regmap, 0x7226ad7b, "_gpl");
SYMBOL_CRC(cs47l85_32bit_spi_regmap, 0x3113b077, "_gpl");
SYMBOL_CRC(cs47l85_32bit_i2c_regmap, 0x722b713b, "_gpl");
SYMBOL_CRC(cs47l90_patch, 0xee03d306, "_gpl");
SYMBOL_CRC(cs47l90_16bit_spi_regmap, 0x6af3dacb, "_gpl");
SYMBOL_CRC(cs47l90_16bit_i2c_regmap, 0x29cb1b87, "_gpl");
SYMBOL_CRC(cs47l90_32bit_spi_regmap, 0x6afe068b, "_gpl");
SYMBOL_CRC(cs47l90_32bit_i2c_regmap, 0x29c6c7c7, "_gpl");
SYMBOL_CRC(cs47l92_patch, 0x471f6559, "_gpl");
SYMBOL_CRC(cs47l92_16bit_spi_regmap, 0x1e47dc3a, "_gpl");
SYMBOL_CRC(cs47l92_16bit_i2c_regmap, 0x5d7f1d76, "_gpl");
SYMBOL_CRC(cs47l92_32bit_spi_regmap, 0x1e4a007a, "_gpl");
SYMBOL_CRC(cs47l92_32bit_i2c_regmap, 0x5d72c136, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d39d2cb, "regulator_enable" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0xeeff51b7, "regulator_get" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5fbdd695, "gpiod_set_raw_value_cansleep" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x96d9232e, "regulator_put" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x894c3970, "regulator_bulk_disable" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x380653fc, "mfd_add_devices" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d887a4e, "devm_clk_bulk_get_optional" },
	{ 0xe9b67b58, "regulator_bulk_enable" },
	{ 0x462a489a, "devm_regulator_bulk_get" },
	{ 0x957be848, "regmap_read" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2d61c2d0, "mfd_remove_devices" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xd9cb2188, "regulator_disable" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x2b587f1d, "regmap_register_patch" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xdbb9777e, "mfd_remove_devices_late" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("of:N*T*Ccirrus,cs47l15");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l15C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93C*");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840C*");

MODULE_INFO(srcversion, "0A34865CB839847238E9CAD");

MODULE_INFO(suserelease, "SLE15-SP6");
