#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mmc_command_done, 0x395e46b7, "");
SYMBOL_CRC(mmc_request_done, 0x91f69196, "");
SYMBOL_CRC(mmc_start_request, 0x90a15fa1, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x87ed9242, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x16eab8fc, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x5f78981a, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xb9e9bd0a, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x6a6b6b7d, "");
SYMBOL_CRC(mmc_is_req_done, 0x76951e94, "");
SYMBOL_CRC(mmc_wait_for_req, 0x1daeb341, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x612a2b11, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x9fb09a90, "");
SYMBOL_CRC(__mmc_claim_host, 0x67b0ad82, "");
SYMBOL_CRC(mmc_release_host, 0x8a00103f, "");
SYMBOL_CRC(mmc_get_card, 0xe03084de, "");
SYMBOL_CRC(mmc_put_card, 0x6e6caed5, "");
SYMBOL_CRC(mmc_detect_change, 0xaad33a8f, "");
SYMBOL_CRC(mmc_erase, 0x743fcd0b, "");
SYMBOL_CRC(mmc_can_erase, 0x8a655561, "");
SYMBOL_CRC(mmc_can_trim, 0xcf43331e, "");
SYMBOL_CRC(mmc_can_discard, 0xcee631a7, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xe6aa2c7d, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x8528083e, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x3fe2432d, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x13bd0e2f, "");
SYMBOL_CRC(mmc_set_blocklen, 0xec5c3c39, "");
SYMBOL_CRC(mmc_hw_reset, 0x17f71f45, "");
SYMBOL_CRC(mmc_sw_reset, 0x9c262f8d, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x6ffd1d00, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x85d8ffea, "");
SYMBOL_CRC(mmc_register_driver, 0x8dd9e8e2, "");
SYMBOL_CRC(mmc_unregister_driver, 0x3def5902, "");
SYMBOL_CRC(mmc_retune_pause, 0x9e5b06d4, "");
SYMBOL_CRC(mmc_retune_unpause, 0x80d53f9a, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xb92b115e, "");
SYMBOL_CRC(mmc_retune_release, 0x804bd3d5, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xd1d56f9b, "");
SYMBOL_CRC(mmc_of_parse, 0xfb464690, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x2c5b7c0a, "");
SYMBOL_CRC(mmc_alloc_host, 0x5f27b4f0, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x6410ec24, "");
SYMBOL_CRC(mmc_add_host, 0x21eba387, "");
SYMBOL_CRC(mmc_remove_host, 0xca3037f2, "");
SYMBOL_CRC(mmc_free_host, 0xa091e712, "");
SYMBOL_CRC(__mmc_send_status, 0x6b972345, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xe68b0e43, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0xb98267a7, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x669970d3, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x16ce95fd, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x1a1460c1, "_gpl");
SYMBOL_CRC(mmc_switch, 0xf83d72b0, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x3cac7b54, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x4484a76b, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x8aab4e65, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xe5480d08, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x4935b647, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xf0952032, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x2927fa6b, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x4c58b0d6, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xf39db1d1, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x568e8c13, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xff4c3aad, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x2a44219f, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xdfedaece, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x95514f14, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xb0e93445, "_gpl");
SYMBOL_CRC(sdio_readb, 0x53d08661, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x2280a5b2, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xf22bd201, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x172fbb58, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x166e3820, "_gpl");
SYMBOL_CRC(sdio_readsb, 0xafefb6b1, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xb4614b57, "_gpl");
SYMBOL_CRC(sdio_readw, 0x2e07a58f, "_gpl");
SYMBOL_CRC(sdio_writew, 0x94c50f23, "_gpl");
SYMBOL_CRC(sdio_readl, 0x52d17e72, "_gpl");
SYMBOL_CRC(sdio_writel, 0xdd0e0894, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x5bd14bdb, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x0ad54bd1, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x18a7e65d, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x2c80827d, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x57fabfb4, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x63f78098, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x27dda347, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xbaad25c5, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xb3912b72, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x7ba4f924, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xbc504ef5, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xc898955b, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x24d0c73c, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xb232584f, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xcd1823fa, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x9e9e24c5, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x446db9d6, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x7f2922ba, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0xcc70232e, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x4d0fe0c2, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x4c7330d9, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x101be4b2, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x676ce14e, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x105ad333, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x04caf187, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x02c7800e, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x075a0959, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0xc9543290, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0xe8fb4c24, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdd663097, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d39d2cb, "regulator_enable" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xf343cb89, "device_property_present" },
	{ 0xfd385210, "blk_crypto_reprogram_all_keys" },
	{ 0xca9a16ab, "wakeup_source_register" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x37e8535c, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x6966f255, "gpiod_to_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x900bc86b, "gpiod_toggle_active_low" },
	{ 0x848f2996, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xd09a5256, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9908f9c7, "led_trigger_unregister_simple" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4debb267, "sched_set_fifo_low" },
	{ 0x33c718fd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79f51f2f, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x7c049ba8, "pm_generic_runtime_resume" },
	{ 0x7e75a26b, "pm_generic_resume" },
	{ 0xa3c048fc, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0xf9e42cec, "pm_wakeup_ws_event" },
	{ 0x2b001a9e, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8e42cd5, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x766569f7, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x64926f43, "gpiod_set_debounce" },
	{ 0x309fb83b, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe4540fcd, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xe63bedfe, "pm_generic_suspend" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x1d77f3e7, "debugfs_create_file_unsafe" },
	{ 0x6059e10c, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xa152df8b, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb8dd3f32, "__devres_alloc_node" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x983c1964, "ida_free" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x70ce7b24, "devm_gpiod_get_index" },
	{ 0x2e103377, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2a795e6d, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xeca6492c, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xdd92b78a, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x84d747d1, "regulator_is_supported_voltage" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa6cc5f7b, "gpiod_cansleep" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xc0d86293, "gpiod_is_active_low" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xe8ba66a0, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xd9cb2188, "regulator_disable" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0xa68cde60, "set_primary_fwnode" },
	{ 0xe2636d3c, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xc9561a81, "gpiod_set_consumer_name" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x7fc196ee, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x882168e, "driver_register" },
	{ 0xa5f3b365, "class_register" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE81212649B388360A31067");

MODULE_INFO(suserelease, "SLE15-SP6");
