#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nanddev_isbad, 0x1018a9c6, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x61d08d99, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xc61b2965, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x55ad8c7c, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xf8d7a617, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x72d97230, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x2e3bb64d, "_gpl");
SYMBOL_CRC(nanddev_init, 0x2d6bccc2, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x00d9b900, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x663818ec, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0xfb691954, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x04d23f56, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x9bd36664, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xfddbc619, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x9cc34225, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xef3e4d41, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x93b24129, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0xe97fc659, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xba1fe1d5, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x64b66b08, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0xe2786c96, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x95fe26ef, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xa53fcca3, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xff9f5cc0, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x29b589ad, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xc4350fac, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0xdfef00fd, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0xfcaf5b73, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x0bf8475e, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xb11da215, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0xbb43c67f, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x4567aa08, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x81a4f4e8, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x59134bde, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x3ec686fe, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x88581012, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x748c97e2, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x7a2dff03, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xef0a7ddb, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xa595a478, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x10660b37, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x67583d90, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x14bd6f62, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4054462c, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad26558a, "mtd_ooblayout_count_eccbytes" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x6b438018, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "8F061617B43D7186BF17431");

MODULE_INFO(suserelease, "SLE15-SP6");
