#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x623a16d5, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x1556c1a3, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x88aeabc0, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x280d6ef2, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xcf9f700c, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xafeafeb8, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xb457bc09, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x6b9f98ea, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0xb0b8213f, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xa5d8f039, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x2fde2226, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x4eb9490b, "_gpl");
SYMBOL_CRC(nand_status_op, 0x5973cc4b, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x972b201f, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xd750518e, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xae51598a, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0xfcef09b4, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x590bed61, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xf86b243e, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xd0166da9, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x372bc241, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xb8e20028, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x0b375f33, "");
SYMBOL_CRC(nand_write_oob_std, 0x4ed7d31f, "");
SYMBOL_CRC(nand_write_page_raw, 0xc030d36a, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x0a2c9d97, "");
SYMBOL_CRC(nand_decode_ext_id, 0x9972f114, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x8cdc6c08, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x39347ccd, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xc94c1f57, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xa34b695f, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xf11b0a2b, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x44da1d34, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0xde58b1a8, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x1204b106, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xd8f81d89, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xd4046685, "");
SYMBOL_CRC(nand_cleanup, 0x7e10a53c, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x657246ba, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xcdfe4303, "");
SYMBOL_CRC(nand_create_bbt, 0xf20ccd39, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd663097, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4e819da8, "mtd_read_oob" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x26020d64, "gpiod_count" },
	{ 0xd9b900, "nanddev_cleanup" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe2786c96, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x64b66b08, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x96d7ec89, "gpiod_get_index_optional" },
	{ 0x88581012, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x2d6bccc2, "nanddev_init" },
	{ 0xa595a478, "nand_ecc_sw_bch_correct" },
	{ 0x67583d90, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x4054462c, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x59134bde, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x748c97e2, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x10660b37, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa53fcca3, "nand_ecc_is_strong_enough" },
	{ 0x49f31b15, "mtd_write_oob" },
	{ 0xba1fe1d5, "nand_get_small_page_ooblayout" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x3ec686fe, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc8ccfbb0, "mtd_read" },
	{ 0x30256f30, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d0198e6, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5d35d, "mtd_ooblayout_find_eccregion" },
	{ 0x5a071413, "mtd_ooblayout_get_databytes" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x6b438018, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf8d7a617, "nanddev_mtd_max_bad_blocks" },
	{ 0xef0a7ddb, "nand_ecc_sw_bch_calculate" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "33E639D922FC8A24AAC026F");

MODULE_INFO(suserelease, "SLE15-SP6");
