#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4ba5255, "skb_checksum" },
	{ 0xeffcf8bb, "__ip_select_ident" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x339d8406, "ip_local_out" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x39f412f4, "gro_cells_init" },
	{ 0xd50c7119, "__iptunnel_pull_header" },
	{ 0x9a7336d0, "__netif_rx" },
	{ 0x70421f21, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0xbf55b693, "gro_cells_receive" },
	{ 0xa2f695de, "icmp_ndo_send" },
	{ 0xc46dfc5b, "ipv6_dev_get_saddr" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x15b4c044, "ip_mc_check_igmp" },
	{ 0x3d43810f, "ipv6_mc_check_mld" },
	{ 0xc95b044, "udp_tunnel_xmit_skb" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x4ba12c5f, "netdev_upper_dev_link" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x257ec672, "ether_setup" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92997ed8, "_printk" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x281addd, "udp_tunnel_sock_release" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xabe460aa, "skb_put" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x29157a8e, "skb_push" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel");


MODULE_INFO(srcversion, "6731D473FBA41ECA0A2DFF9");

MODULE_INFO(suserelease, "SLE15-SP6");
