#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x50a187, "usb_anchor_urb" },
	{ 0x52d58c83, "can_put_echo_skb" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x383c1de5, "netdev_err" },
	{ 0x70421f21, "consume_skb" },
	{ 0x32abb187, "can_free_echo_skb" },
	{ 0xb22ded09, "usb_unanchor_urb" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0xe3f233e9, "netdev_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x24db8e01, "open_candev" },
	{ 0x33fa4cbf, "close_candev" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbe4260c5, "usb_kill_anchored_urbs" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x983ade3, "can_get_echo_skb" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xf3d0971c, "alloc_can_err_skb" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x574266e, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xee998aba, "alloc_can_skb" },
	{ 0x7efd0593, "unregister_candev" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x90f48448, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x4576aa99, "usb_control_msg_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xff25ea94, "usb_control_msg_recv" },
	{ 0xeadbe06, "ethtool_op_get_ts_info" },
	{ 0xa14fba7c, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x2953e352, "can_eth_ioctl_hwts" },
	{ 0x2a1d195b, "alloc_candev_mqs" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x82611832, "register_candev" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb3efe2ed, "free_candev" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xf4fe0b3a, "can_dropped_invalid_skb" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,can-dev");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p0F30d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "59C4C7AED3AD0B6C1CA21F7");

MODULE_INFO(suserelease, "SLE15-SP6");
