#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(b53_imp_vlan_setup, 0x46a84fc7, "");
SYMBOL_CRC(b53_enable_port, 0x687f51c3, "");
SYMBOL_CRC(b53_disable_port, 0x5a88c412, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x6b476627, "");
SYMBOL_CRC(b53_configure_vlan, 0x4ac71a3c, "");
SYMBOL_CRC(b53_get_strings, 0xd49f8ea4, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x0ccb67c8, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xcb0d367a, "");
SYMBOL_CRC(b53_get_sset_count, 0x73fbb0b3, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x7f6390fd, "");
SYMBOL_CRC(b53_port_event, 0x447b897c, "");
SYMBOL_CRC(b53_phylink_mac_config, 0x561396bb, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0xaaa579c0, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0xe2fb6fd8, "");
SYMBOL_CRC(b53_vlan_filtering, 0xbadd7458, "");
SYMBOL_CRC(b53_vlan_add, 0x7ac68f37, "");
SYMBOL_CRC(b53_vlan_del, 0x016490c3, "");
SYMBOL_CRC(b53_fdb_add, 0x0d23f027, "");
SYMBOL_CRC(b53_fdb_del, 0xdfe38969, "");
SYMBOL_CRC(b53_fdb_dump, 0x2440b4e8, "");
SYMBOL_CRC(b53_mdb_add, 0x4593b184, "");
SYMBOL_CRC(b53_mdb_del, 0xdf1aa642, "");
SYMBOL_CRC(b53_br_join, 0xcd3a355d, "");
SYMBOL_CRC(b53_br_leave, 0xd1254c6a, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x92128808, "");
SYMBOL_CRC(b53_br_fast_age, 0x9de908eb, "");
SYMBOL_CRC(b53_br_flags_pre, 0x6995f87f, "");
SYMBOL_CRC(b53_br_flags, 0x377a3c68, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x4dc41353, "");
SYMBOL_CRC(b53_mirror_add, 0x7ebb1e75, "");
SYMBOL_CRC(b53_mirror_del, 0x9dd61cec, "");
SYMBOL_CRC(b53_eee_enable_set, 0xeb20b982, "");
SYMBOL_CRC(b53_eee_init, 0x540f116e, "");
SYMBOL_CRC(b53_get_mac_eee, 0x4befa75c, "");
SYMBOL_CRC(b53_set_mac_eee, 0xd71e8e6b, "");
SYMBOL_CRC(b53_switch_alloc, 0x339d55d7, "");
SYMBOL_CRC(b53_switch_detect, 0xcc71b0d8, "");
SYMBOL_CRC(b53_switch_register, 0x037c71ae, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8c22177a, "dsa_devlink_resource_register" },
	{ 0xdb81ec88, "dsa_devlink_resources_unregister" },
	{ 0xcfcfe629, "dsa_devlink_resource_occ_get_register" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x914cb7ad, "mdiobus_get_phy" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4aa3e1c8, "phy_ethtool_get_strings" },
	{ 0x1f66597f, "phy_ethtool_get_stats" },
	{ 0x73637098, "phy_ethtool_get_sset_count" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5724448, "dsa_port_phylink_mac_change" },
	{ 0x337a757f, "phy_init_eee" },
	{ 0x4f791397, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xceccf38f, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x612a3a62, "gpio_to_desc" },
	{ 0xd4f18809, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D27254F7E47886E2FBD1823");

MODULE_INFO(suserelease, "SLE15-SP6");
