#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pdsc_get_pf_struct, 0x8b42e3af, "_gpl");
SYMBOL_CRC(pds_client_register, 0xcd69c73c, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xab5dea67, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x3c99243f, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0xf94f13e2, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf3660323, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x15c6d3c0, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xe2726dcc, "debugfs_create_u16" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x4a0f8295, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x64dd55cd, "devlink_alloc_ns" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x104bd337, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbc6bc628, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8285893a, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2c8faea0, "priv_to_devlink" },
	{ 0xcd2ba9b, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3a005a9c, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1d984e55, "debugfs_create_regset32" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1fdc584e, "devl_health_reporter_create" },
	{ 0x8ab84b96, "pci_iov_vf_id" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0xe61d584b, "pci_iomap_range" },
	{ 0x1831282e, "devlink_flash_update_timeout_notify" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x983c1964, "ida_free" },
	{ 0xa4b6f9c8, "devl_params_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbdb52461, "debugfs_create_ulong" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2a795e6d, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0xf183e487, "devl_params_unregister" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x18a6580b, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xb2674700, "blocking_notifier_chain_unregister" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe8ba66a0, "debugfs_create_x32" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xc64a3823, "pcie_print_link_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xca50d29, "devlink_priv" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x750f5d8f, "devl_register" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc235d81a, "pci_iov_get_pf_drvdata" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27D6F9BEE044E3468919D7F");

MODULE_INFO(suserelease, "SLE15-SP6");
