#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(t3_l2t_send_slow, 0xebcb8ec1, "");
SYMBOL_CRC(t3_l2t_send_event, 0x3724ef26, "");
SYMBOL_CRC(t3_l2e_free, 0x2a88f36a, "");
SYMBOL_CRC(t3_l2t_get, 0x7019812b, "");
SYMBOL_CRC(cxgb3_register_client, 0x60179df3, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x0bf69c89, "");
SYMBOL_CRC(cxgb3_free_atid, 0x2f89ecce, "");
SYMBOL_CRC(cxgb3_free_stid, 0xd1f457e6, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x89956feb, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x2d3eeda8, "");
SYMBOL_CRC(cxgb3_remove_tid, 0xab206292, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x38bc561f, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xd4c43e24, "");
SYMBOL_CRC(dev2t3cdev, 0xd85af014, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xf1da124f, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x9def75b0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0x6cfadb76, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf4665438, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x7574535d, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0x70421f21, "consume_skb" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x14f6c4f9, "napi_get_frags" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2fa39998, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xa52da6f6, "pci_enable_msix_range" },
	{ 0xcb1ad398, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x5417537b, "__free_pages" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0xc632e4b2, "_dev_alert" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0x316b1e7b, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x2dc7109a, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x749206ac, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0xeb9d6f63, "netif_tx_stop_all_queues" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd5aa5b6a, "__neigh_event_send" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x87fd3a8c, "netdev_master_upper_dev_get_rcu" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xb7134481, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x79cbdc7b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x29bc44ed, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x710bf651, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06A6A331CE8E30D41ED2797");

MODULE_INFO(suserelease, "SLE15-SP6");
