#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x4170672b, "__skb_pad" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe16c9ca8, "__skb_gso_segment" },
	{ 0xa0b69a41, "skb_checksum_help" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x2fa39998, "rt_spin_trylock" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x80c6ef96, "dca_add_requester" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x57efcd5f, "dca3_get_tag" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x5417537b, "__free_pages" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x14f6c4f9, "napi_get_frags" },
	{ 0x6cfadb76, "napi_gro_frags" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xb0e602eb, "memmove" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xeb9d6f63, "netif_tx_stop_all_queues" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfb578fc5, "memset" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0xed4ae77f, "pcie_set_readrq" },
	{ 0xcdfd64a8, "pci_find_ext_capability" },
	{ 0x88398556, "pci_set_master" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xe6f20a98, "kernel_param_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x626b2aad, "kernel_param_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x14994553, "pcie_get_readrq" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xac34ecec, "dca_register_notify" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f791397, "_dev_err" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x79cbdc7b, "pci_disable_msix" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0xa52da6f6, "pci_enable_msix_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0xf4665438, "pcie_capability_write_word" },
	{ 0xe68e250a, "dca_remove_requester" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfd0dac06, "driver_for_each_device" },
	{ 0x1a33ab9, "dca_unregister_notify" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xedc03953, "iounmap" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x749206ac, "free_netdev" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x999e8297, "vfree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dca");

MODULE_ALIAS("pci:v000014C1d00000008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C1d00000009sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BD0101309B1BDB03895C0CC");

MODULE_INFO(suserelease, "SLE15-SP6");
