#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x848d372e, "iowrite8" },
	{ 0x24d273d1, "add_timer" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x88398556, "pci_set_master" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x760a0f4f, "yield" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xabe460aa, "skb_put" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0x749206ac, "free_netdev" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc1e0d005, "mii_ethtool_set_link_ksettings" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb628d9f5, "mii_ethtool_get_link_ksettings" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x13e22d9a, "mii_link_ok" },
	{ 0xe0a707b4, "mii_nway_restart" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x70421f21, "consume_skb" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001039d00000900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A2A0ADCCAE4052B0197BB2D");

MODULE_INFO(suserelease, "SLE15-SP6");
