#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wx_intr_enable, 0x2fb6630d, "");
SYMBOL_CRC(wx_irq_disable, 0x6ff45010, "");
SYMBOL_CRC(wx_check_flash_load, 0x68b1aeee, "");
SYMBOL_CRC(wx_control_hw, 0xed75a7b9, "");
SYMBOL_CRC(wx_mng_present, 0x6eb00153, "");
SYMBOL_CRC(wx_host_interface_command, 0x7f2dd7e1, "");
SYMBOL_CRC(wx_read_ee_hostif, 0x461f42ea, "");
SYMBOL_CRC(wx_read_ee_hostif_buffer, 0xb04ede37, "");
SYMBOL_CRC(wx_reset_hostif, 0xb0471514, "");
SYMBOL_CRC(wx_init_eeprom_params, 0x32b5d86d, "");
SYMBOL_CRC(wx_get_mac_addr, 0xc77a92d8, "");
SYMBOL_CRC(wx_init_rx_addrs, 0x0326439b, "");
SYMBOL_CRC(wx_mac_set_default_filter, 0xdb92b7b5, "");
SYMBOL_CRC(wx_flush_sw_mac_table, 0x3dafa678, "");
SYMBOL_CRC(wx_set_mac, 0xc331cee1, "");
SYMBOL_CRC(wx_disable_rx, 0xbb2db508, "");
SYMBOL_CRC(wx_set_rx_mode, 0xb44f7cb8, "");
SYMBOL_CRC(wx_change_mtu, 0x5b3c46ac, "");
SYMBOL_CRC(wx_disable_rx_queue, 0x68afe072, "");
SYMBOL_CRC(wx_configure, 0x2cacb433, "");
SYMBOL_CRC(wx_disable_pcie_master, 0x90802536, "");
SYMBOL_CRC(wx_stop_adapter, 0xcc72fc6c, "");
SYMBOL_CRC(wx_reset_misc, 0x76724a06, "");
SYMBOL_CRC(wx_get_pcie_msix_counts, 0xcbfbd22d, "");
SYMBOL_CRC(wx_sw_init, 0x1f0191c1, "");
SYMBOL_CRC(wx_xmit_frame, 0xb68f074a, "");
SYMBOL_CRC(wx_napi_enable_all, 0xed10cf47, "");
SYMBOL_CRC(wx_napi_disable_all, 0x67eeefce, "");
SYMBOL_CRC(wx_reset_interrupt_capability, 0x9264fc44, "");
SYMBOL_CRC(wx_clear_interrupt_scheme, 0x2860ce9f, "");
SYMBOL_CRC(wx_init_interrupt_scheme, 0x0c5b0ac5, "");
SYMBOL_CRC(wx_msix_clean_rings, 0x4b3398bd, "");
SYMBOL_CRC(wx_free_irq, 0xc170a4cb, "");
SYMBOL_CRC(wx_setup_isb_resources, 0xb3f4ef0f, "");
SYMBOL_CRC(wx_free_isb_resources, 0xf57afe52, "");
SYMBOL_CRC(wx_misc_isb, 0x6c660ca7, "");
SYMBOL_CRC(wx_configure_vectors, 0x791c8963, "");
SYMBOL_CRC(wx_clean_all_rx_rings, 0x6d1d5621, "");
SYMBOL_CRC(wx_clean_all_tx_rings, 0x2b898336, "");
SYMBOL_CRC(wx_free_resources, 0xf400685c, "");
SYMBOL_CRC(wx_setup_resources, 0xe95de62e, "");
SYMBOL_CRC(wx_get_stats64, 0x117b1193, "");
SYMBOL_CRC(wx_get_drvinfo, 0x0bd41c92, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4170672b, "__skb_pad" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c30a1b, "__napi_alloc_skb" },
	{ 0x70421f21, "consume_skb" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x450174e0, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x546f17da, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0xb7458a78, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcb54cc1e, "softnet_data" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x77572e15, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2d41689, "pci_alloc_irq_vectors_affinity" },
	{ 0xfe28ab7e, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb16c1145, "page_pool_alloc_pages" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x4ce977e9, "__napi_schedule_irqoff" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a095ce, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "56F540186218607FDCDB112");

MODULE_INFO(suserelease, "SLE15-SP6");
