#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xabca2b08, "usb_driver_set_configuration" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x8f94bd7a, "usbnet_read_cmd_nopm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x40f7a6c6, "usb_autopm_get_interface" },
	{ 0x42b35944, "usb_autopm_put_interface" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0x98ef93d1, "usbnet_resume" },
	{ 0x2ddb6da2, "usbnet_suspend" },
	{ 0xc59d0d41, "usbnet_probe" },
	{ 0x6694c4f8, "usbnet_disconnect" },
	{ 0xb7344bb2, "usbnet_open" },
	{ 0x9db356bd, "usbnet_stop" },
	{ 0xbef0114e, "usbnet_start_xmit" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x41efd9fe, "usbnet_tx_timeout" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0x49d5e14f, "usbnet_get_msglevel" },
	{ 0x1fe62e83, "usbnet_set_msglevel" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29157a8e, "skb_push" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xabe460aa, "skb_put" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xd6b9bb76, "usbnet_skb_return" },
	{ 0xd54a94fb, "usbnet_write_cmd_async" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x985f487, "usbnet_read_cmd" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x24a111b9, "usbnet_defer_kevent" },
	{ 0x978fc6e8, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf11ccb8, "usb_reset_configuration" },
	{ 0x2499e2c1, "usbnet_get_endpoints" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "46B30A0C9A38D42890D86EF");

MODULE_INFO(suserelease, "SLE15-SP6");
