#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vxlan_fdb_find_uc, 0x71760a79, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x57e86853, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xc4e6dcdd, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x98fa17b0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xa34ebdb7, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcdfa5bd8, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x9c486853, "__nlmsg_put" },
	{ 0x1ea03d56, "netdev_adjacent_change_commit" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf291c78d, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xca98c8eb, "ip6_dst_hoplimit" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6b198dac, "dst_cache_set_ip4" },
	{ 0xf5dea7f9, "udp_tunnel6_xmit_skb" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xafc6557d, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x39f412f4, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9fc74e94, "rtnl_create_link" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x384d7967, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x257ec672, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x183b118e, "udp_tunnel_drop_rx_port" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x4ba12c5f, "netdev_upper_dev_link" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xac9f5d54, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x994301cf, "eth_gro_complete" },
	{ 0x20a8e6af, "rtnl_set_sk_err" },
	{ 0x9ab754f8, "eth_gro_receive" },
	{ 0x31e77d8c, "rtnl_configure_link" },
	{ 0x779c6992, "skb_tunnel_check_pmtu" },
	{ 0x5b75c816, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x27c095e6, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x601bb5c2, "ipv6_stub" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xcefd445b, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xbf55b693, "gro_cells_receive" },
	{ 0x29157a8e, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x749206ac, "free_netdev" },
	{ 0x2f437ec8, "ip_mc_join_group" },
	{ 0xea5f6c8a, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0xa735dec6, "nexthop_find_by_id" },
	{ 0x6ee6edb4, "arp_create" },
	{ 0xbf328441, "__ethtool_get_link_ksettings" },
	{ 0x40e4613e, "netdev_adjacent_change_prepare" },
	{ 0x6440f566, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x61cb4587, "rhashtable_free_and_destroy" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0x2b3e344f, "netdev_adjacent_change_abort" },
	{ 0x281addd, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd50c7119, "__iptunnel_pull_header" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0xb4eb62be, "udp_sock_create6" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27193640, "skb_scrub_packet" },
	{ 0xb288b871, "nexthop_select_path" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe37ffbef, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd1e6925b, "dst_cache_get_ip6" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0xd22701a4, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x76c8be05, "udp_tun_rx_dst" },
	{ 0x1f418e1b, "dst_cache_set_ip6" },
	{ 0x19b1015e, "rtnl_notify" },
	{ 0xc95b044, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9a7336d0, "__netif_rx" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x1cc90551, "unregister_nexthop_notifier" },
	{ 0x2a59284b, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x41f5df7e, "udp_tunnel_notify_del_rx_port" },
	{ 0x46b8f221, "register_nexthop_notifier" },
	{ 0x7a4cdea1, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb56cd4c4, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x398ddae8, "netdev_core_stats_inc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xed18869f, "neigh_lookup" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "CB3B38BD5699450410CFC83");

MODULE_INFO(suserelease, "SLE15-SP6");
