#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(orinoco_open, 0xa1aa9a92, "");
SYMBOL_CRC(orinoco_stop, 0x4936fb82, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x39ee0501, "");
SYMBOL_CRC(orinoco_change_mtu, 0x32fcb86a, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0x94493b18, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x921a85c9, "");
SYMBOL_CRC(__orinoco_ev_rx, 0x07e025c9, "");
SYMBOL_CRC(__orinoco_ev_info, 0xe3563bea, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0xfc9712de, "");
SYMBOL_CRC(alloc_orinocodev, 0xde40c1ca, "");
SYMBOL_CRC(orinoco_if_add, 0xdf2222d3, "");
SYMBOL_CRC(orinoco_if_del, 0xb366ca77, "");
SYMBOL_CRC(free_orinocodev, 0x97da42e0, "");
SYMBOL_CRC(orinoco_up, 0xfb3ddeae, "");
SYMBOL_CRC(orinoco_down, 0x081e754c, "");
SYMBOL_CRC(hermes_struct_init, 0xf9433d29, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xabe460aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x63181160, "cfg80211_scan_done" },
	{ 0x70421f21, "consume_skb" },
	{ 0x2edbb6ea, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x4693c7f5, "cfg80211_wext_giwrts" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x25a058b7, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7d3ba570, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x146f355e, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2a0aed85, "cfg80211_wext_giwmode" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x767afb47, "cfg80211_wext_giwrange" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24744be0, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0x482179fb, "iw_handler_get_thrspy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7b87ce0b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x7847b0eb, "cfg80211_put_bss" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x513af32e, "cfg80211_wext_siwrts" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x41b7fe2, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4f791397, "_dev_err" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0x3fcd1482, "cfg80211_wext_giwfrag" },
	{ 0x29157a8e, "skb_push" },
	{ 0x9957b8bd, "wireless_send_event" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x749206ac, "free_netdev" },
	{ 0x2023cb7f, "iw_handler_get_spy" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31067773, "wireless_spy_update" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b1c4fed, "cfg80211_wext_siwmode" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd7c099ad, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3a957d3, "cfg80211_wext_siwscan" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x35a9f5ea, "cfg80211_inform_bss_data" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0xddcafc2d, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x84fb9490, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "SLE15-SP6");
