#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0x208bbfec, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xdaa35ba7, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x2d0f1e95, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x6399d40d, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xf7ddc6fd, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xe963718e, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x7860107b, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0x6f40c6d7, "mt76x02_phy_adjust_vga_gain" },
	{ 0x99e97dfb, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8af5ad48, "mt76x02_mac_shared_key_setup" },
	{ 0x58ad5df1, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e56210d, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x5f2023d6, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x97fc7cd, "mt76_eeprom_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0x89f82aeb, "mt76x02_mac_setaddr" },
	{ 0x1d034b19, "mt76_register_device" },
	{ 0xc403c95d, "mt76x02_phy_set_bw" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5162e9ef, "mt76x02_phy_set_band" },
	{ 0x20f8e492, "mt76_set_channel" },
	{ 0xdd73354c, "mt76x02_init_device" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0xa85be604, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x7f8fcb45, "mt76x02_phy_set_rxpath" },
	{ 0x39662782, "mt76x02_edcca_init" },
	{ 0x3ae833cc, "mt76_eeprom_override" },
	{ 0x9e4e3a41, "mt76x02_get_lna_gain" },
	{ 0x566ac5a9, "mt76x02_init_debugfs" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xa1c35f95, "mt76x02_mac_cc_reset" },
	{ 0xed16888a, "mt76x02_init_agc_gain" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb91c3f0, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x549b2153, "____mt76_poll_msec" },
	{ 0x1e555c5a, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbef0fa58, "mt76x02_config_mac_addr_list" },
	{ 0xb491269a, "mt76_get_sar_power" },
	{ 0xe38961c8, "mt76x02_eeprom_copy" },
	{ 0x1606e14b, "mt76x02_mcu_calibrate" },
	{ 0x43ca8df9, "mt76x02_mcu_function_select" },
	{ 0xbef9ecc8, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x8624ca72, "mt76x02_mac_wcid_setup" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa1b2ecc5, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x83902873, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "SLE15-SP6");
