#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x72b691b5, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x5c87e9d2, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x5c35eb35, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x7cd8701b, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x6846b471, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xdb934546, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x371108bd, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x48549da6, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0c6ecf6, "mt76x02_update_beacon_iter" },
	{ 0x3e6a0316, "mt76x02_enqueue_buffered_bc" },
	{ 0x5a4c03f6, "mt76x02_remove_hdr_pad" },
	{ 0xabe460aa, "skb_put" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe02d503b, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13e8adb9, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x33aa0de, "mt76_csa_check" },
	{ 0x3c8c3654, "mt76_tx_status_skb_add" },
	{ 0x329838d8, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e081d06, "mt76u_single_wr" },
	{ 0xcb6b8847, "__mt76_tx_complete_skb" },
	{ 0x3c22bfc4, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1c68572a, "mt76_csa_finish" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x56a3f485, "mt76x02_init_beacon_config" },
	{ 0x86562ac7, "__mt76_mcu_msg_alloc" },
	{ 0xcccad2df, "mt76x02_mac_write_txwi" },
	{ 0xd84f69e7, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x1de30984, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2fa3aa41, "mt76_skb_adjust_pad" },
	{ 0x8073d9bf, "hrtimer_cancel" },
	{ 0xdbf35341, "mt76x02_mac_set_beacon" },
	{ 0xc715cccb, "hrtimer_active" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "9831404DD4AC233AD743043");

MODULE_INFO(suserelease, "SLE15-SP6");
