#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0x3d189c63, "relay_reset" },
	{ 0x80b7aec3, "mt76_dma_rx_poll" },
	{ 0xe3a4f773, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe9945a32, "mt76_tx_status_skb_get" },
	{ 0x8ca3a117, "relay_open" },
	{ 0xfeb37b8c, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0xcda71d0a, "mt76_tx_status_lock" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xabe532a5, "mt76_connac_init_tx_queues" },
	{ 0x96848186, "scnprintf" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc61a9eab, "mt76_connac_mcu_sta_uapsd" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3c8c3654, "mt76_tx_status_skb_add" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x7e66c60, "mt76_get_rate" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf2bfe3e, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xcb6b8847, "__mt76_tx_complete_skb" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdb08b9a4, "thermal_cooling_device_register" },
	{ 0x8ceb72ed, "mt76_set_stream_caps" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xa6c73b59, "mt76_connac_tx_complete_skb" },
	{ 0xd1cd0215, "get_device" },
	{ 0x5d9d139, "kthread_park" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x7837fa9d, "mt76_mcu_rx_event" },
	{ 0x33f06ec9, "mt76_alloc_phy" },
	{ 0x1594869a, "mt76_dma_cleanup" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38670c90, "mt76_alloc_device" },
	{ 0xc4628783, "mt76_wcid_init" },
	{ 0x796abe25, "mt76_tx_status_check" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x600807ae, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0x405be82d, "put_device" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0xad599093, "mt76_tx" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x428938a8, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xf7e083c2, "mt76_pci_disable_aspm" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x496f2c5c, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeb85070e, "mt76_free_device" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xa524fe08, "mt76_rx" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x806d8974, "__cfg80211_radar_event" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xc1286abd, "mt76_phy_dfs_state" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0x76c31c62, "mt76_init_queue" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe29e525, "mt76_tx_status_skb_done" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x97fc7cd, "mt76_eeprom_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x1d034b19, "mt76_register_device" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0xc97f8735, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x23b0c8c0, "mt76_connac_get_eht_phy_cap" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3044b6e, "init_uts_ns" },
	{ 0xc198e7ab, "__SCK__tp_func_dev_irq" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x20f8e492, "mt76_set_channel" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xee6539a6, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcca8ac21, "mt76_mmio_init" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x3abc184a, "mt76_mcu_send_and_get_msg" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3ae833cc, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x86562ac7, "__mt76_mcu_msg_alloc" },
	{ 0xaab15b30, "mt76_unregister_device" },
	{ 0x3d561715, "mt76_connac_get_he_phy_cap" },
	{ 0xe1aafb11, "mt76_set_irq_mask" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3ef61afc, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xc506cf36, "__mt76_mcu_send_firmware" },
	{ 0x88398556, "pci_set_master" },
	{ 0x763e1db5, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x32d37903, "mt76_connac_mcu_start_patch" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xe674ea19, "relay_switch_subbuf" },
	{ 0x91d24713, "mt76_connac_mcu_init_download" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x52aaa93c, "__tracepoint_dev_irq" },
	{ 0x4f6e5027, "cfg80211_reg_can_beacon" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xa0be75e7, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf2185754, "mt76_connac2_mac_tx_rate_val" },
	{ 0xdbb350e2, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x36c73d66, "mt76_token_consume" },
	{ 0x999e8297, "vfree" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xa9aa7c00, "mt76_get_rate_power_limits" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x5fa1ffed, "relay_flush" },
	{ 0xd382dace, "mt76_connac_get_phy_mode_ext" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cf16c2b, "mt76_insert_ccmp_hdr" },
	{ 0xb91c3f0, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x548e42ef, "mt76_sw_scan_complete" },
	{ 0x6017b7ac, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8d8699e2, "mt76_connac_mcu_start_firmware" },
	{ 0x549b2153, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb491269a, "mt76_get_sar_power" },
	{ 0xd9b2bd5e, "ieee80211_color_change_finish" },
	{ 0x28288f98, "mt76_unregister_phy" },
	{ 0xc6ed4aca, "mt76_register_phy" },
	{ 0x168bed4e, "mt76_put_txwi" },
	{ 0xdc3904e2, "mt76_wcid_cleanup" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xbc4c7701, "ieee80211_radar_detected" },
	{ 0xd4f5f284, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb54e5dd7, "mt76_sw_scan" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0xaeaffc2f, "mt76_register_debugfs_fops" },
	{ 0x58717847, "thermal_cooling_device_unregister" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xa8abeb1, "relay_file_operations" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x700f99ce, "__mt76_set_tx_blocked" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xf9b91f84, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0xd203fe13, "mt76_rx_aggr_stop" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xb1c8845f, "mt76_connac_get_phy_mode" },
	{ 0xf51c51a8, "mt76_dma_attach" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x74f605a8, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,mt76-connac-lib,cfg80211");

MODULE_ALIAS("pci:v000014C3d00007991sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d0000799Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007990sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007992sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "16D685582BBF54A6BF59CAA");

MODULE_INFO(suserelease, "SLE15-SP6");
