#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_sdio_pm_ops, 0x2beff41b, "");
SYMBOL_CRC(rtw_sdio_probe, 0x63d4a567, "");
SYMBOL_CRC(rtw_sdio_remove, 0x1cd04472, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0xeae4aac7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x594886d1, "rtw_tx_report_enqueue" },
	{ 0xff4c3aad, "sdio_release_host" },
	{ 0x893f3f2c, "rtw_tx_queue_mapping" },
	{ 0xdfedaece, "sdio_disable_func" },
	{ 0x95514f14, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xabe460aa, "skb_put" },
	{ 0x568e8c13, "sdio_claim_host" },
	{ 0x172fbb58, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x166e3820, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0e93445, "sdio_align_size" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbc504ef5, "sdio_release_irq" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x2c80827d, "sdio_set_host_pm_flags" },
	{ 0x1616cbc5, "rtw_chip_info_setup" },
	{ 0x5f0f9f46, "ieee80211_purge_tx_queue" },
	{ 0xcc88ad83, "rtw_unregister_hw" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x8e888aa5, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x29157a8e, "skb_push" },
	{ 0xa5858026, "rtw_core_init" },
	{ 0x52d17e72, "sdio_readl" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x93b0a320, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xdd0e0894, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xa30cebde, "rtw_rx_stats" },
	{ 0x4a454dc4, "rtw_register_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x45c108b5, "rtw_core_deinit" },
	{ 0x7be34b03, "rtw_ops" },
	{ 0x7ba4f924, "sdio_claim_irq" },
	{ 0x661093bb, "skb_copy_header" },
	{ 0x2a44219f, "sdio_enable_func" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x8c2f89db, "rtw_power_mode_change" },
	{ 0x97b9bb80, "rtw_tx_write_data_h2c_get" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2a6e8ffb, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x691e4771, "ieee80211_rx_irqsafe" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x53d08661, "sdio_readb" },
	{ 0x2280a5b2, "sdio_writeb" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mmc_core,mac80211");


MODULE_INFO(srcversion, "83C320A30FCE1C507635286");

MODULE_INFO(suserelease, "SLE15-SP6");
