#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0xdb7d29b9, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0xcfe5ca0c, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0xcbdc8b4e, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0xa609b777, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0x1659b1a9, "");
SYMBOL_CRC(rsi_hal_device_init, 0xff86c19c, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa3ba79d1, "ieee80211_queue_stopped" },
	{ 0x79e21bd1, "rsi_bt_ops" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xabe460aa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x48ee3dd, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xf9d3dc58, "ieee80211_generic_frame_duration" },
	{ 0x6b49964e, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26383b97, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7c0f443, "sort" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xffed9b5c, "ieee80211_stop_queue" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x4d1bc626, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xf3b0275c, "wiphy_rfkill_start_polling" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2e0fb015, "ieee80211_cqm_rssi_notify" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x691e4771, "ieee80211_rx_irqsafe" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,btrsi,rfkill,cfg80211");


MODULE_INFO(srcversion, "528FEEFE26F947C4FCF2A3B");

MODULE_INFO(suserelease, "SLE15-SP6");
