#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36bedf9c, "wl1271_tx_min_rate_get" },
	{ 0x6c8086a0, "wl1271_cmd_send" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x26cc5935, "wlcore_event_roc_complete" },
	{ 0xc2e9ce92, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x2efceac3, "wlcore_translate_addr" },
	{ 0x3f55c29, "wlcore_boot_run_firmware" },
	{ 0x41fdd121, "wlcore_set_scan_chan_params" },
	{ 0x3dd09d5c, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0x1db3f443, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4bbb2187, "wlcore_free_hw" },
	{ 0x3e80e69, "wlcore_event_soft_gemini_sense" },
	{ 0x6c39cf72, "wlcore_scan_sched_scan_results" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1cd6d13e, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4980ad86, "wlcore_remove" },
	{ 0xde0913fb, "wlcore_disable_interrupts" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcc160f37, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x25496e01, "wl1271_cmd_test" },
	{ 0x497752d4, "wlcore_enable_interrupts" },
	{ 0xd0735c57, "wlcore_set_partition" },
	{ 0xb54506a5, "wl1271_acx_sleep_auth" },
	{ 0x22c5a5d, "wlcore_boot_upload_firmware" },
	{ 0x7d85fce2, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8ed15bc3, "wl12xx_acx_mem_cfg" },
	{ 0x91c06a95, "wl1271_cmd_data_path" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe48a6aff, "wl1271_cmd_configure" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x87957abd, "wl1271_acx_set_ht_capabilities" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x4b212fc, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6582fc8f, "wlcore_probe" },
	{ 0xcfa8c370, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf87d32a2, "wlcore_event_rssi_trigger" },
	{ 0x611dd54f, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x99b65107, "wl1271_acx_pm_config" },
	{ 0x9b233dd5, "wlcore_event_ba_rx_constraint" },
	{ 0x8640e09c, "wlcore_event_inactive_sta" },
	{ 0x6e236f91, "wlcore_event_dummy_packet" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x75535555, "wlcore_event_beacon_loss" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0x13560822, "wl1271_acx_init_mem_config" },
	{ 0x60bdffd4, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x63c3a473, "wlcore_boot_upload_nvs" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x143c6795, "wl12xx_cmd_build_probe_req" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "6D2CC958F6A8D85000B2330");

MODULE_INFO(suserelease, "SLE15-SP6");
