#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a09f478, "param_ops_ullong" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa24b54b8, "ntb_link_event" },
	{ 0xb5b49097, "ntb_db_event" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe0d01ef4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa52da6f6, "pci_enable_msix_range" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xe5afc9a4, "pci_select_bars" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0x4f791397, "_dev_err" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xe5b895ea, "ntb_register_device" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0x79cbdc7b, "pci_disable_msix" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0xdba7950a, "ntb_unregister_device" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ntb");

MODULE_ALIAS("pci:v00008086d00003725sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003C0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000E0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002F0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006F0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003726sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003C0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000E0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002F0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006F0Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003C0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000E0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002F0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006F0Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000201Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000347Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DB4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0E2632AABE7CC48FE0C6C64");

MODULE_INFO(suserelease, "SLE15-SP6");
