#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xa32ce69e, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xca847df8, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e538d97, "bio_integrity_prep" },
	{ 0xd4ea6b8, "__blk_alloc_disk" },
	{ 0x3fe61700, "blk_queue_logical_block_size" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x345e55fb, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d805670, "devm_namespace_enable" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xe2726dcc, "debugfs_create_u16" },
	{ 0x7b3c0229, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x4b397b3b, "nd_btt_arena_is_valid" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x7f346416, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x2ed4edd2, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3a005a9c, "debugfs_create_x64" },
	{ 0x9d22422b, "blk_queue_flag_set" },
	{ 0x3deb0d70, "nd_dev_to_uuid" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x50da4626, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0x43a6690e, "nd_region_release_lane" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4f791397, "_dev_err" },
	{ 0x873966f5, "set_capacity" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5fa34fa9, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x80a2b10, "to_nd_btt" },
	{ 0x1a07cf66, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x59312776, "nvdimm_namespace_disk_name" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe8ba66a0, "debugfs_create_x32" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb2207f70, "nvdimm_namespace_capacity" },
	{ 0x1217c28, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ce9fb63, "devm_namespace_disable" },
	{ 0xd62eb6f, "nvdimm_check_and_set_ro" },
	{ 0x9a303640, "badblocks_check" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x4ed66041, "nd_btt_version" },
	{ 0x1f074752, "blk_queue_max_hw_sectors" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "F8DB152D5563891A4320323");

MODULE_INFO(suserelease, "SLE15-SP6");
