#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0x73e3a77f, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8ccdc5d, "nvme_remove_admin_tag_set" },
	{ 0x4b0166d3, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x984c2c27, "nvme_uninit_ctrl" },
	{ 0xd441004d, "ida_destroy" },
	{ 0xb2ada9d2, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x711a9e9a, "nvmf_free_options" },
	{ 0xbe1d9b77, "nvmf_subsystem_reset" },
	{ 0x10711a9d, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xaa14f5de, "nvme_stop_keep_alive" },
	{ 0x219e1dcd, "blk_mq_complete_request_remote" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x3ff1b2a6, "nvme_setup_cmd" },
	{ 0x2ff062c6, "nvme_start_ctrl" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xfdd9dc08, "nvme_alloc_admin_tag_set" },
	{ 0xc544151e, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x1672e126, "nvmf_reg_read32" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xf730c87e, "nvme_delete_ctrl" },
	{ 0xd1cd0215, "get_device" },
	{ 0xffe253e2, "nvme_should_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb371686c, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbc4cd4a, "nvme_remove_io_tag_set" },
	{ 0x6edb8d6e, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3279b03, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6500300d, "nvmf_unregister_transport" },
	{ 0xa8d16f33, "blkcg_get_fc_appid" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xafedbcc8, "nvme_change_ctrl_state" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xf9eedbca, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xbc600e28, "nvme_alloc_io_tag_set" },
	{ 0xf88bdccc, "nvme_fail_nonready_command" },
	{ 0x354c9537, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f791397, "_dev_err" },
	{ 0x7487980, "device_create" },
	{ 0xc505b5fd, "blk_sync_queue" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x4f1538a4, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0x983c1964, "ida_free" },
	{ 0x2d30c870, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2e103377, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x3f62fd1f, "nvmf_connect_admin_queue" },
	{ 0x47bb2a28, "nvme_enable_ctrl" },
	{ 0xab32d9c9, "nvme_unquiesce_admin_queue" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45ee2fc8, "nvme_unquiesce_io_queues" },
	{ 0xa798b022, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb4b7e282, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51588041, "nvmf_should_reconnect" },
	{ 0x18177ed9, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4a1a514, "device_destroy" },
	{ 0xe249e667, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xa0d9fbab, "nvmf_register_transport" },
	{ 0xd0063bf1, "blk_mq_start_request" },
	{ 0x48d9fd16, "nvme_quiesce_io_queues" },
	{ 0x52c30fc, "blk_mq_tagset_busy_iter" },
	{ 0x2781289f, "nvme_stop_ctrl" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xf37d160b, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x5b4f11cc, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xdc548f97, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa5f3b365, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fd30ca8, "__nvme_check_ready" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "476175E51907AAC0E1DD9EC");

MODULE_INFO(suserelease, "SLE15-SP6");
