#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5455af87, "crypto_alloc_ahash" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x8cd45d20, "tls_alert_recv" },
	{ 0x60e942c5, "ip_sock_set_tos" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xcb8cefc, "nvmet_req_complete" },
	{ 0x40b1b655, "kernel_bind" },
	{ 0x5c1477fb, "sock_create" },
	{ 0x73948b42, "tls_server_hello_psk" },
	{ 0x2ebe812a, "tls_handshake_cancel" },
	{ 0xfb3d80bf, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8b1ab89f, "__tracepoint_sk_data_ready" },
	{ 0x338aa9f1, "kernel_accept" },
	{ 0xf924e35a, "kernel_recvmsg" },
	{ 0xdbefb290, "sock_alloc_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37b96349, "sock_set_priority" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3a8ccbb, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xbda65204, "nvmet_unregister_transport" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x6497f5b1, "nvmet_req_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa572006f, "fput" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa06f20b2, "kernel_getpeername" },
	{ 0xe52a31b3, "__SCK__tp_func_sk_data_ready" },
	{ 0x8390cb5f, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf15439e0, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xa22eb4b4, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x983c1964, "ida_free" },
	{ 0x5d6c655c, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x99fdb7ad, "sock_sendmsg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x236c67ad, "tcp_stream_memory_free" },
	{ 0x6760afce, "sock_set_reuseaddr" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a3d813f, "crypto_ahash_digest" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8238da80, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xcfc00624, "kernel_listen" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x71a2bddf, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd37a10be, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x51abdc1b, "sock_release" },
	{ 0x21c48c7b, "tcp_sock_set_nodelay" },
	{ 0x4d3b7277, "nvmet_ctrl_fatal_error" },
	{ 0x1879f67b, "nvmet_req_uninit" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x97c67bce, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x1ac3a751, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd136eca0, "sock_no_linger" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "BFAF4CD41D6A6C58625EB40");

MODULE_INFO(suserelease, "SLE15-SP6");
