#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf35f799a, "pci_get_domain_bus_and_slot" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0xa71018bb, "pci_stop_and_remove_bus_device" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x345e2288, "pci_destroy_slot" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x4c46e87b, "vmbus_sendpacket_getid" },
	{ 0x23873158, "vmbus_request_addr_match" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x96aa9034, "vmbus_close" },
	{ 0xedc03953, "iounmap" },
	{ 0x7059a0d6, "irq_domain_remove" },
	{ 0x8f8c81a3, "irq_domain_free_fwnode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x31c6da3c, "pci_stop_root_bus" },
	{ 0xabd25271, "pci_remove_root_bus" },
	{ 0x9493fc86, "node_states" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x74f34e8b, "irq_domain_get_irq_data" },
	{ 0xc4beeafa, "msi_desc_to_pci_dev" },
	{ 0x4778ed85, "pci_scan_child_bus" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xdb06938e, "vmbus_next_request_id" },
	{ 0x7faea92, "vmbus_request_addr" },
	{ 0xcb9fc45a, "vmbus_open" },
	{ 0xa1bad00b, "pci_walk_bus" },
	{ 0xb5d77f7a, "devm_pci_alloc_host_bridge" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x57615c2, "vmbus_allocate_mmio" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xae9f6945, "__irq_domain_alloc_fwnode" },
	{ 0x8430fd11, "x86_vector_domain" },
	{ 0x4722cdf3, "handle_edge_irq" },
	{ 0xf1c731e5, "pci_msi_create_irq_domain" },
	{ 0x79dab0d5, "pci_scan_root_bus_bridge" },
	{ 0x27cdca93, "pci_add_resource" },
	{ 0xcd7cab90, "pci_bus_assign_resources" },
	{ 0x820ad054, "pci_bus_add_devices" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x5920bbc2, "irqd_cfg" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xeedaec55, "irq_chip_unmask_parent" },
	{ 0x5559c5a7, "pci_msi_unmask_irq" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xb9c16f51, "hv_max_vp_index" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xd7cf1b49, "vmbus_recvpacket_raw" },
	{ 0xd8275e0b, "__vmbus_request_addr_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb6cb556a, "_find_first_and_bit" },
	{ 0x57c4ad1, "msi_lock_descs" },
	{ 0xbf068398, "msi_domain_first_desc" },
	{ 0x378229f4, "msi_next_desc" },
	{ 0xfc37a9ce, "irq_get_irq_data" },
	{ 0xabdf8980, "msi_unlock_descs" },
	{ 0xc7ef9f9f, "pci_msi_prepare" },
	{ 0xb6bdd5fd, "irq_chip_ack_parent" },
	{ 0xaa706b59, "irq_chip_set_affinity_parent" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xfb921e00, "hvpci_block_ops" },
	{ 0x685c9389, "__vmbus_driver_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa6257a2f, "complete" },
	{ 0x4f791397, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf39b42f, "pci_create_slot" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0x1cd44f98, "hyperv_paravisor_present" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0x9bad141d, "hv_hypercall_pg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9a62d7a, "pci_msi_mask_irq" },
	{ 0xea8edde5, "irq_chip_mask_parent" },
	{ 0x956b866f, "vmbus_driver_unregister" },
	{ 0xed2d9e11, "vmbus_sendpacket" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus,pci-hyperv-intf");

MODULE_ALIAS("vmbus:1df6c444444400449d52802e27ede19f");

MODULE_INFO(srcversion, "F24474CDC5ED2CAC35D9245");

MODULE_INFO(suserelease, "SLE15-SP6");
