#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(san_client_link, 0x2241a1a5, "_gpl");
SYMBOL_CRC(san_dgpu_notifier_register, 0x48cf4c48, "_gpl");
SYMBOL_CRC(san_dgpu_notifier_unregister, 0xd60bd773, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24283385, "__ssam_notifier_unregister" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x3ad7a5d5, "acpi_evaluate_reference" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x37a0cba, "kfree" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6abaa6be, "ssam_client_bind" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x2adb7afb, "ssam_notifier_register" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0xc14dca3d, "acpi_dev_clear_dependencies" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe532c2cd, "ssam_request_do_sync_with_buffer" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xcd2ba9b, "blocking_notifier_call_chain" },
	{ 0xfc681933, "acpi_fetch_acpi_dev" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xfce2a59, "device_link_add" },
	{ 0x52ce608c, "up_read" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc6bc628, "blocking_notifier_chain_register" },
	{ 0xb2674700, "blocking_notifier_chain_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "surface_aggregator");

MODULE_ALIAS("acpi*:MSHW0091:*");

MODULE_INFO(srcversion, "A7349A8711248D2434BB0D4");

MODULE_INFO(suserelease, "SLE15-SP6");
