#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rio_local_get_device_id, 0xcf99d207, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x828a5048, "");
SYMBOL_CRC(rio_alloc_net, 0x9f243004, "_gpl");
SYMBOL_CRC(rio_add_net, 0x8bbf9f25, "_gpl");
SYMBOL_CRC(rio_free_net, 0x1e5670f5, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x0f45e6d2, "_gpl");
SYMBOL_CRC(rio_add_device, 0x62a7f8f4, "_gpl");
SYMBOL_CRC(rio_del_device, 0x3e856b56, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x4c6a6621, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xcb4e61d6, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x328cc664, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x3cc79d23, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x7db2e91e, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x7ca44a77, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xa4aefeb2, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xbc000962, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xc9537705, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x13258ad3, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x768a078b, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xa37ea2dd, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x449a24fc, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x5001c02d, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x1e52f9ff, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x423a5cdf, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xaf05f7a9, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x1c1bd644, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0xbe145b1d, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xdfccc6b5, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x68b548e4, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x66a610c8, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x7c464dbf, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x3900db08, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x1d537868, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xf750db47, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xe284ae35, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xeb3e4793, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x4a840717, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xc640db57, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x61c74afb, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xa6b9c69d, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x4f4caa86, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x2c066321, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x84d24295, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x1f391741, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x294f5d32, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x9592f5d5, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x88af0f62, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x97379028, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xadcba463, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x89270106, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x47aebd46, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xbc65ec95, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x949813ab, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x749357ec, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x73e295a1, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x877c600d, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x1af6ee37, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xea7dafe4, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x1f1eef79, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x8ec77b44, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xb03e2f37, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x5532ca9a, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xb955db89, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x13275eaf, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xcea7ade5, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x63296db7, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x1509d53d, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x4f3cfdbc, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83313941, "device_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb81610ee, "dma_release_channel" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xecf6f722, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0x4f791397, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x2e103377, "class_unregister" },
	{ 0xffeca003, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "SLE15-SP6");
