#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0x3799d51a, "regmap_bulk_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4f791397, "_dev_err" },
	{ 0x957be848, "regmap_read" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0xaa1bad36, "regmap_bulk_write" },
	{ 0x80ca5026, "_bin2bcd" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x528ee334, "rtc_update_irq" },
	{ 0x4f2250ba, "rtc_tm_to_time64" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x18cf7507, "i2c_client_get_device_id" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0x1d116bf6, "devm_rtc_allocate_device" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xade518c2, "__devm_rtc_register_device" },
	{ 0x518dab3, "watchdog_init_timeout" },
	{ 0x2e2789b5, "devm_watchdog_register_device" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf343cb89, "device_property_present" },
	{ 0x2c0013ef, "rtc_add_group" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xae2f4ec8, "devm_rtc_nvmem_register" },
	{ 0x3ef61afc, "devm_hwmon_device_register_with_groups" },
	{ 0x9ac7ef13, "device_property_read_string_array" },
	{ 0xf623bbb6, "devm_clk_register" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("of:N*T*Cdallas,ds1307");
MODULE_ALIAS("of:N*T*Cdallas,ds1307C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1308");
MODULE_ALIAS("of:N*T*Cdallas,ds1308C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1337");
MODULE_ALIAS("of:N*T*Cdallas,ds1337C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1338");
MODULE_ALIAS("of:N*T*Cdallas,ds1338C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1339");
MODULE_ALIAS("of:N*T*Cdallas,ds1339C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1388");
MODULE_ALIAS("of:N*T*Cdallas,ds1388C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1340");
MODULE_ALIAS("of:N*T*Cdallas,ds1340C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1341");
MODULE_ALIAS("of:N*T*Cdallas,ds1341C*");
MODULE_ALIAS("of:N*T*Cmaxim,ds3231");
MODULE_ALIAS("of:N*T*Cmaxim,ds3231C*");
MODULE_ALIAS("of:N*T*Cst,m41t0");
MODULE_ALIAS("of:N*T*Cst,m41t0C*");
MODULE_ALIAS("of:N*T*Cst,m41t00");
MODULE_ALIAS("of:N*T*Cst,m41t00C*");
MODULE_ALIAS("of:N*T*Cst,m41t11");
MODULE_ALIAS("of:N*T*Cst,m41t11C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7940x");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7940xC*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7941x");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7941xC*");
MODULE_ALIAS("of:N*T*Cpericom,pt7c4338");
MODULE_ALIAS("of:N*T*Cpericom,pt7c4338C*");
MODULE_ALIAS("of:N*T*Cepson,rx8025");
MODULE_ALIAS("of:N*T*Cepson,rx8025C*");
MODULE_ALIAS("of:N*T*Cisil,isl12057");
MODULE_ALIAS("of:N*T*Cisil,isl12057C*");
MODULE_ALIAS("of:N*T*Cepson,rx8130");
MODULE_ALIAS("of:N*T*Cepson,rx8130C*");
MODULE_ALIAS("i2c:ds1307");
MODULE_ALIAS("i2c:ds1308");
MODULE_ALIAS("i2c:ds1337");
MODULE_ALIAS("i2c:ds1338");
MODULE_ALIAS("i2c:ds1339");
MODULE_ALIAS("i2c:ds1388");
MODULE_ALIAS("i2c:ds1340");
MODULE_ALIAS("i2c:ds1341");
MODULE_ALIAS("i2c:ds3231");
MODULE_ALIAS("i2c:m41t0");
MODULE_ALIAS("i2c:m41t00");
MODULE_ALIAS("i2c:m41t11");
MODULE_ALIAS("i2c:mcp7940x");
MODULE_ALIAS("i2c:mcp7941x");
MODULE_ALIAS("i2c:pt7c4338");
MODULE_ALIAS("i2c:rx8025");
MODULE_ALIAS("i2c:isl12057");
MODULE_ALIAS("i2c:rx8130");

MODULE_INFO(srcversion, "9655C991F60F7089D2D4F37");

MODULE_INFO(suserelease, "SLE15-SP6");
