#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeff361b5, "blk_abort_request" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xfcadcf2e, "hrtimer_try_to_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xc666a132, "crc_t10dif" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x999e8297, "vfree" },
	{ 0x39e59554, "xa_erase" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x8b1d6347, "root_device_unregister" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x222d4143, "xa_clear_mark" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x335aa26b, "sg_miter_start" },
	{ 0x88a0cb70, "sg_miter_next" },
	{ 0x7daf4425, "sg_miter_stop" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xffeca003, "device_register" },
	{ 0x405be82d, "put_device" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x176f2fdd, "__root_device_register" },
	{ 0xa7973e26, "bus_register" },
	{ 0x882168e, "driver_register" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x329838d8, "hrtimer_init" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xd84f69e7, "hrtimer_start_range_ns" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xfce7378b, "param_ops_string" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x52c30fc, "blk_mq_tagset_busy_iter" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x923d5425, "xa_get_mark" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x28cdb9a6, "blk_mq_unique_tag" },
	{ 0xad5d6ff4, "scsi_change_queue_depth" },
	{ 0x47da9878, "sdev_prefix_printk" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0xfb578fc5, "memset" },
	{ 0x78cfe86d, "scsi_build_sense" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3e70034f, "__scsi_iterate_devices" },
	{ 0xd66fc053, "scsi_host_busy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x75201acc, "xa_set_mark" },
	{ 0x83313941, "device_unregister" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x9a8deded, "scsi_done" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "995466237081DF3223FECC1");

MODULE_INFO(suserelease, "SLE15-SP6");
