#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_remove_children, 0xcf6c2382, "");
SYMBOL_CRC(sas_remove_host, 0x385e7cfe, "");
SYMBOL_CRC(sas_get_address, 0x3b8a069f, "");
SYMBOL_CRC(sas_tlr_supported, 0x9aa35f90, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x3f174de3, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x14abe1c4, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xb4f8b10d, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x37c10ffb, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x99c7a175, "");
SYMBOL_CRC(sas_phy_add, 0x39f0b852, "");
SYMBOL_CRC(sas_phy_free, 0xa233d29b, "");
SYMBOL_CRC(sas_phy_delete, 0x4a741269, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xf2d7ef05, "");
SYMBOL_CRC(sas_port_alloc, 0x669de9f5, "");
SYMBOL_CRC(sas_port_alloc_num, 0xc1877beb, "");
SYMBOL_CRC(sas_port_add, 0x1acf97ff, "");
SYMBOL_CRC(sas_port_free, 0xee8e36ed, "");
SYMBOL_CRC(sas_port_delete, 0xaf3f3fa2, "");
SYMBOL_CRC(scsi_is_sas_port, 0x318c8134, "");
SYMBOL_CRC(sas_port_get_phy, 0x4e2433f7, "");
SYMBOL_CRC(sas_port_add_phy, 0x77ca4fad, "");
SYMBOL_CRC(sas_port_delete_phy, 0x140b2605, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x01c43eb7, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x72c78bc8, "");
SYMBOL_CRC(sas_end_device_alloc, 0xc924cd47, "");
SYMBOL_CRC(sas_expander_alloc, 0x7ca482b7, "");
SYMBOL_CRC(sas_rphy_add, 0xfaff2829, "");
SYMBOL_CRC(sas_rphy_free, 0xb1f494d0, "");
SYMBOL_CRC(sas_rphy_delete, 0x7b243ec2, "");
SYMBOL_CRC(sas_rphy_unlink, 0xb13ecf60, "");
SYMBOL_CRC(sas_rphy_remove, 0x938936a7, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xb5130fa3, "");
SYMBOL_CRC(sas_attach_transport, 0x6477ec8d, "");
SYMBOL_CRC(sas_release_transport, 0xe8ee9db8, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0xf17a73ef, "transport_class_unregister" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x72141b27, "bsg_setup_queue" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xdc54de44, "bsg_job_done" },
	{ 0xc60aeb81, "attribute_container_unregister" },
	{ 0xee1f059d, "transport_class_register" },
	{ 0x4d126e9c, "attribute_container_register" },
	{ 0x3f7421c6, "scsi_get_vpd_page" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x39b9326c, "dma_opt_mapping_size" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x76d8228c, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x405be82d, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6059e10c, "device_add" },
	{ 0x3084d191, "transport_add_device" },
	{ 0x84921355, "transport_configure_device" },
	{ 0x2a795e6d, "device_del" },
	{ 0x720c28cf, "transport_destroy_device" },
	{ 0x5dfd6052, "transport_remove_device" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd1cd0215, "get_device" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x15c18c13, "scsi_mode_sense" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbfe1c6c1, "scsi_scan_target" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e902e26, "bsg_remove_queue" },
	{ 0xd26c7b7e, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "SLE15-SP6");
