#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(atomisp_get_platform_data, 0x9c30d13a, "_gpl");
SYMBOL_CRC(atomisp_register_i2c_module, 0xa6e507ce, "_gpl");
SYMBOL_CRC(atomisp_gmin_remove_subdev, 0xf6e33a19, "_gpl");
SYMBOL_CRC(atomisp_register_sensor_no_gmin, 0xc288f400, "_gpl");
SYMBOL_CRC(atomisp_unregister_subdev, 0x9830f09c, "_gpl");
SYMBOL_CRC(gmin_camera_platform_data, 0x4f2a22ca, "_gpl");
SYMBOL_CRC(atomisp_gmin_register_vcm_control, 0x4ce3b1a7, "_gpl");
SYMBOL_CRC(gmin_get_var_int, 0x1e95aaff, "_gpl");
SYMBOL_CRC(v4l2_get_acpi_sensor_info, 0xa0ed1083, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xe9b50385, "gpiod_set_value" },
	{ 0xd9cb2188, "regulator_disable" },
	{ 0x6d39d2cb, "regulator_enable" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x7b49e4a5, "acpi_dev_get_first_match_dev" },
	{ 0x10ced6dc, "device_match_acpi_dev" },
	{ 0xd9cafeb4, "i2c_bus_type" },
	{ 0x8839a8a4, "bus_find_device" },
	{ 0x405be82d, "put_device" },
	{ 0x26e27832, "i2c_verify_client" },
	{ 0xf63f003a, "acpi_gpio_get_io_resource" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x9583c92f, "gpiod_put" },
	{ 0x96d9232e, "regulator_put" },
	{ 0x612a3a62, "gpio_to_desc" },
	{ 0xd4f18809, "gpiod_set_raw_value" },
	{ 0x7fc196ee, "regulator_set_voltage" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x92997ed8, "_printk" },
	{ 0x47229b5c, "gpio_request" },
	{ 0x73103bee, "gpiod_direction_output_raw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xfddeb056, "efi" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xdd64e639, "strscpy" },
	{ 0x754d539c, "strlen" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xf9a6345f, "gpiod_get_index" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xeeff51b7, "regulator_get" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xf14f5ed0, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x158cdbc6, "devm_acpi_dev_add_driver_gpios" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xc82135b2, "acpi_device_set_power" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4f791397, "_dev_err" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9F85BB06039C4E80C428BF");

MODULE_INFO(suserelease, "SLE15-SP6");
