#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ohci_hub_status_data, 0x24a43e6e, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0xfbd27044, "_gpl");
SYMBOL_CRC(ohci_setup, 0x9a186211, "_gpl");
SYMBOL_CRC(ohci_restart, 0xcd85d564, "_gpl");
SYMBOL_CRC(ohci_suspend, 0xa65f17aa, "_gpl");
SYMBOL_CRC(ohci_resume, 0xc6fd25a5, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0x97b22a3e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x4c134f95, "usb_hcd_check_unlink_urb" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x1528de56, "usb_hcd_link_urb_to_ep" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xb8b74c9d, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9a7025ad, "gen_pool_dma_alloc_align" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0x663d8356, "usb_root_hub_lost_power" },
	{ 0x385a27cb, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb4cccb0f, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x39b2b575, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc70b6c28, "usb_hcd_unlink_urb_from_ep" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xa1f298d8, "usb_hcd_giveback_urb" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x98063d34, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96848186, "scnprintf" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xac41b5ad, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x409c0aac, "usb_debug_root" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x4f791397, "_dev_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "647FFD20EF52AF380501A03");

MODULE_INFO(suserelease, "SLE15-SP6");
