#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(musb_get_mode, 0xce7d5737, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x94aef369, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x3a772de0, "_gpl");
SYMBOL_CRC(musb_interrupt, 0xec44948d, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0xbb6816d0, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x876760bd, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb7ddabf8, "devm_platform_ioremap_resource" },
	{ 0x473be00f, "device_set_wakeup_capable" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x385a27cb, "usb_hcd_resume_root_hub" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc70b6c28, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd53d9ce2, "usb_get_dr_mode" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0xa0563045, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb59e3a8, "platform_get_irq_byname" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4c134f95, "usb_hcd_check_unlink_urb" },
	{ 0x2e622998, "device_wakeup_disable" },
	{ 0x88a0cb70, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x2a378399, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x7daf4425, "sg_miter_stop" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x335aa26b, "sg_miter_start" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x1528de56, "usb_hcd_link_urb_to_ep" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x21814b8a, "usb_put_hcd" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x37a1c5dc, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xa1f298d8, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4caf1528, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb4cccb0f, "usb_hcd_poll_rh_status" },
	{ 0x5e57ec9, "usb_create_hcd" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x409c0aac, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x70205e27, "usb_remove_hcd" },
	{ 0x353f8047, "_dev_printk" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x8cf89211, "usb_hcd_unmap_urb_for_dma" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x6a8ca3a4, "usb_add_hcd" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "25D8F808F4E9C2137A905CE");

MODULE_INFO(suserelease, "SLE15-SP6");
