#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_serial_claim_interface, 0x31ced4fa, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x6d906575, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x879d75db, "");
SYMBOL_CRC(usb_serial_resume, 0xbd7a4fe9, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x3a4d3e0e, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x7b5a9bd6, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xd55103c0, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xcde68c33, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x37ed641f, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x452135c1, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x625f273f, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x5b8acfe9, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x100b2e9e, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xb6da9939, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x66448956, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xdf4129f5, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xb1666e29, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xb0942211, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x5647c370, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x96397a1e, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x44afb33e, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x21f7aa69, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0e698f3, "usb_put_intf" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0x42b35944, "usb_autopm_put_interface" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x51905f4, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x617f1869, "tty_flip_buffer_push" },
	{ 0x80ba0bb, "driver_attach" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x9a8934ca, "tty_kref_put" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x72bf2b0e, "usb_match_one_id" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x3eac2c94, "__tty_alloc_driver" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x95d62319, "tty_standard_install" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x7dceb3a5, "usb_show_dynids" },
	{ 0xdd040b1, "tty_hangup" },
	{ 0x166583f2, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x137e2dbc, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5c8edb04, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc59cdf37, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0xc50ed33f, "tty_port_tty_wakeup" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x777237d4, "usb_match_id" },
	{ 0xad3f71a, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6059e10c, "device_add" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x169f0a14, "tty_ldisc_ref" },
	{ 0xb5b8a32c, "tty_vhangup" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x751cd11f, "tty_port_destroy" },
	{ 0x2aa050e9, "tty_insert_flip_string_fixed_flag" },
	{ 0x51dbcc89, "tty_port_init" },
	{ 0xeb619c5c, "usb_driver_claim_interface" },
	{ 0xb375927f, "seq_putc" },
	{ 0x65299634, "usb_poison_urb" },
	{ 0xaf9650cb, "usb_unpoison_urb" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x8f4b686c, "tty_port_register_device" },
	{ 0x34cdd42a, "tty_ldisc_deref" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2a795e6d, "device_del" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x940ec754, "tty_port_close" },
	{ 0x76cc023e, "__tty_insert_flip_char" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x40f7a6c6, "usb_autopm_get_interface" },
	{ 0xaa79d3c1, "tty_register_driver" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcaebdc69, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x568df13c, "tty_port_open" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf914cce2, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x57e14830, "tty_port_tty_get" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3D72947FA887CDDD1BE7E62");

MODULE_INFO(suserelease, "SLE15-SP6");
