#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(typec_altmode_update_active, 0x610dd343, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x411c5349, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x86959a06, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x1677153e, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x342f0b20, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xf340a37b, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x102d6b17, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xa0a7511f, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x17a7125b, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x56465727, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x9673cff0, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xbc0cc371, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x16d76ba9, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x6b6d88d5, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x2420f939, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x4a9ec69e, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x192d383c, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x75d56b5b, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x6cbb437c, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xcf317fcc, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xf161d52c, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xb26f6d15, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xe37d4bd4, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x243a57d2, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x4004beb6, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x04a86b00, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x42bc40d1, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xc27ea51d, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xbe95c042, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x4b653333, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0xc7d1ea9e, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xa2ba96c7, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xb685b54e, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xa6113f02, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x1a1d32ef, "_gpl");
SYMBOL_CRC(typec_register_port, 0x386b122f, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xad84aea2, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xc15e170f, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0xfaa9a4f2, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x5e032af4, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xa1ec578e, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x00676a8a, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xcc52494c, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x04847c18, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xa0b30aa5, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x649f42cf, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x5ffc221c, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x7b09aa33, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xec8c9c80, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x7298164f, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x1c3a5522, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xbe8a07a3, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x1729a96f, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x0303fcfd, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x10d1da04, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x103b6e91, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xdd0ea2a9, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xbc2941ce, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xbcc4cba9, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xdac4322a, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xe144da24, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x6d32fe08, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xd4f010da, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x474d12fd, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xbb64c00f, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x3cdbb449, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x2c1fc103, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xcbed00e7, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x368b6941, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x77fa24af, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9856d775, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x83313941, "device_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1802ff33, "acpi_bus_for_each_dev" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x12ca3581, "fwnode_connection_find_match" },
	{ 0xb5592636, "fwnode_get_next_child_node" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa0563045, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5985bbd, "device_match_fwnode" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa2ae1a25, "fwnode_property_read_u32_array" },
	{ 0x81063da9, "module_put" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xda63f238, "fwnode_get_name" },
	{ 0x354c9537, "kobject_uevent_env" },
	{ 0x9eacf52a, "sysfs_update_group" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6059e10c, "device_add" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x711e4dc5, "fwnode_property_read_u16_array" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x983c1964, "ida_free" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x2e103377, "class_unregister" },
	{ 0x14125909, "device_find_child" },
	{ 0xffeca003, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa76a8c73, "fwnode_property_read_string" },
	{ 0x4d0c9e3e, "fwnode_property_present" },
	{ 0xed60b119, "component_master_del" },
	{ 0x8e57b852, "component_match_add_release" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xd21c15c5, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x36160924, "component_bind_all" },
	{ 0xa0cd89c7, "device_match_name" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0xb689d9be, "fwnode_connection_find_matches" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0x7b3d0ca9, "component_unbind_all" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x1d6041dc, "class_find_device" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "84DB2810A1FBD576B2C72EF");

MODULE_INFO(suserelease, "SLE15-SP6");
