#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xdb50e477, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xa0aaf0dd, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0xb407442b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0xf0b663ec, "config_group_init" },
	{ 0x51905f4, "idr_find" },
	{ 0x8ae6b8e0, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x995ccb27, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xe7113ebd, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5cdd473f, "config_item_get" },
	{ 0x40b1b655, "kernel_bind" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c03dbee, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x17bb799f, "kset_unregister" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1be2e4f9, "kernel_kobj" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8b1ab89f, "__tracepoint_sk_data_ready" },
	{ 0xffc9499b, "call_srcu" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x6153760a, "synchronize_srcu" },
	{ 0x338aa9f1, "kernel_accept" },
	{ 0xf924e35a, "kernel_recvmsg" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x56ec0996, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4037c8d, "configfs_unregister_subsystem" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8714d592, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x4eb983a4, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x8aa95839, "locks_init_lock" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x5417537b, "__free_pages" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81063da9, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6d4ce75, "up_write" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x8f527eb0, "configfs_register_subsystem" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa7f9f6b9, "configfs_remove_default_groups" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0xe52a31b3, "__SCK__tp_func_sk_data_ready" },
	{ 0xe84a2a5e, "config_group_init_type_name" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0xf15439e0, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb375927f, "seq_putc" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0x99fdb7ad, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb5ad9b64, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x37c54ff4, "default_llseek" },
	{ 0x6760afce, "sock_set_reuseaddr" },
	{ 0x92637741, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd8634721, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xda209d59, "config_item_init_type_name" },
	{ 0x4f4ad154, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xb631770b, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x51abdc1b, "sock_release" },
	{ 0x6b6db48c, "downgrade_write" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x21c48c7b, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbde18153, "seq_open" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xeef89d0d, "sock_bind_add" },
	{ 0xccdf250d, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xa954e45b, "release_sock" },
	{ 0x671b470e, "kset_create_and_add" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "1856565EA9CACADA8445AD6");

MODULE_INFO(suserelease, "SLE15-SP6");
