#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fscache_addremove_sem, 0xe75221ef, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x1ff6ce96, "");
SYMBOL_CRC(fscache_acquire_cache, 0x90ebedaa, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xc73df86a, "");
SYMBOL_CRC(fscache_add_cache, 0x4209e870, "");
SYMBOL_CRC(fscache_io_error, 0x58d90769, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xdcb4c3ad, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x788c2969, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xd4af2999, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x60c49fe3, "");
SYMBOL_CRC(fscache_caching_failed, 0x7886312c, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x8e749a0a, "");
SYMBOL_CRC(__fscache_use_cookie, 0x330768fe, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xd2e17d3b, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x8f5916bd, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x36426142, "");
SYMBOL_CRC(fscache_put_cookie, 0x2fe1c3aa, "");
SYMBOL_CRC(fscache_get_cookie, 0x13753b89, "");
SYMBOL_CRC(__fscache_invalidate, 0x1217ecd4, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xd54bf610, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xd8fae374, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xf8bccdcf, "");
SYMBOL_CRC(fscache_dirty_folio, 0xb54525be, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x3a0cd9a8, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x8e060390, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xf5ab4902, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x89f588b2, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0xf05b6355, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6058c81f, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x5e4f112f, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x9f617e9b, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x3c5fe308, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xdf423544, "");
SYMBOL_CRC(fscache_end_volume_access, 0xf1971b38, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x5f4a8972, "");
SYMBOL_CRC(fscache_put_volume, 0x1852af6a, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x7a7a990e, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x203284b9, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87c0c295, "xas_find" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xbb136772, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xdabf7edb, "remove_proc_subtree" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb67f54bb, "__var_waitqueue" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x887986c1, "folio_end_private_2" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x69da5972, "filemap_dirty_folio" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xb44acd9f, "iov_iter_xarray" },
	{ 0xa86f4cf, "proc_create_single_data" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x5acefa67, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0BB1764C8989B6E07CB0901");

MODULE_INFO(suserelease, "SLE15-SP6");
