#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4ffa3edc, "truncate_inode_pages" },
	{ 0xe914e41e, "strcpy" },
	{ 0x14c99e08, "inode_init_owner" },
	{ 0x50e009ca, "filemap_fdatawrite" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0x3fddbbb3, "iget_locked" },
	{ 0x760a0f4f, "yield" },
	{ 0x70a76893, "clear_nlink" },
	{ 0x103d9ae7, "generic_block_bmap" },
	{ 0xf69137ad, "filemap_flush" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x5a949327, "d_instantiate" },
	{ 0x3e9730f7, "__bio_add_page" },
	{ 0x135b5874, "make_vfsgid" },
	{ 0xc8241d89, "clear_inode" },
	{ 0xd4917529, "dquot_set_dqinfo" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x303a74ce, "generic_fh_to_dentry" },
	{ 0xd7ad2d1d, "dquot_disable" },
	{ 0xbd2211b8, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x1ff3acbb, "dquot_free_inode" },
	{ 0xaf9eba2, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0x5fab1022, "dquot_get_state" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0xdb032b06, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x7dcd2a76, "inode_set_flags" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x2cb23214, "__blockdev_direct_IO" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x56b3905c, "__bforget" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0xba65fdf1, "block_truncate_page" },
	{ 0x1de4f596, "add_wait_queue_exclusive" },
	{ 0xe13da377, "sync_filesystem" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x93c5f591, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2fc45bf0, "ihold" },
	{ 0xc565aa05, "page_get_link" },
	{ 0xcd77d409, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfddb210, "read_cache_page" },
	{ 0x2ea85aa9, "iput" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xb71eed54, "iter_file_splice_write" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0xdabf7edb, "remove_proc_subtree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x62be5989, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x21c0dc23, "dquot_transfer" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xbeb291a6, "folio_clear_dirty_for_io" },
	{ 0x8ed4eb08, "dquot_drop" },
	{ 0xfd5e6f14, "mempool_free" },
	{ 0x57e3efc4, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86216664, "make_vfsuid" },
	{ 0xbfaec837, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3cc72816, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1889e0b, "mempool_create" },
	{ 0x9e73892a, "block_invalidate_folio" },
	{ 0x48d57189, "dquot_quota_sync" },
	{ 0xd329483b, "generic_write_end" },
	{ 0xd136c924, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3723fb33, "load_nls" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x722d75ca, "sync_blockdev" },
	{ 0x2547bc97, "generic_file_mmap" },
	{ 0xea9f9701, "dquot_initialize" },
	{ 0xdda8ffee, "dquot_operations" },
	{ 0x9d0237cc, "mempool_alloc" },
	{ 0x13705d90, "dquot_quota_on" },
	{ 0x78015c49, "blkdev_put" },
	{ 0x5417537b, "__free_pages" },
	{ 0x1ab3a24d, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0x83a883fa, "submit_bio" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0xae68a0e2, "file_write_and_wait_range" },
	{ 0x9efd899d, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x27170c1f, "dquot_set_dqblk" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6bc2046, "__brelse" },
	{ 0xbf9875f7, "posix_acl_create" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x55729afb, "generic_file_read_iter" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2269645f, "set_cached_acl" },
	{ 0x3ec3e34, "blkdev_get_by_dev" },
	{ 0x3461bb1f, "kmem_cache_create_usercopy" },
	{ 0xdb2c97d9, "truncate_pagecache" },
	{ 0xa3d0b706, "sync_dirty_buffer" },
	{ 0x7c2d1d58, "insert_inode_locked" },
	{ 0x1f983383, "wait_on_page_writeback" },
	{ 0x318a5cda, "dquot_resume" },
	{ 0x43c169d1, "setattr_copy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0xd980ddfa, "security_inode_init_security" },
	{ 0x2f379841, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x12bbc87f, "folio_wait_writeback" },
	{ 0x62486a27, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x36f61b9a, "posix_acl_chmod" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x205c85d9, "__bread_gfp" },
	{ 0xd8d38055, "freezing_slow_path" },
	{ 0xd976f401, "block_dirty_folio" },
	{ 0xd2b5286f, "dquot_alloc_inode" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7bec90d9, "inode_add_bytes" },
	{ 0x22bfc020, "mpage_read_folio" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xa080878e, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7e4a3825, "end_page_writeback" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x49cdc0c9, "truncate_setsize" },
	{ 0x8d8b2b2d, "dquot_get_dqblk" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xa2eacddb, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xe9d5c0be, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1d76462d, "__dquot_alloc_space" },
	{ 0x186ae4a9, "unlock_buffer" },
	{ 0xa60b43a0, "igrab" },
	{ 0xe0d59a70, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xaed6ed6c, "d_instantiate_new" },
	{ 0x554f965b, "page_symlink_inode_operations" },
	{ 0x28def65b, "__dquot_free_space" },
	{ 0x41d87b02, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb3680ffa, "mount_bdev" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x495d5d95, "mpage_readahead" },
	{ 0x19170a03, "filemap_fdatawait_range" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc6a53ee0, "mempool_destroy" },
	{ 0xc91e40f, "__folio_put" },
	{ 0xd5d75b49, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x37b34da3, "__lock_buffer" },
	{ 0x4a7a5b16, "posix_acl_update_mode" },
	{ 0x7448382d, "__folio_lock" },
	{ 0x69da5972, "filemap_dirty_folio" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0x442b2f8d, "is_bad_inode" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xeb80a6f1, "block_write_begin" },
	{ 0x1c7fb00f, "dquot_file_open" },
	{ 0x905c0cf7, "generic_fh_to_parent" },
	{ 0xae98d16d, "filemap_splice_read" },
	{ 0x6b3bbdb2, "posix_acl_to_xattr" },
	{ 0xa86f4cf, "proc_create_single_data" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5a884855, "filemap_write_and_wait_range" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3836e1b9, "dquot_writeback_dquots" },
	{ 0xbbcb08fa, "__mark_inode_dirty" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0xb8684657, "dquot_get_next_dqblk" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x1e52122b, "unload_nls" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x87e163ef, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0x45c54c3b, "fs_bio_set" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xc91dd282, "blkdev_issue_discard" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "829838BDC43F0B2B035D490");

MODULE_INFO(suserelease, "SLE15-SP6");
