#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfd12db57, "pnfs_register_layoutdriver" },
	{ 0xf5fed7a1, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0xcebead34, "nfs4_mark_deviceid_available" },
	{ 0x306a0a86, "nfs_writeback_update_inode" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x7c250442, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0xf4624f53, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x637cc533, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0x96aeb6d1, "nfs_pageio_reset_read_mds" },
	{ 0x1ae11540, "xdr_write_pages" },
	{ 0x5d446894, "pnfs_generic_ds_cinfo_destroy" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4fd1e93f, "__tracepoint_nfs4_pnfs_write" },
	{ 0xde86347e, "xdr_inline_decode" },
	{ 0xd0c30c19, "rpc_count_iostats_metrics" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xd8987b72, "rpc_wake_up" },
	{ 0x2a9c606e, "pnfs_write_done_resend_to_mds" },
	{ 0x46380b05, "__tracepoint_nfs4_pnfs_read" },
	{ 0x5373ca1a, "__tracepoint_ff_layout_write_error" },
	{ 0xef851083, "pnfs_free_commit_array" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc384db2d, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0xff5ace31, "pnfs_generic_pg_check_range" },
	{ 0xd221fcd3, "pnfs_generic_prepare_to_resend_writes" },
	{ 0xf32fa2b7, "__SCT__tp_func_ff_layout_write_error" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1ff312fc, "pnfs_generic_pg_writepages" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x7e42bd3f, "__SCT__tp_func_ff_layout_read_error" },
	{ 0x2b16e909, "__SCT__tp_func_nfs4_pnfs_commit_ds" },
	{ 0x590e9d88, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x63826d35, "__SCT__tp_func_nfs4_pnfs_read" },
	{ 0xf7de7997, "__tracepoint_ff_layout_commit_error" },
	{ 0x191446aa, "pnfs_read_done_resend_to_mds" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xc11acf02, "pnfs_add_commit_array" },
	{ 0xd24fed2f, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0xb02eabca, "rpc_clnt_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabcc2e7, "__put_cred" },
	{ 0x2babc1fe, "rpc_cancel_tasks" },
	{ 0xcc21ce5c, "__SCT__tp_func_ff_layout_commit_error" },
	{ 0x930a94fd, "__SCT__tp_func_pnfs_mds_fallback_write_done" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x92997ed8, "_printk" },
	{ 0xe029ab64, "nfs4_test_deviceid_unavailable" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x2446ab09, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0x5417537b, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0xacc7e33c, "pnfs_generic_scan_commit_lists" },
	{ 0x9c97c56c, "init_task" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x50fab681, "pnfs_set_layoutcommit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0xf5773804, "pnfs_report_layoutstat" },
	{ 0xf3817f4e, "nfs4_put_deviceid_node" },
	{ 0xefc2dfa5, "pnfs_put_lseg" },
	{ 0xe54fba66, "pnfs_layoutcommit_inode" },
	{ 0x780d94be, "nfs4_pnfs_ds_add" },
	{ 0xa7aafae0, "pnfs_destroy_layout" },
	{ 0xc8a64062, "pnfs_layout_mark_request_commit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x36c9a926, "nfs_pageio_reset_write_mds" },
	{ 0xb7004ae9, "rpc_max_payload" },
	{ 0x4aceb9ea, "nfs4_find_or_create_ds_client" },
	{ 0x2f379841, "from_kgid" },
	{ 0x68b0a44, "__SCK__tp_func_nfs4_pnfs_commit_ds" },
	{ 0xf0dcc427, "nfs4_find_get_deviceid" },
	{ 0x17ff524c, "pnfs_read_resend_pnfs" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe0df2a8e, "__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x6a925097, "__SCT__tp_func_pnfs_mds_fallback_read_pagelist" },
	{ 0x18e75751, "__SCT__tp_func_pnfs_mds_fallback_write_pagelist" },
	{ 0x4c1e1ccf, "rpc_call_start" },
	{ 0x96c4643f, "__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0xd06711e0, "__SCK__tp_func_ff_layout_read_error" },
	{ 0xf8b7662, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0x7cbfd493, "__SCK__tp_func_pnfs_mds_fallback_read_done" },
	{ 0xadeca730, "__SCT__tp_func_nfs4_pnfs_write" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa9b006b6, "__tracepoint_ff_layout_read_error" },
	{ 0x2a7b9969, "xdr_init_decode_pages" },
	{ 0xdfc91828, "__SCK__tp_func_pnfs_mds_fallback_write_done" },
	{ 0x7dc6a259, "pnfs_generic_layout_insert_lseg" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x739aaaba, "rpc_delay" },
	{ 0x28824cc7, "pnfs_generic_write_commit_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1cfd126d, "pnfs_generic_pg_cleanup" },
	{ 0x2652b33e, "rpc_exit" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xc8f32081, "__SCK__tp_func_nfs4_pnfs_read" },
	{ 0x6a5eb444, "__SCT__tp_func_pnfs_mds_fallback_pg_init_read" },
	{ 0xdb110816, "pnfs_update_layout" },
	{ 0x4ad18138, "pnfs_generic_pg_test" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x6c20b0f7, "xdr_reserve_space" },
	{ 0x1c6bace5, "nfs4_sequence_done" },
	{ 0x364ab492, "pnfs_generic_recover_commit_reqs" },
	{ 0xa58a652d, "__SCK__tp_func_nfs4_pnfs_write" },
	{ 0x7cb2dd2, "pnfs_generic_commit_pagelist" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1c80049d, "nfs_initiate_pgio" },
	{ 0xfa57cab9, "nfs4_decode_mp_ds_addr" },
	{ 0xd24f84d, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0x437babf8, "nfs4_mark_deviceid_unavailable" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x46f39487, "alloc_pages" },
	{ 0xb24680b4, "__SCK__tp_func_pnfs_mds_fallback_read_pagelist" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x98ec7f55, "__SCK__tp_func_ff_layout_commit_error" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf8ce16a1, "nfs4_delete_deviceid" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x1500ee00, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0x53e9951c, "nfs4_pnfs_ds_put" },
	{ 0xd102e9cc, "__SCK__tp_func_ff_layout_write_error" },
	{ 0xea252fff, "__SCK__tp_func_pnfs_mds_fallback_pg_init_write" },
	{ 0xe984e3c8, "pnfs_error_mark_layout_for_return" },
	{ 0xd2f2d8d0, "nfs_initiate_commit" },
	{ 0xb84ba022, "__SCK__tp_func_pnfs_mds_fallback_pg_init_read" },
	{ 0xb1c89368, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0xebec4c86, "prepare_kernel_cred" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd63a0a29, "__SCK__tp_func_pnfs_mds_fallback_write_pagelist" },
	{ 0x3f799d01, "nfs4_setup_sequence" },
	{ 0xbde2b1a4, "nfs42_proc_layouterror" },
	{ 0x754d539c, "strlen" },
	{ 0x172ad0e8, "pnfs_generic_clear_request_commit" },
	{ 0x904f072, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x9ff39f1e, "nfs4_pnfs_ds_connect" },
	{ 0x66a265f5, "xdr_init_encode" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xdeb5edce, "__SCT__tp_func_pnfs_mds_fallback_pg_init_write" },
	{ 0xc361c3c5, "__SCT__tp_func_pnfs_mds_fallback_read_done" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe222c6ea, "pnfs_alloc_commit_array" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa3dfbab1, "pnfs_nfs_generic_sync" },
	{ 0xf661776, "nfs4_schedule_session_recovery" },
	{ 0x1ea76ac4, "pnfs_unregister_layoutdriver" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "49FDF5CF1D50E8DC34C7EC1");

MODULE_INFO(suserelease, "SLE15-SP6");
