#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb76fd50b, "bh_uptodate_or_lock" },
	{ 0x14c99e08, "inode_init_owner" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0x3fddbbb3, "iget_locked" },
	{ 0x70a76893, "clear_nlink" },
	{ 0x103d9ae7, "generic_block_bmap" },
	{ 0x5a949327, "d_instantiate" },
	{ 0xc8241d89, "clear_inode" },
	{ 0x303a74ce, "generic_fh_to_dentry" },
	{ 0xbd2211b8, "discard_new_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0x31aa005d, "__inode_add_bytes" },
	{ 0xd0128433, "__inode_sub_bytes" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x39b56ee3, "unregister_filesystem" },
	{ 0xdb032b06, "mark_buffer_dirty" },
	{ 0xfe30f83, "__block_write_begin" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb7e69bae, "inode_needs_sync" },
	{ 0x44e38f72, "inode_query_iversion" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x56b3905c, "__bforget" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0xba65fdf1, "block_truncate_page" },
	{ 0x9643da3f, "write_dirty_buffer" },
	{ 0xe13da377, "sync_filesystem" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x93c5f591, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2fc45bf0, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xee284328, "generic_file_fsync" },
	{ 0xdfddb210, "read_cache_page" },
	{ 0x2ea85aa9, "iput" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x62be5989, "generic_file_write_iter" },
	{ 0x31f13615, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x38a5c45c, "sync_inode_metadata" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e73892a, "block_invalidate_folio" },
	{ 0xd329483b, "generic_write_end" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x6da98a03, "create_empty_buffers" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x8a962c02, "block_write_end" },
	{ 0x9a5414b7, "inode_sub_bytes" },
	{ 0xf5e6bd4f, "block_write_full_page" },
	{ 0x2547bc97, "generic_file_mmap" },
	{ 0xc4f57b0a, "invalidate_inode_buffers" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bc2046, "__brelse" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0x55729afb, "generic_file_read_iter" },
	{ 0x5464a56b, "inode_maybe_inc_iversion" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x77da878, "simple_symlink_inode_operations" },
	{ 0x3461bb1f, "kmem_cache_create_usercopy" },
	{ 0xdb2c97d9, "truncate_pagecache" },
	{ 0xa3d0b706, "sync_dirty_buffer" },
	{ 0x7c2d1d58, "insert_inode_locked" },
	{ 0xa42fe426, "page_symlink" },
	{ 0x43c169d1, "setattr_copy" },
	{ 0x27f2346d, "__wait_on_buffer" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x2f379841, "from_kgid" },
	{ 0xb25a43ab, "__bh_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x205c85d9, "__bread_gfp" },
	{ 0xd976f401, "block_dirty_folio" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x49cdc0c9, "truncate_setsize" },
	{ 0xa2eacddb, "set_page_dirty" },
	{ 0x62e7b5f4, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x186ae4a9, "unlock_buffer" },
	{ 0xe0d59a70, "__getblk_gfp" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaed6ed6c, "d_instantiate_new" },
	{ 0x554f965b, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb3680ffa, "mount_bdev" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37b34da3, "__lock_buffer" },
	{ 0x7531f27e, "generic_file_open" },
	{ 0x7448382d, "__folio_lock" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0x442b2f8d, "is_bad_inode" },
	{ 0xeb80a6f1, "block_write_begin" },
	{ 0x905c0cf7, "generic_fh_to_parent" },
	{ 0xae98d16d, "filemap_splice_read" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5a884855, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe110aa41, "clean_bdev_aliases" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0xbbcb08fa, "__mark_inode_dirty" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x23e6ec9f, "iget_failed" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D229F8B3A71F2916FDE1433");

MODULE_INFO(suserelease, "SLE15-SP6");
