#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x7b27ed98, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xf12a559c, "");
SYMBOL_CRC(ax25_linkfail_release, 0xac75fa53, "");
SYMBOL_CRC(ax25_listen_register, 0x6c3a85f7, "");
SYMBOL_CRC(ax25_listen_release, 0x7187a7c5, "");
SYMBOL_CRC(ax25_header_ops, 0xda77e746, "");
SYMBOL_CRC(ax25_ip_xmit, 0x1aa62578, "");
SYMBOL_CRC(ax25_send_frame, 0x40ce9b5c, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0xcedc1853, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x63a78f59, "skb_free_datagram" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xabe460aa, "skb_put" },
	{ 0xde397932, "skb_expand_head" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6f2a278d, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x9368b74c, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9e9acf75, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x54dc7aa7, "sock_register" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdc02365d, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x61f2b174, "dev_get_by_name_rcu" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1f954439, "dev_remove_pack" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x29157a8e, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0xd5dc8d6, "__skb_wait_for_more_packets" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9b216ab1, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75a924fa, "sock_rfree" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x40467491, "sock_i_ino" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xbb83fd64, "sock_gettstamp" },
	{ 0xa6c2623f, "send_sig" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x5acefa67, "proc_create_seq_private" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x8ba09c84, "proc_dointvec_minmax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D67C7AE378BFD46A6CAE8F8");

MODULE_INFO(suserelease, "SLE15-SP6");
