#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bt_sock_reclassify_lock, 0xef7e64a2, "");
SYMBOL_CRC(bt_sock_register, 0x93cfd19a, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x374ee663, "");
SYMBOL_CRC(bt_sock_link, 0xc717bfb5, "");
SYMBOL_CRC(bt_sock_unlink, 0x3ddba125, "");
SYMBOL_CRC(bt_sock_linked, 0xf6fc9bc0, "");
SYMBOL_CRC(bt_accept_enqueue, 0x621b803f, "");
SYMBOL_CRC(bt_accept_unlink, 0x90fe2e83, "");
SYMBOL_CRC(bt_accept_dequeue, 0x3d697c16, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x2c3abcde, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x9b351004, "");
SYMBOL_CRC(bt_sock_poll, 0x13e036ee, "");
SYMBOL_CRC(bt_sock_ioctl, 0x29f74418, "");
SYMBOL_CRC(bt_sock_wait_state, 0x7d98e28c, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x39806625, "");
SYMBOL_CRC(bt_procfs_init, 0x2b4f40e3, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x23bfb58b, "");
SYMBOL_CRC(bt_debugfs, 0x97361a3e, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x559bbf7d, "");
SYMBOL_CRC(hci_free_dev, 0xae73a5f3, "");
SYMBOL_CRC(hci_register_dev, 0x1a0f4614, "");
SYMBOL_CRC(hci_unregister_dev, 0xf8353de1, "");
SYMBOL_CRC(hci_release_dev, 0x7361280a, "");
SYMBOL_CRC(hci_suspend_dev, 0x121f008b, "");
SYMBOL_CRC(hci_resume_dev, 0xb53220d3, "");
SYMBOL_CRC(hci_reset_dev, 0xd9225956, "");
SYMBOL_CRC(hci_recv_frame, 0x527eced8, "");
SYMBOL_CRC(hci_recv_diag, 0x012c69a3, "");
SYMBOL_CRC(hci_set_hw_info, 0x29790d1f, "");
SYMBOL_CRC(hci_set_fw_info, 0x1413a0b2, "");
SYMBOL_CRC(hci_register_cb, 0x0eb3dd89, "");
SYMBOL_CRC(hci_unregister_cb, 0x92006952, "");
SYMBOL_CRC(__hci_cmd_send, 0xdc4922fb, "");
SYMBOL_CRC(hci_get_route, 0x0fe745db, "");
SYMBOL_CRC(hci_conn_security, 0xcc2c4224, "");
SYMBOL_CRC(hci_conn_check_secure, 0xad90003d, "");
SYMBOL_CRC(hci_conn_switch_role, 0xc392a008, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x97b483eb, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x8f22655d, "");
SYMBOL_CRC(l2cap_add_psm, 0xd85034da, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x7dd2a64b, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x9d01292c, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x4136aed6, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x25eace05, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xb3dae19a, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x321caa2b, "");
SYMBOL_CRC(l2cap_register_user, 0x0e90ea18, "");
SYMBOL_CRC(l2cap_unregister_user, 0x321e2abc, "");
SYMBOL_CRC(l2cap_conn_get, 0x1727d98d, "");
SYMBOL_CRC(l2cap_conn_put, 0x7a6707f9, "");
SYMBOL_CRC(l2cap_chan_send, 0x57a16a6a, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x25bbc5e6, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x4f472503, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x9f072502, "");
SYMBOL_CRC(__hci_cmd_sync, 0xd727cb0d, "");
SYMBOL_CRC(hci_cmd_sync, 0xb680c629, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xc21719df, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xf163dd5a, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x401ef78b, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x5c6f4b8d, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x49d98dce, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x4d1ac0c1, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xf8334878, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xa71bd326, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xbd3dcd1e, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xeb3528f9, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x2b86e44a, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x638afb17, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x8a511cd0, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x8b1acff0, "");
SYMBOL_CRC(hci_devcd_init, 0xb7be6c5c, "");
SYMBOL_CRC(hci_devcd_append, 0xe240ed4c, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x3b78769b, "");
SYMBOL_CRC(hci_devcd_complete, 0xa7e244cc, "");
SYMBOL_CRC(hci_devcd_abort, 0xfd2a88e7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x63a78f59, "skb_free_datagram" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x6ea83153, "sock_i_uid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x51905f4, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xabe460aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6dc280ba, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x37e8535c, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xf4b3209, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x1de4f596, "add_wait_queue_exclusive" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x54dd28ae, "sock_no_connect" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x26d0e93e, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x9908f9c7, "led_trigger_unregister_simple" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x36d2e47a, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xd1cd0215, "get_device" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xeb2fa3fc, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c2cdb22, "put_cmsg" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x7200346b, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54dc7aa7, "sock_register" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0x2f60ebd6, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdc02365d, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x81063da9, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xae06deaf, "__sock_recv_timestamp" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0x32842208, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6059e10c, "device_add" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3044b6e, "init_uts_ns" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xe5824d7b, "device_move" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xb375927f, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0x215ae26f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x983c1964, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x2e103377, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0xb7155b1c, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x2a795e6d, "device_del" },
	{ 0x2eb1069c, "__sock_queue_rcv_skb" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x735ab4ee, "__sock_recv_wifi_status" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdd7d65e0, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x40467491, "sock_i_ino" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xe5ec2e22, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb092769e, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x5eb8ebbf, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x43a10365, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xd53f9595, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xbb83fd64, "sock_gettstamp" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xe2636d3c, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5acefa67, "proc_create_seq_private" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xf664c842, "fwnode_property_read_u8_array" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill,crc16");


MODULE_INFO(srcversion, "14E5CFA2F0849437C99A648");

MODULE_INFO(suserelease, "SLE15-SP6");
