#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x42205403, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x2f6e8187, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x8c22177a, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xdb81ec88, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xcfcfe629, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xc580b410, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xd6d432a3, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x8c35ce86, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xffd95aa8, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xceccf38f, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xd8531a4c, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xb8b97e5d, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xc3cbeb1c, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x036d08f2, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x1e3a7bf2, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x4a209928, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x8ae5dc7b, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x2e971435, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xf5724448, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0xc00be05c, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x2f2d98dc, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xdc89f998, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xc0bbeac6, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xdfb6b228, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xab458754, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x3b384b3e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xab2704ec, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x03ee8df9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x83ac36e6, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x2f46e5aa, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96f5d344, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x1f19a429, "netdev_lower_get_next" },
	{ 0x86414d09, "flow_block_cb_lookup" },
	{ 0x60d393fb, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb7d5bf6d, "devlink_resource_occ_get_unregister" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0x8f5c37c9, "br_vlan_enabled" },
	{ 0x4170672b, "__skb_pad" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x3bd71d87, "devlink_unregister" },
	{ 0x9c486853, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x58b6ee37, "br_port_flag_is_set" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf291c78d, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3c8ea153, "br_port_get_stp_state" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6f2a278d, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x919f2e59, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcb8f040f, "__netpoll_free" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0xe8f8a98a, "br_vlan_get_proto" },
	{ 0x1a2e3d7d, "br_mst_get_state" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x57995946, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbf16df3c, "netpoll_send_skb" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4a0f8295, "devlink_params_unregister" },
	{ 0x44e29e64, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x64dd55cd, "devlink_alloc_ns" },
	{ 0xdf65fc63, "dev_set_promiscuity" },
	{ 0xed197185, "devlink_register" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x104bd337, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x39f412f4, "gro_cells_init" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xd1cd0215, "get_device" },
	{ 0x35ba399d, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xfc423c75, "switchdev_handle_fdb_event_to_device" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4ba12c5f, "netdev_upper_dev_link" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xc765f03e, "switchdev_handle_port_attr_set" },
	{ 0x17589130, "phylink_create" },
	{ 0x31f90b05, "vlan_for_each" },
	{ 0x259ec3e8, "netdev_port_same_parent_id" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x5f810431, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x56bf2b91, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xe6ad1e2e, "devlink_resource_register" },
	{ 0x1ab76166, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xca5c2401, "switchdev_bridge_port_offload" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x81063da9, "module_put" },
	{ 0xd66bb2c4, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x93bfdbc5, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3481386c, "devlink_region_create" },
	{ 0x384e6fb2, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x65de1d02, "devlink_port_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xa910569b, "noop_qdisc" },
	{ 0x4aa3e1c8, "phy_ethtool_get_strings" },
	{ 0xebdb0933, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xd3a52e3f, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1f954439, "dev_remove_pack" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbf55b693, "gro_cells_receive" },
	{ 0x8cca2d72, "switchdev_handle_port_obj_del_foreign" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x29157a8e, "skb_push" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb24662f1, "dev_mc_del" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xe5837e68, "br_vlan_get_info" },
	{ 0x749206ac, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd6d1cfbc, "mdiobus_free" },
	{ 0x534c3614, "phylink_generic_validate" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5ff5058, "devlink_resource_occ_get_register" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x14125909, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x6ddc59f0, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4961d9ec, "switchdev_bridge_port_unoffload" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1f66597f, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0xba784528, "dev_mc_add" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x1c4e2627, "flow_block_cb_alloc" },
	{ 0xb0ef34d8, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4de0e743, "pv_ops" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0xd52f66d2, "net_selftest" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0x56c7bf33, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x8dd58373, "devlink_port_init" },
	{ 0xc25bf643, "__netpoll_setup" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0xeee2ebf5, "vlan_vid_add" },
	{ 0xf61c9e28, "devlink_params_register" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x4d3c8f67, "vlan_vid_del" },
	{ 0x19f77a01, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x1825f7cf, "devlink_resources_unregister" },
	{ 0x88bff22a, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb7134481, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3f86378c, "devlink_port_region_create" },
	{ 0xca50d29, "devlink_priv" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x8b0b7b8e, "__hw_addr_sync_dev" },
	{ 0x93dcdc73, "devlink_port_register_with_ops" },
	{ 0x914cb7ad, "mdiobus_get_phy" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xfded4be, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5fa77e9f, "dev_uc_add" },
	{ 0x29bc44ed, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x210a879f, "br_mst_enabled" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xaaf2089d, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x64d296c0, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xfce2a59, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x968503c0, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x9cb31467, "dcb_ieee_setapp" },
	{ 0x73637098, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd55b2ad, "__skb_vlan_pop" },
	{ 0x81a70ec0, "phylink_connect_phy" },
	{ 0xdd704390, "br_get_ageing_time" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libphy,bridge,hsr,selftests,phylink");


MODULE_INFO(srcversion, "B5D31372CF4B60AEC310DB0");

MODULE_INFO(suserelease, "SLE15-SP6");
