#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wpan_phy_find, 0x10ce732e, "");
SYMBOL_CRC(wpan_phy_for_each, 0xcf8712cf, "");
SYMBOL_CRC(wpan_phy_new, 0x5a1db696, "");
SYMBOL_CRC(wpan_phy_register, 0xaf5aecef, "");
SYMBOL_CRC(wpan_phy_unregister, 0xc3251228, "");
SYMBOL_CRC(wpan_phy_free, 0x1d148b8d, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xd5af6699, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x6bb20632, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x35590dca, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x43954d4b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x34556ce0, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xbf81d27f, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x7694e15a, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xf800ac3e, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x8776fafe, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0xabe460aa, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xab4f8b95, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x97a9962, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c6858bd, "device_rename" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3055e3c, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6059e10c, "device_add" },
	{ 0xb72508a, "netlink_unicast" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x29157a8e, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x2e103377, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x2a795e6d, "device_del" },
	{ 0x2c401a6d, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0xa01a78e7, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ad0fd2b, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa0cd89c7, "device_match_name" },
	{ 0x6a97be68, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x321eef85, "genl_register_family" },
	{ 0x70a5d95f, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0xebfadb6a, "get_net_ns_by_fd" },
	{ 0xa5f3b365, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x1d6041dc, "class_find_device" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41528180F6A18D6BBE6299");

MODULE_INFO(suserelease, "SLE15-SP6");
