#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0xe845bb64, "");
SYMBOL_CRC(__gue_build_header, 0x38bc8ecb, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa34ebdb7, "__skb_checksum_complete" },
	{ 0x730e76be, "ip_tunnel_encap_add_ops" },
	{ 0xcdfa5bd8, "inet_get_local_port_range" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0xaa513c0d, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bfa574b, "inet_offloads" },
	{ 0xeeae46fe, "inet_protos" },
	{ 0x384d7967, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb72508a, "netlink_unicast" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5f63c77, "ip_tunnel_encap_del_ops" },
	{ 0x281addd, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xfe5fa5e1, "register_btf_kfunc_id_set" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0xb4eb62be, "udp_sock_create6" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x99c2e6ca, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x321eef85, "genl_register_family" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B080BA6F4A026087AC2B078");

MODULE_INFO(suserelease, "SLE15-SP6");
