#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_ct_nat_ext_add, 0xb27a4564, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x823bb1d8, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x81e6084e, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x44bec0f0, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xabfd3ff0, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x84bddff1, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd47d08ad, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x46593984, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xe1af93ca, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x1347ea99, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xb3778e1d, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xea104e9f, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x3496b73d, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x72e7f4f9, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x83177cef, "");
SYMBOL_CRC(nf_nat_follow_master, 0x77f9bcd4, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x4caaa713, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x29954824, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xaaeef2e6, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x6ddc874c, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x43142097, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x7ae0c3d3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb797e0e1, "nf_ct_ext_add" },
	{ 0x3988ddef, "__do_once_done" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x665927e6, "nf_ip6_checksum" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x8f05434, "nf_hook_entries_insert_raw" },
	{ 0x23a105ec, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc25b9f57, "nf_ct_seqadj_set" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa8f2360c, "nf_ct_helper_expectfn_unregister" },
	{ 0xcae8aba7, "__xfrm_decode_session" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfe3263af, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3f64c1c3, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0xc601e3ce, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf12f7f10, "nf_ct_iterate_cleanup_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x33699cde, "ipv6_skip_exthdr" },
	{ 0x11e2f707, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x81063da9, "module_put" },
	{ 0xc46dfc5b, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xba53d057, "nf_ct_expect_related_report" },
	{ 0xc4273d93, "nf_conntrack_alter_reply" },
	{ 0xcd658849, "ip_route_me_harder" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe5eecfc3, "nf_hook_entries_delete_raw" },
	{ 0x3fef0ed0, "skb_ensure_writable" },
	{ 0x3cfe3f4b, "nf_unregister_net_hooks" },
	{ 0xbf1bb947, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0xb4ba5255, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3bd7defc, "nf_ip_checksum" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfe5fa5e1, "register_btf_kfunc_id_set" },
	{ 0x398be76c, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x359d4242, "inet_proto_csum_replace16" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa01a78e7, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfc6fff90, "__skb_checksum" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xd1af6293, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xf9b1e0e4, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x2fce771a, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "6D086F90559A272F13F64AD");

MODULE_INFO(suserelease, "SLE15-SP6");
