#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x6991eb86, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xabeeb397, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x7e720ca7, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x364b7713, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xb59210d1, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xda5c85db, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb797e0e1, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2ce93a8f, "nsh_pop" },
	{ 0xe5ec1e86, "nf_conntrack_find_get" },
	{ 0x31acd964, "nf_ct_set_timeout" },
	{ 0xf1e9588, "dev_get_stats" },
	{ 0x87c95dff, "__nla_put" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x943c89e9, "dev_fill_metadata_dst" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x2a1ed9c2, "nf_ct_handle_fragments" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xabe460aa, "skb_put" },
	{ 0xf7266163, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x67da045c, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7ae0c3d3, "nf_ct_nat" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x76d08347, "skb_eth_pop" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x4448e2ee, "skb_gso_validate_mac_len" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xcc78b03c, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x2f287df0, "nf_ct_helper" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x7aa7ed31, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x7a267432, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0x51d45d4a, "nf_connlabels_put" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf65fc63, "dev_set_promiscuity" },
	{ 0x816feff3, "nf_ct_destroy_timeout" },
	{ 0x1037a932, "nf_ct_add_helper" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xce6a0e62, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x64791344, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8f860f74, "nf_ct_skb_network_trim" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0x35ba399d, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x97a9962, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xf64fd27, "skb_csum_hwoffload_help" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x1385731d, "nf_connlabels_replace" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x204a2b84, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x34e76cce, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd8cb984a, "skb_eth_push" },
	{ 0x21cb9b6b, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xd35f341e, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xca50655c, "skb_mpls_pop" },
	{ 0x4f1a8748, "skb_vlan_pop" },
	{ 0x5384f54b, "dst_init" },
	{ 0x81063da9, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x1fadece0, "__skb_get_hash" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x601bb5c2, "ipv6_stub" },
	{ 0x2199ab72, "skb_mpls_update_lse" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb72508a, "netlink_unicast" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x3fef0ed0, "skb_ensure_writable" },
	{ 0x749206ac, "free_netdev" },
	{ 0xb5928320, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x5716394c, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xdb92d8d7, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x9a1721d4, "nf_ct_delete" },
	{ 0x72657548, "nf_conncount_init" },
	{ 0xf635bd30, "skb_vlan_push" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb86c0278, "netdev_master_upper_dev_link" },
	{ 0x23d35256, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0x359d4242, "inet_proto_csum_replace16" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27193640, "skb_scrub_packet" },
	{ 0x5e2e370d, "nf_ct_deliver_cached_events" },
	{ 0x5cd2b1bc, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x2ed6a21e, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xfc6fff90, "__skb_checksum" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd1af6293, "inet_proto_csum_replace4" },
	{ 0x1758ff2d, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf17e3c01, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88bff22a, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a97be68, "dev_get_by_name" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xafcfb4c6, "peernet2id_alloc" },
	{ 0xc04576eb, "nf_ct_get_tuplepr" },
	{ 0xa4d082ae, "netdev_rx_handler_register" },
	{ 0xa9f5afa6, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0x62fd3a0b, "dev_disable_lro" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x321eef85, "genl_register_family" },
	{ 0xb985fcc1, "nf_ct_tmpl_free" },
	{ 0x4e7e528c, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe16c9ca8, "__skb_gso_segment" },
	{ 0x52ce608c, "up_read" },
	{ 0xf8f47935, "skb_mpls_push" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x6332de65, "nf_conntrack_in" },
	{ 0x5bda79bd, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xe67d43e4, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0xd55b2ad, "__skb_vlan_pop" },
	{ 0xe3644cf9, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "18C17FEF805C9D618AF173D");

MODULE_INFO(suserelease, "SLE15-SP6");
