#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xf0f66834, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xdcf8007d, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x2c28acb2, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xd863569c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xa2512832, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xc2049fc9, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xb8400da8, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xaec52a04, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x17703803, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x43b60cf6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x25446dfe, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xefe173b5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x40c25419, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xb394161e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xdbf411e7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x20ee7817, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xca3f5c26, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xfac8627d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xe4019cbe, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xa79a5f5a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xfa595df2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xd21691ff, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x35edd666, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x14c3bcd7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x62aa8850, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x2113d1fc, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xc1bf5888, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xca0085a5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xe6092ea6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x4012bb7b, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x4c47cbd3, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x0d3eac1d, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x57f4a8ca, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x3c8b52f1, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xca38aa7b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xf14d8aab, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3978684, "vsock_enqueue_accept" },
	{ 0xd58cb510, "vsock_insert_connected" },
	{ 0xabe460aa, "skb_put" },
	{ 0x70421f21, "consume_skb" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x90109cda, "vsock_remove_sock" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x33142fc0, "vsock_deliver_tap" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xff13e280, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x94bb9c49, "__skb_recv_datagram" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5095316d, "vsock_stream_has_data" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x318e41b6, "bpf_trace_run9" },
	{ 0xfff4c8e9, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x54fbc09e, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x26628952, "bpf_trace_run10" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x78a15f34, "vsock_core_get_transport" },
	{ 0x578cd249, "__zerocopy_sg_from_iter" },
	{ 0xf154b5f8, "vsock_stream_has_space" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0xfa5bce03, "msg_zerocopy_realloc" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x676d43d6, "vsock_create_connected" },
	{ 0x998322bf, "vsock_assign_transport" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf8e31aa2, "vsock_data_ready" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "04A541FE31467A1010C4E31");

MODULE_INFO(suserelease, "SLE15-SP6");
