#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_timer_instance_new, 0x0ca195d6, "");
SYMBOL_CRC(snd_timer_instance_free, 0xe3b90fba, "");
SYMBOL_CRC(snd_timer_open, 0xde00a0d1, "");
SYMBOL_CRC(snd_timer_close, 0x60650648, "");
SYMBOL_CRC(snd_timer_resolution, 0x451f1fa9, "");
SYMBOL_CRC(snd_timer_start, 0xfe9295f9, "");
SYMBOL_CRC(snd_timer_stop, 0x51855378, "");
SYMBOL_CRC(snd_timer_continue, 0x92c7f0ec, "");
SYMBOL_CRC(snd_timer_pause, 0x1ab1391f, "");
SYMBOL_CRC(snd_timer_interrupt, 0x2e186863, "");
SYMBOL_CRC(snd_timer_new, 0x48c4c171, "");
SYMBOL_CRC(snd_timer_notify, 0x721a6fe9, "");
SYMBOL_CRC(snd_timer_global_new, 0x7a3e1e5e, "");
SYMBOL_CRC(snd_timer_global_free, 0x18f55798, "");
SYMBOL_CRC(snd_timer_global_register, 0xb48c42ba, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ff242fe, "try_module_get" },
	{ 0x2e2002cd, "snd_info_register" },
	{ 0x74224929, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xa9f94c90, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x31b603c8, "snd_fasync_helper" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xd1cd0215, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x81063da9, "module_put" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x991cd37c, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x9f528aad, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xf4a8dcae, "snd_device_initialize" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0x92f776c7, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x8478d8d1, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "65D956B1B7736AA8075F991");

MODULE_INFO(suserelease, "SLE15-SP6");
