#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x71f5023a, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x8478d8d1, "");
SYMBOL_CRC(snd_unregister_device, 0x991cd37c, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x3eca2955, "");
SYMBOL_CRC(snd_device_initialize, 0xf4a8dcae, "_gpl");
SYMBOL_CRC(snd_card_new, 0x745fee22, "");
SYMBOL_CRC(snd_devm_card_new, 0x476580ee, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xfa61b2e2, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x9e691d42, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x04f3f349, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x0f1f4bf2, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0xb75f74fd, "");
SYMBOL_CRC(snd_card_free, 0xd47b5164, "");
SYMBOL_CRC(snd_card_set_id, 0x43fc4ba7, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x132624bb, "_gpl");
SYMBOL_CRC(snd_card_register, 0x534f06da, "");
SYMBOL_CRC(snd_component_add, 0xc34ccc74, "");
SYMBOL_CRC(snd_card_file_add, 0x5f633f84, "");
SYMBOL_CRC(snd_card_file_remove, 0xbbe04f2c, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x08172025, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xcca5d557, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(snd_ctl_notify, 0x5379f7f6, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x4f01638f, "");
SYMBOL_CRC(snd_ctl_new1, 0xb761d9df, "");
SYMBOL_CRC(snd_ctl_free_one, 0x84c25c15, "");
SYMBOL_CRC(snd_ctl_add, 0x052abe45, "");
SYMBOL_CRC(snd_ctl_replace, 0xbbddedbe, "");
SYMBOL_CRC(snd_ctl_remove, 0x600e41f7, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xe95e3eff, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xd387b349, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0xe5ad0ab6, "");
SYMBOL_CRC(snd_ctl_rename, 0xc87b63b0, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xfa4f335e, "");
SYMBOL_CRC(snd_ctl_find_id, 0x7f28f16e, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x2e0f490f, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x0616a24a, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xe85ea43c, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x63124278, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x8c143572, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x26c26f99, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xc77802c5, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x85d531f1, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x9ea81777, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xe900d48b, "");
SYMBOL_CRC(snd_fasync_helper, 0x31b603c8, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x9f528aad, "");
SYMBOL_CRC(snd_device_disconnect, 0x0edd3191, "_gpl");
SYMBOL_CRC(snd_device_free, 0x8740c0bf, "");
SYMBOL_CRC(snd_device_register, 0xb9f9435e, "");
SYMBOL_CRC(snd_device_get_state, 0x236ece14, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xf0237b01, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x74224929, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xe59dc928, "");
SYMBOL_CRC(snd_info_free_entry, 0xa9f94c90, "");
SYMBOL_CRC(snd_info_register, 0x2e2002cd, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x4848f01d, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x86eaeb9a, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xe513bd49, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xb832a476, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x6de0f1f7, "");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xb8193cc9, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x1322b62a, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xa40a844d, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x75b60946, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xcd123b8e, "");
SYMBOL_CRC(snd_jack_new, 0x4e531bc6, "");
SYMBOL_CRC(snd_jack_set_parent, 0x5d1527c7, "");
SYMBOL_CRC(snd_jack_set_key, 0xb79906c5, "");
SYMBOL_CRC(snd_jack_report, 0x7c090399, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedf68171, "input_allocate_device" },
	{ 0x9ff242fe, "try_module_get" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0xb4bcacbc, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x55d4a429, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x2d16dfbb, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0xe6b67474, "add_wait_queue" },
	{ 0x350c478, "proc_create_data" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x91f8ceb, "devm_remove_action" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x33c718fd, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x58bb111a, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1be99654, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x10b4f146, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x50b3829f, "register_sound_special_device" },
	{ 0x9f984513, "strrchr" },
	{ 0x81063da9, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6059e10c, "device_add" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3044b6e, "init_uts_ns" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x1260b3d0, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x33547744, "input_set_capability" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb8dd3f32, "__devres_alloc_node" },
	{ 0xf9d44f16, "dma_spin_lock" },
	{ 0xcc4c04da, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2a795e6d, "device_del" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xf9c842e9, "input_event" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x2754d64e, "proc_remove" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x39e59554, "xa_erase" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xabd2dc04, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x413e35d8, "__register_chrdev" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x13b2e9fc, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x6b6db48c, "downgrade_write" },
	{ 0xda00b2b8, "remove_wait_queue" },
	{ 0x92f776c7, "stream_open" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x24ab6fe5, "pid_vnr" },
	{ 0x7af48d93, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0xdc1c6496, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x98b6de1f, "proc_symlink" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x59b46b77, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "17A8F58167AB4A41BBDC104");

MODULE_INFO(suserelease, "SLE15-SP6");
