#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(oxygen_read8, 0x813351c5, "");
SYMBOL_CRC(oxygen_read16, 0x15cbd8d2, "");
SYMBOL_CRC(oxygen_read32, 0x940803a3, "");
SYMBOL_CRC(oxygen_write8, 0xc5b30bc5, "");
SYMBOL_CRC(oxygen_write16, 0xe0f8ebfb, "");
SYMBOL_CRC(oxygen_write32, 0x93ff2611, "");
SYMBOL_CRC(oxygen_write8_masked, 0x2d91ee72, "");
SYMBOL_CRC(oxygen_write16_masked, 0x51a53baf, "");
SYMBOL_CRC(oxygen_write32_masked, 0xedd4c1e6, "");
SYMBOL_CRC(oxygen_write_ac97, 0xdb33cd00, "");
SYMBOL_CRC(oxygen_read_ac97, 0x37a4801e, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x7fc5819f, "");
SYMBOL_CRC(oxygen_write_spi, 0x1a163583, "");
SYMBOL_CRC(oxygen_write_i2c, 0xe14d13b8, "");
SYMBOL_CRC(oxygen_reset_uart, 0xce0f1870, "");
SYMBOL_CRC(oxygen_write_uart, 0x0c72ed62, "");
SYMBOL_CRC(oxygen_pci_probe, 0x80466b80, "");
SYMBOL_CRC(oxygen_pci_pm, 0x7f31cc3a, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x8cc46d8d, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x70ad4306, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x534f06da, "snd_card_register" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa61b2e2, "snd_card_free_on_error" },
	{ 0x4848f01d, "snd_card_rw_proc_new" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x6ed052ac, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc34ccc74, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x85d531f1, "snd_ctl_boolean_mono_info" },
	{ 0x4f791397, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5379f7f6, "snd_ctl_notify" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0x85495537, "snd_pcm_set_managed_buffer" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x476580ee, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x48a9293e, "snd_mpu401_uart_new" },
	{ 0xee07ad11, "pci_match_id" },
	{ 0x19cb41d2, "snd_pcm_hw_constraint_msbits" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x67593a5a, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "SLE15-SP6");
