#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(max98090_mic_detect, 0x72ab3e40, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17d5e5b6, "snd_soc_dapm_put_enum_double" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x2b938f0e, "regmap_write" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x248e4b60, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34888940, "snd_soc_bytes_put" },
	{ 0x2ef56ac3, "snd_soc_component_read" },
	{ 0xdce4ac73, "i2c_match_id" },
	{ 0x7fb043, "snd_soc_bytes_get" },
	{ 0x2703a7d0, "snd_soc_put_enum_double" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a22b9cd, "snd_soc_component_write" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd95674e, "pm_wakeup_dev_event" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x82f70687, "snd_soc_get_enum_double" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x581e2916, "i2c_register_driver" },
	{ 0xba3132e, "snd_soc_info_volsw" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcd557068, "snd_soc_get_volsw_range" },
	{ 0x366a610, "snd_soc_dapm_put_volsw" },
	{ 0x81a7df67, "snd_soc_bytes_info" },
	{ 0x2ada5d5f, "snd_soc_info_volsw_range" },
	{ 0xf8e33e52, "snd_soc_add_component_controls" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x68a1d13f, "snd_soc_put_volsw_range" },
	{ 0xd36b7d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc1db885, "acpi_match_device" },
	{ 0x575ee0fc, "snd_soc_info_enum_double" },
	{ 0x29efff41, "snd_soc_get_volsw" },
	{ 0x957be848, "regmap_read" },
	{ 0x3b99344a, "snd_soc_put_volsw" },
	{ 0xc04a60c9, "snd_soc_component_update_bits" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb111695a, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x19cb41d2, "snd_pcm_hw_constraint_msbits" },
	{ 0xde775f08, "regmap_update_bits_base" },
	{ 0xa2df90b1, "snd_soc_dapm_get_volsw" },
	{ 0x926d6fc7, "i2c_del_driver" },
	{ 0x53345c9c, "snd_soc_dapm_get_enum_double" },
	{ 0x4a970286, "snd_soc_dai_active" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,regmap-i2c,snd-pcm");

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");

MODULE_INFO(srcversion, "A038C51223052BA5766A9C8");

MODULE_INFO(suserelease, "SLE15-SP6");
