#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x03930c6a, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x3f9dd61a, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xeaab6c53, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x92373556, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x4c4a78cc, "_gpl");
SYMBOL_CRC(line6_read_data, 0xa1e59091, "_gpl");
SYMBOL_CRC(line6_write_data, 0x4da5fe6c, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0xa8ebbac4, "_gpl");
SYMBOL_CRC(line6_probe, 0x71a64f48, "_gpl");
SYMBOL_CRC(line6_disconnect, 0xab32cf4a, "_gpl");
SYMBOL_CRC(line6_suspend, 0xae9f551d, "_gpl");
SYMBOL_CRC(line6_resume, 0x4925a86f, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xeebe9e31, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x935c3dec, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x2bbcda14, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x30982971, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xb90b1cf3, "snd_rawmidi_receive" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x4576aa99, "usb_control_msg_send" },
	{ 0x52abe45, "snd_ctl_add" },
	{ 0x3a431a7e, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xff25ea94, "usb_control_msg_recv" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7877b34, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0xb761d9df, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xffdfca46, "snd_rawmidi_transmit_ack" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xa77a4d3b, "snd_pcm_hw_constraint_ratdens" },
	{ 0x745fee22, "snd_card_new" },
	{ 0x7c034f1b, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f791397, "_dev_err" },
	{ 0x568d982a, "snd_hwdep_new" },
	{ 0x85d9d5b0, "snd_rawmidi_transmit_peek" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb75f74fd, "snd_card_free_when_closed" },
	{ 0x4c6604c2, "usb_set_interface" },
	{ 0xfbb391b0, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xd946bf49, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x29b8b6ef, "snd_rawmidi_new" },
	{ 0x4f3f349, "snd_card_disconnect" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x35e97fa2, "snd_rawmidi_set_ops" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd2b3ccf0, "snd_pcm_period_elapsed" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "SLE15-SP6");
